import { BigNumber } from "ethers";
import { ChainId } from "../adapters/web3/model";
export declare type TransferStatus = "pending" | "filled";
export declare type Transfer = {
    depositId: number;
    depositTime: number;
    status: TransferStatus;
    filled: BigNumber;
    sourceChainId: ChainId;
    destinationChainId: number;
    assetAddr: string;
    amount: BigNumber;
    depositTxHash: string;
    fillTxs: string[];
    initialRelayerFeePct: BigNumber;
    currentRelayerFeePct: BigNumber;
    speedUps: {
        txHash: string;
        relayerFeePct: BigNumber;
        timestamp: number;
    }[];
};
