'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var Decimal = _interopDefault(require('decimal.js'));
var ethers = require('ethers');
var uma = require('@uma/sdk');
var l2Provider = require('@eth-optimism/sdk/dist/l2-provider');
var assert$1 = _interopDefault(require('assert'));
var axios = _interopDefault(require('axios'));
var constants$1 = require('@across-protocol/contracts-v2/dist/utils/constants');
var AcrossMerkleDistributor__factory = require('@across-protocol/contracts-v2/dist/typechain/factories/contracts/merkle-distributor/AcrossMerkleDistributor__factory');
var AcrossConfigStore__factory = require('@across-protocol/contracts-v2/dist/typechain/factories/contracts/AcrossConfigStore__factory');
var HubPool__factory = require('@across-protocol/contracts-v2/dist/typechain/factories/contracts/HubPool__factory');
var SpokePool__factory = require('@across-protocol/contracts-v2/dist/typechain/factories/contracts/SpokePool.sol/SpokePool__factory');
var ERC20__factory = require('@across-protocol/contracts-v2/dist/typechain/factories/@openzeppelin/contracts/token/ERC20/ERC20__factory');
var AcceleratingDistributor__factory = require('@across-protocol/across-token/dist/typechain/factories/AcceleratingDistributor__factory');
var ClaimAndStake__factory = require('@across-protocol/across-token/dist/typechain/factories/ClaimAndStake__factory');
var MerkleDistributor__factory = require('@across-protocol/across-token/dist/typechain/factories/MerkleDistributor__factory');
var PinataClient = _interopDefault(require('@pinata/sdk'));
var DeploymentUtils = require('@across-protocol/contracts-v2/dist/src/DeploymentUtils');
var common = require('@uma/common');
var PublicNetworks = require('@uma/common/dist/PublicNetworks');
require('@ethersproject/providers');
var set = _interopDefault(require('lodash/set'));
var get = _interopDefault(require('lodash/get'));
var has = _interopDefault(require('lodash/has'));
var superstruct = require('superstruct');
var EventEmitter = _interopDefault(require('events'));
var get$1 = _interopDefault(require('lodash.get'));
var MerkleTree = require('@across-protocol/contracts-v2/dist/utils/MerkleTree');
var _ = require('lodash');
var ___default = _interopDefault(_);
var utils = require('ethers/lib/utils');

function asyncGeneratorStep(gen, resolve, reject, _next, _throw, key, arg) {
  try {
    var info = gen[key](arg);
    var value = info.value;
  } catch (error) {
    reject(error);
    return;
  }

  if (info.done) {
    resolve(value);
  } else {
    Promise.resolve(value).then(_next, _throw);
  }
}

function _asyncToGenerator(fn) {
  return function () {
    var self = this,
        args = arguments;
    return new Promise(function (resolve, reject) {
      var gen = fn.apply(self, args);

      function _next(value) {
        asyncGeneratorStep(gen, resolve, reject, _next, _throw, "next", value);
      }

      function _throw(err) {
        asyncGeneratorStep(gen, resolve, reject, _next, _throw, "throw", err);
      }

      _next(undefined);
    });
  };
}

function _defineProperties(target, props) {
  for (var i = 0; i < props.length; i++) {
    var descriptor = props[i];
    descriptor.enumerable = descriptor.enumerable || false;
    descriptor.configurable = true;
    if ("value" in descriptor) descriptor.writable = true;
    Object.defineProperty(target, descriptor.key, descriptor);
  }
}

function _createClass(Constructor, protoProps, staticProps) {
  if (protoProps) _defineProperties(Constructor.prototype, protoProps);
  if (staticProps) _defineProperties(Constructor, staticProps);
  Object.defineProperty(Constructor, "prototype", {
    writable: false
  });
  return Constructor;
}

function _extends() {
  _extends = Object.assign || function (target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i];

      for (var key in source) {
        if (Object.prototype.hasOwnProperty.call(source, key)) {
          target[key] = source[key];
        }
      }
    }

    return target;
  };

  return _extends.apply(this, arguments);
}

function _inheritsLoose(subClass, superClass) {
  subClass.prototype = Object.create(superClass.prototype);
  subClass.prototype.constructor = subClass;

  _setPrototypeOf(subClass, superClass);
}

function _setPrototypeOf(o, p) {
  _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) {
    o.__proto__ = p;
    return o;
  };

  return _setPrototypeOf(o, p);
}

function _objectWithoutPropertiesLoose(source, excluded) {
  if (source == null) return {};
  var target = {};
  var sourceKeys = Object.keys(source);
  var key, i;

  for (i = 0; i < sourceKeys.length; i++) {
    key = sourceKeys[i];
    if (excluded.indexOf(key) >= 0) continue;
    target[key] = source[key];
  }

  return target;
}

function _unsupportedIterableToArray(o, minLen) {
  if (!o) return;
  if (typeof o === "string") return _arrayLikeToArray(o, minLen);
  var n = Object.prototype.toString.call(o).slice(8, -1);
  if (n === "Object" && o.constructor) n = o.constructor.name;
  if (n === "Map" || n === "Set") return Array.from(o);
  if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen);
}

function _arrayLikeToArray(arr, len) {
  if (len == null || len > arr.length) len = arr.length;

  for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i];

  return arr2;
}

function _createForOfIteratorHelperLoose(o, allowArrayLike) {
  var it = typeof Symbol !== "undefined" && o[Symbol.iterator] || o["@@iterator"];
  if (it) return (it = it.call(o)).next.bind(it);

  if (Array.isArray(o) || (it = _unsupportedIterableToArray(o)) || allowArrayLike && o && typeof o.length === "number") {
    if (it) o = it;
    var i = 0;
    return function () {
      if (i >= o.length) return {
        done: true
      };
      return {
        done: false,
        value: o[i++]
      };
    };
  }

  throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}

function createCommonjsModule(fn, module) {
	return module = { exports: {} }, fn(module, module.exports), module.exports;
}

var runtime_1 = createCommonjsModule(function (module) {
/**
 * Copyright (c) 2014-present, Facebook, Inc.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */

var runtime = (function (exports) {

  var Op = Object.prototype;
  var hasOwn = Op.hasOwnProperty;
  var undefined$1; // More compressible than void 0.
  var $Symbol = typeof Symbol === "function" ? Symbol : {};
  var iteratorSymbol = $Symbol.iterator || "@@iterator";
  var asyncIteratorSymbol = $Symbol.asyncIterator || "@@asyncIterator";
  var toStringTagSymbol = $Symbol.toStringTag || "@@toStringTag";

  function define(obj, key, value) {
    Object.defineProperty(obj, key, {
      value: value,
      enumerable: true,
      configurable: true,
      writable: true
    });
    return obj[key];
  }
  try {
    // IE 8 has a broken Object.defineProperty that only works on DOM objects.
    define({}, "");
  } catch (err) {
    define = function(obj, key, value) {
      return obj[key] = value;
    };
  }

  function wrap(innerFn, outerFn, self, tryLocsList) {
    // If outerFn provided and outerFn.prototype is a Generator, then outerFn.prototype instanceof Generator.
    var protoGenerator = outerFn && outerFn.prototype instanceof Generator ? outerFn : Generator;
    var generator = Object.create(protoGenerator.prototype);
    var context = new Context(tryLocsList || []);

    // The ._invoke method unifies the implementations of the .next,
    // .throw, and .return methods.
    generator._invoke = makeInvokeMethod(innerFn, self, context);

    return generator;
  }
  exports.wrap = wrap;

  // Try/catch helper to minimize deoptimizations. Returns a completion
  // record like context.tryEntries[i].completion. This interface could
  // have been (and was previously) designed to take a closure to be
  // invoked without arguments, but in all the cases we care about we
  // already have an existing method we want to call, so there's no need
  // to create a new function object. We can even get away with assuming
  // the method takes exactly one argument, since that happens to be true
  // in every case, so we don't have to touch the arguments object. The
  // only additional allocation required is the completion record, which
  // has a stable shape and so hopefully should be cheap to allocate.
  function tryCatch(fn, obj, arg) {
    try {
      return { type: "normal", arg: fn.call(obj, arg) };
    } catch (err) {
      return { type: "throw", arg: err };
    }
  }

  var GenStateSuspendedStart = "suspendedStart";
  var GenStateSuspendedYield = "suspendedYield";
  var GenStateExecuting = "executing";
  var GenStateCompleted = "completed";

  // Returning this object from the innerFn has the same effect as
  // breaking out of the dispatch switch statement.
  var ContinueSentinel = {};

  // Dummy constructor functions that we use as the .constructor and
  // .constructor.prototype properties for functions that return Generator
  // objects. For full spec compliance, you may wish to configure your
  // minifier not to mangle the names of these two functions.
  function Generator() {}
  function GeneratorFunction() {}
  function GeneratorFunctionPrototype() {}

  // This is a polyfill for %IteratorPrototype% for environments that
  // don't natively support it.
  var IteratorPrototype = {};
  define(IteratorPrototype, iteratorSymbol, function () {
    return this;
  });

  var getProto = Object.getPrototypeOf;
  var NativeIteratorPrototype = getProto && getProto(getProto(values([])));
  if (NativeIteratorPrototype &&
      NativeIteratorPrototype !== Op &&
      hasOwn.call(NativeIteratorPrototype, iteratorSymbol)) {
    // This environment has a native %IteratorPrototype%; use it instead
    // of the polyfill.
    IteratorPrototype = NativeIteratorPrototype;
  }

  var Gp = GeneratorFunctionPrototype.prototype =
    Generator.prototype = Object.create(IteratorPrototype);
  GeneratorFunction.prototype = GeneratorFunctionPrototype;
  define(Gp, "constructor", GeneratorFunctionPrototype);
  define(GeneratorFunctionPrototype, "constructor", GeneratorFunction);
  GeneratorFunction.displayName = define(
    GeneratorFunctionPrototype,
    toStringTagSymbol,
    "GeneratorFunction"
  );

  // Helper for defining the .next, .throw, and .return methods of the
  // Iterator interface in terms of a single ._invoke method.
  function defineIteratorMethods(prototype) {
    ["next", "throw", "return"].forEach(function(method) {
      define(prototype, method, function(arg) {
        return this._invoke(method, arg);
      });
    });
  }

  exports.isGeneratorFunction = function(genFun) {
    var ctor = typeof genFun === "function" && genFun.constructor;
    return ctor
      ? ctor === GeneratorFunction ||
        // For the native GeneratorFunction constructor, the best we can
        // do is to check its .name property.
        (ctor.displayName || ctor.name) === "GeneratorFunction"
      : false;
  };

  exports.mark = function(genFun) {
    if (Object.setPrototypeOf) {
      Object.setPrototypeOf(genFun, GeneratorFunctionPrototype);
    } else {
      genFun.__proto__ = GeneratorFunctionPrototype;
      define(genFun, toStringTagSymbol, "GeneratorFunction");
    }
    genFun.prototype = Object.create(Gp);
    return genFun;
  };

  // Within the body of any async function, `await x` is transformed to
  // `yield regeneratorRuntime.awrap(x)`, so that the runtime can test
  // `hasOwn.call(value, "__await")` to determine if the yielded value is
  // meant to be awaited.
  exports.awrap = function(arg) {
    return { __await: arg };
  };

  function AsyncIterator(generator, PromiseImpl) {
    function invoke(method, arg, resolve, reject) {
      var record = tryCatch(generator[method], generator, arg);
      if (record.type === "throw") {
        reject(record.arg);
      } else {
        var result = record.arg;
        var value = result.value;
        if (value &&
            typeof value === "object" &&
            hasOwn.call(value, "__await")) {
          return PromiseImpl.resolve(value.__await).then(function(value) {
            invoke("next", value, resolve, reject);
          }, function(err) {
            invoke("throw", err, resolve, reject);
          });
        }

        return PromiseImpl.resolve(value).then(function(unwrapped) {
          // When a yielded Promise is resolved, its final value becomes
          // the .value of the Promise<{value,done}> result for the
          // current iteration.
          result.value = unwrapped;
          resolve(result);
        }, function(error) {
          // If a rejected Promise was yielded, throw the rejection back
          // into the async generator function so it can be handled there.
          return invoke("throw", error, resolve, reject);
        });
      }
    }

    var previousPromise;

    function enqueue(method, arg) {
      function callInvokeWithMethodAndArg() {
        return new PromiseImpl(function(resolve, reject) {
          invoke(method, arg, resolve, reject);
        });
      }

      return previousPromise =
        // If enqueue has been called before, then we want to wait until
        // all previous Promises have been resolved before calling invoke,
        // so that results are always delivered in the correct order. If
        // enqueue has not been called before, then it is important to
        // call invoke immediately, without waiting on a callback to fire,
        // so that the async generator function has the opportunity to do
        // any necessary setup in a predictable way. This predictability
        // is why the Promise constructor synchronously invokes its
        // executor callback, and why async functions synchronously
        // execute code before the first await. Since we implement simple
        // async functions in terms of async generators, it is especially
        // important to get this right, even though it requires care.
        previousPromise ? previousPromise.then(
          callInvokeWithMethodAndArg,
          // Avoid propagating failures to Promises returned by later
          // invocations of the iterator.
          callInvokeWithMethodAndArg
        ) : callInvokeWithMethodAndArg();
    }

    // Define the unified helper method that is used to implement .next,
    // .throw, and .return (see defineIteratorMethods).
    this._invoke = enqueue;
  }

  defineIteratorMethods(AsyncIterator.prototype);
  define(AsyncIterator.prototype, asyncIteratorSymbol, function () {
    return this;
  });
  exports.AsyncIterator = AsyncIterator;

  // Note that simple async functions are implemented on top of
  // AsyncIterator objects; they just return a Promise for the value of
  // the final result produced by the iterator.
  exports.async = function(innerFn, outerFn, self, tryLocsList, PromiseImpl) {
    if (PromiseImpl === void 0) PromiseImpl = Promise;

    var iter = new AsyncIterator(
      wrap(innerFn, outerFn, self, tryLocsList),
      PromiseImpl
    );

    return exports.isGeneratorFunction(outerFn)
      ? iter // If outerFn is a generator, return the full iterator.
      : iter.next().then(function(result) {
          return result.done ? result.value : iter.next();
        });
  };

  function makeInvokeMethod(innerFn, self, context) {
    var state = GenStateSuspendedStart;

    return function invoke(method, arg) {
      if (state === GenStateExecuting) {
        throw new Error("Generator is already running");
      }

      if (state === GenStateCompleted) {
        if (method === "throw") {
          throw arg;
        }

        // Be forgiving, per 25.3.3.3.3 of the spec:
        // https://people.mozilla.org/~jorendorff/es6-draft.html#sec-generatorresume
        return doneResult();
      }

      context.method = method;
      context.arg = arg;

      while (true) {
        var delegate = context.delegate;
        if (delegate) {
          var delegateResult = maybeInvokeDelegate(delegate, context);
          if (delegateResult) {
            if (delegateResult === ContinueSentinel) continue;
            return delegateResult;
          }
        }

        if (context.method === "next") {
          // Setting context._sent for legacy support of Babel's
          // function.sent implementation.
          context.sent = context._sent = context.arg;

        } else if (context.method === "throw") {
          if (state === GenStateSuspendedStart) {
            state = GenStateCompleted;
            throw context.arg;
          }

          context.dispatchException(context.arg);

        } else if (context.method === "return") {
          context.abrupt("return", context.arg);
        }

        state = GenStateExecuting;

        var record = tryCatch(innerFn, self, context);
        if (record.type === "normal") {
          // If an exception is thrown from innerFn, we leave state ===
          // GenStateExecuting and loop back for another invocation.
          state = context.done
            ? GenStateCompleted
            : GenStateSuspendedYield;

          if (record.arg === ContinueSentinel) {
            continue;
          }

          return {
            value: record.arg,
            done: context.done
          };

        } else if (record.type === "throw") {
          state = GenStateCompleted;
          // Dispatch the exception by looping back around to the
          // context.dispatchException(context.arg) call above.
          context.method = "throw";
          context.arg = record.arg;
        }
      }
    };
  }

  // Call delegate.iterator[context.method](context.arg) and handle the
  // result, either by returning a { value, done } result from the
  // delegate iterator, or by modifying context.method and context.arg,
  // setting context.delegate to null, and returning the ContinueSentinel.
  function maybeInvokeDelegate(delegate, context) {
    var method = delegate.iterator[context.method];
    if (method === undefined$1) {
      // A .throw or .return when the delegate iterator has no .throw
      // method always terminates the yield* loop.
      context.delegate = null;

      if (context.method === "throw") {
        // Note: ["return"] must be used for ES3 parsing compatibility.
        if (delegate.iterator["return"]) {
          // If the delegate iterator has a return method, give it a
          // chance to clean up.
          context.method = "return";
          context.arg = undefined$1;
          maybeInvokeDelegate(delegate, context);

          if (context.method === "throw") {
            // If maybeInvokeDelegate(context) changed context.method from
            // "return" to "throw", let that override the TypeError below.
            return ContinueSentinel;
          }
        }

        context.method = "throw";
        context.arg = new TypeError(
          "The iterator does not provide a 'throw' method");
      }

      return ContinueSentinel;
    }

    var record = tryCatch(method, delegate.iterator, context.arg);

    if (record.type === "throw") {
      context.method = "throw";
      context.arg = record.arg;
      context.delegate = null;
      return ContinueSentinel;
    }

    var info = record.arg;

    if (! info) {
      context.method = "throw";
      context.arg = new TypeError("iterator result is not an object");
      context.delegate = null;
      return ContinueSentinel;
    }

    if (info.done) {
      // Assign the result of the finished delegate to the temporary
      // variable specified by delegate.resultName (see delegateYield).
      context[delegate.resultName] = info.value;

      // Resume execution at the desired location (see delegateYield).
      context.next = delegate.nextLoc;

      // If context.method was "throw" but the delegate handled the
      // exception, let the outer generator proceed normally. If
      // context.method was "next", forget context.arg since it has been
      // "consumed" by the delegate iterator. If context.method was
      // "return", allow the original .return call to continue in the
      // outer generator.
      if (context.method !== "return") {
        context.method = "next";
        context.arg = undefined$1;
      }

    } else {
      // Re-yield the result returned by the delegate method.
      return info;
    }

    // The delegate iterator is finished, so forget it and continue with
    // the outer generator.
    context.delegate = null;
    return ContinueSentinel;
  }

  // Define Generator.prototype.{next,throw,return} in terms of the
  // unified ._invoke helper method.
  defineIteratorMethods(Gp);

  define(Gp, toStringTagSymbol, "Generator");

  // A Generator should always return itself as the iterator object when the
  // @@iterator function is called on it. Some browsers' implementations of the
  // iterator prototype chain incorrectly implement this, causing the Generator
  // object to not be returned from this call. This ensures that doesn't happen.
  // See https://github.com/facebook/regenerator/issues/274 for more details.
  define(Gp, iteratorSymbol, function() {
    return this;
  });

  define(Gp, "toString", function() {
    return "[object Generator]";
  });

  function pushTryEntry(locs) {
    var entry = { tryLoc: locs[0] };

    if (1 in locs) {
      entry.catchLoc = locs[1];
    }

    if (2 in locs) {
      entry.finallyLoc = locs[2];
      entry.afterLoc = locs[3];
    }

    this.tryEntries.push(entry);
  }

  function resetTryEntry(entry) {
    var record = entry.completion || {};
    record.type = "normal";
    delete record.arg;
    entry.completion = record;
  }

  function Context(tryLocsList) {
    // The root entry object (effectively a try statement without a catch
    // or a finally block) gives us a place to store values thrown from
    // locations where there is no enclosing try statement.
    this.tryEntries = [{ tryLoc: "root" }];
    tryLocsList.forEach(pushTryEntry, this);
    this.reset(true);
  }

  exports.keys = function(object) {
    var keys = [];
    for (var key in object) {
      keys.push(key);
    }
    keys.reverse();

    // Rather than returning an object with a next method, we keep
    // things simple and return the next function itself.
    return function next() {
      while (keys.length) {
        var key = keys.pop();
        if (key in object) {
          next.value = key;
          next.done = false;
          return next;
        }
      }

      // To avoid creating an additional object, we just hang the .value
      // and .done properties off the next function object itself. This
      // also ensures that the minifier will not anonymize the function.
      next.done = true;
      return next;
    };
  };

  function values(iterable) {
    if (iterable) {
      var iteratorMethod = iterable[iteratorSymbol];
      if (iteratorMethod) {
        return iteratorMethod.call(iterable);
      }

      if (typeof iterable.next === "function") {
        return iterable;
      }

      if (!isNaN(iterable.length)) {
        var i = -1, next = function next() {
          while (++i < iterable.length) {
            if (hasOwn.call(iterable, i)) {
              next.value = iterable[i];
              next.done = false;
              return next;
            }
          }

          next.value = undefined$1;
          next.done = true;

          return next;
        };

        return next.next = next;
      }
    }

    // Return an iterator with no values.
    return { next: doneResult };
  }
  exports.values = values;

  function doneResult() {
    return { value: undefined$1, done: true };
  }

  Context.prototype = {
    constructor: Context,

    reset: function(skipTempReset) {
      this.prev = 0;
      this.next = 0;
      // Resetting context._sent for legacy support of Babel's
      // function.sent implementation.
      this.sent = this._sent = undefined$1;
      this.done = false;
      this.delegate = null;

      this.method = "next";
      this.arg = undefined$1;

      this.tryEntries.forEach(resetTryEntry);

      if (!skipTempReset) {
        for (var name in this) {
          // Not sure about the optimal order of these conditions:
          if (name.charAt(0) === "t" &&
              hasOwn.call(this, name) &&
              !isNaN(+name.slice(1))) {
            this[name] = undefined$1;
          }
        }
      }
    },

    stop: function() {
      this.done = true;

      var rootEntry = this.tryEntries[0];
      var rootRecord = rootEntry.completion;
      if (rootRecord.type === "throw") {
        throw rootRecord.arg;
      }

      return this.rval;
    },

    dispatchException: function(exception) {
      if (this.done) {
        throw exception;
      }

      var context = this;
      function handle(loc, caught) {
        record.type = "throw";
        record.arg = exception;
        context.next = loc;

        if (caught) {
          // If the dispatched exception was caught by a catch block,
          // then let that catch block handle the exception normally.
          context.method = "next";
          context.arg = undefined$1;
        }

        return !! caught;
      }

      for (var i = this.tryEntries.length - 1; i >= 0; --i) {
        var entry = this.tryEntries[i];
        var record = entry.completion;

        if (entry.tryLoc === "root") {
          // Exception thrown outside of any try block that could handle
          // it, so set the completion value of the entire function to
          // throw the exception.
          return handle("end");
        }

        if (entry.tryLoc <= this.prev) {
          var hasCatch = hasOwn.call(entry, "catchLoc");
          var hasFinally = hasOwn.call(entry, "finallyLoc");

          if (hasCatch && hasFinally) {
            if (this.prev < entry.catchLoc) {
              return handle(entry.catchLoc, true);
            } else if (this.prev < entry.finallyLoc) {
              return handle(entry.finallyLoc);
            }

          } else if (hasCatch) {
            if (this.prev < entry.catchLoc) {
              return handle(entry.catchLoc, true);
            }

          } else if (hasFinally) {
            if (this.prev < entry.finallyLoc) {
              return handle(entry.finallyLoc);
            }

          } else {
            throw new Error("try statement without catch or finally");
          }
        }
      }
    },

    abrupt: function(type, arg) {
      for (var i = this.tryEntries.length - 1; i >= 0; --i) {
        var entry = this.tryEntries[i];
        if (entry.tryLoc <= this.prev &&
            hasOwn.call(entry, "finallyLoc") &&
            this.prev < entry.finallyLoc) {
          var finallyEntry = entry;
          break;
        }
      }

      if (finallyEntry &&
          (type === "break" ||
           type === "continue") &&
          finallyEntry.tryLoc <= arg &&
          arg <= finallyEntry.finallyLoc) {
        // Ignore the finally entry if control is not jumping to a
        // location outside the try/catch block.
        finallyEntry = null;
      }

      var record = finallyEntry ? finallyEntry.completion : {};
      record.type = type;
      record.arg = arg;

      if (finallyEntry) {
        this.method = "next";
        this.next = finallyEntry.finallyLoc;
        return ContinueSentinel;
      }

      return this.complete(record);
    },

    complete: function(record, afterLoc) {
      if (record.type === "throw") {
        throw record.arg;
      }

      if (record.type === "break" ||
          record.type === "continue") {
        this.next = record.arg;
      } else if (record.type === "return") {
        this.rval = this.arg = record.arg;
        this.method = "return";
        this.next = "end";
      } else if (record.type === "normal" && afterLoc) {
        this.next = afterLoc;
      }

      return ContinueSentinel;
    },

    finish: function(finallyLoc) {
      for (var i = this.tryEntries.length - 1; i >= 0; --i) {
        var entry = this.tryEntries[i];
        if (entry.finallyLoc === finallyLoc) {
          this.complete(entry.completion, entry.afterLoc);
          resetTryEntry(entry);
          return ContinueSentinel;
        }
      }
    },

    "catch": function(tryLoc) {
      for (var i = this.tryEntries.length - 1; i >= 0; --i) {
        var entry = this.tryEntries[i];
        if (entry.tryLoc === tryLoc) {
          var record = entry.completion;
          if (record.type === "throw") {
            var thrown = record.arg;
            resetTryEntry(entry);
          }
          return thrown;
        }
      }

      // The context.catch method must only be called with a location
      // argument that corresponds to a known catch block.
      throw new Error("illegal catch attempt");
    },

    delegateYield: function(iterable, resultName, nextLoc) {
      this.delegate = {
        iterator: values(iterable),
        resultName: resultName,
        nextLoc: nextLoc
      };

      if (this.method === "next") {
        // Deliberately forget the last sent value so that we don't
        // accidentally pass it on to the delegate.
        this.arg = undefined$1;
      }

      return ContinueSentinel;
    }
  };

  // Regardless of whether this script is executing as a CommonJS module
  // or not, return the runtime object so that we can declare the variable
  // regeneratorRuntime in the outer scope, which allows this module to be
  // injected easily by `bin/regenerator --include-runtime script.js`.
  return exports;

}(
  // If this script is executing as a CommonJS module, use module.exports
  // as the regeneratorRuntime namespace. Otherwise create a new empty
  // object. Either way, the resulting object will be used to initialize
  // the regeneratorRuntime variable at the top of this file.
   module.exports 
));

try {
  regeneratorRuntime = runtime;
} catch (accidentalStrictMode) {
  // This module should not be running in strict mode, so the above
  // assignment should always work unless something is misconfigured. Just
  // in case runtime.js accidentally runs in strict mode, in modern engines
  // we can explicitly access globalThis. In older engines we can escape
  // strict mode using a global Function call. This could conceivably fail
  // if a Content Security Policy forbids using Function, but in that case
  // the proper solution is to fix the accidental strict mode problem. If
  // you've misconfigured your bundler to force strict mode and applied a
  // CSP to forbid Function, and you're not willing to fix either of those
  // problems, please detail your unique predicament in a GitHub issue.
  if (typeof globalThis === "object") {
    globalThis.regeneratorRuntime = runtime;
  } else {
    Function("r", "regeneratorRuntime = r")(runtime);
  }
}
});

function gasPriceError(method, chainId, data) {
  throw new Error("Malformed " + method + " response on chain ID " + chainId + " (" + JSON.stringify(data) + ")");
}

function eip1559(_x, _x2) {
  return _eip.apply(this, arguments);
}

function _eip() {
  _eip = _asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee(provider, chainId) {
    var feeData, maxPriorityFeePerGas, maxFeePerGas;
    return runtime_1.wrap(function _callee$(_context) {
      while (1) {
        switch (_context.prev = _context.next) {
          case 0:
            _context.next = 2;
            return provider.getFeeData();

          case 2:
            feeData = _context.sent;
            [feeData.lastBaseFeePerGas, feeData.maxPriorityFeePerGas].forEach(function (field) {
              if (!ethers.BigNumber.isBigNumber(field) || field.lt(0)) gasPriceError("getFeeData()", chainId, feeData);
            });
            maxPriorityFeePerGas = feeData.maxPriorityFeePerGas;
            maxFeePerGas = maxPriorityFeePerGas.add(feeData.lastBaseFeePerGas);
            return _context.abrupt("return", {
              maxPriorityFeePerGas: maxPriorityFeePerGas,
              maxFeePerGas: maxFeePerGas
            });

          case 7:
          case "end":
            return _context.stop();
        }
      }
    }, _callee);
  }));
  return _eip.apply(this, arguments);
}

function legacy(_x3, _x4) {
  return _legacy.apply(this, arguments);
}

function _legacy() {
  _legacy = _asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee2(provider, chainId) {
    var gasPrice;
    return runtime_1.wrap(function _callee2$(_context2) {
      while (1) {
        switch (_context2.prev = _context2.next) {
          case 0:
            _context2.next = 2;
            return provider.getGasPrice();

          case 2:
            gasPrice = _context2.sent;
            if (!ethers.BigNumber.isBigNumber(gasPrice) || gasPrice.lt(0)) gasPriceError("getGasPrice()", chainId, gasPrice);
            return _context2.abrupt("return", {
              maxFeePerGas: gasPrice,
              maxPriorityFeePerGas: ethers.ethers.constants.Zero
            });

          case 5:
          case "end":
            return _context2.stop();
        }
      }
    }, _callee2);
  }));
  return _legacy.apply(this, arguments);
}

// ethers typically hardcodes the priority fee to 1.5 Gwei. So, confirm that the priority fee supplied was 1.5
// Gwei, and then drop it to 1 Wei. Reference: https://developer.arbitrum.io/faqs/gas-faqs#q-priority

function eip1559_arbitrum(_x, _x2) {
  return _eip1559_arbitrum.apply(this, arguments);
}

function _eip1559_arbitrum() {
  _eip1559_arbitrum = _asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee(provider, chainId) {
    var _yield$eip, _maxFeePerGas, maxPriorityFeePerGas, maxFeePerGas;

    return runtime_1.wrap(function _callee$(_context) {
      while (1) {
        switch (_context.prev = _context.next) {
          case 0:
            _context.next = 2;
            return eip1559(provider, chainId);

          case 2:
            _yield$eip = _context.sent;
            _maxFeePerGas = _yield$eip.maxFeePerGas;
            maxPriorityFeePerGas = _yield$eip.maxPriorityFeePerGas;

            if (maxPriorityFeePerGas.eq(ethers.utils.parseUnits("1.5", 9))) {
              _context.next = 7;
              break;
            }

            throw new Error("Expected hardcoded 1.5 Gwei priority fee on Arbitrum, got " + maxPriorityFeePerGas);

          case 7:
            // eip1559() sets maxFeePerGas = lastBaseFeePerGas + maxPriorityFeePerGas, so revert that.
            // The caller may apply scaling as they wish afterwards.
            maxFeePerGas = _maxFeePerGas.sub(maxPriorityFeePerGas).add(1);
            return _context.abrupt("return", {
              maxPriorityFeePerGas: ethers.ethers.constants.One,
              maxFeePerGas: maxFeePerGas
            });

          case 9:
          case "end":
            return _context.stop();
        }
      }
    }, _callee);
  }));
  return _eip1559_arbitrum.apply(this, arguments);
}

var BaseHTTPAdapter = /*#__PURE__*/function () {
  function BaseHTTPAdapter(name, host, _ref) {
    var _ref$timeout = _ref.timeout,
        timeout = _ref$timeout === void 0 ? 1000 : _ref$timeout,
        _ref$retries = _ref.retries,
        retries = _ref$retries === void 0 ? 1 : _ref$retries;
    this.name = name;
    this.host = host;
    this._retries = 0;
    this._timeout = 0;
    this.retries = retries;
    this.timeout = timeout; // ms
  }

  var _proto = BaseHTTPAdapter.prototype;

  _proto.query = /*#__PURE__*/function () {
    var _query = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee(path, urlArgs) {
      var url, args, errs, tries, errMsg;
      return runtime_1.wrap(function _callee$(_context) {
        while (1) {
          switch (_context.prev = _context.next) {
            case 0:
              url = "https://" + this.host + "/" + (path != null ? path : "");
              args = {
                timeout: this.timeout,
                params: urlArgs != null ? urlArgs : {}
              };
              errs = [];
              tries = 0;

            case 4:
              _context.prev = 4;
              _context.next = 7;
              return axios(url, args);

            case 7:
              return _context.abrupt("return", _context.sent.data);

            case 10:
              _context.prev = 10;
              _context.t0 = _context["catch"](4);
              errMsg = axios.isAxiosError(_context.t0) || _context.t0 instanceof Error ? _context.t0.message : "unknown error";
              errs.push(errMsg);

              if (!(++tries <= this.retries)) {
                _context.next = 17;
                break;
              }

              _context.next = 17;
              return this.sleep(Math.pow(1.5, tries) * 1000);

            case 17:
              if (tries <= this.retries) {
                _context.next = 4;
                break;
              }

            case 18:
              throw new Error(this.name + " price lookup failure (" + errs.join(", ") + ")");

            case 19:
            case "end":
              return _context.stop();
          }
        }
      }, _callee, this, [[4, 10]]);
    }));

    function query(_x, _x2) {
      return _query.apply(this, arguments);
    }

    return query;
  }();

  _proto.sleep = /*#__PURE__*/function () {
    var _sleep = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee2(ms) {
      return runtime_1.wrap(function _callee2$(_context2) {
        while (1) {
          switch (_context2.prev = _context2.next) {
            case 0:
              return _context2.abrupt("return", new Promise(function (r) {
                return setTimeout(r, ms);
              }));

            case 1:
            case "end":
              return _context2.stop();
          }
        }
      }, _callee2);
    }));

    function sleep(_x3) {
      return _sleep.apply(this, arguments);
    }

    return sleep;
  }();

  _createClass(BaseHTTPAdapter, [{
    key: "retries",
    get: function get() {
      return this._retries;
    },
    set: function set(retries) {
      assert$1(retries >= 0);
      this._retries = retries;
    }
  }, {
    key: "timeout",
    get: function get() {
      return this._timeout;
    },
    set: function set(timeout) {
      assert$1(timeout >= 0);
      this._timeout = timeout;
    }
  }]);

  return BaseHTTPAdapter;
}();

function isPromiseFulfilled(promiseSettledResult) {
  return promiseSettledResult.status === "fulfilled";
}
function isPromiseRejected(promiseSettledResult) {
  return promiseSettledResult.status === "rejected";
}
function isDefined(input) {
  return input !== null && input !== undefined;
}

//      The fix is probably to relocate the function estimateTotalGasRequiredByUnsignedTransaction().

var PolygonGasStation = /*#__PURE__*/function (_BaseHTTPAdapter) {
  _inheritsLoose(PolygonGasStation, _BaseHTTPAdapter);

  function PolygonGasStation(_temp) {
    var _host;

    var _this;

    var _ref = _temp === void 0 ? {} : _temp,
        _ref$chainId = _ref.chainId,
        chainId = _ref$chainId === void 0 ? 137 : _ref$chainId,
        host = _ref.host,
        _ref$timeout = _ref.timeout,
        timeout = _ref$timeout === void 0 ? 1500 : _ref$timeout,
        _ref$retries = _ref.retries,
        retries = _ref$retries === void 0 ? 1 : _ref$retries;

    host = ((_host = host) != null ? _host : chainId === 137) ? "gasstation.polygon.technology" : "gasstation-testnet.polygon.technology";
    _this = _BaseHTTPAdapter.call(this, "Polygon Gas Station", host, {
      timeout: timeout,
      retries: retries
    }) || this;
    _this.chainId = chainId;
    return _this;
  }

  var _proto = PolygonGasStation.prototype;

  _proto.getFeeData = /*#__PURE__*/function () {
    var _getFeeData = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee(strategy) {
      var _this2 = this;

      var gas, gasPrice, maxPriorityFeePerGas, maxFeePerGas;
      return runtime_1.wrap(function _callee$(_context) {
        while (1) {
          switch (_context.prev = _context.next) {
            case 0:
              if (strategy === void 0) {
                strategy = "fast";
              }

              _context.next = 3;
              return this.query("v2", {});

            case 3:
              gas = _context.sent;
              gasPrice = gas == null ? void 0 : gas[strategy];

              if (!this.isPolygon1559GasPrice(gasPrice)) {
                // @todo: generalise gasPriceError() to accept a reason/cause?
                gasPriceError("getFeeData()", this.chainId, ethers.utils.parseUnits("0"));
              }

              [gasPrice.maxFee, gasPrice.maxPriorityFee].forEach(function (gasPrice) {
                if (Number(gasPrice) < 0) {
                  gasPriceError("getFeeData()", _this2.chainId, ethers.utils.parseUnits(gasPrice.toString(), 9));
                }
              });
              maxPriorityFeePerGas = ethers.utils.parseUnits(gasPrice.maxPriorityFee.toString(), 9);
              maxFeePerGas = ethers.utils.parseUnits(gasPrice.maxFee.toString(), 9);
              return _context.abrupt("return", {
                maxPriorityFeePerGas: maxPriorityFeePerGas,
                maxFeePerGas: maxFeePerGas
              });

            case 10:
            case "end":
              return _context.stop();
          }
        }
      }, _callee, this);
    }));

    function getFeeData(_x) {
      return _getFeeData.apply(this, arguments);
    }

    return getFeeData;
  }();

  _proto.isPolygon1559GasPrice = function isPolygon1559GasPrice(gasPrice) {
    if (!isDefined(gasPrice)) {
      return false;
    }

    var _gasPrice = gasPrice;
    return [_gasPrice.maxPriorityFee, _gasPrice.maxFee].every(function (field) {
      return ["number", "string"].includes(typeof field);
    });
  };

  return PolygonGasStation;
}(BaseHTTPAdapter);

function polygonGasStation(_x2, _x3) {
  return _polygonGasStation.apply(this, arguments);
}

function _polygonGasStation() {
  _polygonGasStation = _asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee2(provider, chainId) {
    var gasStation;
    return runtime_1.wrap(function _callee2$(_context2) {
      while (1) {
        switch (_context2.prev = _context2.next) {
          case 0:
            gasStation = new PolygonGasStation({
              chainId: chainId
            });
            _context2.prev = 1;
            _context2.next = 4;
            return gasStation.getFeeData();

          case 4:
            return _context2.abrupt("return", _context2.sent);

          case 7:
            _context2.prev = 7;
            _context2.t0 = _context2["catch"](1);
            _context2.next = 11;
            return eip1559(provider, chainId);

          case 11:
            return _context2.abrupt("return", _context2.sent);

          case 12:
          case "end":
            return _context2.stop();
        }
      }
    }, _callee2, null, [[1, 7]]);
  }));
  return _polygonGasStation.apply(this, arguments);
}

/**
 * Provide an estimate for the current gas price for a particular chain.
 * @param chainId The chain ID to query for gas prices.
 * @param provider A valid ethers provider.
 * @param legacyFallback In the case of an unrecognised chain, fall back to type 0 gas estimation.
 * @returns Am object of type GasPriceEstimate.
 */

function getGasPriceEstimate(_x, _x2, _x3) {
  return _getGasPriceEstimate.apply(this, arguments);
}

function _getGasPriceEstimate() {
  _getGasPriceEstimate = _asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee(provider, chainId, legacyFallback) {
    var network, gasPriceFeeds, gasPriceFeed, gasPriceEstimate;
    return runtime_1.wrap(function _callee$(_context) {
      while (1) {
        switch (_context.prev = _context.next) {
          case 0:
            if (legacyFallback === void 0) {
              legacyFallback = true;
            }

            if (chainId) {
              _context.next = 6;
              break;
            }

            _context.next = 4;
            return provider.getNetwork();

          case 4:
            network = _context.sent;
            chainId = network.chainId;

          case 6:
            gasPriceFeeds = {
              1: eip1559,
              10: eip1559,
              137: polygonGasStation,
              288: legacy,
              324: legacy,
              8453: eip1559,
              42161: eip1559_arbitrum
            };
            gasPriceFeed = gasPriceFeeds[chainId];

            if (!(gasPriceFeed === undefined)) {
              _context.next = 12;
              break;
            }

            if (legacyFallback) {
              _context.next = 11;
              break;
            }

            throw new Error("No suitable gas price oracle for Chain ID " + chainId);

          case 11:
            gasPriceFeed = legacy;

          case 12:
            _context.next = 14;
            return gasPriceFeed(provider, chainId);

          case 14:
            gasPriceEstimate = _context.sent;
            return _context.abrupt("return", gasPriceEstimate);

          case 16:
          case "end":
            return _context.stop();
        }
      }
    }, _callee);
  }));
  return _getGasPriceEstimate.apply(this, arguments);
}



var index = {
  __proto__: null,
  getGasPriceEstimate: getGasPriceEstimate
};

/**
 * @file Responsible for providing utility functions for working with BigNumbers.
 * @module utils/BigNumberUtils
 * @author Across Protocol
 */
var _ethers$constants = ethers.ethers.constants,
    bnZero = _ethers$constants.Zero,
    bnOne = _ethers$constants.One,
    bnUint256Max = _ethers$constants.MaxUint256;
function toWei(num) {
  return ethers.ethers.utils.parseEther(num.toString());
}
/**
 * Converts a stringified number into a BigNumber with 9 decimal places.
 * @param num The number to parse.
 * @returns The parsed BigNumber.
 */

function toGWei(num) {
  return ethers.ethers.utils.parseUnits(num.toString(), 9);
}
/**
 * Converts a stringified number into a BigNumber.
 * If the string version of the num contains a `.` then it is a number which needs to be parsed to a string int.
 * @param num The number to parse.
 * @param rounding The rounding method to use if the number has a decimal point. Defaults to "floor" or rounding down. Valid values are "floor", "round", and "ceil".
 * @returns The parsed BigNumber.
 * @note This is a temporary function until we can backport support for decimal points to @across-protocol/sdk-v2.
 */

var toBN = function toBN(num, rounding) {
  if (rounding === void 0) {
    rounding = "floor";
  }

  // If the string version of the num contains a `.` then it is a number which needs to be parsed to a string int.
  if (num.toString().includes(".")) {
    // Destructure the integer and decimal parts of the number.
    var _num$toString$split = num.toString().split("."),
        integer = _num$toString$split[0],
        decimal = _num$toString$split[1]; // We can determine if we need to round in a losseless way. First we need to check
    // if the number just has a decimal point with no decimal places. If it does, we
    // can just return the integer. However, if it has a decimal point with decimal
    // places, then we can automatically round up if ceil is specified or if round is
    // specified and the first decimal is greater than or equal to 5.


    var roundUp = decimal.length > 0 && (rounding === "ceil" || rounding === "round" && parseInt(decimal[0]) >= 5); // If we need to round up, we can just add 1 to the integer.

    return ethers.BigNumber.from(integer).add(roundUp ? 1 : 0);
  } // Otherwise, it is a string int and we can parse it directly.


  return ethers.BigNumber.from(num.toString());
};

var AddressZero = ethers.ethers.constants.AddressZero;
var MAX_BIG_INT = /*#__PURE__*/ethers.BigNumber.from( /*#__PURE__*/Number.MAX_SAFE_INTEGER.toString());
var ConvertDecimals = uma.utils.ConvertDecimals; // These are distances used to traverse when looking for a block with desired lookback.
// They're meant to be small enough to allow for granularity but large enough to minimize the number of reqests needed
// to find the desired block.

var BlockScanSkipDistances = {
  1: 1000,
  10: 100000,
  137: 10000,
  288: 1000,
  42161: 100000
};
/**
 * toBNWei.
 *
 * @param {BigNumberish} num
 * @param {number} decimals
 * @returns {BN}
 */

var toBNWei = function toBNWei(num, decimals) {
  return ethers.ethers.utils.parseUnits(num.toString(), decimals);
};
/**
 * fromWei.
 *
 * @param {BigNumberish} num
 * @param {number} decimals
 * @returns {string}
 */

var fromWei = function fromWei(num, decimals) {
  return ethers.ethers.utils.formatUnits(num.toString(), decimals);
};
/**
 * min.
 *
 * @param {BigNumberish} a
 * @param {BigNumberish} b
 * @returns {BN}
 */

function min(a, b) {
  var bna = toBN(a);
  var bnb = toBN(b);
  return bna.lte(bnb) ? bna : bnb;
}
/**
 * max.
 *
 * @param {BigNumberish} a
 * @param {BigNumberish} b
 * @returns {BN}
 */

function max(a, b) {
  var bna = toBN(a);
  var bnb = toBN(b);
  return bna.gte(bnb) ? bna : bnb;
}
var fixedPointAdjustment = /*#__PURE__*/toBNWei("1");
/**
 * Convert an amount of native gas token into a token given price and token decimals.
 *
 * @param {BigNumberish} fromAmount - Amount of native gas token to convert.
 * @param {string | number} [ price=1 ] - The price as native gas token per token, ie how much native gas token can 1 token buy.
 * @param {} [ toDecimals=18 ] - Number of decimals for the token currency.
 * @param {} [ nativeDecimals=18 ] - Number of decimals for the native token currency.
 * @returns {string} The number of tokens denominated in token decimals in the smallest unit (wei).
 */

function nativeToToken(fromAmount, price, toDecimals, nativeDecimals) {
  if (price === void 0) {
    price = 1;
  }

  if (toDecimals === void 0) {
    toDecimals = 18;
  }

  if (nativeDecimals === void 0) {
    nativeDecimals = 18;
  }

  var priceWei = toBNWei(price);
  var toAmount = toBNWei(fromAmount).div(priceWei);
  return ConvertDecimals(nativeDecimals, toDecimals)(toAmount);
}
/**
 * Convert a gas amount and gas price to wei.
 *
 * @param {number} gas - gas amount.
 * @param {BigNumberish} gasPrice - gas price in gwei.
 * @returns {BigNumber} - total fees in wei.
 */

var gasCost = function gasCost(gas, gasPrice) {
  return ethers.BigNumber.from(gas).mul(gasPrice);
};
/**
 * getGasFees. Low level pure function call to calculate gas fees.
 *
 * @param {number} gas - The gast cost for transfer, use constants defined in file.
 * @param {BigNumberish} gasPrice - Estimated gas price in wei.
 * @param {string | number} [price = 1] - The price of the token in native gas token, how much native gas token can 1 token buy.
 * @param {number} [decimals=18] - Number of decimals of token.
 * @returns {string} - The value of fees native to the token provided, in its smallest unit.
 */

function calculateGasFees(gas, gasPrice, price, decimals) {
  if (price === void 0) {
    price = 1;
  }

  if (decimals === void 0) {
    decimals = 18;
  }

  var amountNative = gasCost(gas, gasPrice);
  return nativeToToken(amountNative, price, decimals);
}
/**
 * percent.
 *
 * @param {BigNumberish} numerator
 * @param {BigNumberish} denominator
 * @returns {BN}
 */

function percent(numerator, denominator) {
  return fixedPointAdjustment.mul(numerator).div(denominator);
}
/**
 * calcContinuousCompoundInterest. From https://www.calculatorsoup.com/calculators/financial/compound-interest-calculator.php?given_data=find_r&A=2&P=1&n=0&t=1&given_data_last=find_r&action=solve
 * Returns a yearly interest rate if start/end amount had been continuously compounded over the period elapsed. Multiply result by 100 for a %.
 *
 * @param {string} startAmount
 * @param {string} endAmount
 * @param {string} periodsElapsed
 * @param {string} periodsPerYear
 */

var calcContinuousCompoundInterest = function calcContinuousCompoundInterest(startAmount, endAmount, periodsElapsed, periodsPerYear) {
  var years = new Decimal(periodsPerYear).div(periodsElapsed);
  return new Decimal(endAmount).div(startAmount).ln().div(years).toString();
};
/**
 * calcPeriodicCompoundInterest. Taken from https://www.calculatorsoup.com/calculators/financial/compound-interest-calculator.php?given_data=find_r&A=2&P=1&n=365&t=1&given_data_last=find_r&action=solve
 * This will return a periodically compounded interest rate for 1 year. Multiply result by 100 for a %.
 *
 * @param {string} startAmount - Starting amount or price
 * @param {string} endAmount - Ending amount or price
 * @param {string} periodsElapsed - How many periods elapsed for the start and end amount.
 * @param {string} periodsPerYear - How many periods in 1 year.
 */

var calcPeriodicCompoundInterest = function calcPeriodicCompoundInterest(startAmount, endAmount, periodsElapsed, periodsPerYear) {
  var n = new Decimal(periodsPerYear);
  var A = new Decimal(endAmount);
  var P = new Decimal(startAmount);
  var t = new Decimal(periodsPerYear).div(periodsElapsed);
  var one = new Decimal(1);
  return n.mul(A.div(P).pow(one.div(n.div(t))).sub(one)).toFixed(18);
};
/**
 * calcApr. Simple apr calculation based on extrapolating the difference for a short period over a year.
 *
 * @param {Decimalish} startAmount - Starting amount or price
 * @param {Decimalish} endAmount - Ending amount or price
 * @param {Decimalish} periodsElapsed - periods elapsed from start to end
 * @param {Decimalish} periodsPerYear - periods per year
 */

var calcApr = function calcApr(startAmount, endAmount, periodsElapsed, periodsPerYear) {
  return new Decimal(endAmount).sub(startAmount).div(startAmount).mul(periodsPerYear).div(periodsElapsed).toFixed(18);
};
/**
 * Takes two values and returns a list of number intervals
 *
 * @example
 * ```js
 * getSamplesBetween(1, 9, 3) //returns [[1, 3], [4, 7], [8, 9]]
 * ```
 */

var getSamplesBetween = function getSamplesBetween(min, max, size) {
  var keepIterate = true;
  var intervals = [];

  while (keepIterate) {
    var to = Math.min(min + size - 1, max);
    intervals.push([min, to]);
    min = to + 1;
    if (min >= max) keepIterate = false;
  }

  return intervals;
};
/**
 * A promise that resolves after a specified number of seconds
 * @param seconds The number of seconds to wait
 */

function delay(_x) {
  return _delay.apply(this, arguments);
}
/**
 * Attempt to retry a function call a number of times with a delay between each attempt
 * @param call The function to call
 * @param times The number of times to retry
 * @param delayS The number of seconds to delay between each attempt
 * @returns The result of the function call.
 */

function _delay() {
  _delay = _asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee(seconds) {
    return runtime_1.wrap(function _callee$(_context) {
      while (1) {
        switch (_context.prev = _context.next) {
          case 0:
            return _context.abrupt("return", new Promise(function (resolve) {
              return setTimeout(resolve, seconds * 1000);
            }));

          case 1:
          case "end":
            return _context.stop();
        }
      }
    }, _callee);
  }));
  return _delay.apply(this, arguments);
}

function retry(_x2, _x3, _x4) {
  return _retry.apply(this, arguments);
}
/**
 * Estimates the total gas cost required to submit an unsigned (populated) transaction on-chain
 * @param unsignedTx The unsigned transaction that this function will estimate
 * @param senderAddress The address that the transaction will be submitted from
 * @param provider A valid ethers provider - will be used to reason the gas price
 * @param gasMarkup Represents a percent increase on the total gas cost. For example, 0.2 will increase this resulting value by a factor of 1.2
 * @param gasPrice A manually provided gas price - if set, this function will not resolve the current gas price
 * @returns The total gas cost to submit this transaction - i.e. gasPrice * estimatedGasUnits
 */

function _retry() {
  _retry = _asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee3(call, times, delayS) {
    var promiseChain, i;
    return runtime_1.wrap(function _callee3$(_context3) {
      while (1) {
        switch (_context3.prev = _context3.next) {
          case 0:
            promiseChain = call();

            for (i = 0; i < times; i++) {
              promiseChain = promiseChain["catch"]( /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee2() {
                return runtime_1.wrap(function _callee2$(_context2) {
                  while (1) {
                    switch (_context2.prev = _context2.next) {
                      case 0:
                        _context2.next = 2;
                        return delay(delayS);

                      case 2:
                        _context2.next = 4;
                        return call();

                      case 4:
                        return _context2.abrupt("return", _context2.sent);

                      case 5:
                      case "end":
                        return _context2.stop();
                    }
                  }
                }, _callee2);
              })));
            }

            return _context3.abrupt("return", promiseChain);

          case 3:
          case "end":
            return _context3.stop();
        }
      }
    }, _callee3);
  }));
  return _retry.apply(this, arguments);
}

function estimateTotalGasRequiredByUnsignedTransaction(_x5, _x6, _x7, _x8, _x9) {
  return _estimateTotalGasRequiredByUnsignedTransaction.apply(this, arguments);
}
/**
 * Create an unsigned transaction of a fillRelay contract call
 * @param spokePool The specific spokepool that will populate this tx
 * @param destinationTokenAddress A valid ERC20 token (system-wide default is UDSC)
 * @param simulatedRelayerAddress The relayer address that relays this transaction
 * @returns A populated (but unsigned) transaction that can be signed/sent or used for estimating gas costs
 */

function _estimateTotalGasRequiredByUnsignedTransaction() {
  _estimateTotalGasRequiredByUnsignedTransaction = _asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee4(unsignedTx, senderAddress, provider, gasMarkup, gasPrice) {
    var gasTotalMultiplier, network, voidSigner, populatedTransaction, gasPriceEstimate, estimatedGasUnits;
    return runtime_1.wrap(function _callee4$(_context4) {
      while (1) {
        switch (_context4.prev = _context4.next) {
          case 0:
            assert$1(gasMarkup > -1 && gasMarkup <= 4, "Require -1.0 < Gas Markup (" + gasMarkup + ") <= 4.0 for a total gas multiplier within (0, +5.0]");
            gasTotalMultiplier = toBNWei(1.0 + gasMarkup);
            _context4.next = 4;
            return provider.getNetwork();

          case 4:
            network = _context4.sent;
            // Served locally by StaticJsonRpcProvider.
            voidSigner = new ethers.VoidSigner(senderAddress, provider); // Optimism is a special case; gas cost is computed by the SDK, without having to query price.

            if (![10].includes(network.chainId)) {
              _context4.next = 15;
              break;
            }

            assert$1(l2Provider.isL2Provider(provider), "Unexpected provider for chain ID " + network.chainId + ".");
            assert$1(gasPrice === undefined, "Gas price (" + gasPrice + ") supplied for Optimism gas estimation (unused).");
            _context4.next = 11;
            return voidSigner.populateTransaction(unsignedTx);

          case 11:
            populatedTransaction = _context4.sent;
            _context4.next = 14;
            return provider.estimateTotalGasCost(populatedTransaction);

          case 14:
            return _context4.abrupt("return", _context4.sent.mul(gasTotalMultiplier).div(toBNWei(1)).toString());

          case 15:
            if (gasPrice) {
              _context4.next = 20;
              break;
            }

            _context4.next = 18;
            return getGasPriceEstimate(provider);

          case 18:
            gasPriceEstimate = _context4.sent;
            gasPrice = gasPriceEstimate.maxFeePerGas;

          case 20:
            _context4.next = 22;
            return voidSigner.estimateGas(unsignedTx);

          case 22:
            estimatedGasUnits = _context4.sent;
            return _context4.abrupt("return", ethers.BigNumber.from(gasPrice).mul(gasTotalMultiplier).mul(estimatedGasUnits).div(toBNWei(1)).toString());

          case 24:
          case "end":
            return _context4.stop();
        }
      }
    }, _callee4);
  }));
  return _estimateTotalGasRequiredByUnsignedTransaction.apply(this, arguments);
}

function createUnsignedFillRelayTransaction(_x10, _x11, _x12) {
  return _createUnsignedFillRelayTransaction.apply(this, arguments);
}
/**
 * NOTE: This function is buggy and fails sometimes. Use BlockFinder.getBlockForTimestamp
 * instead which is safer, albeit slower. This can be imported from @uma/financial-templates-lib.
 * BlockFinder finds the actual block for a timestamp, which causes it to run slower than this function
 * which approximates the target block number.
 *
 * Search back in time for the first block at or older than the desired lookback.
 *
 * The approach here is as below:
 * 1. We use the skip distances, which are meant to be a couple of hours or less for each chain.
 * 2. Fetch the first block one skip distance from the latest block. Check its timestamp to see how far back it is
 * relatively to the latest block.
 * 3. Use the implied block speed from the latest block to one skip distance earlier to approximate how many blocks
 * earlier we need to lookback to find a block older than the target block. This assumes that the block speed is roughly
 * constant from latest block until the target block.
 * 4. Check the timestamp again, if we still haven't achieved the desired look back, repeat steps 2-3 and go back
 * further. Otherwise, return the block number.
 *
 * This is only a rough estimate and can go back further than desired. However, this would minimize the number
 * of requests and is generally accurate unless the rate of block production has been very volatile over a
 * short period of time.
 *
 * @param provider A valid provider - will be used to find the block with desired lookback.
 * @param desiredLookback Desired lookback in seconds (e.g. 86400 seconds or 1 day).
 * @return The block number that's at or older than the desired lookback.
 */

function _createUnsignedFillRelayTransaction() {
  _createUnsignedFillRelayTransaction = _asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee5(spokePool, destinationTokenAddress, simulatedRelayerAddress) {
    return runtime_1.wrap(function _callee5$(_context5) {
      while (1) {
        switch (_context5.prev = _context5.next) {
          case 0:
            _context5.next = 2;
            return spokePool.populateTransaction.fillRelay("0xBb23Cd0210F878Ea4CcA50e9dC307fb0Ed65Cf6B", "0xBb23Cd0210F878Ea4CcA50e9dC307fb0Ed65Cf6B", destinationTokenAddress, "10", "10", "1", "1", "1", "1", "1", [], MAX_BIG_INT, {
              from: simulatedRelayerAddress
            });

          case 2:
            return _context5.abrupt("return", _context5.sent);

          case 3:
          case "end":
            return _context5.stop();
        }
      }
    }, _callee5);
  }));
  return _createUnsignedFillRelayTransaction.apply(this, arguments);
}

function findBlockAtOrOlder(_x13, _x14) {
  return _findBlockAtOrOlder.apply(this, arguments);
}
/**
 * Utility function to get EIP-712 compliant typed data that can be signed with the JSON-RPC method
 * `eth_signedTypedDataV4` in MetaMask (https://docs.metamask.io/guide/signing-data.html). The resulting signature
 * can then be used to call the method `speedUpDeposit` of a `SpokePool.sol` contract.
 * @param depositId The deposit ID to speed up.
 * @param originChainId The chain ID of the origin chain.
 * @param updatedRelayerFeePct The new relayer fee percentage.
 * @param updatedRecipient The new recipient address.
 * @param updatedMessage The new message that should be provided to the recipient.
 * @return EIP-712 compliant typed data.
 */

function _findBlockAtOrOlder() {
  _findBlockAtOrOlder = _asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee6(provider, desiredLookback) {
    var _yield$Promise$all, toBlock, network, toBlockTimestamp, desiredTimestamp, skipDistance, fromBlockNumber, fromBlock, fromBlockTimestamp, blockSpeed;

    return runtime_1.wrap(function _callee6$(_context6) {
      while (1) {
        switch (_context6.prev = _context6.next) {
          case 0:
            _context6.next = 2;
            return Promise.all([provider.getBlock("latest"), provider.getNetwork()]);

          case 2:
            _yield$Promise$all = _context6.sent;
            toBlock = _yield$Promise$all[0];
            network = _yield$Promise$all[1];
            toBlockTimestamp = toBlock.timestamp;
            desiredTimestamp = toBlockTimestamp - desiredLookback;
            assert$1(desiredTimestamp >= 0, "Desired lookback cannot be more than the current block timestamp");
            skipDistance = BlockScanSkipDistances[network.chainId];
            assert$1(skipDistance > 0, "Skip distance must be strictly positive");
            assert$1(skipDistance <= toBlockTimestamp, "Skip distance must be smaller than current block timestamp"); // Fetch the first block to get the block production speed estimate before proceeding further.

            fromBlockNumber = toBlock.number - skipDistance;
            _context6.next = 14;
            return provider.getBlock(fromBlockNumber);

          case 14:
            fromBlock = _context6.sent;
            fromBlockTimestamp = fromBlock.timestamp;

          case 16:
            if (!(fromBlockTimestamp > desiredTimestamp)) {
              _context6.next = 27;
              break;
            }

            // Calculate the block speed based on last block query and use it to calculate how many more blocks to go back
            // to find the block with desired timestamp.
            blockSpeed = skipDistance / (toBlockTimestamp - fromBlockTimestamp);
            skipDistance = Math.floor(blockSpeed * (fromBlockTimestamp - desiredTimestamp));
            fromBlockNumber -= skipDistance;
            _context6.next = 22;
            return provider.getBlock(fromBlockNumber);

          case 22:
            fromBlock = _context6.sent;
            // Set toBlock equal to current fromBlock and then decrement fromBlock
            toBlockTimestamp = fromBlockTimestamp;
            fromBlockTimestamp = fromBlock.timestamp;
            _context6.next = 16;
            break;

          case 27:
            return _context6.abrupt("return", fromBlockNumber);

          case 28:
          case "end":
            return _context6.stop();
        }
      }
    }, _callee6);
  }));
  return _findBlockAtOrOlder.apply(this, arguments);
}

function getUpdateDepositTypedData(depositId, originChainId, updatedRelayerFeePct, updatedRecipient, updatedMessage) {
  return {
    types: {
      UpdateDepositDetails: [{
        name: "depositId",
        type: "uint32"
      }, {
        name: "originChainId",
        type: "uint256"
      }, {
        name: "updatedRelayerFeePct",
        type: "int64"
      }, {
        name: "updatedRecipient",
        type: "address"
      }, {
        name: "updatedMessage",
        type: "bytes"
      }]
    },
    primaryType: "UpdateDepositDetails",
    domain: {
      name: "ACROSS-V2",
      version: "1.0.0",
      chainId: originChainId
    },
    message: {
      depositId: depositId,
      originChainId: originChainId,
      updatedRelayerFeePct: updatedRelayerFeePct,
      updatedRecipient: updatedRecipient,
      updatedMessage: updatedMessage
    }
  };
}
function randomAddress() {
  return ethers.ethers.utils.getAddress(ethers.ethers.utils.hexlify(ethers.ethers.utils.randomBytes(20)));
}

/**
 * Returns the last index of an array that matches the given predicate.
 * @note Emulates Array.prototype.findLastIndex
 * @param array The array to search.
 * @param predicate The predicate function to apply to each element.
 * @returns The last index of the array that matches the predicate, or -1 if no element matches.
 */
function findLastIndex(array, predicate) {
  for (var i = array.length - 1; i >= 0; i--) {
    if (predicate(array[i], i, array)) {
      return i;
    }
  }

  return -1;
}
/**
 * Returns the last element of an array that matches the given predicate.
 * @note Emulates Array.prototype.findLast
 * @param array The array to search.
 * @param predicate The predicate function to apply to each element.
 * @returns The last element of the array that matches the predicate, or undefined if no element matches.
 */

function findLast(array, predicate) {
  var index = findLastIndex(array, predicate);
  return index >= 0 ? array[index] : undefined;
}
/**
 * Performs an asynchronous filter operation on an array. This function behaves like Array.prototype.filter, but
 * accepts an asynchronous predicate function.
 * @param array The array to filter.
 * @param predicate The asynchronous predicate function to apply to each element.
 * @returns A promise that resolves to an array of elements that match the predicate.
 */

function filterAsync(_x, _x2) {
  return _filterAsync.apply(this, arguments);
}
/**
 * Performs an asynchronous map operation on an array. This function behaves like Array.prototype.map, but accepts an
 * asynchronous mapper function.
 * @param array The array to map.
 * @param mapper The asynchronous mapper function to apply to each element.
 * @returns A promise that resolves to an array of mapped elements.
 */

function _filterAsync() {
  _filterAsync = _asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee(array, predicate) {
    var results;
    return runtime_1.wrap(function _callee$(_context) {
      while (1) {
        switch (_context.prev = _context.next) {
          case 0:
            _context.next = 2;
            return Promise.all(array.map(predicate));

          case 2:
            results = _context.sent;
            return _context.abrupt("return", array.filter(function (_, index) {
              return results[index];
            }));

          case 4:
          case "end":
            return _context.stop();
        }
      }
    }, _callee);
  }));
  return _filterAsync.apply(this, arguments);
}

function mapAsync(_x3, _x4) {
  return _mapAsync.apply(this, arguments);
}
/**
 * Performs an asynchronous reduce operation on an array. This function behaves like Array.prototype.reduce, but
 * accepts an asynchronous reducer function.
 * @param array The array to reduce.
 * @param reducer The asynchronous reducer function to apply to each element.
 * @param initialValue The initial value of the accumulator.
 * @returns A promise that resolves to the final value of the accumulator.
 */

function _mapAsync() {
  _mapAsync = _asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee2(array, mapper) {
    return runtime_1.wrap(function _callee2$(_context2) {
      while (1) {
        switch (_context2.prev = _context2.next) {
          case 0:
            return _context2.abrupt("return", Promise.all(array.map(mapper)));

          case 1:
          case "end":
            return _context2.stop();
        }
      }
    }, _callee2);
  }));
  return _mapAsync.apply(this, arguments);
}

function reduceAsync(_x5, _x6, _x7) {
  return _reduceAsync.apply(this, arguments);
}
/**
 * Performs an asynchronous forEach operation on an array. This function behaves like Array.prototype.forEach, but
 * accepts an asynchronous callback function.
 * @param array The array to iterate over.
 * @param callback The asynchronous callback function to apply to each element.
 * @returns A promise that resolves to void.
 */

function _reduceAsync() {
  _reduceAsync = _asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee3(array, reducer, initialValue) {
    var accumulator, i;
    return runtime_1.wrap(function _callee3$(_context3) {
      while (1) {
        switch (_context3.prev = _context3.next) {
          case 0:
            accumulator = initialValue;
            i = 0;

          case 2:
            if (!(i < array.length)) {
              _context3.next = 9;
              break;
            }

            _context3.next = 5;
            return reducer(accumulator, array[i], i, array);

          case 5:
            accumulator = _context3.sent;

          case 6:
            i++;
            _context3.next = 2;
            break;

          case 9:
            return _context3.abrupt("return", accumulator);

          case 10:
          case "end":
            return _context3.stop();
        }
      }
    }, _callee3);
  }));
  return _reduceAsync.apply(this, arguments);
}

function forEachAsync(_x8, _x9) {
  return _forEachAsync.apply(this, arguments);
}
/**
 * Performs an asynchronous some operation on an array. This function behaves like Array.prototype.some, but accepts
 * an asynchronous predicate function.
 * @param array The array to search.
 * @param predicate The asynchronous predicate function to apply to each element.
 * @returns A promise that resolves to true if any element matches the predicate, or false if no element matches.
 */

function _forEachAsync() {
  _forEachAsync = _asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee4(array, callback) {
    return runtime_1.wrap(function _callee4$(_context4) {
      while (1) {
        switch (_context4.prev = _context4.next) {
          case 0:
            _context4.next = 2;
            return mapAsync(array, callback);

          case 2:
          case "end":
            return _context4.stop();
        }
      }
    }, _callee4);
  }));
  return _forEachAsync.apply(this, arguments);
}

function someAsync(_x10, _x11) {
  return _someAsync.apply(this, arguments);
}
/**
 * Performs an asynchronous every operation on an array. This function behaves like Array.prototype.every, but accepts
 * an asynchronous predicate function.
 * @param array The array to test.
 * @param predicate The asynchronous predicate function to apply to each element.
 * @returns A promise that resolves to true if all elements match the predicate, or false if any element does not match.
 * @note This function uses De Morgan's law to convert the predicate to a negated predicate, and then uses someAsync.
 *       This is done because it is more efficient to short-circuit on the first false value than the first true value.
 */

function _someAsync() {
  _someAsync = _asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee5(array, predicate) {
    var results;
    return runtime_1.wrap(function _callee5$(_context5) {
      while (1) {
        switch (_context5.prev = _context5.next) {
          case 0:
            _context5.next = 2;
            return mapAsync(array, predicate);

          case 2:
            results = _context5.sent;
            return _context5.abrupt("return", results.some(function (value) {
              return value;
            }));

          case 4:
          case "end":
            return _context5.stop();
        }
      }
    }, _callee5);
  }));
  return _someAsync.apply(this, arguments);
}

function everyAsync(_x12, _x13) {
  return _everyAsync.apply(this, arguments);
}
/**
 * Performs an asynchronous includes operation on an array. This function behaves like Array.prototype.includes, but
 * accepts an asynchronous predicate function.
 * @param array The array to search.
 * @param predicate The asynchronous predicate function to apply to each element.
 * @returns A promise that resolves to true if any element matches the predicate, or false if no element matches.
 * @note This function uses someAsync.
 */

function _everyAsync() {
  _everyAsync = _asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee7(array, predicate) {
    return runtime_1.wrap(function _callee7$(_context7) {
      while (1) {
        switch (_context7.prev = _context7.next) {
          case 0:
            _context7.next = 2;
            return someAsync(array, /*#__PURE__*/function () {
              var _ref = _asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee6(value, index, obj) {
                return runtime_1.wrap(function _callee6$(_context6) {
                  while (1) {
                    switch (_context6.prev = _context6.next) {
                      case 0:
                        _context6.next = 2;
                        return predicate(value, index, obj);

                      case 2:
                        return _context6.abrupt("return", !_context6.sent);

                      case 3:
                      case "end":
                        return _context6.stop();
                    }
                  }
                }, _callee6);
              }));

              return function (_x16, _x17, _x18) {
                return _ref.apply(this, arguments);
              };
            }());

          case 2:
            return _context7.abrupt("return", !_context7.sent);

          case 3:
          case "end":
            return _context7.stop();
        }
      }
    }, _callee7);
  }));
  return _everyAsync.apply(this, arguments);
}

function includesAsync(_x14, _x15) {
  return _includesAsync.apply(this, arguments);
}
/**
 * A generic type guard for arrays of a specific type.
 * @param array The array to test.
 * @param predicate The type guard predicate function to apply to each element.
 * @returns True if the array is an array of the specified type, or false otherwise.
 * @note This function uses Array.prototype.every.
 */

function _includesAsync() {
  _includesAsync = _asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee8(array, predicate) {
    return runtime_1.wrap(function _callee8$(_context8) {
      while (1) {
        switch (_context8.prev = _context8.next) {
          case 0:
            return _context8.abrupt("return", someAsync(array, predicate));

          case 1:
          case "end":
            return _context8.stop();
        }
      }
    }, _callee8);
  }));
  return _includesAsync.apply(this, arguments);
}

function isArrayOf(array, predicate) {
  return Array.isArray(array) && array.every(predicate);
}

var maxRetries = 3;
var retrySleepTime = 10; // eslint-disable-next-line @typescript-eslint/no-explicit-any

function spreadEvent(args) {
  if (args === void 0) {
    args = {};
  }

  var keys = Object.keys(args).filter(function (key) {
    return isNaN(+key);
  }); // Extract non-numeric keys.
  // eslint-disable-next-line @typescript-eslint/no-explicit-any

  var returnedObject = {};
  keys.forEach(function (key) {
    switch (typeof args[key]) {
      case "boolean": // fallthrough

      case "number":
      case "string":
        returnedObject[key] = args[key];
        break;

      case "object":
        if (Array.isArray(args[key])) {
          returnedObject[key] = Object.keys(args[key].filter(function (key) {
            return isNaN(+key);
          })).length > 0 ? spreadEvent(args[key]) // Record/array hybrid...
          : args[key]; // Just an array
        } else {
          returnedObject[key] = args[key];
        }

        break;
    }
  }); // ID information, if included in an event, should be cast to a number rather than a BigNumber.

  if (returnedObject.groupIndex) {
    returnedObject.groupIndex = Number(returnedObject.groupIndex);
  }

  if (returnedObject.leafId) {
    returnedObject.leafId = Number(returnedObject.leafId);
  }

  if (returnedObject.chainId) {
    returnedObject.chainId = Number(returnedObject.chainId);
  }

  if (returnedObject.destinationChainId) {
    returnedObject.destinationChainId = Number(returnedObject.destinationChainId);
  }

  if (returnedObject.originChainId) {
    returnedObject.originChainId = Number(returnedObject.originChainId);
  }

  if (returnedObject.repaymentChainId) {
    returnedObject.repaymentChainId = Number(returnedObject.repaymentChainId);
  }

  if (returnedObject.l2ChainId) {
    returnedObject.l2ChainId = Number(returnedObject.l2ChainId);
  }

  if (returnedObject.rootBundleId) {
    returnedObject.rootBundleId = Number(returnedObject.rootBundleId);
  }

  return returnedObject;
}
function paginatedEventQuery(_x, _x2, _x3, _x4) {
  return _paginatedEventQuery.apply(this, arguments);
}
/**
 * @dev Warning: this is a specialized function!! Its functionality is not obvious.
 * This function attempts to return block ranges to repeat ranges as much as possible. To do so, it may include blocks that
 * are outside the provided range. The guarantee is that it will always include _at least_ the blocks requested.
 * @param eventSearchConfig contains fromBlock, toBlock, and maxBlockLookBack.
 * The range is inclusive, so the results will include events in the fromBlock and in the toBlock.
 * maxBlockLookback defined the maximum number of blocks to search. Because the range is inclusive, the maximum diff
 * in the returned pairs is maxBlockLookBack - 1. This is a bit non-intuitive here, but this is meant so that this
 * parameter more closely aligns with the more commonly understood definition of a max query range that node providers
 * use.
 * @returns an array of disjoint fromBlock, toBlock ranges that should be queried. These cover at least the entire
 * input range, but can include blocks outside of the desired range, so results should be filtered. Results
 * are ordered from smallest to largest.
 */

function _paginatedEventQuery() {
  _paginatedEventQuery = _asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee(contract, filter, searchConfig, retryCount) {
    var paginatedRanges;
    return runtime_1.wrap(function _callee$(_context) {
      while (1) {
        switch (_context.prev = _context.next) {
          case 0:
            if (retryCount === void 0) {
              retryCount = 0;
            }

            if (!(searchConfig.maxBlockLookBack === 0)) {
              _context.next = 5;
              break;
            }

            _context.next = 4;
            return contract.queryFilter(filter, searchConfig.fromBlock, searchConfig.toBlock);

          case 4:
            return _context.abrupt("return", _context.sent);

          case 5:
            // Compute the number of queries needed. If there is no maxBlockLookBack set then we can execute the whole query in
            // one go. Else, the number of queries is the range over which we are searching, divided by the maxBlockLookBack,
            // rounded up. This gives us the number of queries we need to execute to traverse the whole block range.
            paginatedRanges = getPaginatedBlockRanges(searchConfig);
            _context.prev = 6;
            _context.next = 9;
            return Promise.all(paginatedRanges.map(function (_ref2) {
              var fromBlock = _ref2[0],
                  toBlock = _ref2[1];
              return contract.queryFilter(filter, fromBlock, toBlock);
            }));

          case 9:
            return _context.abrupt("return", _context.sent.flat().filter(function (event) {
              return event.blockNumber >= searchConfig.fromBlock && event.blockNumber <= searchConfig.toBlock;
            }));

          case 12:
            _context.prev = 12;
            _context.t0 = _context["catch"](6);

            if (!(retryCount < maxRetries)) {
              _context.next = 22;
              break;
            }

            _context.next = 17;
            return delay(retrySleepTime);

          case 17:
            _context.next = 19;
            return paginatedEventQuery(contract, filter, searchConfig, retryCount + 1);

          case 19:
            return _context.abrupt("return", _context.sent);

          case 22:
            throw _context.t0;

          case 23:
          case "end":
            return _context.stop();
        }
      }
    }, _callee, null, [[6, 12]]);
  }));
  return _paginatedEventQuery.apply(this, arguments);
}

function getPaginatedBlockRanges(_ref) {
  var fromBlock = _ref.fromBlock,
      toBlock = _ref.toBlock,
      maxBlockLookBack = _ref.maxBlockLookBack;

  // If the maxBlockLookBack is undefined, we can look back as far as we like. Just return the entire range.
  if (maxBlockLookBack === undefined) {
    return [[fromBlock, toBlock]];
  } // If the fromBlock is > toBlock, then return no ranges.


  if (fromBlock > toBlock) {
    return [];
  } // A maxBlockLookBack of 0 is not allowed.


  if (maxBlockLookBack <= 0) {
    throw new Error("Cannot set maxBlockLookBack <= 0");
  } // Floor the requestedFromBlock to the nearest smaller multiple of the maxBlockLookBack to enhance caching.
  // This means that a range like 5 - 45 with a maxBlockLookBack of 20 would look like:
  // 0-19, 20-39, 40-45.
  // This allows us to get the max number of repeated node queries. The maximum number of "nonstandard" queries per
  // call of this function is 1.


  var flooredStartBlock = Math.floor(fromBlock / maxBlockLookBack) * maxBlockLookBack; // Note: range is inclusive, so we have to add one to the number of blocks to query.

  var iterations = Math.ceil((toBlock + 1 - flooredStartBlock) / maxBlockLookBack);
  var ranges = [];

  for (var i = 0; i < iterations; i++) {
    // Each inner range start is just a multiple of the maxBlockLookBack added to the start block.
    var innerFromBlock = flooredStartBlock + maxBlockLookBack * i; // The innerFromBlock is just the max range from the innerFromBlock or the outer toBlock, whichever is smaller.
    // The end block should never be larger than the outer toBlock. This is to avoid querying blocks that are in the
    // future.

    var innerToBlock = Math.min(innerFromBlock + maxBlockLookBack - 1, toBlock);
    ranges.push([innerFromBlock, innerToBlock]);
  }

  return ranges;
}
function spreadEventWithBlockNumber(event) {
  return _extends({}, spreadEvent(event.args), {
    blockNumber: event.blockNumber,
    transactionIndex: event.transactionIndex,
    logIndex: event.logIndex,
    transactionHash: event.transactionHash
  });
} // This copies the array and sorts it, returning a new array with the new ordering.

function sortEventsAscending(events) {
  return sortEventsAscendingInPlace([].concat(events));
} // This sorts the events in place, meaning it modifies the passed array and returns a reference to the same array.
// Note: this method should only be used in cases where modifications are acceptable.

function sortEventsAscendingInPlace(events) {
  return events.sort(function (ex, ey) {
    if (ex.blockNumber !== ey.blockNumber) {
      return ex.blockNumber - ey.blockNumber;
    }

    if (ex.transactionIndex !== ey.transactionIndex) {
      return ex.transactionIndex - ey.transactionIndex;
    }

    return ex.logIndex - ey.logIndex;
  });
} // This copies the array and sorts it, returning a new array with the new ordering.

function sortEventsDescending(events) {
  return sortEventsDescendingInPlace([].concat(events));
} // This sorts the events in place, meaning it modifies the passed array and returns a reference to the same array.
// Note: this method should only be used in cases where modifications are acceptable.

function sortEventsDescendingInPlace(events) {
  return events.sort(function (ex, ey) {
    if (ex.blockNumber !== ey.blockNumber) {
      return ey.blockNumber - ex.blockNumber;
    }

    if (ex.transactionIndex !== ey.transactionIndex) {
      return ey.transactionIndex - ex.transactionIndex;
    }

    return ey.logIndex - ex.logIndex;
  });
} // Returns true if ex is older than ey.

function isEventOlder(ex, ey) {
  if (ex.blockNumber !== ey.blockNumber) {
    return ex.blockNumber < ey.blockNumber;
  }

  if (ex.transactionIndex !== ey.transactionIndex) {
    return ex.transactionIndex < ey.transactionIndex;
  }

  return ex.logIndex < ey.logIndex;
}
function getTransactionHashes(events) {
  return [].concat(Array.from(new Set(events.map(function (e) {
    return e.transactionHash;
  }))));
}

/* eslint-disable @typescript-eslint/explicit-module-boundary-types */

/* eslint-disable @typescript-eslint/no-explicit-any */
// Append value along the keyPath to object. For example assign(deposits, ['1337', '31337'], [{depositId:1}]) will create
// deposits = {1337:{31337:[{depositId:1}]}}. Note that if the path into the object exists then this will append. This
// function respects the destination type; if it is an object then deep merge and if an array effectively will push.
function assign(obj, keyPath, value) {
  var lastKeyIndex = keyPath.length - 1;

  for (var i = 0; i < lastKeyIndex; ++i) {
    var key = keyPath[i];

    if (!(key in obj)) {
      obj[key] = {};
    }

    obj = obj[key];
  } // If the object at the deep path does not exist then set to the value.


  if (!obj[keyPath[lastKeyIndex]] || typeof obj[keyPath[lastKeyIndex]] == "string") {
    obj[keyPath[lastKeyIndex]] = value;
  } // If the object at the deep path is an array then append array wise.
  else if (Array.isArray(value)) {
    obj[keyPath[lastKeyIndex]] = [].concat(obj[keyPath[lastKeyIndex]], value);
  } // If the value is false bool then set to false. This special case is needed as {...false} = {} which causes issues.
  else if (value === false) {
    obj[keyPath[lastKeyIndex]] = false;
  } // If the object at the deep path is an object then append object wise.
  else {
    obj[keyPath[lastKeyIndex]] = _extends({}, obj[keyPath[lastKeyIndex]], value);
  }
} // Refactor to be more generalized with N props

function groupObjectCountsByThreeProps(objects, primaryProp, secondaryProp, tertiaryProp) {
  return objects.reduce(function (result, obj) {
    var _result$obj$primaryPr, _result$obj$primaryPr2;

    result[obj[primaryProp]] = (_result$obj$primaryPr = result[obj[primaryProp]]) != null ? _result$obj$primaryPr : {};
    result[obj[primaryProp]][obj[secondaryProp]] = (_result$obj$primaryPr2 = result[obj[primaryProp]][obj[secondaryProp]]) != null ? _result$obj$primaryPr2 : {};
    var existingCount = result[obj[primaryProp]][obj[secondaryProp]][obj[tertiaryProp]];
    result[obj[primaryProp]][obj[secondaryProp]][obj[tertiaryProp]] = existingCount === undefined ? 1 : existingCount + 1;
    return result;
  }, {});
}
function groupObjectCountsByTwoProps(objects, primaryProp, getSecondaryProp) {
  return objects.reduce(function (result, obj) {
    var _result$obj$primaryPr3;

    result[obj[primaryProp]] = (_result$obj$primaryPr3 = result[obj[primaryProp]]) != null ? _result$obj$primaryPr3 : {};
    var existingCount = result[obj[primaryProp]][getSecondaryProp(obj)];
    result[obj[primaryProp]][getSecondaryProp(obj)] = existingCount === undefined ? 1 : existingCount + 1;
    return result;
  }, {});
}
function groupObjectCountsByProp(objects, getProp) {
  return objects.reduce(function (result, obj) {
    var existingCount = result[getProp(obj)];
    result[getProp(obj)] = existingCount === undefined ? 1 : existingCount + 1;
    return result;
  }, {});
}

/**
 * Get time in same unit (seconds) as on-chain block timestamps.
 * @returns The current time in seconds
 */
function getCurrentTime() {
  return Math.round(Date.now().valueOf() / 1000);
}

var ZERO_ADDRESS = ethers.constants.AddressZero; // 2^96 - 1 is a conservative erc20 max allowance.
var MAX_SAFE_ALLOWANCE = "79228162514264337593543950335";
var SECONDS_PER_YEAR = 31557600; // 365.25 days per year.

/**
 * This is the protocol default chain Id for the hub pool.
 */

var HUBPOOL_CHAIN_ID = 1;
/**
 * A default list of chain Ids that the protocol supports. This is outlined
 * in the UMIP (https://github.com/UMAprotocol/UMIPs/pull/590) and is used
 * to determine which chain Ids are supported by the protocol. As time progresses,
 * new chain Ids will be available in the Across ConfigStore contract, but
 * this list serves as a baseline set of chain Ids that the protocol supports
 * before the dynamic config store was introduced.
 */

var PROTOCOL_DEFAULT_CHAIN_ID_INDICES = [1, 10, 137, 288, 42161];
var PUBLIC_NETWORKS = {
  1: {
    name: "mainnet",
    etherscan: "https://etherscan.io"
  },
  5: {
    name: "goerli",
    etherscan: "https://goerli.etherscan.io"
  },
  10: {
    name: "optimism",
    etherscan: "https://optimistic.etherscan.io"
  },
  137: {
    name: "polygon-matic",
    etherscan: "https://polygonscan.com"
  },
  324: {
    name: "zksync",
    etherscan: "https://explorer.zksync.io"
  },
  8453: {
    name: "base",
    etherscan: "https://basescan.org"
  },
  42161: {
    name: "arbitrum",
    etherscan: "https://arbiscan.io"
  },
  43114: {
    name: "avalanche",
    etherscan: "https://snowtrace.io"
  },
  84531: {
    name: "base-goerli",
    etherscan: "https://basescan.org"
  },
  421613: {
    name: "arbitrum-goerli",
    etherscan: "https://goerli.arbiscan.io"
  }
};
var DEFAULT_BLOCKCHAIN_EXPLORER_DOMAIN = "https://etherscan.io";
var DEFAULT_CACHING_TTL = 60 * 60 * 24 * 7 * 2; // 2 Weeks

var UBA_BOUNDS_RANGE_MAX = /*#__PURE__*/ethers.BigNumber.from(String(Number.MAX_SAFE_INTEGER)).mul( /*#__PURE__*/ethers.utils.parseEther("1.0"));
var UBA_BOUNDS_RANGE_MIN = /*#__PURE__*/UBA_BOUNDS_RANGE_MAX.mul(-1);

var constants = {
  __proto__: null,
  ZERO_ADDRESS: ZERO_ADDRESS,
  MAX_SAFE_ALLOWANCE: MAX_SAFE_ALLOWANCE,
  SECONDS_PER_YEAR: SECONDS_PER_YEAR,
  HUBPOOL_CHAIN_ID: HUBPOOL_CHAIN_ID,
  PROTOCOL_DEFAULT_CHAIN_ID_INDICES: PROTOCOL_DEFAULT_CHAIN_ID_INDICES,
  PUBLIC_NETWORKS: PUBLIC_NETWORKS,
  DEFAULT_BLOCKCHAIN_EXPLORER_DOMAIN: DEFAULT_BLOCKCHAIN_EXPLORER_DOMAIN,
  DEFAULT_CACHING_TTL: DEFAULT_CACHING_TTL,
  UBA_BOUNDS_RANGE_MAX: UBA_BOUNDS_RANGE_MAX,
  UBA_BOUNDS_RANGE_MIN: UBA_BOUNDS_RANGE_MIN,
  CHAIN_IDs: constants$1.CHAIN_IDs,
  TOKEN_SYMBOLS_MAP: constants$1.TOKEN_SYMBOLS_MAP
};

/**
 * This file re-exports some of the typechain bindings so that they can be tree-shaken in the final frontend bundle.
 * Currently, the packages `@across-protocol/contracts-v2` and `@across-protocol/across-token` are not optimized for tree-shaking
 * and contain modules that are not compatible in a browser environment. This is a temporary solution until we can fix the issue upstream.
 */

var typechain = {
  __proto__: null,
  AcrossMerkleDistributor__factory: AcrossMerkleDistributor__factory.AcrossMerkleDistributor__factory,
  AcrossConfigStore__factory: AcrossConfigStore__factory.AcrossConfigStore__factory,
  HubPool__factory: HubPool__factory.HubPool__factory,
  SpokePool__factory: SpokePool__factory.SpokePool__factory,
  ERC20__factory: ERC20__factory.ERC20__factory,
  AcceleratingDistributor__factory: AcceleratingDistributor__factory.AcceleratingDistributor__factory,
  ClaimAndStake__factory: ClaimAndStake__factory.ClaimAndStake__factory,
  MerkleDistributor__factory: MerkleDistributor__factory.MerkleDistributor__factory
};

var TOKEN_SYMBOLS_MAP = constants$1.TOKEN_SYMBOLS_MAP,
    CHAIN_IDs = constants$1.CHAIN_IDs;
function fetchTokenInfo(_x, _x2) {
  return _fetchTokenInfo.apply(this, arguments);
}

function _fetchTokenInfo() {
  _fetchTokenInfo = _asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee(address, signerOrProvider) {
    var token, _yield$Promise$all, symbol, decimals;

    return runtime_1.wrap(function _callee$(_context) {
      while (1) {
        switch (_context.prev = _context.next) {
          case 0:
            token = new ethers.Contract(address, ERC20__factory.ERC20__factory.abi, signerOrProvider);
            _context.next = 3;
            return Promise.all([token.symbol(), token.decimals()]);

          case 3:
            _yield$Promise$all = _context.sent;
            symbol = _yield$Promise$all[0];
            decimals = _yield$Promise$all[1];
            return _context.abrupt("return", {
              address: address,
              symbol: symbol,
              decimals: decimals
            });

          case 7:
          case "end":
            return _context.stop();
        }
      }
    }, _callee);
  }));
  return _fetchTokenInfo.apply(this, arguments);
}

var getL2TokenAddresses = function getL2TokenAddresses(l1TokenAddress) {
  var _Object$values$find;

  return (_Object$values$find = Object.values(TOKEN_SYMBOLS_MAP).find(function (details) {
    return details.addresses[CHAIN_IDs.MAINNET] === l1TokenAddress;
  })) == null ? void 0 : _Object$values$find.addresses;
};

function formattedLog(logger, _ref) {
  var level = _ref.level,
      message = _ref.message,
      _ref$at = _ref.at,
      location = _ref$at.location,
      fnName = _ref$at["function"],
      data = _ref.data;

  if (logger) {
    logger[level](_extends({
      at: location + "#" + fnName,
      message: message
    }, data));
  }
}
/**
 * Asserts the truth of a condition. If the condition is false, an error is thrown with the provided message.
 * @param condition The condition to assert.
 * @param message The message to throw if the condition is false.
 * @throws Error if the condition is false.
 */

function assert(condition, message) {
  if (!condition) {
    throw new Error(message);
  }
}

var isUbaInflow = function isUbaInflow(flow) {
  return (flow == null ? void 0 : flow.quoteTimestamp) !== undefined;
};
var isUbaOutflow = function isUbaOutflow(flow) {
  return !isUbaInflow(flow) && (outflowIsFill(flow) || outflowIsRefund(flow));
};
var outflowIsFill = function outflowIsFill(outflow) {
  return (outflow == null ? void 0 : outflow.updatableRelayData) !== undefined;
};
var outflowIsRefund = function outflowIsRefund(outflow) {
  return (outflow == null ? void 0 : outflow.fillBlock) !== undefined;
};



var index$1 = {
  __proto__: null,
  isUbaInflow: isUbaInflow,
  isUbaOutflow: isUbaOutflow,
  outflowIsFill: outflowIsFill,
  outflowIsRefund: outflowIsRefund
};

var FILL_DEPOSIT_COMPARISON_KEYS = ["amount", "originChainId", "relayerFeePct", "realizedLpFeePct", "depositId", "depositor", "recipient", "destinationChainId", "destinationToken", "message"];
function getTokenSymbolForFlow(flow, chainId, hubPoolClient) {
  var tokenSymbol;

  if (isUbaInflow(flow)) {
    var _hubPoolClient$getTok;

    if (chainId !== flow.originChainId) {
      throw new Error("ChainId mismatch on chain " + flow.originChainId + " deposit " + flow.depositId + " (" + chainId + " != " + flow.originChainId + ")");
    }

    tokenSymbol = (_hubPoolClient$getTok = hubPoolClient.getTokenInfo(flow.originChainId, flow.originToken)) == null ? void 0 : _hubPoolClient$getTok.symbol;
  } else if (outflowIsFill(flow)) {
    var _hubPoolClient$getTok2;

    if (chainId !== flow.destinationChainId) {
      throw new Error("ChainId mismatch on chain " + flow.destinationChainId + " fill for chain " + flow.originChainId + " deposit " + flow.depositId + " (" + chainId + " != " + flow.destinationChainId + ")");
    }

    tokenSymbol = (_hubPoolClient$getTok2 = hubPoolClient.getTokenInfo(flow.destinationChainId, flow.destinationToken)) == null ? void 0 : _hubPoolClient$getTok2.symbol;
  } else if (chainId !== flow.repaymentChainId) {
    var _hubPoolClient$getTok3;

    if (chainId !== flow.repaymentChainId) {
      throw new Error("ChainId mismatch on chain " + flow.repaymentChainId + " for chain " + flow.originChainId + " deposit " + flow.depositId + " (" + chainId + " != " + flow.repaymentChainId + ")");
    }

    tokenSymbol = (_hubPoolClient$getTok3 = hubPoolClient.getTokenInfo(flow.repaymentChainId, flow.refundToken)) == null ? void 0 : _hubPoolClient$getTok3.symbol;
  }

  return tokenSymbol;
}
function filledSameDeposit(fillA, fillB) {
  return fillA.depositId === fillB.depositId && fillA.originChainId === fillB.originChainId && fillA.amount.eq(fillB.amount) && fillA.destinationChainId === fillB.destinationChainId && fillA.relayerFeePct.eq(fillB.relayerFeePct) && fillA.recipient === fillB.recipient && fillA.depositor === fillB.depositor;
} // Ensure that each deposit element is included with the same value in the fill. This includes all elements defined
// by the depositor as well as the realizedLpFeePct and the destinationToken, which are pulled from other clients.

function validateFillForDeposit(fill, deposit, fillFieldsToIgnore) {
  if (fillFieldsToIgnore === void 0) {
    fillFieldsToIgnore = [];
  }

  if (deposit === undefined) {
    return false;
  } // Note: this short circuits when a key is found where the comparison doesn't match.
  // TODO: if we turn on "strict" in the tsconfig, the elements of FILL_DEPOSIT_COMPARISON_KEYS will be automatically
  // validated against the fields in Fill and Deposit, generating an error if there is a discrepency.


  return FILL_DEPOSIT_COMPARISON_KEYS.every(function (key) {
    var _deposit$key;

    if (fillFieldsToIgnore.includes(key)) {
      return true;
    }

    return fill[key] !== undefined && fill[key].toString() === ((_deposit$key = deposit[key]) == null ? void 0 : _deposit$key.toString());
  });
}

// Lowest ConfigStore version where the UBA model is in effect.
var UBA_MIN_CONFIG_STORE_VERSION = 20;
function isUBA(version) {
  return version >= UBA_MIN_CONFIG_STORE_VERSION;
}

/**
 * Return block number for `chain` in `bundleEvaluationBlockNumbers` using the mapping
 * in `chainIdListForBundleEvaluationBlockNumbers` to figure out which index in `bundleEvaluationBlockNumbers`
 * the block for `chain` is
 * @param bundleEvaluationBlockNumbers Usually, the bundle end blocks proposed in a root bundle.
 * @param chain The chain to look up block for
 * @param chainIdListForBundleEvaluationBlockNumbers The hardcoded sequence of chain IDs. For example:
 * [1, 10, 137, 288, 42161] implies that if we're looking for the block for chain 137, it's at index 2 in
 * `bundleEvaluationBlockNumbers`.
 * @returns The block for `chain` in `bundleEvaluationBlockNumbers`.
 */
function getBlockForChain(bundleEvaluationBlockNumbers, chain, chainIdListForBundleEvaluationBlockNumbers) {
  var indexForChain = chainIdListForBundleEvaluationBlockNumbers.indexOf(chain);

  if (indexForChain === -1) {
    throw new Error("Could not find chain " + chain + " in chain ID list " + chainIdListForBundleEvaluationBlockNumbers);
  }

  var blockForChain = bundleEvaluationBlockNumbers[indexForChain];

  if (blockForChain === undefined) {
    throw new Error("Invalid block range for chain " + chain);
  }

  return blockForChain;
}
/**
 * Similar concept as `getBlockForChain`, but returns the block range for `chain` in `blockRanges`.
 * @param blockRanges
 * @param chain
 * @param chainIdListForBundleEvaluationBlockNumbers
 * @returns
 */

function getBlockRangeForChain(blockRanges, chain, chainIdListForBundleEvaluationBlockNumbers) {
  var indexForChain = chainIdListForBundleEvaluationBlockNumbers.indexOf(chain);

  if (indexForChain === -1) {
    throw new Error("Could not find chain " + chain + " in chain ID list " + chainIdListForBundleEvaluationBlockNumbers);
  }

  var blockRangeForChain = blockRanges[indexForChain];

  if (!blockRangeForChain || blockRangeForChain.length !== 2) {
    throw new Error("Invalid block range for chain " + chain);
  }

  return blockRangeForChain;
}
/**
 * Return bundle block range for `rootBundle` whose bundle end blocks were included in the proposal.
 * This amounts to reconstructing the bundle range start block.
 * @param rootBundle Root bundle to return bundle block range for
 * @returns blockRanges: number[][], [[startBlock, endBlock], [startBlock, endBlock], ...]
 */

function getImpliedBundleBlockRanges(hubPoolClient, configStoreClient, rootBundle) {
  var _prevRootBundle$bundl;

  var prevRootBundle = hubPoolClient.getLatestFullyExecutedRootBundle(rootBundle.blockNumber); // If chain is disabled for this bundle block range, end block should be same as previous bundle.
  // Otherwise the range should be previous bundle's endBlock + 1 to current bundle's end block.
  // Get enabled chains at the mainnet start block of the current root bundle.
  // We'll check each chain represented in the bundleEvaluationBlockNumbers to see if it's enabled and
  // use that to determine the implied block range.

  var mainnetStartBlock = (_prevRootBundle$bundl = prevRootBundle == null ? void 0 : prevRootBundle.bundleEvaluationBlockNumbers[0].toNumber()) != null ? _prevRootBundle$bundl : 0;
  var enabledChainsAtMainnetStartBlock = configStoreClient.getEnabledChains(mainnetStartBlock); // Load all chain indices in order to map bundle evaluation block numbers to enabled chains list.

  var chainIdIndices = configStoreClient.getChainIdIndicesForBlock(rootBundle.blockNumber);
  var result = rootBundle.bundleEvaluationBlockNumbers.map(function (endBlock, i) {
    var _prevRootBundle$bundl2;

    var fromBlock = prevRootBundle != null && (_prevRootBundle$bundl2 = prevRootBundle.bundleEvaluationBlockNumbers) != null && _prevRootBundle$bundl2[i] ? prevRootBundle.bundleEvaluationBlockNumbers[i].toNumber() + 1 : 0;
    var chainId = chainIdIndices[i];

    if (!enabledChainsAtMainnetStartBlock.includes(chainId)) {
      return [endBlock.toNumber(), endBlock.toNumber()];
    }

    return [fromBlock, endBlock.toNumber()];
  }); // Lastly, sanity check the results to catch errors early:
  // 1. If the chain is enabled, the start block should be strictly less than to the end block.
  // 2. If the chain is disabled, the start block should be equal to the end block.

  result.forEach(function (_ref, i) {
    var start = _ref[0],
        end = _ref[1];
    var chainId = chainIdIndices[i];

    if (enabledChainsAtMainnetStartBlock.includes(chainId)) {
      if (start >= end) {
        throw new Error("Invalid block range for enabled chain " + chainId + ": start block " + start + " is greater than or equal to end block " + end);
      }
    } else {
      if (start !== end) {
        throw new Error("Invalid block range for disabled chain " + chainId + ": start block " + start + " is not equal to end block " + end);
      }
    }
  });
  return result;
} // Return true if we won't be able to construct a root bundle for the bundle block ranges ("blockRanges") because
// the bundle wants to look up data for events that weren't in the spoke pool client's search range.

function blockRangesAreInvalidForSpokeClients(spokePoolClients, blockRanges, chainIdListForBundleEvaluationBlockNumbers) {
  return blockRanges.some(function (_ref2, index) {
    var _spokePoolClients$cha;

    var start = _ref2[0],
        end = _ref2[1];
    var chainId = chainIdListForBundleEvaluationBlockNumbers[index];

    if (isNaN(end) || isNaN(start)) {
      return true;
    } // If block range is 0 then chain is disabled, we don't need to query events for this chain.


    if (end === start) {
      return false;
    } // If spoke pool client doesn't exist for enabled chain then we clearly cannot query events for this chain.


    if (spokePoolClients[chainId] === undefined) {
      return true;
    }

    var clientLastBlockQueried = (_spokePoolClients$cha = spokePoolClients[chainId].eventSearchConfig.toBlock) != null ? _spokePoolClients$cha : spokePoolClients[chainId].latestBlockNumber; // Note: Math.max the from block with the deployment block of the spoke pool to handle the edge case for the first
    // bundle that set its start blocks equal 0.

    var bundleRangeFromBlock = Math.max(spokePoolClients[chainId].deploymentBlock, start);
    var earliestSpokePoolClientBlockSearched = spokePoolClients[chainId].eventSearchConfig.fromBlock;
    return bundleRangeFromBlock < earliestSpokePoolClientBlockSearched || end > clientLastBlockQueried;
  });
}

/**
 * This function converts a JSON string into a JSON object. The caveat is that if
 * the parser detects a number, it will convert it to a string and floor it to
 * an integer. This function will not throw but instead return an undefined value
 * if the JSON string is invalid.
 * @param jsonString The JSON string to parse
 * @returns The parsed JSON object or undefined if the JSON string is invalid
 */

function parseJSONWithNumericString(jsonString) {
  try {
    return JSON.parse(jsonString, function (_key, value) {
      if (typeof value === "number") {
        return String(Math.floor(value));
      }

      return value;
    });
  } catch (e) {
    return undefined;
  }
}
/**
 * This function converts an object into a JSON string. The caveat is that if
 * the parser detects a BigNumber or BN, it will convert it to a string.
 * @param obj The object to stringify
 * @returns The stringified JSON object
 * @throws Error if the object cannot be stringified
 */

function stringifyJSONWithNumericString(obj) {
  return JSON.stringify(obj, function (_key, value) {
    if (typeof value === "object" && value !== null && value.type === "BigNumber") {
      return ethers.BigNumber.from(value).toString();
    }

    return value;
  });
}
/**
 * A replacer for use in `JSON.stringify` that converts big numbers to numeric strings.
 * @param _key Unused
 * @param value The value to convert
 * @returns The converted value
 */

function jsonReplacerWithBigNumbers(_key, value) {
  // We need to check if this is a big number, because the JSON parser
  // is not aware of BigNumbers and will convert them to the string representation
  // of the object itself which is not what we want.
  if (ethers.BigNumber.isBigNumber(value)) {
    return value.toString();
  }

  return value;
}
/**
 * A reviver for use in `JSON.parse` that converts numeric strings to big numbers.
 * @param _key Unused
 * @param value The value to convert
 * @returns The converted value
 */

function jsonReviverWithBigNumbers(_key, value) {
  // We need to check for both strings and big numbers, because the JSON parser
  // is not aware of BigNumbers.
  if (typeof value === "string" && /^-?\d+$/.test(value)) {
    var bigNumber = ethers.BigNumber.from(value);

    if (bigNumber.toString() === value) {
      return bigNumber;
    }
  }

  return value;
}

/**
 * Build an IPFS client for interacting with the IPFS API
 * @param APIKey The project ID
 * @param secretAPIKey The project secret
 * @returns An IPFS client for interacting with Pinata
 */

function buildIPFSClient(APIKey, secretAPIKey) {
  return new PinataClient(APIKey, secretAPIKey);
}
/**
 * Retrieves a value from an IPFS gateway
 * @param contentHash The content hash of the value to retrieve
 * @param publicGatewayURL The URL of the public IPFS gateway to use
 * @returns The value retrieved from the IPFS gateway
 * @throws Error if the value could not be retrieved
 */

function retrieveValueFromIPFS(_x, _x2) {
  return _retrieveValueFromIPFS.apply(this, arguments);
}
/**
 * Pins a value to the IPFS network
 * @param key A key to use for pinning the value. This is a metadata field.
 * @param content The value to pin
 * @param client The IPFS client to use
 * @returns The content hash of the pinned value
 */

function _retrieveValueFromIPFS() {
  _retrieveValueFromIPFS = _asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee(contentHash, publicGatewayURL) {
    var result;
    return runtime_1.wrap(function _callee$(_context) {
      while (1) {
        switch (_context.prev = _context.next) {
          case 0:
            _context.next = 2;
            return axios.get(publicGatewayURL + "/ipfs/" + contentHash, {
              // We need to set the Accept header to text/plain to avoid
              // any anomalies with the response
              headers: {
                Accept: "text/plain"
              },
              // We want just the raw response, not the parsed response
              transformResponse: function transformResponse(r) {
                return r;
              }
            });

          case 2:
            result = _context.sent;
            return _context.abrupt("return", result.data);

          case 4:
          case "end":
            return _context.stop();
        }
      }
    }, _callee);
  }));
  return _retrieveValueFromIPFS.apply(this, arguments);
}

function storeValueInIPFS(_x3, _x4, _x5) {
  return _storeValueInIPFS.apply(this, arguments);
}

function _storeValueInIPFS() {
  _storeValueInIPFS = _asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee2(key, content, client) {
    var result;
    return runtime_1.wrap(function _callee2$(_context2) {
      while (1) {
        switch (_context2.prev = _context2.next) {
          case 0:
            _context2.next = 2;
            return client.pinJSONToIPFS(JSON.parse(content), {
              pinataMetadata: {
                name: key
              }
            });

          case 2:
            result = _context2.sent;
            return _context2.abrupt("return", result.IpfsHash);

          case 4:
          case "end":
            return _context2.stop();
        }
      }
    }, _callee2);
  }));
  return _storeValueInIPFS.apply(this, arguments);
}

/**
 * A typeguard for a number with the added check that the number is an integer.
 * @param value The value to check.
 * @returns True if the value is a number and an integer, false otherwise.
 */
function isInteger(value) {
  return !Number.isNaN(Number(value)) && Number.isInteger(value);
}
/**
 * A typeguard for a number with added checks that the number is an integer and is greater to zero.
 * @param value The value to check.
 * @returns True if the value is a number, an integer, and greater than zero, false otherwise.
 */

function isPositiveInteger(value) {
  return isInteger(value) && value > 0;
}

var formatFeePct = function formatFeePct(relayerFeePct) {
  // 1e18 = 100% so 1e16 = 1%.
  return common.createFormatFunction(2, 4, false, 16)(toBN(relayerFeePct).toString());
};
/**
 * Shortens a lengthy hexadecimal string to a shorter version with an ellipsis in the middle.
 * @param hex A hexadecimal string to be shortened.
 * @param maxLength The maximum length of the shortened string. Defaults to 8.
 * @param delimiter The delimiter to use in the middle of the shortened string. Defaults to "...".
 * @returns The shortened hexadecimal string.
 * @example createShortHexString("0x772871a444c6e4e9903d8533a5a13101b74037158123e6709470f0afbf6e7d94") -> "0x7787...7d94"
 */

function createShortHexString(hex, maxLength, delimiter) {
  if (maxLength === void 0) {
    maxLength = 8;
  }

  if (delimiter === void 0) {
    delimiter = "..";
  }

  // If we have more maxLength then the hex size, we can simply
  // return the hex directly.
  if (hex.length <= maxLength) {
    return hex;
  } // Resolve the maximum available after we account for the delimiter.


  var maxAvailable = maxLength - delimiter.length; // Sanity check to make sure we have enough characters to
  // create a shortened version.

  if (maxAvailable <= 0) {
    throw new Error("Invalid max length");
  } // We can simulate rounding by adding 0.5 to the integer. If
  // we had an odd division, the floor will add one additional
  // character to the left side.


  var leftCharacters = Math.floor(maxAvailable / 2 + 0.5); // A simple floor division between the max character length

  var rightCharacters = Math.floor(maxAvailable / 2); // Combine the two sides with the delimiter in the middle.

  return "" + hex.substring(0, leftCharacters) + delimiter + hex.substring(hex.length - rightCharacters);
}
/**
 * Converts a utf8 string to a hex string.
 * @param input The utf8 string to convert.
 * @returns The hex string.
 */

function utf8ToHex(input) {
  return ethers.ethers.utils.formatBytes32String(input);
}
/**
 * Converts a hexadecimal string to a utf8 string.
 * @param input The hexadecimal string to convert.
 * @returns The utf8 string.
 */

function hexToUtf8(input) {
  return ethers.ethers.utils.toUtf8String(input);
}
/**
 * Converts a BigNumber to a 32-byte hexadecimal string.
 *
 * @param input - The BigNumber to convert.
 * @returns The 32-byte hexadecimal string representation of the input.
 */

function bnToHex(input) {
  return ethers.ethers.utils.hexZeroPad(ethers.ethers.utils.hexlify(toBN(input)), 32);
}
/**
 * Converts a value from wei to a decimal value with the specified number of decimal places.
 * @param weiVal - The value in wei to convert.
 * @param decimals - The number of decimal places to include in the converted value.
 * @returns The converted value as a string.
 */

function convertFromWei(weiVal, decimals) {
  var formatFunction = common.createFormatFunction(2, 4, false, decimals);
  return formatFunction(weiVal);
}
/**
 * Shortens a list of addresses to a shorter version with only the first 10 characters.
 * @param addresses A list of addresses to shorten.
 * @returns A list of shortened addresses.
 * @see createShortHexString
 */

function shortenHexStrings(addresses) {
  return addresses.map(function (h) {
    return createShortHexString(h);
  });
}

/**
 * Creates a block explorer link for a transaction or address on a given network.
 * @param txHashOrAddress The transaction hash or address to link to.
 * @param chainId The chainId to link to.
 * @returns The block explorer link. This link will be formatted in markdown.
 */

function blockExplorerLink(txHashOrAddress, chainId) {
  var _createBlockExplorerL;

  return (_createBlockExplorerL = _createBlockExplorerLinkMarkdown(txHashOrAddress, Number(chainId))) != null ? _createBlockExplorerL : "<>";
}
/**
 * Resolves a domain to an block explorer link for a given network.
 * @param networkId The network to link to.
 * @returns The block explorer link. If the networkId is not supported, the default block explorer mainnet link will be returned.
 */

function resolveBlockExplorerDomain(networkId) {
  var _PUBLIC_NETWORKS$netw;

  return (_PUBLIC_NETWORKS$netw = PUBLIC_NETWORKS[networkId]) == null ? void 0 : _PUBLIC_NETWORKS$netw.etherscan;
}
/**
 * Constructs a URL for a given list of domain parts.
 * @param domain The domain to construct a URL for.
 * @param parts The relative path of parts to append to the domain. These parts will be joined with a "/".
 * @returns The constructed URL.
 * @see resolveBlockExplorerDomain
 * @example constructURL("https://example.com", ["path", "to", "resource"]) => "https://example.com/path/to/resource"
 * @example constructURL("https://example.com", ["path", "to", "resource", ""]) => "https://example.com/path/to/resource"
 * @example constructURL("https://example.com", ["path", "to//", "resource",]) => "https://example.com/path/to/resource"
 */

function constructURL(domain, parts) {
  // Further split the parts by "/" to handle any parts that contain multiple "/".
  parts = parts.flatMap(function (p) {
    return p.split("/");
  }); // Remove any empty parts.

  parts = parts.filter(function (p) {
    return p !== "";
  }); // Join the parts with a "/".

  var path = parts.join("/"); // Remove any trailing "/".

  return (domain + "/" + path).replace(/\/+$/, "");
}
/**
 * Generates a valid block explorer link for a given transaction hash or address.
 * @param hex The transaction hash or address to link to.
 * @param chainId The chainId to link to.
 * @returns A formatted markdown block explorer link to the given transaction hash or address on the given chainId.
 */


function _createBlockExplorerLinkMarkdown(hex, chainId) {
  if (chainId === void 0) {
    chainId = 1;
  }

  // Attempt to resolve the block explorer domain for the given chainId.
  var explorerDomain = resolveBlockExplorerDomain(chainId); // If the chainId is not supported, return an unsupported link.

  if (!isDefined(explorerDomain)) {
    return "<unsupported chain/hash " + chainId + ":" + hex + ">}";
  } // Ensure that the first two characters are "0x". If they are not, append them.


  if (hex.substring(0, 2) !== "0x") {
    hex = "0x" + hex;
  } // Ensure that the hex string is a valid hexadecimal string.


  if (!ethers.ethers.utils.isHexString(hex)) {
    return null;
  } // Resolve the short URL string.


  var shortURLString = createShortHexString(hex); // Iterate over the two possible hex lengths.

  for (var _i = 0, _arr = [[66, "tx"], [42, "address"]]; _i < _arr.length; _i++) {
    var _arr$_i = _arr[_i],
        length = _arr$_i[0],
        route = _arr$_i[1];

    // If the hex string is the correct length, return the link.
    if (hex.length === length) {
      return "<" + constructURL(explorerDomain, [route, hex]) + "|" + shortURLString + ">";
    }
  }

  return null;
}
/**
 * Generates a list of blockExplorer links for a given list of transaction hashes or addresses.
 * @param txHashesOrAddresses The list of transaction hashes or addresses to link to.
 * @param chainId The chainId to link to.
 * @returns A list of formatted markdown block explorer links to the given transaction hashes or addresses on the given chainId.
 * @see blockExplorerLink
 */


function blockExplorerLinks(txHashesOrAddresses, chainId) {
  return txHashesOrAddresses.map(function (hash) {
    return blockExplorerLink(hash, chainId) + "\n";
  }).join("");
}

function shouldCache(eventTimestamp, latestTime, cachingMaxAge) {
  assert(eventTimestamp.toString().length === 10, "eventTimestamp must be in seconds");
  assert(latestTime.toString().length === 10, "eventTimestamp must be in seconds");
  return latestTime - eventTimestamp >= cachingMaxAge;
}

/**
 * Resolves a network name from a network id.
 * @param networkId The network id to resolve the name for
 * @returns The network name for the network id. If the network id is not found, returns "unknown"
 */

function getNetworkName(networkId) {
  try {
    var networkName = PublicNetworks.PublicNetworks[Number(networkId)].name;
    return networkName.charAt(0).toUpperCase() + networkName.slice(1);
  } catch (error) {
    if (Number(networkId) == 666) {
      return "Hardhat1";
    }

    if (Number(networkId) == 1337) {
      return "Hardhat2";
    }

    if (Number(networkId) == 421613) {
      return "ArbitrumGoerli";
    }

    if (Number(networkId) == 324) {
      return "ZkSync";
    }

    if (Number(networkId) == 280) {
      return "ZkSync-Goerli";
    }

    if (Number(networkId) == 8453) {
      return "Base";
    }

    if (Number(networkId) == 84531) {
      return "BaseGoerli";
    }

    return "unknown";
  }
}
/**
 * Resolves a native token symbol from a chain id.
 * @param chainId The chain id to resolve the native token symbol for
 * @returns The native token symbol for the chain id. If the chain id is not found, returns "ETH"
 */

function getNativeTokenSymbol(chainId) {
  if (chainId.toString() === "137" || chainId.toString() === "80001") {
    return "MATIC";
  }

  return "ETH";
}



var index$2 = {
  __proto__: null,
  AddressZero: AddressZero,
  MAX_BIG_INT: MAX_BIG_INT,
  toBNWei: toBNWei,
  fromWei: fromWei,
  min: min,
  max: max,
  fixedPointAdjustment: fixedPointAdjustment,
  nativeToToken: nativeToToken,
  gasCost: gasCost,
  calculateGasFees: calculateGasFees,
  percent: percent,
  calcContinuousCompoundInterest: calcContinuousCompoundInterest,
  calcPeriodicCompoundInterest: calcPeriodicCompoundInterest,
  calcApr: calcApr,
  getSamplesBetween: getSamplesBetween,
  delay: delay,
  retry: retry,
  estimateTotalGasRequiredByUnsignedTransaction: estimateTotalGasRequiredByUnsignedTransaction,
  createUnsignedFillRelayTransaction: createUnsignedFillRelayTransaction,
  findBlockAtOrOlder: findBlockAtOrOlder,
  getUpdateDepositTypedData: getUpdateDepositTypedData,
  randomAddress: randomAddress,
  findLastIndex: findLastIndex,
  findLast: findLast,
  filterAsync: filterAsync,
  mapAsync: mapAsync,
  reduceAsync: reduceAsync,
  forEachAsync: forEachAsync,
  someAsync: someAsync,
  everyAsync: everyAsync,
  includesAsync: includesAsync,
  isArrayOf: isArrayOf,
  spreadEvent: spreadEvent,
  paginatedEventQuery: paginatedEventQuery,
  getPaginatedBlockRanges: getPaginatedBlockRanges,
  spreadEventWithBlockNumber: spreadEventWithBlockNumber,
  sortEventsAscending: sortEventsAscending,
  sortEventsAscendingInPlace: sortEventsAscendingInPlace,
  sortEventsDescending: sortEventsDescending,
  sortEventsDescendingInPlace: sortEventsDescendingInPlace,
  isEventOlder: isEventOlder,
  getTransactionHashes: getTransactionHashes,
  assign: assign,
  groupObjectCountsByThreeProps: groupObjectCountsByThreeProps,
  groupObjectCountsByTwoProps: groupObjectCountsByTwoProps,
  groupObjectCountsByProp: groupObjectCountsByProp,
  getCurrentTime: getCurrentTime,
  isPromiseFulfilled: isPromiseFulfilled,
  isPromiseRejected: isPromiseRejected,
  isDefined: isDefined,
  fetchTokenInfo: fetchTokenInfo,
  getL2TokenAddresses: getL2TokenAddresses,
  formattedLog: formattedLog,
  assert: assert,
  FILL_DEPOSIT_COMPARISON_KEYS: FILL_DEPOSIT_COMPARISON_KEYS,
  getTokenSymbolForFlow: getTokenSymbolForFlow,
  filledSameDeposit: filledSameDeposit,
  validateFillForDeposit: validateFillForDeposit,
  UBA_MIN_CONFIG_STORE_VERSION: UBA_MIN_CONFIG_STORE_VERSION,
  isUBA: isUBA,
  getBlockForChain: getBlockForChain,
  getBlockRangeForChain: getBlockRangeForChain,
  getImpliedBundleBlockRanges: getImpliedBundleBlockRanges,
  blockRangesAreInvalidForSpokeClients: blockRangesAreInvalidForSpokeClients,
  parseJSONWithNumericString: parseJSONWithNumericString,
  stringifyJSONWithNumericString: stringifyJSONWithNumericString,
  jsonReplacerWithBigNumbers: jsonReplacerWithBigNumbers,
  jsonReviverWithBigNumbers: jsonReviverWithBigNumbers,
  buildIPFSClient: buildIPFSClient,
  retrieveValueFromIPFS: retrieveValueFromIPFS,
  storeValueInIPFS: storeValueInIPFS,
  isInteger: isInteger,
  isPositiveInteger: isPositiveInteger,
  getContractInfoFromAddress: DeploymentUtils.getContractInfoFromAddress,
  getDeployedAddress: DeploymentUtils.getDeployedAddress,
  getDeployedBlockNumber: DeploymentUtils.getDeployedBlockNumber,
  createFormatFunction: common.createFormatFunction,
  formatFeePct: formatFeePct,
  createShortHexString: createShortHexString,
  utf8ToHex: utf8ToHex,
  hexToUtf8: hexToUtf8,
  bnToHex: bnToHex,
  convertFromWei: convertFromWei,
  shortenHexStrings: shortenHexStrings,
  blockExplorerLink: blockExplorerLink,
  resolveBlockExplorerDomain: resolveBlockExplorerDomain,
  blockExplorerLinks: blockExplorerLinks,
  bnZero: bnZero,
  bnOne: bnOne,
  bnUint256Max: bnUint256Max,
  toWei: toWei,
  toGWei: toGWei,
  toBN: toBN,
  shouldCache: shouldCache,
  getNetworkName: getNetworkName,
  getNativeTokenSymbol: getNativeTokenSymbol
};

// This Util calculates the across realized LP fees. See https://gist.github.com/chrismaree/a713725e4fe96c531c42ed7b629d4a85

function convertApyToWeeklyFee(apy) {
  // R_week = (1 + apy)^(1/52) - 1
  var weeklyFeePct = Decimal.pow(new Decimal("1").plus(fromWei(apy)), new Decimal("1").dividedBy(new Decimal("52"))).minus(new Decimal("1")); // Convert from decimal back to BN, scaled by 1e18.

  return toBN(weeklyFeePct.times(fixedPointAdjustment.toString()).floor().toString());
}

function truncate18DecimalBN(input, digits) {
  var digitsToDrop = 18 - digits;
  var multiplier = toBN(10).pow(digitsToDrop);
  return input.div(multiplier).mul(multiplier);
}
var LPFeeCalculator = /*#__PURE__*/function () {
  function LPFeeCalculator(rateModel) {
    this.rateModel = rateModel;
  }
  /**
   * Compute area under curve of the piece-wise linear rate model.
   * @param rateModel Rate model to be used in this calculation.
   * @param utilization The current utilization of the pool.
   * @returns The area under the curve of the piece-wise linear rate model.
   */


  var _proto = LPFeeCalculator.prototype;

  _proto.calculateAreaUnderRateCurve = function calculateAreaUnderRateCurve(utilization) {
    // Area under first piecewise component
    var utilizationBeforeKink = min(utilization, this.rateModel.UBar);
    var rectangle1Area = utilizationBeforeKink.mul(this.rateModel.R0).div(fixedPointAdjustment);
    var triangle1Area = toBNWei("0.5").mul(this.calculateInstantaneousRate(utilizationBeforeKink).sub(this.rateModel.R0)).mul(utilizationBeforeKink).div(fixedPointAdjustment).div(fixedPointAdjustment); // Area under second piecewise component

    var utilizationAfter = max(toBN("0"), utilization.sub(this.rateModel.UBar));
    var rectangle2Area = utilizationAfter.mul(toBN(this.rateModel.R0).add(this.rateModel.R1)).div(fixedPointAdjustment);
    var triangle2Area = toBNWei("0.5").mul(this.calculateInstantaneousRate(utilization).sub(toBN(this.rateModel.R0).add(this.rateModel.R1))).mul(utilizationAfter).div(fixedPointAdjustment).div(fixedPointAdjustment);
    return rectangle1Area.add(triangle1Area).add(rectangle2Area).add(triangle2Area);
  }
  /**
   * Calculate the instantaneous rate for a 0 sized deposit (infinitesimally small).
   * @param utilization The current utilization of the pool.
   * @returns The instantaneous rate for a 0 sized deposit.
   */
  ;

  _proto.calculateInstantaneousRate = function calculateInstantaneousRate(utilization) {
    // Assuming utilization >= 0, if UBar = 0 then the value beforeKink is 0 since min(>=0, 0) = 0.
    var beforeKink = this.rateModel.UBar.toString() === "0" ? toBN(0) : min(utilization, this.rateModel.UBar).mul(this.rateModel.R1).div(this.rateModel.UBar);
    var afterKink = max(toBN("0"), toBN(utilization).sub(this.rateModel.UBar)).mul(this.rateModel.R2).div(toBNWei("1").sub(this.rateModel.UBar));
    return toBN(this.rateModel.R0).add(beforeKink).add(afterKink);
  }
  /**
   * Calculate the realized LP Fee Percent for a given rate model, utilization before and after the deposit.
   * @param rateModel Rate model to be used in this calculation.
   * @param utilizationBeforeDeposit The utilization of the pool before the deposit.
   * @param utilizationAfterDeposit The utilization of the pool after the deposit.
   * @param truncateDecimals Whether to truncate the decimals to 6.
   * @returns The realized LP fee percent.
   */
  ;

  _proto.calculateRealizedLpFeePct = function calculateRealizedLpFeePct(utilizationBeforeDeposit, utilizationAfterDeposit, truncateDecimals) {
    if (truncateDecimals === void 0) {
      truncateDecimals = false;
    }

    var apy = this.calculateApyFromUtilization(toBN(utilizationBeforeDeposit), toBN(utilizationAfterDeposit)); // ACROSS-V2 UMIP requires that the realized fee percent is floor rounded as decimal to 6 decimals.

    return truncateDecimals ? truncate18DecimalBN(convertApyToWeeklyFee(apy), 6) : convertApyToWeeklyFee(apy);
  }
  /**
   * Calculate the realized yearly LP Fee APY Percent for a given rate model, utilization before and after the deposit.
   * @param rateModel Rate model to be used in this calculation.
   * @param utilizationBeforeDeposit The utilization of the pool before the deposit.
   * @param utilizationAfterDeposit The utilization of the pool after the deposit.
   * @returns The realized LP fee APY percent.
   */
  ;

  _proto.calculateApyFromUtilization = function calculateApyFromUtilization(utilizationBeforeDeposit, utilizationAfterDeposit) {
    if (utilizationBeforeDeposit.eq(utilizationAfterDeposit)) return this.calculateInstantaneousRate(utilizationBeforeDeposit); // Get the area of [0, utilizationBeforeDeposit] and [0, utilizationAfterDeposit]

    var areaBeforeDeposit = this.calculateAreaUnderRateCurve(utilizationBeforeDeposit);
    var areaAfterDeposit = this.calculateAreaUnderRateCurve(utilizationAfterDeposit);
    var numerator = areaAfterDeposit.sub(areaBeforeDeposit);
    var denominator = utilizationAfterDeposit.sub(utilizationBeforeDeposit);
    return numerator.mul(fixedPointAdjustment).div(denominator);
  };

  return LPFeeCalculator;
}();
/**
 * Calculate the instantaneous rate for a 0 sized deposit (infinitesimally small).
 * @param rateModel Rate model to be used in this calculation.
 * @param utilization The current utilization of the pool.
 * @returns The instantaneous rate for a 0 sized deposit.
 */

function calculateInstantaneousRate(rateModel, utilization) {
  return new LPFeeCalculator(rateModel).calculateInstantaneousRate(utilization);
}
/**
 * Calculate the realized yearly LP Fee APY Percent for a given rate model, utilization before and after the deposit.
 * @param rateModel Rate model to be used in this calculation.
 * @param utilizationBeforeDeposit The utilization of the pool before the deposit.
 * @param utilizationAfterDeposit The utilization of the pool after the deposit.
 * @returns The realized LP fee APY percent.
 */

function calculateApyFromUtilization(rateModel, utilizationBeforeDeposit, utilizationAfterDeposit) {
  return new LPFeeCalculator(rateModel).calculateApyFromUtilization(utilizationBeforeDeposit, utilizationAfterDeposit);
}
/**
 * Calculate the realized LP Fee Percent for a given rate model, utilization before and after the deposit.
 * @param rateModel Rate model to be used in this calculation.
 * @param utilizationBeforeDeposit The utilization of the pool before the deposit.
 * @param utilizationAfterDeposit The utilization of the pool after the deposit.
 * @param truncateDecimals Whether to truncate the decimals to 6.
 * @returns The realized LP fee percent.
 */

function calculateRealizedLpFeePct(rateModel, utilizationBeforeDeposit, utilizationAfterDeposit, truncateDecimals) {
  if (truncateDecimals === void 0) {
    truncateDecimals = false;
  }

  return new LPFeeCalculator(rateModel).calculateRealizedLpFeePct(utilizationBeforeDeposit, utilizationAfterDeposit, truncateDecimals);
}



var index$3 = {
  __proto__: null,
  truncate18DecimalBN: truncate18DecimalBN,
  LPFeeCalculator: LPFeeCalculator,
  calculateInstantaneousRate: calculateInstantaneousRate,
  calculateApyFromUtilization: calculateApyFromUtilization,
  calculateRealizedLpFeePct: calculateRealizedLpFeePct
};

var RateModelSs = /*#__PURE__*/superstruct.object({
  UBar: /*#__PURE__*/superstruct.string(),
  R0: /*#__PURE__*/superstruct.string(),
  R1: /*#__PURE__*/superstruct.string(),
  R2: /*#__PURE__*/superstruct.string()
});
var L1TokenConfigSs = /*#__PURE__*/superstruct.object({
  rateModel: RateModelSs,
  routeRateModel: /*#__PURE__*/superstruct.optional( /*#__PURE__*/superstruct.record( /*#__PURE__*/superstruct.string(), RateModelSs)),
  transferThreshold: /*#__PURE__*/superstruct.string()
});
var Client = /*#__PURE__*/function () {
  function Client(address, provider) {
    this.contract = AcrossConfigStore__factory.AcrossConfigStore__factory.connect(address, provider);
  }

  Client.parseL1TokenConfig = function parseL1TokenConfig(data) {
    var l1TokenConfig = JSON.parse(data);
    var l1TokenConfigMask = superstruct.mask(l1TokenConfig, L1TokenConfigSs);
    superstruct.assert(l1TokenConfigMask, L1TokenConfigSs);
    return l1TokenConfigMask;
  };

  var _proto = Client.prototype;

  _proto.getL1TokenConfig = /*#__PURE__*/function () {
    var _getL1TokenConfig = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee(l1TokenAddress, overrides) {
      var data;
      return runtime_1.wrap(function _callee$(_context) {
        while (1) {
          switch (_context.prev = _context.next) {
            case 0:
              if (overrides === void 0) {
                overrides = {};
              }

              _context.next = 3;
              return this.contract.l1TokenConfig(l1TokenAddress, overrides);

            case 3:
              data = _context.sent;
              return _context.abrupt("return", Client.parseL1TokenConfig(data));

            case 5:
            case "end":
              return _context.stop();
          }
        }
      }, _callee, this);
    }));

    function getL1TokenConfig(_x, _x2) {
      return _getL1TokenConfig.apply(this, arguments);
    }

    return getL1TokenConfig;
  }();

  _proto.getRateModel = /*#__PURE__*/function () {
    var _getRateModel = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee2(l1TokenAddress, overrides, originChainId, destinationChainId) {
      var l1TokenConfig, routeRateModelKey;
      return runtime_1.wrap(function _callee2$(_context2) {
        while (1) {
          switch (_context2.prev = _context2.next) {
            case 0:
              if (overrides === void 0) {
                overrides = {};
              }

              _context2.next = 3;
              return this.getL1TokenConfig(l1TokenAddress, overrides);

            case 3:
              l1TokenConfig = _context2.sent;

              if (!(originChainId === undefined || destinationChainId === undefined)) {
                _context2.next = 6;
                break;
              }

              return _context2.abrupt("return", l1TokenConfig.rateModel);

            case 6:
              routeRateModelKey = originChainId + "-" + destinationChainId;

              if (!(l1TokenConfig.routeRateModel && l1TokenConfig.routeRateModel[routeRateModelKey])) {
                _context2.next = 9;
                break;
              }

              return _context2.abrupt("return", l1TokenConfig.routeRateModel[routeRateModelKey]);

            case 9:
              return _context2.abrupt("return", l1TokenConfig.rateModel);

            case 10:
            case "end":
              return _context2.stop();
          }
        }
      }, _callee2, this);
    }));

    function getRateModel(_x3, _x4, _x5, _x6) {
      return _getRateModel.apply(this, arguments);
    }

    return getRateModel;
  }();

  return Client;
}();

var acrossConfigStore = {
  __proto__: null,
  Client: Client
};

/**
 * Utility for maintaining records of a token balance.
 */

function Balances(balances) {
  if (balances === void 0) {
    balances = {};
  }

  function create(id, amount) {
    if (amount === void 0) {
      amount = "0";
    }

    assert$1(!has(id), "balance already exists");
    return set(id, amount);
  }

  function has(id) {
    return isDefined(balances[id]);
  }

  function set(id, amount) {
    balances[id] = amount;
    return amount;
  }

  function add(id, amount) {
    return set(id, ethers.BigNumber.from(amount).add(getOrCreate(id)).toString());
  }

  function sub(id, amount) {
    return set(id, ethers.BigNumber.from(getOrCreate(id)).sub(amount).toString());
  }

  function get(id) {
    assert$1(has(id), "balance does not exist");
    return balances[id];
  }

  function getOrCreate(id) {
    if (has(id)) return get(id);
    return create(id);
  }

  return {
    create: create,
    add: add,
    sub: sub,
    get: get,
    balances: balances,
    set: set,
    has: has,
    getOrCreate: getOrCreate
  };
}

var Factory = HubPool__factory.HubPool__factory;
function connect(address, provider) {
  return Factory.connect(address, provider);
}
function eventStateDefaults() {
  return {};
}

function tokenEventStateDefaults() {
  return {
    tokenBalances: {},
    lpTokenBalances: {}
  };
}

function reduceEvents(state, event) {
  var _event$event;

  var hubPoolInterface = new ethers.utils.Interface(Factory.abi);
  var eventName = (_event$event = event.event) != null ? _event$event : "unknown";

  var _hubPoolInterface$par = hubPoolInterface.parseLog(event),
      args = _hubPoolInterface$par.args;

  var l1Token = args.l1Token;
  var tokenEventState = state[l1Token] || tokenEventStateDefaults();
  var tokens = Balances(tokenEventState.tokenBalances);
  var lpTokens = Balances(tokenEventState.lpTokenBalances);

  switch (eventName) {
    case "LiquidityAdded":
    case "LiquidityRemoved":
      {
        var _extends2;

        var amount = args.amount,
            liquidityProvider = args.liquidityProvider;
        tokens.add(liquidityProvider, amount.toString());

        if (event.event === "LiquidityAdded") {
          lpTokens.add(liquidityProvider, args.lpTokensMinted.toString());
        } else {
          lpTokens.sub(liquidityProvider, args.lpTokensBurnt.toString());
        }

        return _extends({}, state, (_extends2 = {}, _extends2[l1Token] = _extends({}, tokenEventState, {
          l1Token: l1Token,
          tokenBalances: _extends({}, tokens.balances),
          lpTokenBalances: _extends({}, lpTokens.balances)
        }), _extends2));
      }

    case "L1TokenEnabledForLiquidityProvision":
    case "L2TokenDisabledForLiquidityProvision":
      {
        var _extends3;

        var lpToken = args.lpToken;
        var enabled = event.event === "L1TokenEnabledForLiquidityProvision";
        return _extends({}, state, (_extends3 = {}, _extends3[l1Token] = _extends({}, tokenEventState, {
          lpToken: lpToken,
          l1Token: l1Token,
          enabled: enabled
        }), _extends3));
      }
  }

  return state;
}

function getEventState(events, eventState) {
  if (eventState === void 0) {
    eventState = eventStateDefaults();
  }

  return events.reduce(reduceEvents, eventState);
}

var hubPool = {
  __proto__: null,
  Factory: Factory,
  connect: connect,
  eventStateDefaults: eventStateDefaults,
  getEventState: getEventState
};



var index$4 = {
  __proto__: null,
  acrossConfigStore: acrossConfigStore,
  hubPool: hubPool
};

var erc20 = uma.clients.erc20;
var loop = uma.utils.loop;
var TransactionManager = uma.across.TransactionManager;
var _uma$across$constants = uma.across.constants,
    SECONDS_PER_YEAR$1 = _uma$across$constants.SECONDS_PER_YEAR,
    DEFAULT_BLOCK_DELTA = _uma$across$constants.DEFAULT_BLOCK_DELTA;
var AddressZero$1 = ethers.ethers.constants.AddressZero;

var PoolState = /*#__PURE__*/function () {
  function PoolState(contract, address) {
    this.contract = contract;
    this.address = address;
  }

  var _proto = PoolState.prototype;

  _proto.read = /*#__PURE__*/function () {
    var _read = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee(l1Token, latestBlock, previousBlock) {
      var exchangeRatePrevious, exchangeRateCurrent, pooledToken, liquidityUtilizationCurrent;
      return runtime_1.wrap(function _callee$(_context) {
        while (1) {
          switch (_context.prev = _context.next) {
            case 0:
              _context.next = 2;
              return this.exchangeRateAtBlock(l1Token, previousBlock || latestBlock - 1);

            case 2:
              exchangeRatePrevious = _context.sent;
              _context.next = 5;
              return this.contract.callStatic.exchangeRateCurrent(l1Token);

            case 5:
              exchangeRateCurrent = _context.sent;
              _context.next = 8;
              return this.contract.pooledTokens(l1Token);

            case 8:
              pooledToken = _context.sent;
              _context.next = 11;
              return this.contract.callStatic.liquidityUtilizationCurrent(l1Token);

            case 11:
              liquidityUtilizationCurrent = _context.sent;
              return _context.abrupt("return", _extends({
                address: this.address,
                l1Token: l1Token,
                latestBlock: latestBlock,
                previousBlock: previousBlock,
                exchangeRatePrevious: exchangeRatePrevious,
                exchangeRateCurrent: exchangeRateCurrent,
                liquidityUtilizationCurrent: liquidityUtilizationCurrent
              }, pooledToken));

            case 13:
            case "end":
              return _context.stop();
          }
        }
      }, _callee, this);
    }));

    function read(_x, _x2, _x3) {
      return _read.apply(this, arguments);
    }

    return read;
  }();

  _proto.exchangeRateAtBlock = /*#__PURE__*/function () {
    var _exchangeRateAtBlock = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee2(l1Token, blockTag) {
      return runtime_1.wrap(function _callee2$(_context2) {
        while (1) {
          switch (_context2.prev = _context2.next) {
            case 0:
              return _context2.abrupt("return", this.contract.callStatic.exchangeRateCurrent(l1Token, {
                blockTag: blockTag
              }));

            case 1:
            case "end":
              return _context2.stop();
          }
        }
      }, _callee2, this);
    }));

    function exchangeRateAtBlock(_x4, _x5) {
      return _exchangeRateAtBlock.apply(this, arguments);
    }

    return exchangeRateAtBlock;
  }();

  return PoolState;
}();

var PoolEventState = /*#__PURE__*/function () {
  function PoolEventState(contract, startBlock) {
    var _this = this;

    if (startBlock === void 0) {
      startBlock = 0;
    }

    this.contract = contract;
    this.startBlock = startBlock;
    this.seen = new Set(); // maintain ordered unique list of events so we can calculate state

    this.events = [];

    this.makeId = function (params) {
      return uma.oracle.utils.eventKey(params);
    };

    this.filterSeen = function (params) {
      var seen = _this.hasEvent(params);

      if (!seen) _this.addEvent(params);
      return !seen;
    };

    this.processEvent = function (event) {
      if (!_this.filterSeen(event)) return;
      _this.events = uma.oracle.utils.insertOrderedAscending(_this.events, event, _this.makeId);
    };

    this.processEvents = function (events) {
      events.forEach(_this.processEvent);
    };

    this.makeEventFromLog = function (log) {
      var description = _this.iface.parseLog(log);

      return _extends({}, log, description, {
        event: description.name,
        eventSignature: description.signature
      });
    };

    this.iface = new ethers.ethers.utils.Interface(Factory.abi);
  }

  var _proto2 = PoolEventState.prototype;

  _proto2.hasEvent = function hasEvent(params) {
    return this.seen.has(this.makeId(params));
  };

  _proto2.addEvent = function addEvent(params) {
    this.seen.add(this.makeId(params));
  };

  _proto2.read = /*#__PURE__*/function () {
    var _read2 = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee3(endBlock, l1TokenAddress, userAddress) {
      var events;
      return runtime_1.wrap(function _callee3$(_context3) {
        while (1) {
          switch (_context3.prev = _context3.next) {
            case 0:
              _context3.t0 = Promise;
              _context3.t1 = [];
              _context3.next = 4;
              return this.contract.queryFilter(this.contract.filters.LiquidityAdded(l1TokenAddress, undefined, undefined, userAddress), this.startBlock, endBlock);

            case 4:
              _context3.t2 = _context3.sent;
              _context3.next = 7;
              return this.contract.queryFilter(this.contract.filters.LiquidityRemoved(l1TokenAddress, undefined, undefined, userAddress), this.startBlock, endBlock);

            case 7:
              _context3.t3 = _context3.sent;
              _context3.t4 = _context3.t1.concat.call(_context3.t1, _context3.t2, _context3.t3);
              _context3.next = 11;
              return _context3.t0.all.call(_context3.t0, _context3.t4);

            case 11:
              events = _context3.sent;
              this.processEvents(events);
              return _context3.abrupt("return", getEventState(this.events));

            case 14:
            case "end":
              return _context3.stop();
          }
        }
      }, _callee3, this);
    }));

    function read(_x6, _x7, _x8) {
      return _read2.apply(this, arguments);
    }

    return read;
  }();

  _proto2.getL1TokenFromReceipt = function getL1TokenFromReceipt(receipt) {
    var _this2 = this;

    var events = receipt.logs.filter(function (log) {
      return ethers.ethers.utils.getAddress(log.address) === ethers.ethers.utils.getAddress(_this2.contract.address);
    }).map(this.makeEventFromLog); // save these events

    this.processEvents(events); // only process token receipt events, becasue we just want the l1 token involved with this transfer

    var eventState = getEventState(events); // event state is keyed by l1token address

    var l1Tokens = Object.keys(eventState);
    assert$1(l1Tokens.length, "Token not found from events");
    assert$1(l1Tokens.length === 1, "Multiple tokens found from events");
    return l1Tokens[0];
  };

  _proto2.readTxReceipt = function readTxReceipt(receipt) {
    var _this3 = this;

    var events = receipt.logs.filter(function (log) {
      return ethers.ethers.utils.getAddress(log.address) === ethers.ethers.utils.getAddress(_this3.contract.address);
    }).map(this.makeEventFromLog);
    this.processEvents(events);
    return getEventState(this.events);
  };

  return PoolEventState;
}();

var UserState = /*#__PURE__*/function () {
  function UserState(contract, userAddress, startBlock, acceleratingDistributorContractAddress) {
    var _this4 = this;

    if (startBlock === void 0) {
      startBlock = 0;
    }

    if (acceleratingDistributorContractAddress === void 0) {
      acceleratingDistributorContractAddress = "";
    }

    this.contract = contract;
    this.userAddress = userAddress;
    this.startBlock = startBlock;
    this.acceleratingDistributorContractAddress = acceleratingDistributorContractAddress;
    this.seen = new Set();
    this.events = [];

    this.filterSeen = function (params) {
      var seen = _this4.hasEvent(params);

      if (!seen) _this4.addEvent(params);
      return !seen;
    };
  }

  var _proto3 = UserState.prototype;

  _proto3.makeId = function makeId(params) {
    return uma.oracle.utils.eventKey(params);
  };

  _proto3.hasEvent = function hasEvent(params) {
    return this.seen.has(this.makeId(params));
  };

  _proto3.addEvent = function addEvent(params) {
    this.seen.add(this.makeId(params));
  }
  /**
   * readEvents. Fetch and cache events for the user.
   *
   * @param {number} endBlock
   */
  ;

  _proto3.readEvents =
  /*#__PURE__*/
  function () {
    var _readEvents = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee4(endBlock) {
      var _this5 = this;

      var userAddress, events;
      return runtime_1.wrap(function _callee4$(_context4) {
        while (1) {
          switch (_context4.prev = _context4.next) {
            case 0:
              if (!(endBlock <= this.startBlock)) {
                _context4.next = 2;
                break;
              }

              return _context4.abrupt("return", []);

            case 2:
              userAddress = this.userAddress;
              _context4.t0 = Promise;
              _context4.t1 = [];
              _context4.next = 7;
              return this.contract.queryFilter(this.contract.filters.Transfer(userAddress, undefined), this.startBlock, endBlock);

            case 7:
              _context4.t2 = _context4.sent;
              _context4.next = 10;
              return this.contract.queryFilter(this.contract.filters.Transfer(undefined, userAddress), this.startBlock, endBlock);

            case 10:
              _context4.t3 = _context4.sent;
              _context4.t4 = _context4.t1.concat.call(_context4.t1, _context4.t2, _context4.t3);
              _context4.next = 14;
              return _context4.t0.all.call(_context4.t0, _context4.t4);

            case 14:
              events = _context4.sent.filter(this.filterSeen).filter(function (event) {
                return (// ignore mint events
                  event.args.from !== AddressZero$1 && // ignore burn events
                  event.args.to !== AddressZero$1 && // ignore AD transfer events in
                  event.args.to !== _this5.acceleratingDistributorContractAddress && // ignore AD transfer events out
                  event.args.from !== _this5.acceleratingDistributorContractAddress && // ignore self transfer events
                  event.args.from !== event.args.to
                );
              }).flat();
              this.events = this.events.concat(events).sort(function (a, b) {
                if (a.blockNumber !== b.blockNumber) return a.blockNumber - b.blockNumber;
                if (a.transactionIndex !== b.transactionIndex) return a.transactionIndex - b.transactionIndex;
                if (a.logIndex !== b.logIndex) return a.logIndex - b.logIndex;
                throw new Error("Duplicate events at tx hash: " + a.transactionHash);
              }); // ethers queries are inclusive [start,end] unless start === end, then exclusive (start,end). we increment to make sure we dont see same event twice

              this.startBlock = endBlock + 1;
              return _context4.abrupt("return", this.events);

            case 18:
            case "end":
              return _context4.stop();
          }
        }
      }, _callee4, this);
    }));

    function readEvents(_x9) {
      return _readEvents.apply(this, arguments);
    }

    return readEvents;
  }()
  /**
   * read. Reads the state for the user, building state from events as well as contract calls.
   *
   * @param {number} endBlock
   */
  ;

  _proto3.read =
  /*#__PURE__*/
  function () {
    var _read3 = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee5(endBlock) {
      var _state$balances;

      var userAddress, transferEvents, state, balanceTransferred;
      return runtime_1.wrap(function _callee5$(_context5) {
        while (1) {
          switch (_context5.prev = _context5.next) {
            case 0:
              userAddress = this.userAddress;
              _context5.next = 3;
              return this.readEvents(endBlock);

            case 3:
              transferEvents = _context5.sent;
              state = uma.clients.erc20.getEventState(transferEvents);
              balanceTransferred = (state == null ? void 0 : (_state$balances = state.balances) == null ? void 0 : _state$balances[userAddress]) || "0";
              _context5.t0 = transferEvents;
              _context5.t1 = balanceTransferred;
              _context5.t2 = userAddress;
              _context5.next = 11;
              return this.contract.balanceOf(userAddress);

            case 11:
              _context5.t3 = _context5.sent;
              return _context5.abrupt("return", {
                transferEvents: _context5.t0,
                balanceTransferred: _context5.t1,
                address: _context5.t2,
                balanceOf: _context5.t3
              });

            case 13:
            case "end":
              return _context5.stop();
          }
        }
      }, _callee5, this);
    }));

    function read(_x10) {
      return _read3.apply(this, arguments);
    }

    return read;
  }();

  return UserState;
}();

function calculateRemoval(amountWei, percentWei) {
  var receive = amountWei.mul(percentWei).div(fixedPointAdjustment);
  var remain = amountWei.sub(receive);
  return {
    recieve: receive.toString(),
    remain: remain.toString()
  };
} // params here mimic the user object type

function previewRemoval(values, percentFloat) {
  var percentWei = toBNWei(percentFloat);
  return {
    position: _extends({}, calculateRemoval(ethers.BigNumber.from(values.totalDeposited), percentWei)),
    fees: _extends({}, calculateRemoval(ethers.BigNumber.from(values.feesEarned), percentWei)),
    total: _extends({}, calculateRemoval(ethers.BigNumber.from(values.positionValue), percentWei))
  };
}

function joinUserState(poolState, tokenEventState, userState, transferValue, cumulativeStakeBalance, cumulativeStakeClaimBalance) {
  if (transferValue === void 0) {
    transferValue = ethers.ethers.constants.Zero;
  }

  if (cumulativeStakeBalance === void 0) {
    cumulativeStakeBalance = ethers.ethers.constants.Zero;
  }

  if (cumulativeStakeClaimBalance === void 0) {
    cumulativeStakeClaimBalance = ethers.ethers.constants.Zero;
  }

  var positionValue = ethers.BigNumber.from(poolState.exchangeRateCurrent).mul(userState.balanceOf.add(cumulativeStakeBalance)).div(fixedPointAdjustment);
  var totalDeposited = ethers.BigNumber.from((tokenEventState == null ? void 0 : tokenEventState.tokenBalances[userState.address]) || "0").add(cumulativeStakeClaimBalance);
  var feesEarned = positionValue.sub(totalDeposited.add(transferValue));
  return {
    address: userState.address,
    poolAddress: poolState.address,
    lpTokens: userState.balanceOf.toString(),
    positionValue: positionValue.toString(),
    totalDeposited: totalDeposited.toString(),
    feesEarned: feesEarned.toString()
  };
}

function joinPoolState(poolState, latestBlock, previousBlock, rateModel) {
  var totalPoolSize = poolState.liquidReserves.add(poolState.utilizedReserves);
  var secondsElapsed = latestBlock.timestamp - previousBlock.timestamp;
  var blocksElapsed = latestBlock.number - previousBlock.number;
  var exchangeRatePrevious = poolState.exchangeRatePrevious.toString();
  var exchangeRateCurrent = poolState.exchangeRateCurrent.toString();
  var liquidityUtilizationCurrent = poolState.liquidityUtilizationCurrent.toString();
  var estimatedApy = calcPeriodicCompoundInterest(exchangeRatePrevious, exchangeRateCurrent, secondsElapsed, SECONDS_PER_YEAR$1);
  var estimatedApr = calcApr(exchangeRatePrevious, exchangeRateCurrent, secondsElapsed, SECONDS_PER_YEAR$1);
  var projectedApr = "";

  if (rateModel) {
    projectedApr = fromWei(calculateInstantaneousRate(rateModel, liquidityUtilizationCurrent).mul(liquidityUtilizationCurrent).div(fixedPointAdjustment));
  }

  return {
    address: poolState.address,
    totalPoolSize: totalPoolSize.toString(),
    l1Token: poolState.l1Token,
    lpToken: poolState.lpToken,
    liquidReserves: poolState.liquidReserves.toString(),
    exchangeRateCurrent: poolState.exchangeRateCurrent.toString(),
    exchangeRatePrevious: poolState.exchangeRatePrevious.toString(),
    estimatedApy: estimatedApy,
    estimatedApr: estimatedApr,
    blocksElapsed: blocksElapsed,
    secondsElapsed: secondsElapsed,
    projectedApr: projectedApr,
    utilizedReserves: poolState.utilizedReserves.toString(),
    liquidityUtilizationCurrent: liquidityUtilizationCurrent
  };
}

var ReadPoolClient = /*#__PURE__*/function () {
  function ReadPoolClient(address, provider) {
    this.address = address;
    this.provider = provider;
    this.contract = connect(address, this.provider);
    this.poolState = new PoolState(this.contract, this.address);
  }

  var _proto4 = ReadPoolClient.prototype;

  _proto4.read = /*#__PURE__*/function () {
    var _read4 = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee6(tokenAddress, latestBlock) {
      return runtime_1.wrap(function _callee6$(_context6) {
        while (1) {
          switch (_context6.prev = _context6.next) {
            case 0:
              return _context6.abrupt("return", this.poolState.read(tokenAddress, latestBlock));

            case 1:
            case "end":
              return _context6.stop();
          }
        }
      }, _callee6, this);
    }));

    function read(_x11, _x12) {
      return _read4.apply(this, arguments);
    }

    return read;
  }();

  return ReadPoolClient;
}();

function _validateWithdraw(pool, user, lpTokenAmount) {
  var l1TokensToReturn = ethers.BigNumber.from(lpTokenAmount).mul(pool.exchangeRateCurrent).div(fixedPointAdjustment);
  assert$1(ethers.BigNumber.from(l1TokensToReturn).gt("0"), "Must withdraw amount greater than 0");
  assert$1(ethers.BigNumber.from(lpTokenAmount).lte(user.lpTokens), "You cannot withdraw more than you have");
  return {
    lpTokenAmount: lpTokenAmount,
    l1TokensToReturn: l1TokensToReturn.toString()
  };
}
var Client$1 = /*#__PURE__*/function () {
  function Client$1(config, deps, emit) {
    this.config = config;
    this.deps = deps;
    this.emit = emit;
    this.transactionManagers = {};
    this.state = {
      pools: {},
      users: {},
      transactions: {}
    };
    this.erc20s = {};
    this.intervalStarted = false;
    this.exchangeRateTable = {};
    this.userServices = {};
    config.chainId = config.chainId || 1;
    this.hubPool = this.createHubPoolContract(deps.provider);
    this.acceleratingDistributor = this.createAcceleratingDistributorContract(deps.provider);
    this.merkleDistributor = this.createMerkleDistributorContract(deps.provider);
    this.poolEvents = new PoolEventState(this.hubPool, this.config.hubPoolStartBlock);
    this.configStoreClient = new Client(config.configStoreAddress, deps.provider);
  }

  var _proto5 = Client$1.prototype;

  _proto5.getOrCreateErc20Contract = function getOrCreateErc20Contract(address) {
    if (this.erc20s[address]) return this.erc20s[address];
    this.erc20s[address] = erc20.connect(address, this.deps.provider);
    return this.erc20s[address];
  };

  _proto5.getOrCreatePoolContract = function getOrCreatePoolContract() {
    return this.hubPool;
  };

  _proto5.createHubPoolContract = function createHubPoolContract(signerOrProvider) {
    return connect(this.config.hubPoolAddress, signerOrProvider);
  };

  _proto5.getOrCreatePoolEvents = function getOrCreatePoolEvents() {
    return this.poolEvents;
  };

  _proto5.createAcceleratingDistributorContract = function createAcceleratingDistributorContract(signerOrProvider) {
    return AcceleratingDistributor__factory.AcceleratingDistributor__factory.connect(this.config.acceleratingDistributorAddress, signerOrProvider);
  };

  _proto5.createMerkleDistributorContract = function createMerkleDistributorContract(signerOrProvider) {
    return MerkleDistributor__factory.MerkleDistributor__factory.connect(this.config.merkleDistributorAddress, signerOrProvider);
  };

  _proto5.getOrCreateAcceleratingDistributorContract = function getOrCreateAcceleratingDistributorContract() {
    return this.acceleratingDistributor;
  };

  _proto5.getOrCreateMerkleDistributorContract = function getOrCreateMerkleDistributorContract() {
    return this.merkleDistributor;
  };

  _proto5.getOrCreateUserService = function getOrCreateUserService(userAddress, tokenAddress) {
    if (has(this.userServices, [tokenAddress, userAddress])) return get(this.userServices, [tokenAddress, userAddress]);
    var erc20Contract = this.getOrCreateErc20Contract(tokenAddress);
    var userService = new UserState(erc20Contract, userAddress); // this service is stateful now, so needs to be cached

    set(this.userServices, [tokenAddress, userAddress], userService);
    return userService;
  };

  _proto5.updateExchangeRateTable = function updateExchangeRateTable(l1TokenAddress, exchangeRateTable) {
    if (!this.exchangeRateTable[l1TokenAddress]) this.exchangeRateTable[l1TokenAddress] = {};
    this.exchangeRateTable[l1TokenAddress] = _extends({}, this.exchangeRateTable[l1TokenAddress], exchangeRateTable);
    return this.exchangeRateTable[l1TokenAddress];
  };

  _proto5.resolveStakingData = /*#__PURE__*/function () {
    var _resolveStakingData = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee8(lpToken, l1TokenAddress, userState) {
      var acceleratingDistributorContract, merkleDistributorContract, poolContract, claimList, amountOfLPClaimed, _yield$acceleratingDi, cumulativeBalance;

      return runtime_1.wrap(function _callee8$(_context8) {
        while (1) {
          switch (_context8.prev = _context8.next) {
            case 0:
              assert$1(this.config.acceleratingDistributorAddress, "Must have the accelerating distributor address");
              assert$1(this.config.merkleDistributorAddress, "Must have the merkle distributor address"); // Define the contracts we need to interact with.

              acceleratingDistributorContract = this.getOrCreateAcceleratingDistributorContract();
              merkleDistributorContract = this.getOrCreateMerkleDistributorContract();
              poolContract = this.getOrCreatePoolContract(); // Get the list of all claims made by the user.

              _context8.next = 7;
              return merkleDistributorContract.queryFilter(merkleDistributorContract.filters.Claimed(undefined, undefined, userState.address, undefined, undefined, lpToken));

            case 7:
              claimList = _context8.sent;
              _context8.next = 10;
              return Promise.all(claimList.map( /*#__PURE__*/function () {
                var _ref = _asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee7(claim) {
                  return runtime_1.wrap(function _callee7$(_context7) {
                    while (1) {
                      switch (_context7.prev = _context7.next) {
                        case 0:
                          _context7.t0 = claim.args.amount;
                          _context7.next = 3;
                          return poolContract.callStatic.exchangeRateCurrent(l1TokenAddress, {
                            blockTag: claim.blockNumber
                          });

                        case 3:
                          _context7.t1 = _context7.sent;
                          return _context7.abrupt("return", _context7.t0.mul.call(_context7.t0, _context7.t1));

                        case 5:
                        case "end":
                          return _context7.stop();
                      }
                    }
                  }, _callee7);
                }));

                return function (_x16) {
                  return _ref.apply(this, arguments);
                };
              }()));

            case 10:
              amountOfLPClaimed = _context8.sent.reduce(function (prev, acc) {
                return acc.add(prev);
              }, ethers.ethers.constants.Zero);
              _context8.next = 13;
              return acceleratingDistributorContract.getUserStake(lpToken, userState.address);

            case 13:
              _yield$acceleratingDi = _context8.sent;
              cumulativeBalance = _yield$acceleratingDi.cumulativeBalance;
              return _context8.abrupt("return", {
                cumulativeBalance: cumulativeBalance,
                amountAirdropped: amountOfLPClaimed
              });

            case 16:
            case "end":
              return _context8.stop();
          }
        }
      }, _callee8, this);
    }));

    function resolveStakingData(_x13, _x14, _x15) {
      return _resolveStakingData.apply(this, arguments);
    }

    return resolveStakingData;
  }() // calculates the value of each LP token transfer at the block it was sent. this only works if we have archive node
  ;

  _proto5.calculateLpTransferValue =
  /*#__PURE__*/
  function () {
    var _calculateLpTransferValue = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee10(l1TokenAddress, userState) {
      var _this6 = this;

      var contract, pool, blockNumbers, exchangeRateTable;
      return runtime_1.wrap(function _callee10$(_context10) {
        while (1) {
          switch (_context10.prev = _context10.next) {
            case 0:
              assert$1(this.config.hasArchive, "Can only calculate historical lp values with archive node");
              contract = this.getOrCreatePoolContract();
              pool = new PoolState(contract, this.config.hubPoolAddress);
              blockNumbers = userState.transferEvents.map(function (x) {
                return x.blockNumber;
              }) // we are going to lookup exchange rates for block numbers only if we dont already have it
              // its possible these values do not exist, so to prevent crashing do optional chaining
              .filter(function (blockNumber) {
                var _this6$exchangeRateTa, _this6$exchangeRateTa2;

                return !((_this6$exchangeRateTa = _this6.exchangeRateTable) != null && (_this6$exchangeRateTa2 = _this6$exchangeRateTa[l1TokenAddress]) != null && _this6$exchangeRateTa2[blockNumber]);
              }); // new exchange rate lookups

              _context10.t0 = this;
              _context10.t1 = l1TokenAddress;
              _context10.t2 = Object;
              _context10.next = 9;
              return Promise.all(blockNumbers.map( /*#__PURE__*/function () {
                var _ref2 = _asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee9(blockNumber) {
                  return runtime_1.wrap(function _callee9$(_context9) {
                    while (1) {
                      switch (_context9.prev = _context9.next) {
                        case 0:
                          _context9.t0 = blockNumber;
                          _context9.next = 3;
                          return pool.exchangeRateAtBlock(l1TokenAddress, blockNumber);

                        case 3:
                          _context9.t1 = _context9.sent;
                          return _context9.abrupt("return", [_context9.t0, _context9.t1]);

                        case 5:
                        case "end":
                          return _context9.stop();
                      }
                    }
                  }, _callee9);
                }));

                return function (_x19) {
                  return _ref2.apply(this, arguments);
                };
              }()));

            case 9:
              _context10.t3 = _context10.sent;
              _context10.t4 = _context10.t2.fromEntries.call(_context10.t2, _context10.t3);
              exchangeRateTable = _context10.t0.updateExchangeRateTable.call(_context10.t0, _context10.t1, _context10.t4);
              return _context10.abrupt("return", userState.transferEvents.reduce(function (result, transfer) {
                var exchangeRate = exchangeRateTable[transfer.blockNumber];

                if (transfer.args.to === userState.address) {
                  return result.add(transfer.args.value.mul(exchangeRate).div(fixedPointAdjustment));
                }

                if (transfer.args.from === userState.address) {
                  return result.sub(transfer.args.value.mul(exchangeRate).div(fixedPointAdjustment));
                } // we make sure to filter out any transfers where to/from is the same user


                // we make sure to filter out any transfers where to/from is the same user
                return result;
              }, ethers.ethers.constants.Zero));

            case 13:
            case "end":
              return _context10.stop();
          }
        }
      }, _callee10, this);
    }));

    function calculateLpTransferValue(_x17, _x18) {
      return _calculateLpTransferValue.apply(this, arguments);
    }

    return calculateLpTransferValue;
  }();

  _proto5.getOrCreateTransactionManager = function getOrCreateTransactionManager(signer, address) {
    var _this7 = this;

    if (this.transactionManagers[address]) return this.transactionManagers[address];
    var txman = TransactionManager({
      confirmations: this.config.confirmations
    }, signer, function (event, id, data) {
      if (event === "submitted") {
        _this7.state.transactions[id].state = event;
        _this7.state.transactions[id].hash = data;

        _this7.emit(["transactions", id], _extends({}, _this7.state.transactions[id]));
      }

      if (event === "mined") {
        var txReceipt = data;
        _this7.state.transactions[id].state = event;
        _this7.state.transactions[id].receipt = txReceipt;

        _this7.emit(["transactions", id], _extends({}, _this7.state.transactions[id])); // trigger pool and user update for a known mined transaction


        var tx = _this7.state.transactions[id];

        _this7.updateUserWithTransaction(tx.fromAddress, txReceipt)["catch"](function (err) {
          _this7.emit(["error"], err);
        });
      }

      if (event === "error") {
        _this7.state.transactions[id].state = event;
        _this7.state.transactions[id].error = data;

        _this7.emit(["transactions", id], _extends({}, _this7.state.transactions[id]));
      }
    });
    this.transactionManagers[address] = txman;
    return txman;
  };

  _proto5.addEthLiquidity = /*#__PURE__*/function () {
    var _addEthLiquidity = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee11(signer, l1TokenAmount, overrides) {
      var _this$config, hubPoolAddress, l1Token, userAddress, contract, txman, request, id;

      return runtime_1.wrap(function _callee11$(_context11) {
        while (1) {
          switch (_context11.prev = _context11.next) {
            case 0:
              if (overrides === void 0) {
                overrides = {};
              }

              _this$config = this.config, hubPoolAddress = _this$config.hubPoolAddress, l1Token = _this$config.wethAddress;
              _context11.next = 4;
              return signer.getAddress();

            case 4:
              userAddress = _context11.sent;
              contract = this.getOrCreatePoolContract();
              txman = this.getOrCreateTransactionManager(signer, userAddress); // dont allow override value here

              _context11.next = 9;
              return contract.populateTransaction.addLiquidity(l1Token, l1TokenAmount, _extends({}, overrides, {
                value: l1TokenAmount
              }));

            case 9:
              request = _context11.sent;
              id = txman.request(request);
              this.state.transactions[id] = {
                id: id,
                state: "requested",
                toAddress: hubPoolAddress,
                fromAddress: userAddress,
                type: "Add Liquidity",
                description: "Adding ETH to pool",
                request: request
              };
              this.emit(["transactions", id], _extends({}, this.state.transactions[id]));
              _context11.next = 15;
              return txman.update();

            case 15:
              return _context11.abrupt("return", id);

            case 16:
            case "end":
              return _context11.stop();
          }
        }
      }, _callee11, this);
    }));

    function addEthLiquidity(_x20, _x21, _x22) {
      return _addEthLiquidity.apply(this, arguments);
    }

    return addEthLiquidity;
  }();

  _proto5.addTokenLiquidity = /*#__PURE__*/function () {
    var _addTokenLiquidity = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee12(signer, l1Token, l1TokenAmount, overrides) {
      var hubPoolAddress, userAddress, contract, txman, request, id;
      return runtime_1.wrap(function _callee12$(_context12) {
        while (1) {
          switch (_context12.prev = _context12.next) {
            case 0:
              if (overrides === void 0) {
                overrides = {};
              }

              hubPoolAddress = this.config.hubPoolAddress;
              _context12.next = 4;
              return signer.getAddress();

            case 4:
              userAddress = _context12.sent;
              contract = this.getOrCreatePoolContract();
              txman = this.getOrCreateTransactionManager(signer, userAddress);
              _context12.next = 9;
              return contract.populateTransaction.addLiquidity(l1Token, l1TokenAmount, overrides);

            case 9:
              request = _context12.sent;
              _context12.next = 12;
              return txman.request(request);

            case 12:
              id = _context12.sent;
              this.state.transactions[id] = {
                id: id,
                state: "requested",
                toAddress: hubPoolAddress,
                fromAddress: userAddress,
                type: "Add Liquidity",
                description: "Adding Tokens to pool",
                request: request
              };
              this.emit(["transactions", id], _extends({}, this.state.transactions[id]));
              _context12.next = 17;
              return txman.update();

            case 17:
              return _context12.abrupt("return", id);

            case 18:
            case "end":
              return _context12.stop();
          }
        }
      }, _callee12, this);
    }));

    function addTokenLiquidity(_x23, _x24, _x25, _x26) {
      return _addTokenLiquidity.apply(this, arguments);
    }

    return addTokenLiquidity;
  }();

  _proto5.validateWithdraw = /*#__PURE__*/function () {
    var _validateWithdraw2 = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee13(l1Token, userAddress, lpAmount) {
      var poolState, userState;
      return runtime_1.wrap(function _callee13$(_context13) {
        while (1) {
          switch (_context13.prev = _context13.next) {
            case 0:
              _context13.next = 2;
              return this.updatePool(l1Token);

            case 2:
              poolState = this.getPoolState(l1Token);

              if (this.hasUserState(l1Token, userAddress)) {
                _context13.next = 6;
                break;
              }

              _context13.next = 6;
              return this.updateUser(l1Token, userAddress);

            case 6:
              userState = this.getUserState(poolState.l1Token, userAddress);
              return _context13.abrupt("return", _validateWithdraw(poolState, userState, lpAmount));

            case 8:
            case "end":
              return _context13.stop();
          }
        }
      }, _callee13, this);
    }));

    function validateWithdraw(_x27, _x28, _x29) {
      return _validateWithdraw2.apply(this, arguments);
    }

    return validateWithdraw;
  }();

  _proto5.removeTokenLiquidity = /*#__PURE__*/function () {
    var _removeTokenLiquidity = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee14(signer, l1Token, lpTokenAmount, overrides) {
      var hubPoolAddress, userAddress, contract, txman, request, id;
      return runtime_1.wrap(function _callee14$(_context14) {
        while (1) {
          switch (_context14.prev = _context14.next) {
            case 0:
              if (overrides === void 0) {
                overrides = {};
              }

              hubPoolAddress = this.config.hubPoolAddress;
              _context14.next = 4;
              return signer.getAddress();

            case 4:
              userAddress = _context14.sent;
              _context14.next = 7;
              return this.validateWithdraw(l1Token, userAddress, lpTokenAmount);

            case 7:
              contract = this.getOrCreatePoolContract();
              txman = this.getOrCreateTransactionManager(signer, userAddress);
              _context14.next = 11;
              return contract.populateTransaction.removeLiquidity(l1Token, lpTokenAmount, false, overrides);

            case 11:
              request = _context14.sent;
              _context14.next = 14;
              return txman.request(request);

            case 14:
              id = _context14.sent;
              this.state.transactions[id] = {
                id: id,
                state: "requested",
                toAddress: hubPoolAddress,
                fromAddress: userAddress,
                type: "Remove Liquidity",
                description: "Withdrawing Tokens from pool",
                request: request
              };
              this.emit(["transactions", id], _extends({}, this.state.transactions[id]));
              _context14.next = 19;
              return txman.update();

            case 19:
              return _context14.abrupt("return", id);

            case 20:
            case "end":
              return _context14.stop();
          }
        }
      }, _callee14, this);
    }));

    function removeTokenLiquidity(_x30, _x31, _x32, _x33) {
      return _removeTokenLiquidity.apply(this, arguments);
    }

    return removeTokenLiquidity;
  }();

  _proto5.removeEthliquidity = /*#__PURE__*/function () {
    var _removeEthliquidity = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee15(signer, lpTokenAmount, overrides) {
      var _this$config2, hubPoolAddress, l1Token, userAddress, contract, txman, request, id;

      return runtime_1.wrap(function _callee15$(_context15) {
        while (1) {
          switch (_context15.prev = _context15.next) {
            case 0:
              if (overrides === void 0) {
                overrides = {};
              }

              _this$config2 = this.config, hubPoolAddress = _this$config2.hubPoolAddress, l1Token = _this$config2.wethAddress;
              _context15.next = 4;
              return signer.getAddress();

            case 4:
              userAddress = _context15.sent;
              _context15.next = 7;
              return this.validateWithdraw(l1Token, userAddress, lpTokenAmount);

            case 7:
              contract = this.getOrCreatePoolContract();
              txman = this.getOrCreateTransactionManager(signer, userAddress);
              _context15.next = 11;
              return contract.populateTransaction.removeLiquidity(l1Token, lpTokenAmount, true, overrides);

            case 11:
              request = _context15.sent;
              _context15.next = 14;
              return txman.request(request);

            case 14:
              id = _context15.sent;
              this.state.transactions[id] = {
                id: id,
                state: "requested",
                toAddress: hubPoolAddress,
                fromAddress: userAddress,
                type: "Remove Liquidity",
                description: "Withdrawing Eth from pool",
                request: request
              };
              this.emit(["transactions", id], _extends({}, this.state.transactions[id]));
              _context15.next = 19;
              return txman.update();

            case 19:
              return _context15.abrupt("return", id);

            case 20:
            case "end":
              return _context15.stop();
          }
        }
      }, _callee15, this);
    }));

    function removeEthliquidity(_x34, _x35, _x36) {
      return _removeEthliquidity.apply(this, arguments);
    }

    return removeEthliquidity;
  }();

  _proto5.getPoolState = function getPoolState(l1TokenAddress) {
    return this.state.pools[l1TokenAddress];
  };

  _proto5.hasPoolState = function hasPoolState(l1TokenAddress) {
    return Boolean(this.state.pools[l1TokenAddress]);
  };

  _proto5.setUserState = function setUserState(l1TokenAddress, userAddress, state) {
    set(this.state, ["users", userAddress, l1TokenAddress], state);
    return state;
  };

  _proto5.getUserState = function getUserState(l1TokenAddress, userAddress) {
    return get(this.state, ["users", userAddress, l1TokenAddress]);
  };

  _proto5.hasUserState = function hasUserState(l1TokenAddress, userAddress) {
    return has(this.state, ["users", userAddress, l1TokenAddress]);
  };

  _proto5.hasTxState = function hasTxState(id) {
    return has(this.state, ["transactions", id]);
  };

  _proto5.getTxState = function getTxState(id) {
    return get(this.state, ["transactions", id]);
  };

  _proto5.updateAndEmitUser = /*#__PURE__*/function () {
    var _updateAndEmitUser = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee16(userState, poolState, poolEventState) {
      var l1TokenAddress, lpToken, userAddress, transferValue, stakeData, tokenEventState, newUserState;
      return runtime_1.wrap(function _callee16$(_context16) {
        while (1) {
          switch (_context16.prev = _context16.next) {
            case 0:
              l1TokenAddress = poolState.l1Token, lpToken = poolState.lpToken;
              userAddress = userState.address;

              if (!this.config.hasArchive) {
                _context16.next = 8;
                break;
              }

              _context16.next = 5;
              return this.calculateLpTransferValue(l1TokenAddress, userState);

            case 5:
              _context16.t0 = _context16.sent;
              _context16.next = 9;
              break;

            case 8:
              _context16.t0 = ethers.ethers.constants.Zero;

            case 9:
              transferValue = _context16.t0;
              _context16.next = 12;
              return this.resolveStakingData(lpToken, l1TokenAddress, userState);

            case 12:
              stakeData = _context16.sent;
              tokenEventState = poolEventState[l1TokenAddress];
              newUserState = this.setUserState(l1TokenAddress, userAddress, joinUserState(poolState, tokenEventState, userState, transferValue, stakeData.cumulativeBalance, stakeData.amountAirdropped));
              this.emit(["users", userAddress, l1TokenAddress], newUserState);

            case 16:
            case "end":
              return _context16.stop();
          }
        }
      }, _callee16, this);
    }));

    function updateAndEmitUser(_x37, _x38, _x39) {
      return _updateAndEmitUser.apply(this, arguments);
    }

    return updateAndEmitUser;
  }();

  _proto5.updateUserWithTransaction = /*#__PURE__*/function () {
    var _updateUserWithTransaction = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee17(userAddress, txReceipt) {
      var latestBlock, getPoolEventState, l1TokenAddress, poolState, poolEventState, lpToken, getUserState, userState;
      return runtime_1.wrap(function _callee17$(_context17) {
        while (1) {
          switch (_context17.prev = _context17.next) {
            case 0:
              _context17.next = 2;
              return this.deps.provider.getBlock("latest");

            case 2:
              latestBlock = _context17.sent;
              getPoolEventState = this.getOrCreatePoolEvents();
              l1TokenAddress = getPoolEventState.getL1TokenFromReceipt(txReceipt);
              _context17.next = 7;
              return this.updatePool(l1TokenAddress, latestBlock);

            case 7:
              poolState = this.getPoolState(l1TokenAddress);
              poolEventState = getPoolEventState.readTxReceipt(txReceipt);
              lpToken = poolState.lpToken;
              getUserState = this.getOrCreateUserService(userAddress, lpToken);
              _context17.next = 13;
              return getUserState.read(latestBlock.number);

            case 13:
              userState = _context17.sent;
              _context17.next = 16;
              return this.updateAndEmitUser(userState, poolState, poolEventState);

            case 16:
            case "end":
              return _context17.stop();
          }
        }
      }, _callee17, this);
    }));

    function updateUserWithTransaction(_x40, _x41) {
      return _updateUserWithTransaction.apply(this, arguments);
    }

    return updateUserWithTransaction;
  }();

  _proto5.updateUser = /*#__PURE__*/function () {
    var _updateUser = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee18(userAddress, l1TokenAddress) {
      var latestBlock, poolState, lpToken, getPoolEventState, poolEventState, getUserState, userState;
      return runtime_1.wrap(function _callee18$(_context18) {
        while (1) {
          switch (_context18.prev = _context18.next) {
            case 0:
              _context18.next = 2;
              return this.deps.provider.getBlock("latest");

            case 2:
              latestBlock = _context18.sent;
              _context18.next = 5;
              return this.updatePool(l1TokenAddress, latestBlock);

            case 5:
              poolState = this.getPoolState(l1TokenAddress);
              lpToken = poolState.lpToken;
              getPoolEventState = this.getOrCreatePoolEvents();
              _context18.next = 10;
              return getPoolEventState.read(latestBlock.number, l1TokenAddress, userAddress);

            case 10:
              poolEventState = _context18.sent;
              getUserState = this.getOrCreateUserService(userAddress, lpToken);
              _context18.next = 14;
              return getUserState.read(latestBlock.number);

            case 14:
              userState = _context18.sent;
              _context18.next = 17;
              return this.updateAndEmitUser(userState, poolState, poolEventState);

            case 17:
            case "end":
              return _context18.stop();
          }
        }
      }, _callee18, this);
    }));

    function updateUser(_x42, _x43) {
      return _updateUser.apply(this, arguments);
    }

    return updateUser;
  }();

  _proto5.updatePool = /*#__PURE__*/function () {
    var _updatePool = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee19(l1TokenAddress, overrideLatestBlock) {
      var _this$config$blockDel, blockDelta, contract, pool, latestBlock, previousBlock, state, rateModel;

      return runtime_1.wrap(function _callee19$(_context19) {
        while (1) {
          switch (_context19.prev = _context19.next) {
            case 0:
              // default to 100 block delta unless specified otherwise in config
              _this$config$blockDel = this.config.blockDelta, blockDelta = _this$config$blockDel === void 0 ? DEFAULT_BLOCK_DELTA : _this$config$blockDel;
              contract = this.getOrCreatePoolContract();
              pool = new PoolState(contract, this.config.hubPoolAddress);
              _context19.t0 = overrideLatestBlock;

              if (_context19.t0) {
                _context19.next = 8;
                break;
              }

              _context19.next = 7;
              return this.deps.provider.getBlock("latest");

            case 7:
              _context19.t0 = _context19.sent;

            case 8:
              latestBlock = _context19.t0;
              _context19.next = 11;
              return this.deps.provider.getBlock(latestBlock.number - blockDelta);

            case 11:
              previousBlock = _context19.sent;
              _context19.next = 14;
              return pool.read(l1TokenAddress, latestBlock.number, previousBlock.number);

            case 14:
              state = _context19.sent;
              rateModel = undefined;
              _context19.prev = 16;
              _context19.next = 19;
              return this.configStoreClient.getRateModel(l1TokenAddress);

            case 19:
              rateModel = _context19.sent;
              _context19.next = 25;
              break;

            case 22:
              _context19.prev = 22;
              _context19.t1 = _context19["catch"](16);
              // we could swallow this error or just log it since getting the rate model is optional,
              // but we will just emit it to the caller and let them decide what to do with it.
              this.emit(["error"], _context19.t1);

            case 25:
              this.state.pools[l1TokenAddress] = joinPoolState(state, latestBlock, previousBlock, rateModel);
              this.emit(["pools", l1TokenAddress], this.state.pools[l1TokenAddress]);

            case 27:
            case "end":
              return _context19.stop();
          }
        }
      }, _callee19, this, [[16, 22]]);
    }));

    function updatePool(_x44, _x45) {
      return _updatePool.apply(this, arguments);
    }

    return updatePool;
  }();

  _proto5.updateTransactions = /*#__PURE__*/function () {
    var _updateTransactions = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee20() {
      var _i, _Object$values, txMan;

      return runtime_1.wrap(function _callee20$(_context20) {
        while (1) {
          switch (_context20.prev = _context20.next) {
            case 0:
              _i = 0, _Object$values = Object.values(this.transactionManagers);

            case 1:
              if (!(_i < _Object$values.length)) {
                _context20.next = 14;
                break;
              }

              txMan = _Object$values[_i];
              _context20.prev = 3;
              _context20.next = 6;
              return txMan.update();

            case 6:
              _context20.next = 11;
              break;

            case 8:
              _context20.prev = 8;
              _context20.t0 = _context20["catch"](3);
              this.emit(["error"], _context20.t0);

            case 11:
              _i++;
              _context20.next = 1;
              break;

            case 14:
            case "end":
              return _context20.stop();
          }
        }
      }, _callee20, this, [[3, 8]]);
    }));

    function updateTransactions() {
      return _updateTransactions.apply(this, arguments);
    }

    return updateTransactions;
  }() // starts transaction checking intervals, defaults to 30 seconds
  ;

  _proto5.startInterval =
  /*#__PURE__*/
  function () {
    var _startInterval = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee22(delayMs) {
      var _this8 = this;

      return runtime_1.wrap(function _callee22$(_context22) {
        while (1) {
          switch (_context22.prev = _context22.next) {
            case 0:
              if (delayMs === void 0) {
                delayMs = 30000;
              }

              assert$1(!this.intervalStarted, "Interval already started, try stopping first");
              this.intervalStarted = true;
              loop( /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee21() {
                return runtime_1.wrap(function _callee21$(_context21) {
                  while (1) {
                    switch (_context21.prev = _context21.next) {
                      case 0:
                        assert$1(_this8.intervalStarted, "HubPool Interval Stopped");
                        _context21.next = 3;
                        return _this8.updateTransactions();

                      case 3:
                      case "end":
                        return _context21.stop();
                    }
                  }
                }, _callee21);
              })), delayMs)["catch"](function (err) {
                _this8.emit(["error"], err);
              });

            case 4:
            case "end":
              return _context22.stop();
          }
        }
      }, _callee22, this);
    }));

    function startInterval(_x46) {
      return _startInterval.apply(this, arguments);
    }

    return startInterval;
  }() // starts transaction checking intervals
  ;

  _proto5.stopInterval =
  /*#__PURE__*/
  function () {
    var _stopInterval = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee23() {
      return runtime_1.wrap(function _callee23$(_context23) {
        while (1) {
          switch (_context23.prev = _context23.next) {
            case 0:
              this.intervalStarted = false;

            case 1:
            case "end":
              return _context23.stop();
          }
        }
      }, _callee23, this);
    }));

    function stopInterval() {
      return _stopInterval.apply(this, arguments);
    }

    return stopInterval;
  }();

  return Client$1;
}();



var index$5 = {
  __proto__: null,
  PoolEventState: PoolEventState,
  calculateRemoval: calculateRemoval,
  previewRemoval: previewRemoval,
  ReadPoolClient: ReadPoolClient,
  validateWithdraw: _validateWithdraw,
  Client: Client$1
};

var clientConfig = {
  spokePools: {}
};

var SpokePoolEventsQueryService = /*#__PURE__*/function () {
  function SpokePoolEventsQueryService(chainId, provider, eventsQuerier, logger, depositorAddr) {
    this.chainId = chainId;
    this.provider = provider;
    this.eventsQuerier = eventsQuerier;
    this.logger = logger;
    this.depositorAddr = depositorAddr;
  }

  var _proto = SpokePoolEventsQueryService.prototype;

  _proto.getEvents = /*#__PURE__*/function () {
    var _getEvents = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee() {
      var from, depositEvents, filledRelayEvents, speedUpDepositEvents, blockTimestampMap, _clientConfig$spokePo, to, start, _yield$Promise$allSet, depositEventsSettled, filledRelayEventsSettled, speedUpDepositEventsSettled, end;

      return runtime_1.wrap(function _callee$(_context) {
        while (1) {
          switch (_context.prev = _context.next) {
            case 0:
              depositEvents = [];
              filledRelayEvents = [];
              speedUpDepositEvents = [];
              blockTimestampMap = {};

              if (this.latestBlockNumber) {
                from = this.latestBlockNumber + 1;
              } else {
                from = (_clientConfig$spokePo = clientConfig.spokePools[this.chainId].lowerBoundBlockNumber) != null ? _clientConfig$spokePo : -1;
              }

              _context.next = 7;
              return this.provider.getBlock("latest");

            case 7:
              to = _context.sent.number;

              if (!(from > to)) {
                _context.next = 11;
                break;
              }

              this.logger.debug("[SpokePoolEventsQueryService]", "\uD83D\uDD34 chain " + this.chainId + ": from " + from + " > to " + to);
              return _context.abrupt("return", {
                emittedFromChainId: this.chainId,
                depositEvents: [],
                filledRelayEvents: [],
                speedUpDepositEvents: [],
                blockTimestampMap: {}
              });

            case 11:
              start = new Date();
              _context.next = 14;
              return Promise.allSettled([this.eventsQuerier.getFundsDepositEvents(from, to, this.depositorAddr), this.eventsQuerier.getFilledRelayEvents(from, to, this.depositorAddr), this.eventsQuerier.getSpeedUpDepositEvents(from, to, this.depositorAddr)]);

            case 14:
              _yield$Promise$allSet = _context.sent;
              depositEventsSettled = _yield$Promise$allSet[0];
              filledRelayEventsSettled = _yield$Promise$allSet[1];
              speedUpDepositEventsSettled = _yield$Promise$allSet[2];
              depositEvents = depositEventsSettled.status === "fulfilled" ? depositEventsSettled.value : [];
              filledRelayEvents = filledRelayEventsSettled.status === "fulfilled" ? filledRelayEventsSettled.value : [];
              speedUpDepositEvents = speedUpDepositEventsSettled.status === "fulfilled" ? speedUpDepositEventsSettled.value : [];
              end = new Date();
              this.logger.debug("[SpokePoolEventsQueryService::getEvents]", "\uD83D\uDFE2 chain " + this.chainId + ": " + depositEvents.length + " FundsDeposited events, " + filledRelayEvents.length + " FilledRelayEvents, " + speedUpDepositEvents.length + " RequestedSpeedUpDeposit events, blocks: " + from + " -> " + to + ", " + (end.valueOf() - start.valueOf()) / 1000 + " seconds");
              start = new Date();
              _context.next = 26;
              return this.getBlocksTimestamp([].concat(depositEvents, speedUpDepositEvents));

            case 26:
              blockTimestampMap = _context.sent;
              end = new Date();
              this.logger.debug("[SpokePoolEventsQueryService::getEvents]", "\uD83D\uDFE2 chain " + this.chainId + ": fetched block numbers in " + (end.valueOf() - start.valueOf()) / 1000 + " seconds");
              this.latestBlockNumber = to;
              return _context.abrupt("return", {
                emittedFromChainId: this.chainId,
                depositEvents: depositEvents,
                filledRelayEvents: filledRelayEvents,
                speedUpDepositEvents: speedUpDepositEvents,
                blockTimestampMap: blockTimestampMap
              });

            case 31:
            case "end":
              return _context.stop();
          }
        }
      }, _callee, this);
    }));

    function getEvents() {
      return _getEvents.apply(this, arguments);
    }

    return getEvents;
  }()
  /**
   * Take and array of contract events and return the timestamp of the blocks as a dictionary
   * @param events
   */
  ;

  _proto.getBlocksTimestamp =
  /*#__PURE__*/
  function () {
    var _getBlocksTimestamp = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee2(events) {
      var _this = this;

      var uniqueBlockNumbers, uniqueBlockNumbersList, blocksChunks, blocks, _iterator, _step, blocksChunk, newBlocks, timestamps, blockTimestampMap;

      return runtime_1.wrap(function _callee2$(_context2) {
        while (1) {
          switch (_context2.prev = _context2.next) {
            case 0:
              uniqueBlockNumbers = events.reduce(function (acc, event) {
                var _extends2;

                return _extends({}, acc, (_extends2 = {}, _extends2[event.blockNumber] = true, _extends2));
              }, {});
              uniqueBlockNumbersList = Object.keys(uniqueBlockNumbers).map(function (blockNumber) {
                return parseInt(blockNumber);
              });
              this.logger.debug("[getBlocksTimestamp]", "\uD83D\uDFE2 chain " + this.chainId + ": fetching " + uniqueBlockNumbersList.length + " blocks");
              blocksChunks = this.getArrayChunks(uniqueBlockNumbersList);
              blocks = [];
              _iterator = _createForOfIteratorHelperLoose(blocksChunks);

            case 6:
              if ((_step = _iterator()).done) {
                _context2.next = 14;
                break;
              }

              blocksChunk = _step.value;
              _context2.next = 10;
              return Promise.all(blocksChunk.map(function (blockNumber) {
                return _this.provider.getBlock(blockNumber);
              }));

            case 10:
              newBlocks = _context2.sent;
              blocks.push.apply(blocks, newBlocks);

            case 12:
              _context2.next = 6;
              break;

            case 14:
              _context2.next = 16;
              return Promise.all(blocks.map(function (block) {
                return block.timestamp;
              }));

            case 16:
              timestamps = _context2.sent;
              blockTimestampMap = uniqueBlockNumbersList.reduce(function (acc, blockNumber, idx) {
                var _extends3;

                return _extends({}, acc, (_extends3 = {}, _extends3[blockNumber] = timestamps[idx], _extends3));
              }, {});
              return _context2.abrupt("return", blockTimestampMap);

            case 19:
            case "end":
              return _context2.stop();
          }
        }
      }, _callee2, this);
    }));

    function getBlocksTimestamp(_x) {
      return _getBlocksTimestamp.apply(this, arguments);
    }

    return getBlocksTimestamp;
  }();

  _proto.getArrayChunks = function getArrayChunks(array, chunkSize) {
    if (chunkSize === void 0) {
      chunkSize = 50;
    }

    return Array(Math.ceil(array.length / chunkSize)).fill([]).map(function (_, index) {
      return index * chunkSize;
    }).map(function (begin) {
      return array.slice(begin, begin + chunkSize);
    });
  };

  return SpokePoolEventsQueryService;
}();

var CliColor;

(function (CliColor) {
  CliColor["Reset"] = "\x1B[0m";
  CliColor["FgGreen"] = "\x1B[32m";
  CliColor["FgYellow"] = "\x1B[33m";
  CliColor["FgReg"] = "\x1B[31m";
})(CliColor || (CliColor = {}));

var Logger = /*#__PURE__*/function () {
  function Logger(level) {
    this.currentLevel = level || "info";
  }

  var _proto = Logger.prototype;

  _proto.setLevel = function setLevel(level) {
    this.currentLevel = level;
  };

  _proto.debug = function debug(caller, message) {
    if (this.currentLevel === "debug") {
      console.debug(new Date().toISOString() + " - ", CliColor.FgYellow, caller, CliColor.Reset, message);
    }
  };

  _proto.info = function info(caller, message) {
    console.log(new Date().toISOString() + " - ", CliColor.FgGreen, caller, CliColor.Reset, message);
  };

  _proto.error = function error(caller, message) {
    console.error(new Date().toISOString() + " - ", CliColor.FgReg, caller, CliColor.Reset, message);
  };

  return Logger;
}();

var Web3ErrorCode;

(function (Web3ErrorCode) {
  Web3ErrorCode[Web3ErrorCode["BLOCK_RANGE_TOO_LARGE"] = -32005] = "BLOCK_RANGE_TOO_LARGE";
  Web3ErrorCode[Web3ErrorCode["EXCEEDED_MAXIMUM_BLOCK_RANGE"] = -32000] = "EXCEEDED_MAXIMUM_BLOCK_RANGE";
})(Web3ErrorCode || (Web3ErrorCode = {}));

var DEFAULT_BLOCK_RANGE = 100000;
/**
 * Class that wraps the queryFilter calls and has the ability to resize the block range
 * in order to comply with the eventual node restrictions in terms of the block range or the
 * length of the response
 */

var SpokePoolEventsQuerier = /*#__PURE__*/function () {
  function SpokePoolEventsQuerier(spokePool, blockRangeSize, logger) {
    this.spokePool = spokePool;
    this.blockRangeSize = blockRangeSize;
    this.logger = logger;
  }

  var _proto = SpokePoolEventsQuerier.prototype;

  _proto.getFundsDepositEvents = /*#__PURE__*/function () {
    var _getFundsDepositEvents = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee(from, to, depositorAddr) {
      return runtime_1.wrap(function _callee$(_context) {
        while (1) {
          switch (_context.prev = _context.next) {
            case 0:
              return _context.abrupt("return", this.getEvents(from, to, this.getDepositEventsFilters(depositorAddr)));

            case 1:
            case "end":
              return _context.stop();
          }
        }
      }, _callee, this);
    }));

    function getFundsDepositEvents(_x, _x2, _x3) {
      return _getFundsDepositEvents.apply(this, arguments);
    }

    return getFundsDepositEvents;
  }();

  _proto.getFilledRelayEvents = /*#__PURE__*/function () {
    var _getFilledRelayEvents = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee2(from, to, depositorAddr) {
      return runtime_1.wrap(function _callee2$(_context2) {
        while (1) {
          switch (_context2.prev = _context2.next) {
            case 0:
              return _context2.abrupt("return", this.getEvents(from, to, this.getFilledRelayEventsFilter(depositorAddr)));

            case 1:
            case "end":
              return _context2.stop();
          }
        }
      }, _callee2, this);
    }));

    function getFilledRelayEvents(_x4, _x5, _x6) {
      return _getFilledRelayEvents.apply(this, arguments);
    }

    return getFilledRelayEvents;
  }();

  _proto.getSpeedUpDepositEvents = /*#__PURE__*/function () {
    var _getSpeedUpDepositEvents = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee3(from, to, depositorAddr) {
      return runtime_1.wrap(function _callee3$(_context3) {
        while (1) {
          switch (_context3.prev = _context3.next) {
            case 0:
              return _context3.abrupt("return", this.getEvents(from, to, this.getSpeedUpDepositEventsFilter(depositorAddr)));

            case 1:
            case "end":
              return _context3.stop();
          }
        }
      }, _callee3, this);
    }));

    function getSpeedUpDepositEvents(_x7, _x8, _x9) {
      return _getSpeedUpDepositEvents.apply(this, arguments);
    }

    return getSpeedUpDepositEvents;
  }();

  _proto.getFilledRelayEventsFilter = function getFilledRelayEventsFilter(depositorAddr) {
    if (depositorAddr) {
      return this.spokePool.filters.FilledRelay(undefined, undefined, undefined, undefined, undefined, undefined, undefined, undefined, undefined, undefined, undefined, depositorAddr, undefined, undefined, undefined);
    }

    return this.spokePool.filters.FilledRelay();
  };

  _proto.getDepositEventsFilters = function getDepositEventsFilters(depositorAddr) {
    if (depositorAddr) {
      return this.spokePool.filters.FundsDeposited(undefined, undefined, undefined, undefined, undefined, undefined, undefined, undefined, depositorAddr.toLowerCase());
    }

    return this.spokePool.filters.FundsDeposited();
  };

  _proto.getSpeedUpDepositEventsFilter = function getSpeedUpDepositEventsFilter(depositorAddr) {
    if (depositorAddr) {
      return this.spokePool.filters.RequestedSpeedUpDeposit(undefined, undefined, depositorAddr.toLowerCase(), undefined);
    }

    return this.spokePool.filters.RequestedSpeedUpDeposit();
  };

  _proto.getEvents = /*#__PURE__*/function () {
    var _getEvents = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee4(from, to, filters) {
      var _this = this;

      var events, retryWithLowerBatchSize, blockRangeSizeAtStart, _events, _events2, intervals, _intervals$, intervalStart, intervalEnd, newEvents, newEventsList, _events3, _newEvents, _this$logger, newBlockRangeSize;

      return runtime_1.wrap(function _callee4$(_context4) {
        while (1) {
          switch (_context4.prev = _context4.next) {
            case 0:
              events = [];

            case 1:
              blockRangeSizeAtStart = this.blockRangeSize;
              _context4.prev = 2;
              retryWithLowerBatchSize = false;
              events = [];

              if (!this.blockRangeSize) {
                _context4.next = 18;
                break;
              }

              intervals = getSamplesBetween(from, to, this.blockRangeSize); // query events only for the first interval to make sure block range is fine

              _intervals$ = intervals[0], intervalStart = _intervals$[0], intervalEnd = _intervals$[1];
              _context4.next = 10;
              return this.spokePool.queryFilter(filters, intervalStart, intervalEnd);

            case 10:
              newEvents = _context4.sent;

              (_events = events).push.apply(_events, newEvents); // query the rest of block intervals in parallel in order to get the events


              _context4.next = 14;
              return Promise.all(intervals.slice(1).map(function (_ref) {
                var intervalStart = _ref[0],
                    intervalEnd = _ref[1];
                return _this.spokePool.queryFilter(filters, intervalStart, intervalEnd);
              }));

            case 14:
              newEventsList = _context4.sent;

              (_events2 = events).push.apply(_events2, newEventsList.flat());

              _context4.next = 22;
              break;

            case 18:
              _context4.next = 20;
              return this.spokePool.queryFilter(filters, from, to);

            case 20:
              _newEvents = _context4.sent;

              (_events3 = events).push.apply(_events3, _newEvents);

            case 22:
              _context4.next = 34;
              break;

            case 24:
              _context4.prev = 24;
              _context4.t0 = _context4["catch"](2);

              if (!(_context4.t0.error.code === Web3ErrorCode.BLOCK_RANGE_TOO_LARGE || _context4.t0.error.code === Web3ErrorCode.EXCEEDED_MAXIMUM_BLOCK_RANGE)) {
                _context4.next = 31;
                break;
              }

              // make sure the block range size wasn't modified by a parallel function call
              if (this.blockRangeSize === blockRangeSizeAtStart) {
                newBlockRangeSize = this.blockRangeSize ? this.blockRangeSize / 2 : DEFAULT_BLOCK_RANGE;
                (_this$logger = this.logger) == null ? void 0 : _this$logger.debug("[SpokePoolEventsQuerier::getEventsInBatches]", "\uD83D\uDD34 lowering block range size from " + this.blockRangeSize + " to " + newBlockRangeSize);
                this.blockRangeSize = newBlockRangeSize;
              }

              retryWithLowerBatchSize = true;
              _context4.next = 34;
              break;

            case 31:
              retryWithLowerBatchSize = false;
              console.error(_context4.t0);
              throw _context4.t0;

            case 34:
              if (retryWithLowerBatchSize) {
                _context4.next = 1;
                break;
              }

            case 35:
              return _context4.abrupt("return", events);

            case 36:
            case "end":
              return _context4.stop();
          }
        }
      }, _callee4, this, [[2, 24]]);
    }));

    function getEvents(_x10, _x11, _x12) {
      return _getEvents.apply(this, arguments);
    }

    return getEvents;
  }();

  return SpokePoolEventsQuerier;
}();

var _transfersStoreInitia;
var usersTransfersStoreInitialValue = {};
var transfersStoreInitialValue = (_transfersStoreInitia = {}, _transfersStoreInitia[constants$1.CHAIN_IDs.GOERLI] = {}, _transfersStoreInitia[constants$1.CHAIN_IDs.POLYGON] = {}, _transfersStoreInitia[constants$1.CHAIN_IDs.MAINNET] = {}, _transfersStoreInitia);
var TransfersRepository = /*#__PURE__*/function () {
  function TransfersRepository() {
    this.transfers = transfersStoreInitialValue;
    this.usersTransfers = usersTransfersStoreInitialValue;
  }

  var _proto = TransfersRepository.prototype;

  _proto.insertTransfer = function insertTransfer(chainId, depositorAddr, depositId, transfer) {
    if (!this.transfers[chainId]) {
      this.transfers[chainId] = {};
    }

    if (!this.transfers[chainId][depositorAddr]) {
      this.transfers[chainId][depositorAddr] = {};
    }

    if (this.transfers[chainId][depositorAddr][depositId]) {
      return;
    }

    this.transfers[chainId][depositorAddr][depositId] = transfer;
  };

  _proto.updateFilledAmount = function updateFilledAmount(chainId, depositorAddr, depositId, filled, fillTxHash, appliedRelayerFeePct) {
    var _this$transfers, _this$transfers$chain, _this$transfers$chain2;

    var transfer = (_this$transfers = this.transfers) == null ? void 0 : (_this$transfers$chain = _this$transfers[chainId]) == null ? void 0 : (_this$transfers$chain2 = _this$transfers$chain[depositorAddr]) == null ? void 0 : _this$transfers$chain2[depositId];

    if (!transfer) {
      console.error("couldn't fill deposit on chain " + chainId + ", depositId " + depositId + ", depositor " + depositorAddr);
      return;
    }

    this.transfers[chainId][depositorAddr][depositId] = _extends({}, transfer, {
      filled: filled,
      status: transfer.amount.eq(filled) ? "filled" : "pending",
      fillTxs: Array.from(new Set([].concat(transfer.fillTxs, [fillTxHash]))),
      currentRelayerFeePct: appliedRelayerFeePct
    });
  };

  _proto.updateRelayerFee = function updateRelayerFee(sourceChainId, depositorAddr, depositId, newRelayerFeePct, speedUpTxHash, timestamp) {
    var _this$transfers2, _this$transfers2$sour, _this$transfers2$sour2;

    var transfer = (_this$transfers2 = this.transfers) == null ? void 0 : (_this$transfers2$sour = _this$transfers2[sourceChainId]) == null ? void 0 : (_this$transfers2$sour2 = _this$transfers2$sour[depositorAddr]) == null ? void 0 : _this$transfers2$sour2[depositId];

    if (!transfer) {
      console.error("couldn't update 'relayerFee' on chain " + sourceChainId + ", depositId " + depositId + ", depositor " + depositorAddr);
      return;
    }

    this.transfers[transfer.sourceChainId][depositorAddr][depositId] = _extends({}, transfer, {
      currentRelayerFeePct: transfer.status === "pending" ? newRelayerFeePct : transfer.currentRelayerFeePct,
      speedUps: [].concat(transfer.speedUps.filter(function (speedUp) {
        return speedUp.txHash !== speedUpTxHash;
      }), [{
        txHash: speedUpTxHash,
        relayerFeePct: newRelayerFeePct,
        timestamp: timestamp
      }])
    });
  };

  _proto.getTransfersByChainAndDepositor = function getTransfersByChainAndDepositor(chainId, depositorAddr) {
    if (this.transfers[chainId][depositorAddr]) {
      return Object.values(this.transfers[chainId][depositorAddr]);
    }

    return [];
  };

  _proto.setDepositorPendingTransfers = function setDepositorPendingTransfers(depositorAddr, transfers) {
    if (!this.usersTransfers[depositorAddr]) {
      this.usersTransfers[depositorAddr] = {
        pending: [],
        filled: []
      };
    }

    this.usersTransfers[depositorAddr].pending = transfers;
  };

  _proto.setDepositorFilledTransfers = function setDepositorFilledTransfers(depositorAddr, transfers) {
    if (!this.usersTransfers[depositorAddr]) {
      this.usersTransfers[depositorAddr] = {
        filled: [],
        pending: []
      };
    }

    this.usersTransfers[depositorAddr].filled = transfers;
  };

  _proto.aggregateTransfers = function aggregateTransfers() {
    var _this = this;

    var chainsIds = Object.keys(this.transfers).map(function (chainId) {
      return parseInt(chainId);
    });
    var depositors = chainsIds.reduce(function (acc, chainId) {
      return [].concat(acc, Object.keys(_this.transfers[chainId]));
    }, []);

    for (var _iterator = _createForOfIteratorHelperLoose(depositors), _step; !(_step = _iterator()).done;) {
      var depositorAddr = _step.value;
      var transfers = [];

      for (var _iterator2 = _createForOfIteratorHelperLoose(chainsIds), _step2; !(_step2 = _iterator2()).done;) {
        var chainId = _step2.value;
        transfers.push.apply(transfers, this.getTransfersByChainAndDepositor(chainId, depositorAddr));
      } // sort transfers by deposit time in descending order


      transfers.sort(function (t1, t2) {
        return t2.depositTime - t1.depositTime;
      }); // filter events by status

      var filteredTransfers = transfers.reduce(function (acc, transfer) {
        return {
          pending: transfer.status === "pending" ? [].concat(acc.pending, [transfer]) : acc.pending,
          filled: transfer.status === "filled" ? [].concat(acc.filled, [transfer]) : acc.filled
        };
      }, {
        pending: [],
        filled: []
      });
      this.setDepositorFilledTransfers(depositorAddr, filteredTransfers.filled);
      this.setDepositorPendingTransfers(depositorAddr, filteredTransfers.pending);
    }
  };

  _proto.getFilledTransfers = function getFilledTransfers(depositorAddr, limit, offset) {
    var _this$usersTransfers$;

    var transfers = ((_this$usersTransfers$ = this.usersTransfers[depositorAddr]) == null ? void 0 : _this$usersTransfers$.filled) || [];

    if (transfers.length === 0) {
      return transfers;
    }

    return transfers.slice(offset, limit && offset ? limit + offset : limit);
  };

  _proto.getAllFilledTransfers = function getAllFilledTransfers(limit, offset) {
    return Object.values(this.usersTransfers).flatMap(function (t) {
      return t.filled;
    }).sort(function (t1, t2) {
      return t2.depositTime - t1.depositTime;
    }).slice(offset, limit && offset ? limit + offset : limit);
  };

  _proto.getPendingTransfers = function getPendingTransfers(depositorAddr, limit, offset) {
    var _this$usersTransfers$2;

    var transfers = ((_this$usersTransfers$2 = this.usersTransfers[depositorAddr]) == null ? void 0 : _this$usersTransfers$2.pending) || [];

    if (transfers.length === 0) {
      return transfers;
    }

    return transfers.slice(offset, limit && offset ? limit + offset : limit);
  };

  _proto.getAllPendingTransfers = function getAllPendingTransfers(limit, offset) {
    return Object.values(this.usersTransfers).flatMap(function (t) {
      return t.pending;
    }).sort(function (t1, t2) {
      return t2.depositTime - t1.depositTime;
    }).slice(offset, limit && offset ? limit + offset : limit);
  };

  _proto.countFilledTransfers = function countFilledTransfers(depositorAddr) {
    var _this$usersTransfers$3;

    var transfers = ((_this$usersTransfers$3 = this.usersTransfers[depositorAddr]) == null ? void 0 : _this$usersTransfers$3.filled) || [];
    return transfers.length;
  };

  _proto.countAllFilledTransfers = function countAllFilledTransfers() {
    return Object.values(this.usersTransfers).flatMap(function (t) {
      return t.filled;
    }).length;
  };

  _proto.countPendingTransfers = function countPendingTransfers(depositorAddr) {
    var _this$usersTransfers$4;

    var transfers = ((_this$usersTransfers$4 = this.usersTransfers[depositorAddr]) == null ? void 0 : _this$usersTransfers$4.pending) || [];
    return transfers.length;
  };

  _proto.countAllPendingTransfers = function countAllPendingTransfers() {
    return Object.values(this.usersTransfers).flatMap(function (t) {
      return t.pending;
    }).length;
  };

  return TransfersRepository;
}();

var TransfersHistoryEvent;

(function (TransfersHistoryEvent) {
  TransfersHistoryEvent["TransfersUpdated"] = "TransfersUpdated";
})(TransfersHistoryEvent || (TransfersHistoryEvent = {}));

var TransfersHistoryClient = /*#__PURE__*/function () {
  function TransfersHistoryClient(config, logger, transfersRepository) {
    if (logger === void 0) {
      logger = new Logger();
    }

    if (transfersRepository === void 0) {
      transfersRepository = new TransfersRepository();
    }

    this.logger = logger;
    this.transfersRepository = transfersRepository;
    this.eventEmitter = new EventEmitter();
    this.web3Providers = {};
    this.spokePoolInstances = {};
    this.eventsQueriers = {};
    this.eventsServices = {};
    this.pollingIntervalSeconds = 15;
    this.pollingTimers = {};
    this.fetchingState = {};

    if (typeof config.pollingIntervalSeconds === "number") {
      this.pollingIntervalSeconds = config.pollingIntervalSeconds;
    }

    for (var _iterator = _createForOfIteratorHelperLoose(config.chains), _step; !(_step = _iterator()).done;) {
      var chain = _step.value;
      this.web3Providers[chain.chainId] = chain.provider;
      this.spokePoolInstances[chain.chainId] = SpokePool__factory.SpokePool__factory.connect(chain.spokePoolContractAddr, this.web3Providers[chain.chainId]);
      this.eventsQueriers[chain.chainId] = new SpokePoolEventsQuerier(this.spokePoolInstances[chain.chainId], undefined, this.logger);
      clientConfig.spokePools[chain.chainId] = {
        lowerBoundBlockNumber: chain.lowerBoundBlockNumber || 0
      };
    }
  }

  var _proto = TransfersHistoryClient.prototype;

  _proto.setLogLevel = function setLogLevel(level) {
    this.logger.setLevel(level);
  };

  _proto.startFetchingTransfers = /*#__PURE__*/function () {
    var _startFetchingTransfers = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee(depositorAddr) {
      var _this = this;

      var timer;
      return runtime_1.wrap(function _callee$(_context) {
        while (1) {
          switch (_context.prev = _context.next) {
            case 0:
              this.fetchingState[depositorAddr] = "started";
              this.initSpokePoolEventsQueryServices(depositorAddr);
              _context.next = 4;
              return this.getEventsForDepositor(depositorAddr);

            case 4:
              if (!(this.pollingIntervalSeconds > 0)) {
                _context.next = 10;
                break;
              }

              timer = this.pollingTimers[depositorAddr]; // prevent triggering multiple polling intervals for the same address

              if (!timer) {
                _context.next = 8;
                break;
              }

              throw new Error("Address " + depositorAddr + " is already monitored");

            case 8:
              timer = setInterval(function () {
                _this.getEventsForDepositor(depositorAddr);
              }, this.pollingIntervalSeconds * 1000);
              this.pollingTimers[depositorAddr] = timer;

            case 10:
            case "end":
              return _context.stop();
          }
        }
      }, _callee, this);
    }));

    function startFetchingTransfers(_x) {
      return _startFetchingTransfers.apply(this, arguments);
    }

    return startFetchingTransfers;
  }();

  _proto.stopFetchingTransfers = function stopFetchingTransfers(depositorAddr) {
    var timer = this.pollingTimers[depositorAddr]; // mark that the fetching stopped for depositor address

    this.fetchingState[depositorAddr] = "stopped";

    if (timer) {
      clearInterval(timer);
      delete this.pollingTimers[depositorAddr];
    }
  };

  _proto.on = function on(event, cb) {
    this.eventEmitter.on(event, cb);
  };

  _proto.initSpokePoolEventsQueryServices = function initSpokePoolEventsQueryServices(depositorAddr) {
    var chainIds = Object.keys(this.spokePoolInstances).map(function (chainId) {
      return parseInt(chainId);
    });

    for (var _iterator2 = _createForOfIteratorHelperLoose(chainIds), _step2; !(_step2 = _iterator2()).done;) {
      var chainId = _step2.value;

      if (!this.eventsServices[depositorAddr]) {
        this.eventsServices[depositorAddr] = {};
      }

      if (!this.eventsServices[depositorAddr][chainId]) {
        this.eventsServices[depositorAddr][chainId] = new SpokePoolEventsQueryService(chainId, this.web3Providers[chainId], this.eventsQueriers[chainId], this.logger, depositorAddr !== "all" ? depositorAddr : undefined);
      }
    }
  };

  _proto.getEventsForDepositor = /*#__PURE__*/function () {
    var _getEventsForDepositor = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee2(depositorAddr) {
      var _this2 = this;

      var events, depositEvents, filledRelayEvents, speedUpDepositEvents, blockTimestampMap, filledTransfersCount, pendingTransfersCount, eventData;
      return runtime_1.wrap(function _callee2$(_context2) {
        while (1) {
          switch (_context2.prev = _context2.next) {
            case 0:
              _context2.next = 2;
              return Promise.all(Object.values(this.eventsServices[depositorAddr]).map(function (eventService) {
                return eventService.getEvents();
              }));

            case 2:
              events = _context2.sent;
              depositEvents = events.flat().reduce(function (acc, val) {
                return [].concat(acc, val.depositEvents);
              }, []);
              filledRelayEvents = events.flat().reduce(function (acc, val) {
                return [].concat(acc, val.filledRelayEvents);
              }, []);
              speedUpDepositEvents = events.flat().reduce(function (acc, val) {
                return [].concat(acc, val.speedUpDepositEvents.map(function (event) {
                  return _extends({}, event, {
                    // we have to enrich the event with this information in order to determine
                    // which exact `transfer` needs to be updated.
                    emittedFromChainId: val.emittedFromChainId
                  });
                }));
              }, []);
              blockTimestampMap = events.flat().reduce(function (acc, val) {
                return _extends({}, acc, val.blockTimestampMap);
              }, {});
              depositEvents.map(function (e) {
                return _this2.insertFundsDepositedEvent(e, blockTimestampMap[e.blockNumber]);
              });
              filledRelayEvents.map(function (e) {
                return _this2.insertFilledRelayEvent(e);
              });
              speedUpDepositEvents.map(function (e) {
                return _this2.handleSpeedUpDepositEvent(e, blockTimestampMap[e.blockNumber]);
              });
              this.transfersRepository.aggregateTransfers();
              filledTransfersCount = depositorAddr === "all" ? this.transfersRepository.countAllFilledTransfers() : this.transfersRepository.countFilledTransfers(depositorAddr);
              pendingTransfersCount = depositorAddr === "all" ? this.transfersRepository.countAllPendingTransfers() : this.transfersRepository.countPendingTransfers(depositorAddr);
              eventData = {
                depositorAddr: depositorAddr,
                filledTransfersCount: filledTransfersCount,
                pendingTransfersCount: pendingTransfersCount
              }; // emit event only if the fetching wasn't stopped for depositor address.
              // this is to prevent events from being triggered after the fetching was stopped

              if (this.fetchingState[depositorAddr] === "started") {
                this.eventEmitter.emit(TransfersHistoryEvent.TransfersUpdated, eventData);
              }

            case 15:
            case "end":
              return _context2.stop();
          }
        }
      }, _callee2, this);
    }));

    function getEventsForDepositor(_x2) {
      return _getEventsForDepositor.apply(this, arguments);
    }

    return getEventsForDepositor;
  }();

  _proto.insertFundsDepositedEvent = function insertFundsDepositedEvent(event, timestamp) {
    var args = event.args,
        transactionHash = event.transactionHash;
    var amount = args.amount,
        originToken = args.originToken,
        destinationChainId = args.destinationChainId,
        depositId = args.depositId,
        depositor = args.depositor,
        originChainId = args.originChainId,
        relayerFeePct = args.relayerFeePct;
    var transfer = {
      amount: ethers.BigNumber.from(amount),
      assetAddr: originToken,
      depositId: depositId,
      depositTime: timestamp,
      depositTxHash: transactionHash,
      destinationChainId: destinationChainId.toNumber(),
      filled: ethers.ethers.constants.Zero,
      sourceChainId: originChainId.toNumber(),
      status: "pending",
      fillTxs: [],
      initialRelayerFeePct: relayerFeePct,
      currentRelayerFeePct: relayerFeePct,
      speedUps: []
    };
    this.transfersRepository.insertTransfer(originChainId.toNumber(), depositor, depositId, transfer);
  };

  _proto.insertFilledRelayEvent = function insertFilledRelayEvent(event) {
    var args = event.args,
        transactionHash = event.transactionHash;
    var totalFilledAmount = args.totalFilledAmount,
        depositor = args.depositor,
        depositId = args.depositId,
        originChainId = args.originChainId,
        relayerFeePct = args.relayerFeePct;
    this.transfersRepository.updateFilledAmount(originChainId.toNumber(), depositor, depositId, totalFilledAmount, transactionHash, relayerFeePct);
  };

  _proto.handleSpeedUpDepositEvent = function handleSpeedUpDepositEvent(event, timestamp) {
    var args = event.args,
        transactionHash = event.transactionHash,
        emittedFromChainId = event.emittedFromChainId;
    var newRelayerFeePct = args.newRelayerFeePct,
        depositor = args.depositor,
        depositId = args.depositId;
    this.transfersRepository.updateRelayerFee(emittedFromChainId, depositor, depositId, newRelayerFeePct, transactionHash, timestamp);
  };

  _proto.getFilledTransfers = function getFilledTransfers(depositorAddr, limit, offset) {
    if (depositorAddr === "all") {
      return this.transfersRepository.getAllFilledTransfers();
    }

    return this.transfersRepository.getFilledTransfers(depositorAddr, limit, offset);
  };

  _proto.getPendingTransfers = function getPendingTransfers(depositorAddr, limit, offset) {
    if (depositorAddr === "all") {
      return this.transfersRepository.getAllPendingTransfers();
    }

    return this.transfersRepository.getPendingTransfers(depositorAddr, limit, offset);
  };

  return TransfersHistoryClient;
}();



var index$6 = {
  __proto__: null,
  get TransfersHistoryEvent () { return TransfersHistoryEvent; },
  TransfersHistoryClient: TransfersHistoryClient
};

var _uma$across$utils = uma.across.utils,
    percent$1 = _uma$across$utils.percent,
    fixedPointAdjustment$1 = _uma$across$utils.fixedPointAdjustment;
var expectedCapitalCostsKeys = ["lowerBound", "upperBound", "cutoff", "decimals"];
var DEFAULT_LOGGER = {
  debug: function debug() {
    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return console.debug(args);
  },
  info: function info() {
    for (var _len2 = arguments.length, args = new Array(_len2), _key2 = 0; _key2 < _len2; _key2++) {
      args[_key2] = arguments[_key2];
    }

    return console.info(args);
  },
  warn: function warn() {
    for (var _len3 = arguments.length, args = new Array(_len3), _key3 = 0; _key3 < _len3; _key3++) {
      args[_key3] = arguments[_key3];
    }

    return console.warn(args);
  },
  error: function error() {
    for (var _len4 = arguments.length, args = new Array(_len4), _key4 = 0; _key4 < _len4; _key4++) {
      args[_key4] = arguments[_key4];
    }

    return console.error(args);
  }
};
var RelayFeeCalculator = /*#__PURE__*/function () {
  function RelayFeeCalculator(config, logger, destinationChainId) {
    assert$1(config, "config must be provided");

    if ("queries" in config) {
      this.queries = config.queries;
    } else {
      assert$1(destinationChainId !== undefined, "destinationChainId must be provided if queriesMap is provided");
      assert$1(config.queriesMap[destinationChainId], "No queries provided for destination chain");
      this.queries = config.queriesMap[destinationChainId];
    }

    this.gasDiscountPercent = config.gasDiscountPercent || 0;
    this.capitalDiscountPercent = config.capitalDiscountPercent || 0;
    this.feeLimitPercent = config.feeLimitPercent || 0;
    this.nativeTokenDecimals = config.nativeTokenDecimals || 18;
    this.capitalCostsPercent = config.capitalCostsPercent || 0;
    assert$1(this.gasDiscountPercent >= 0 && this.gasDiscountPercent <= 100, "gasDiscountPercent must be between 0 and 100 percent");
    assert$1(this.capitalDiscountPercent >= 0 && this.capitalDiscountPercent <= 100, "capitalDiscountPercent must be between 0 and 100 percent");
    assert$1(this.feeLimitPercent >= 0 && this.feeLimitPercent <= 100, "feeLimitPercent must be between 0 and 100 percent");
    assert$1(this.capitalCostsPercent >= 0 && this.capitalCostsPercent <= 100, "capitalCostsPercent must be between 0 and 100 percent");
    this.capitalCostsConfig = {};

    for (var _i = 0, _Object$keys = Object.keys(config.capitalCostsConfig || {}); _i < _Object$keys.length; _i++) {
      var token = _Object$keys[_i];
      this.capitalCostsConfig[token] = RelayFeeCalculator.validateAndTransformCapitalCostsConfigOverride((config.capitalCostsConfig || {})[token]);
    }

    this.logger = logger || DEFAULT_LOGGER;
  }
  /**
   * Type guard to check if a config is a CapitalCostConfigOverride or a CapitalCostConfig.
   * @param config CapitalCostConfig or CapitalCostConfigOverride
   * @returns true if the config is a CapitalCostConfigOverride, false otherwise.
   * @private
   * @dev This is a type guard that is used to check if a config is a CapitalCostConfigOverride or a CapitalCostConfig.
   * This is needed because the config can be either a CapitalCostConfig or a CapitalCostConfigOverride. If it's a
   * CapitalCostConfig, then we need to convert it to a CapitalCostConfigOverride with the default config set with no route
   * overrides.
   */


  RelayFeeCalculator.capitalCostConfigIsOverride = function capitalCostConfigIsOverride(config) {
    return config["default"] !== undefined;
  }
  /**
   * Validates a CapitalCostConfigOverride or a CapitalCostConfig.
   * @param capitalCosts CapitalCostConfig or CapitalCostConfigOverride
   * @returns CapitalCostConfigOverride
   */
  ;

  RelayFeeCalculator.validateAndTransformCapitalCostsConfigOverride = function validateAndTransformCapitalCostsConfigOverride(capitalCosts) {
    // We need to first convert the config to a baseline type. This is because the config can be either a CapitalCostConfig
    // or a CapitalCostConfigOverride. If it's a CapitalCostConfig, then we need to convert it to a CapitalCostConfigOverride with
    // the default config set with no route overrides.
    var config = this.capitalCostConfigIsOverride(capitalCosts) ? capitalCosts : {
      "default": capitalCosts
    }; // Validate the default config.

    this.validateCapitalCostsConfig(config["default"]); // Iterate over all the route overrides and validate them.

    for (var _i2 = 0, _Object$values = Object.values(config.routeOverrides || {}); _i2 < _Object$values.length; _i2++) {
      var toChainIdRoutes = _Object$values[_i2];

      for (var _i3 = 0, _Object$values2 = Object.values(toChainIdRoutes); _i3 < _Object$values2.length; _i3++) {
        var override = _Object$values2[_i3];
        this.validateCapitalCostsConfig(override);
      }
    }

    return config;
  }
  /**
   * Validates a CapitalCostConfig.
   * @param capitalCosts CapitalCostConfig
   */
  ;

  RelayFeeCalculator.validateCapitalCostsConfig = function validateCapitalCostsConfig(capitalCosts) {
    assert$1(toBN(capitalCosts.upperBound).lt(toBNWei("0.01")), "upper bound must be < 1%");
    assert$1(toBN(capitalCosts.lowerBound).lte(capitalCosts.upperBound), "lower bound must be <= upper bound");
    assert$1(capitalCosts.decimals > 0 && capitalCosts.decimals <= 18, "invalid decimals");
  };

  var _proto = RelayFeeCalculator.prototype;

  _proto.getTokenPrice = /*#__PURE__*/function () {
    var _getTokenPrice = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee(tokenSymbol) {
      return runtime_1.wrap(function _callee$(_context) {
        while (1) {
          switch (_context.prev = _context.next) {
            case 0:
              return _context.abrupt("return", this.queries.getTokenPrice(tokenSymbol));

            case 1:
            case "end":
              return _context.stop();
          }
        }
      }, _callee, this);
    }));

    function getTokenPrice(_x) {
      return _getTokenPrice.apply(this, arguments);
    }

    return getTokenPrice;
  }();

  _proto.gasFeePercent = /*#__PURE__*/function () {
    var _gasFeePercent = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee2(amountToRelay, tokenSymbol, _tokenPrice) {
      var _this = this;

      var getGasCosts, getTokenPrice, _yield$Promise$all, gasCosts, tokenPrice, decimals, gasFeesInToken;

      return runtime_1.wrap(function _callee2$(_context2) {
        while (1) {
          switch (_context2.prev = _context2.next) {
            case 0:
              if (!toBN(amountToRelay).eq(0)) {
                _context2.next = 2;
                break;
              }

              return _context2.abrupt("return", MAX_BIG_INT);

            case 2:
              getGasCosts = this.queries.getGasCosts()["catch"](function (error) {
                _this.logger.error({
                  at: "sdk-v2/gasFeePercent",
                  message: "Error while fetching gas costs",
                  error: error
                });

                throw error;
              });
              getTokenPrice = this.queries.getTokenPrice(tokenSymbol)["catch"](function (error) {
                _this.logger.error({
                  at: "sdk-v2/gasFeePercent",
                  message: "Error while fetching token price",
                  error: error
                });

                throw error;
              });
              _context2.next = 6;
              return Promise.all([getGasCosts, _tokenPrice !== undefined ? _tokenPrice : getTokenPrice]);

            case 6:
              _yield$Promise$all = _context2.sent;
              gasCosts = _yield$Promise$all[0];
              tokenPrice = _yield$Promise$all[1];
              decimals = this.queries.getTokenDecimals(tokenSymbol);
              gasFeesInToken = nativeToToken(gasCosts, tokenPrice, decimals, this.nativeTokenDecimals);
              return _context2.abrupt("return", percent$1(gasFeesInToken, amountToRelay.toString()));

            case 12:
            case "end":
              return _context2.stop();
          }
        }
      }, _callee2, this);
    }));

    function gasFeePercent(_x2, _x3, _x4) {
      return _gasFeePercent.apply(this, arguments);
    }

    return gasFeePercent;
  }() // Note: these variables are unused now, but may be needed in future versions of this function that are more complex.
  // eslint-disable-next-line @typescript-eslint/no-unused-vars
  ;

  _proto.capitalFeePercent =
  /*#__PURE__*/
  function () {
    var _capitalFeePercent = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee3(_amountToRelay, _tokenSymbol, _originRoute, _destinationRoute) {
      var defaultFee, overrideConfig, config, potentialDestinationRoutes, y, minCharge, yTriangle, triangleSlope, triangleHeight, triangleCharge, yRemainder, remainderCharge;
      return runtime_1.wrap(function _callee3$(_context3) {
        while (1) {
          switch (_context3.prev = _context3.next) {
            case 0:
              if (!toBN(_amountToRelay).eq(toBN(0))) {
                _context3.next = 2;
                break;
              }

              return _context3.abrupt("return", MAX_BIG_INT);

            case 2:
              // V0: Charge fixed capital fee
              defaultFee = toBNWei(this.capitalCostsPercent / 100); // V1: Charge fee that scales with size. This will charge a fee % based on a linear fee curve with a "kink" at a
              // cutoff in the same units as _amountToRelay. Before the kink, the fee % will increase linearly from a lower
              // bound to an upper bound. After the kink, the fee % increase will be fixed, and slowly approach the upper bound
              // for very large amount inputs.

              if (!this.capitalCostsConfig[_tokenSymbol]) {
                _context3.next = 16;
                break;
              }

              overrideConfig = this.capitalCostsConfig[_tokenSymbol];
              config = overrideConfig["default"];

              if (_originRoute && _destinationRoute && overrideConfig.routeOverrides) {
                potentialDestinationRoutes = overrideConfig.routeOverrides[_originRoute];

                if (potentialDestinationRoutes) {
                  config = potentialDestinationRoutes[_destinationRoute] || config;
                }
              } // Scale amount "y" to 18 decimals.


              y = toBN(_amountToRelay).mul(toBNWei("1", 18 - config.decimals)); // At a minimum, the fee will be equal to lower bound fee * y

              minCharge = toBN(config.lowerBound).mul(y).div(fixedPointAdjustment$1); // Charge an increasing marginal fee % up to min(cutoff, y). If y is very close to the cutoff, the fee %
              // will be equal to half the sum of (upper bound + lower bound).

              yTriangle = min(config.cutoff, y); // triangleSlope is slope of fee curve from lower bound to upper bound. If cutoff is 0, slope is 0.
              // triangleCharge is interval of curve from 0 to y for curve = triangleSlope * y

              triangleSlope = toBN(config.cutoff).eq(toBN(0)) ? toBN(0) : toBN(config.upperBound).sub(config.lowerBound).mul(fixedPointAdjustment$1).div(config.cutoff);
              triangleHeight = triangleSlope.mul(yTriangle).div(fixedPointAdjustment$1);
              triangleCharge = triangleHeight.mul(yTriangle).div(toBNWei(2)); // For any amounts above the cutoff, the marginal fee % will not increase but will be fixed at the upper bound
              // value.

              yRemainder = max(toBN(0), y.sub(config.cutoff));
              remainderCharge = yRemainder.mul(toBN(config.upperBound).sub(config.lowerBound)).div(fixedPointAdjustment$1);
              return _context3.abrupt("return", minCharge.add(triangleCharge).add(remainderCharge).mul(fixedPointAdjustment$1).div(y));

            case 16:
              return _context3.abrupt("return", defaultFee);

            case 17:
            case "end":
              return _context3.stop();
          }
        }
      }, _callee3, this);
    }));

    function capitalFeePercent(_x5, _x6, _x7, _x8) {
      return _capitalFeePercent.apply(this, arguments);
    }

    return capitalFeePercent;
  }();

  _proto.relayerFeeDetails = /*#__PURE__*/function () {
    var _relayerFeeDetails = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee4(amountToRelay, tokenSymbol, tokenPrice, _originRoute, _destinationRoute) {
      var gasFeePercent, gasFeeTotal, capitalFeePercent, capitalFeeTotal, relayFeePercent, relayFeeTotal, maxGasFeePercent, minDeposit, isAmountTooLow;
      return runtime_1.wrap(function _callee4$(_context4) {
        while (1) {
          switch (_context4.prev = _context4.next) {
            case 0:
              _context4.next = 2;
              return this.gasFeePercent(amountToRelay, tokenSymbol, tokenPrice);

            case 2:
              gasFeePercent = _context4.sent;
              gasFeeTotal = gasFeePercent.mul(amountToRelay).div(fixedPointAdjustment$1);
              _context4.next = 6;
              return this.capitalFeePercent(amountToRelay, tokenSymbol, _originRoute, _destinationRoute);

            case 6:
              capitalFeePercent = _context4.sent;
              capitalFeeTotal = capitalFeePercent.mul(amountToRelay).div(fixedPointAdjustment$1);
              relayFeePercent = gasFeePercent.add(capitalFeePercent);
              relayFeeTotal = gasFeeTotal.add(capitalFeeTotal); // We don't want the relayer to incur an excessive gas fee charge as a % of the deposited total.
              // The maximum gas fee % charged is equal to the remaining fee % leftover after subtracting the capital fee %
              // from the fee limit %. We then compute the minimum deposited amount required to not exceed the maximum
              // gas fee %: maxGasFeePercent = gasFeeTotal / minDeposit. Refactor this to figure out the minDeposit:
              // minDeposit = gasFeeTotal / maxGasFeePercent, and subsequently determine
              // isAmountTooLow = amountToRelay < minDeposit.

              maxGasFeePercent = max(toBNWei(this.feeLimitPercent / 100).sub(capitalFeePercent), toBN(0)); // If maxGasFee % is 0, then the min deposit should be infinite because there is no deposit amount that would
              // incur a non zero gas fee % charge. In this case, isAmountTooLow should always be true.

              if (maxGasFeePercent.eq(toBN(0))) {
                minDeposit = MAX_BIG_INT;
                isAmountTooLow = true;
              } else {
                minDeposit = gasFeeTotal.mul(fixedPointAdjustment$1).div(maxGasFeePercent);
                isAmountTooLow = toBN(amountToRelay).lt(minDeposit);
              }

              return _context4.abrupt("return", {
                amountToRelay: amountToRelay.toString(),
                tokenSymbol: tokenSymbol,
                gasFeePercent: gasFeePercent.toString(),
                gasFeeTotal: gasFeeTotal.toString(),
                gasDiscountPercent: this.gasDiscountPercent,
                capitalFeePercent: capitalFeePercent.toString(),
                capitalFeeTotal: capitalFeeTotal.toString(),
                capitalDiscountPercent: this.capitalDiscountPercent,
                relayFeePercent: relayFeePercent.toString(),
                relayFeeTotal: relayFeeTotal.toString(),
                feeLimitPercent: this.feeLimitPercent,
                maxGasFeePercent: maxGasFeePercent.toString(),
                minDeposit: minDeposit.toString(),
                isAmountTooLow: isAmountTooLow
              });

            case 13:
            case "end":
              return _context4.stop();
          }
        }
      }, _callee4, this);
    }));

    function relayerFeeDetails(_x9, _x10, _x11, _x12, _x13) {
      return _relayerFeeDetails.apply(this, arguments);
    }

    return relayerFeeDetails;
  }();

  return RelayFeeCalculator;
}();

function msToS(ms) {
  return Math.floor(ms / 1000);
} // Singleton Coingecko class.

var Coingecko = /*#__PURE__*/function () {
  function Coingecko(host, proHost, logger, apiKey) {
    this.host = host;
    this.proHost = proHost;
    this.logger = logger;
    this.apiKey = apiKey;
    this._maxPriceAge = 300; // seconds
    // Retry configuration.

    this.retryDelay = 1;
    this.numRetries = 0; // Most failures are due to 429 rate-limiting, so there is no point in retrying.

    this.basicApiTimeout = 500; // ms

    this.prices = {};
  }

  Coingecko.get = function get(logger, apiKey) {
    if (!this.instance) this.instance = new Coingecko("https://api.coingecko.com/api/v3", "https://pro-api.coingecko.com/api/v3", logger, apiKey);
    return this.instance;
  };

  var _proto = Coingecko.prototype;

  // Fetch historic prices for a `contract` denominated in `currency` between timestamp `from` and `to`. Note timestamps
  // are assumed to be js timestamps and are converted to unixtimestamps by dividing by 1000.
  _proto.getHistoricContractPrices =
  /*#__PURE__*/
  function () {
    var _getHistoricContractPrices = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee(contract, from, to, currency) {
      var _from, _to, result;

      return runtime_1.wrap(function _callee$(_context) {
        while (1) {
          switch (_context.prev = _context.next) {
            case 0:
              if (currency === void 0) {
                currency = "usd";
              }

              assert$1(contract, "requires contract address");
              assert$1(currency, "requires currency symbol");
              assert$1(from, "requires from timestamp");
              assert$1(to, "requires to timestamp");
              _from = msToS(from);
              _to = msToS(to);
              _context.next = 9;
              return this.call("coins/ethereum/contract/" + contract.toLowerCase() + "/market_chart/range/?vs_currency=" + currency + "&from=" + _from + "&to=" + _to);

            case 9:
              result = _context.sent;

              if (!result.prices) {
                _context.next = 12;
                break;
              }

              return _context.abrupt("return", result.prices);

            case 12:
              throw new Error("Something went wrong fetching coingecko prices!");

            case 13:
            case "end":
              return _context.stop();
          }
        }
      }, _callee, this);
    }));

    function getHistoricContractPrices(_x, _x2, _x3, _x4) {
      return _getHistoricContractPrices.apply(this, arguments);
    }

    return getHistoricContractPrices;
  }();

  _proto.getContractDetails = /*#__PURE__*/function () {
    var _getContractDetails = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee2(contract_address, platform_id) {
      return runtime_1.wrap(function _callee2$(_context2) {
        while (1) {
          switch (_context2.prev = _context2.next) {
            case 0:
              if (platform_id === void 0) {
                platform_id = "ethereum";
              }

              return _context2.abrupt("return", this.call("coins/" + platform_id + "/contract/" + contract_address.toLowerCase()));

            case 2:
            case "end":
              return _context2.stop();
          }
        }
      }, _callee2, this);
    }));

    function getContractDetails(_x5, _x6) {
      return _getContractDetails.apply(this, arguments);
    }

    return getContractDetails;
  }();

  _proto.getCurrentPriceByContract = /*#__PURE__*/function () {
    var _getCurrentPriceByContract = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee3(contract_address, currency, platform_id) {
      var priceCache, now, tokenPrice;
      return runtime_1.wrap(function _callee3$(_context3) {
        while (1) {
          switch (_context3.prev = _context3.next) {
            case 0:
              if (currency === void 0) {
                currency = "usd";
              }

              if (platform_id === void 0) {
                platform_id = "ethereum";
              }

              priceCache = this.getPriceCache(currency, platform_id);
              now = msToS(Date.now());
              tokenPrice = priceCache[contract_address];

              if (!(tokenPrice === undefined || tokenPrice.timestamp + this.maxPriceAge <= now)) {
                _context3.next = 12;
                break;
              }

              if (this.maxPriceAge > 0) {
                this.logger.debug({
                  at: "Coingecko#getCurrentPriceByContract",
                  message: "Cache miss on " + platform_id + "/" + currency + " for " + contract_address,
                  maxPriceAge: this.maxPriceAge,
                  tokenPrice: tokenPrice
                });
              }

              _context3.next = 9;
              return this.getContractPrices([contract_address], currency, platform_id);

            case 9:
              tokenPrice = priceCache[contract_address];
              _context3.next = 13;
              break;

            case 12:
              this.logger.debug({
                at: "Coingecko#getCurrentPriceByContract",
                message: "Cache hit on token " + contract_address + " (age " + (now - tokenPrice.timestamp) + " S).",
                price: tokenPrice
              });

            case 13:
              assert$1(tokenPrice !== undefined);
              return _context3.abrupt("return", [tokenPrice.timestamp.toString(), tokenPrice.price]);

            case 15:
            case "end":
              return _context3.stop();
          }
        }
      }, _callee3, this);
    }));

    function getCurrentPriceByContract(_x7, _x8, _x9) {
      return _getCurrentPriceByContract.apply(this, arguments);
    }

    return getCurrentPriceByContract;
  }() // Return an array of spot prices for an array of collateral addresses in one async call. Note we might in future
  // This was adapted from packages/merkle-distributor/kpi-options-helpers/calculate-uma-tvl.ts
  ;

  _proto.getContractPrices =
  /*#__PURE__*/
  function () {
    var _getContractPrices = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee4(addresses, currency, platform_id) {
      var _this = this;

      var priceCache, contract_addresses, result, errMsg, updated;
      return runtime_1.wrap(function _callee4$(_context4) {
        while (1) {
          switch (_context4.prev = _context4.next) {
            case 0:
              if (currency === void 0) {
                currency = "usd";
              }

              if (platform_id === void 0) {
                platform_id = "ethereum";
              }

              priceCache = this.getPriceCache(currency, platform_id); // Pre-populate price cache with requested token addresses

              addresses.forEach(function (addr) {
                if (priceCache[addr] === undefined) {
                  priceCache[addr] = {
                    address: addr,
                    price: 0,
                    timestamp: 0
                  };
                }
              }); // Collect all known token addresses (requested + other cached).

              contract_addresses = Object.keys(priceCache);
              assert$1(contract_addresses.length > 0, "Must supply at least 1 contract address");
              this.logger.debug({
                at: "Coingecko#getContractPrices",
                message: "Updating " + platform_id + "/" + currency + " token prices.",
                tokens: contract_addresses
              });
              result = {};
              _context4.prev = 8;
              _context4.next = 11;
              return this.call("simple/token_price/" + platform_id + "?contract_addresses=" + contract_addresses.join("%2C") + "&vs_currencies=" + currency + "&include_last_updated_at=true");

            case 11:
              result = _context4.sent;
              _context4.next = 19;
              break;

            case 14:
              _context4.prev = 14;
              _context4.t0 = _context4["catch"](8);
              errMsg = "Failed to retrieve " + platform_id + "/" + currency + " prices (" + _context4.t0 + ")";
              this.logger.debug({
                at: "Coingecko#getCurrentPriceByContract",
                message: errMsg,
                tokens: contract_addresses
              });
              throw new Error(errMsg);

            case 19:
              // Note: contract_addresses is a reliable reference for the price lookup.
              // priceCache might have been updated subsequently by concurrent price requests.
              updated = [];
              contract_addresses.forEach(function (addr) {
                var cgPrice = result[addr.toLowerCase()];

                if (cgPrice === undefined) {
                  _this.logger.debug({
                    at: "Coingecko#getContractPrices",
                    message: "Token " + addr + " not included in CoinGecko response."
                  });
                } else if (cgPrice.last_updated_at > priceCache[addr].timestamp) {
                  priceCache[addr] = {
                    address: addr,
                    price: cgPrice[currency],
                    timestamp: cgPrice.last_updated_at
                  };
                  updated.push(addr);
                } else if (cgPrice.last_updated_at === priceCache[addr].timestamp) {
                  _this.logger.debug({
                    at: "Coingecko#getContractPrices",
                    message: "No new price available for token " + addr + ".",
                    token: cgPrice
                  });
                }
              });

              if (updated.length > 0) {
                this.logger.debug({
                  at: "Coingecko#updatePriceCache",
                  message: "Updated " + platform_id + "/" + currency + " token price cache.",
                  tokens: updated
                });
              }

              return _context4.abrupt("return", addresses.map(function (addr) {
                return priceCache[addr];
              }));

            case 23:
            case "end":
              return _context4.stop();
          }
        }
      }, _callee4, this, [[8, 14]]);
    }));

    function getContractPrices(_x10, _x11, _x12) {
      return _getContractPrices.apply(this, arguments);
    }

    return getContractPrices;
  }();

  _proto.getPlatforms = /*#__PURE__*/function () {
    var _getPlatforms = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee5() {
      return runtime_1.wrap(function _callee5$(_context5) {
        while (1) {
          switch (_context5.prev = _context5.next) {
            case 0:
              return _context5.abrupt("return", this.call("asset_platforms"));

            case 1:
            case "end":
              return _context5.stop();
          }
        }
      }, _callee5, this);
    }));

    function getPlatforms() {
      return _getPlatforms.apply(this, arguments);
    }

    return getPlatforms;
  }();

  _proto.call = /*#__PURE__*/function () {
    var _call = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee7(path) {
      var _this2 = this;

      var sendRequest;
      return runtime_1.wrap(function _callee7$(_context7) {
        while (1) {
          switch (_context7.prev = _context7.next) {
            case 0:
              sendRequest = /*#__PURE__*/function () {
                var _ref = _asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee6() {
                  var proHost;
                  return runtime_1.wrap(function _callee6$(_context6) {
                    while (1) {
                      switch (_context6.prev = _context6.next) {
                        case 0:
                          proHost = _this2.proHost; // If no pro api key, only send basic request:

                          if (!(_this2.apiKey === undefined)) {
                            _context6.next = 5;
                            break;
                          }

                          _context6.next = 4;
                          return _this2._callBasic(path);

                        case 4:
                          return _context6.abrupt("return", _context6.sent);

                        case 5:
                          _context6.prev = 5;
                          _context6.next = 8;
                          return _this2._callBasic(path, _this2.basicApiTimeout);

                        case 8:
                          return _context6.abrupt("return", _context6.sent);

                        case 11:
                          _context6.prev = 11;
                          _context6.t0 = _context6["catch"](5);

                          _this2.logger.debug({
                            at: "sdk-v2/coingecko",
                            message: "Basic CG url request failed, falling back to CG PRO host " + proHost,
                            errMessage: _context6.t0.message
                          });

                          _context6.next = 16;
                          return _this2._callPro(path);

                        case 16:
                          return _context6.abrupt("return", _context6.sent);

                        case 17:
                        case "end":
                          return _context6.stop();
                      }
                    }
                  }, _callee6, null, [[5, 11]]);
                }));

                return function sendRequest() {
                  return _ref.apply(this, arguments);
                };
              }(); // Note: If a pro API key is configured, there is no need to retry as the Pro API will act as the basic's fall back.


              return _context7.abrupt("return", retry(sendRequest, this.apiKey === undefined ? this.numRetries : 0, this.retryDelay));

            case 2:
            case "end":
              return _context7.stop();
          }
        }
      }, _callee7, this);
    }));

    function call(_x13) {
      return _call.apply(this, arguments);
    }

    return call;
  }();

  _proto.getPriceCache = function getPriceCache(currency, platform_id) {
    if (this.prices[platform_id] === undefined) this.prices[platform_id] = {};
    if (this.prices[platform_id][currency] === undefined) this.prices[platform_id][currency] = {};
    return this.prices[platform_id][currency];
  };

  _proto._callBasic = /*#__PURE__*/function () {
    var _callBasic2 = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee8(path, timeout) {
      var url, result, msg;
      return runtime_1.wrap(function _callee8$(_context8) {
        while (1) {
          switch (_context8.prev = _context8.next) {
            case 0:
              url = this.host + "/" + path;
              _context8.prev = 1;
              _context8.next = 4;
              return axios(url, {
                timeout: timeout
              });

            case 4:
              result = _context8.sent;
              return _context8.abrupt("return", result.data);

            case 8:
              _context8.prev = 8;
              _context8.t0 = _context8["catch"](1);
              msg = get$1(_context8.t0, "response.data.error", get$1(_context8.t0, "response.statusText", _context8.t0.message));
              throw new Error(msg);

            case 12:
            case "end":
              return _context8.stop();
          }
        }
      }, _callee8, this, [[1, 8]]);
    }));

    function _callBasic(_x14, _x15) {
      return _callBasic2.apply(this, arguments);
    }

    return _callBasic;
  }();

  _proto._callPro = /*#__PURE__*/function () {
    var _callPro2 = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee9(path) {
      var url, result, msg;
      return runtime_1.wrap(function _callee9$(_context9) {
        while (1) {
          switch (_context9.prev = _context9.next) {
            case 0:
              url = this.proHost + "/" + path;
              _context9.prev = 1;
              _context9.next = 4;
              return axios(url, {
                params: {
                  x_cg_pro_api_key: this.apiKey
                }
              });

            case 4:
              result = _context9.sent;
              return _context9.abrupt("return", result.data);

            case 8:
              _context9.prev = 8;
              _context9.t0 = _context9["catch"](1);
              msg = get$1(_context9.t0, "response.data.error", get$1(_context9.t0, "response.statusText", _context9.t0.message));
              throw new Error(msg);

            case 12:
            case "end":
              return _context9.stop();
          }
        }
      }, _callee9, this, [[1, 8]]);
    }));

    function _callPro(_x16) {
      return _callPro2.apply(this, arguments);
    }

    return _callPro;
  }();

  _createClass(Coingecko, [{
    key: "maxPriceAge",
    get: function get() {
      return this._maxPriceAge;
    },
    set: function set(age) {
      assert$1(age >= 0);
      this.logger.debug({
        at: "Coingecko#maxPriceAge",
        message: "Setting maxPriceAge (S) " + this._maxPriceAge + " => " + age + "."
      });
      this._maxPriceAge = age;
    }
  }]);

  return Coingecko;
}();



var index$7 = {
  __proto__: null,
  msToS: msToS,
  Coingecko: Coingecko
};

/**
 * Default address to use when simulating the gas cost of filling a relay.
 */

var DEFAULT_SIMULATED_RELAYER_ADDRESS = "0x893d0D70AD97717052E3AA8903D9615804167759";
/**
 * A unified QueryBase for querying gas costs, token prices, and decimals of various tokens
 * on a blockchain.
 */

var QueryBase = /*#__PURE__*/function () {
  /**
   * Instantiates a QueryBase instance
   * @param provider A valid Ethers.js provider
   * @param symbolMapping A mapping to valid ERC20 tokens and their respective characteristics
   * @param spokePoolAddress The valid address of the Spoke Pool deployment
   * @param usdcAddress The valid token address of the USDC ERC-20 token
   * @param simulatedRelayerAddress The address that these queries will reference as the sender. Note: This address must be approved for USDC
   * @param gasMarkup A multiplier that is applied to the total gas estimate
   * @param logger A logging utility to report logs
   * @param coingeckoProApiKey An optional CoinGecko API key that links to a PRO account
   * @param fixedGasPrice Overrides the gas price with a fixed value. Note: primarily used for the Boba blockchain
   * @param coingeckoBaseCurrency The basis currency that CoinGecko will use to resolve pricing
   */
  function QueryBase(provider, symbolMapping, spokePoolAddress, usdcAddress, simulatedRelayerAddress, gasMarkup, logger, coingeckoProApiKey, fixedGasPrice, coingeckoBaseCurrency) {
    if (coingeckoBaseCurrency === void 0) {
      coingeckoBaseCurrency = "eth";
    }

    this.provider = provider;
    this.symbolMapping = symbolMapping;
    this.spokePoolAddress = spokePoolAddress;
    this.usdcAddress = usdcAddress;
    this.simulatedRelayerAddress = simulatedRelayerAddress;
    this.gasMarkup = gasMarkup;
    this.logger = logger;
    this.coingeckoProApiKey = coingeckoProApiKey;
    this.fixedGasPrice = fixedGasPrice;
    this.coingeckoBaseCurrency = coingeckoBaseCurrency;
    this.spokePool = SpokePool__factory.SpokePool__factory.connect(spokePoolAddress, provider);
  }
  /**
   * Retrieves the current gas costs of performing a fillRelay contract at the referenced Spoke Pool
   * @returns The gas estimate for this function call (multplied with the optional buffer)
   */


  var _proto = QueryBase.prototype;

  _proto.getGasCosts =
  /*#__PURE__*/
  function () {
    var _getGasCosts = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee() {
      var tx, estimatedGas;
      return runtime_1.wrap(function _callee$(_context) {
        while (1) {
          switch (_context.prev = _context.next) {
            case 0:
              _context.next = 2;
              return createUnsignedFillRelayTransaction(this.spokePool, this.usdcAddress, this.simulatedRelayerAddress);

            case 2:
              tx = _context.sent;
              _context.next = 5;
              return estimateTotalGasRequiredByUnsignedTransaction(tx, this.simulatedRelayerAddress, this.provider, this.gasMarkup, this.fixedGasPrice);

            case 5:
              estimatedGas = _context.sent;
              return _context.abrupt("return", estimatedGas);

            case 7:
            case "end":
              return _context.stop();
          }
        }
      }, _callee, this);
    }));

    function getGasCosts() {
      return _getGasCosts.apply(this, arguments);
    }

    return getGasCosts;
  }()
  /**
   * Retrieves the current price of a token
   * @param tokenSymbol A valid [CoinGecko-ID](https://api.coingecko.com/api/v3/coins/list)
   * @returns The resolved token price within the specified coingeckoBaseCurrency
   */
  ;

  _proto.getTokenPrice =
  /*#__PURE__*/
  function () {
    var _getTokenPrice = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee2(tokenSymbol) {
      var coingeckoInstance, _yield$coingeckoInsta, price;

      return runtime_1.wrap(function _callee2$(_context2) {
        while (1) {
          switch (_context2.prev = _context2.next) {
            case 0:
              if (this.symbolMapping[tokenSymbol]) {
                _context2.next = 2;
                break;
              }

              throw new Error(tokenSymbol + " does not exist in mapping");

            case 2:
              coingeckoInstance = Coingecko.get(this.logger, this.coingeckoProApiKey);
              _context2.next = 5;
              return coingeckoInstance.getCurrentPriceByContract(this.symbolMapping[tokenSymbol].addresses[constants$1.CHAIN_IDs.MAINNET], this.coingeckoBaseCurrency);

            case 5:
              _yield$coingeckoInsta = _context2.sent;
              price = _yield$coingeckoInsta[1];
              return _context2.abrupt("return", price);

            case 8:
            case "end":
              return _context2.stop();
          }
        }
      }, _callee2, this);
    }));

    function getTokenPrice(_x) {
      return _getTokenPrice.apply(this, arguments);
    }

    return getTokenPrice;
  }()
  /**
   * Resolves the number of decimal places a token can have
   * @param tokenSymbol A valid Across-Enabled Token ID
   * @returns The number of decimals of precision for the corresponding tokenSymbol
   */
  ;

  _proto.getTokenDecimals = function getTokenDecimals(tokenSymbol) {
    if (!this.symbolMapping[tokenSymbol]) throw new Error(tokenSymbol + " does not exist in mapping");
    return this.symbolMapping[tokenSymbol].decimals;
  };

  return QueryBase;
}();

var ArbitrumQueries = /*#__PURE__*/function (_QueryBase) {
  _inheritsLoose(ArbitrumQueries, _QueryBase);

  function ArbitrumQueries(provider, symbolMapping, spokePoolAddress, usdcAddress, simulatedRelayerAddress, coingeckoProApiKey, logger, gasMarkup) {
    if (symbolMapping === void 0) {
      symbolMapping = constants$1.TOKEN_SYMBOLS_MAP;
    }

    if (spokePoolAddress === void 0) {
      spokePoolAddress = DeploymentUtils.getDeployedAddress("SpokePool", constants$1.CHAIN_IDs.ARBITRUM);
    }

    if (usdcAddress === void 0) {
      usdcAddress = constants$1.TOKEN_SYMBOLS_MAP.USDC.addresses[constants$1.CHAIN_IDs.ARBITRUM];
    }

    if (simulatedRelayerAddress === void 0) {
      simulatedRelayerAddress = DEFAULT_SIMULATED_RELAYER_ADDRESS;
    }

    if (logger === void 0) {
      logger = DEFAULT_LOGGER;
    }

    if (gasMarkup === void 0) {
      gasMarkup = 0;
    }

    return _QueryBase.call(this, provider, symbolMapping, spokePoolAddress, usdcAddress, simulatedRelayerAddress, gasMarkup, logger, coingeckoProApiKey) || this;
  }

  return ArbitrumQueries;
}(QueryBase);
var ArbitrumGoerliQueries = /*#__PURE__*/function (_QueryBase2) {
  _inheritsLoose(ArbitrumGoerliQueries, _QueryBase2);

  function ArbitrumGoerliQueries(provider, symbolMapping, spokePoolAddress, usdcAddress, simulatedRelayerAddress, coingeckoProApiKey, logger, gasMarkup) {
    if (symbolMapping === void 0) {
      symbolMapping = constants$1.TOKEN_SYMBOLS_MAP;
    }

    if (spokePoolAddress === void 0) {
      spokePoolAddress = DeploymentUtils.getDeployedAddress("SpokePool", constants$1.CHAIN_IDs.ARBITRUM_GOERLI);
    }

    if (usdcAddress === void 0) {
      usdcAddress = constants$1.TOKEN_SYMBOLS_MAP.USDC.addresses[constants$1.CHAIN_IDs.ARBITRUM_GOERLI];
    }

    if (simulatedRelayerAddress === void 0) {
      simulatedRelayerAddress = "0x9A8f92a830A5cB89a3816e3D267CB7791c16b04D";
    }

    if (logger === void 0) {
      logger = DEFAULT_LOGGER;
    }

    if (gasMarkup === void 0) {
      gasMarkup = 0;
    }

    return _QueryBase2.call(this, provider, symbolMapping, spokePoolAddress, usdcAddress, simulatedRelayerAddress, gasMarkup, logger, coingeckoProApiKey) || this;
  }

  return ArbitrumGoerliQueries;
}(QueryBase);

var BobaQueries = /*#__PURE__*/function (_QueryBase) {
  _inheritsLoose(BobaQueries, _QueryBase);

  function BobaQueries(provider, symbolMapping, spokePoolAddress, usdcAddress, simulatedRelayerAddress, coingeckoProApiKey, logger, gasMarkup) {
    if (symbolMapping === void 0) {
      symbolMapping = constants$1.TOKEN_SYMBOLS_MAP;
    }

    if (spokePoolAddress === void 0) {
      spokePoolAddress = DeploymentUtils.getDeployedAddress("SpokePool", constants$1.CHAIN_IDs.BOBA);
    }

    if (usdcAddress === void 0) {
      usdcAddress = constants$1.TOKEN_SYMBOLS_MAP.USDC.addresses[constants$1.CHAIN_IDs.BOBA];
    }

    if (simulatedRelayerAddress === void 0) {
      simulatedRelayerAddress = DEFAULT_SIMULATED_RELAYER_ADDRESS;
    }

    if (logger === void 0) {
      logger = DEFAULT_LOGGER;
    }

    if (gasMarkup === void 0) {
      gasMarkup = 0;
    }

    return _QueryBase.call(this, provider, symbolMapping, spokePoolAddress, usdcAddress, simulatedRelayerAddress, gasMarkup, logger, coingeckoProApiKey, ethers.utils.parseUnits("1", 9)) || this;
  }

  return BobaQueries;
}(QueryBase);

var EthereumQueries = /*#__PURE__*/function (_QueryBase) {
  _inheritsLoose(EthereumQueries, _QueryBase);

  function EthereumQueries(provider, symbolMapping, spokePoolAddress, usdcAddress, simulatedRelayerAddress, coingeckoProApiKey, logger, gasMarkup) {
    if (symbolMapping === void 0) {
      symbolMapping = constants$1.TOKEN_SYMBOLS_MAP;
    }

    if (spokePoolAddress === void 0) {
      spokePoolAddress = DeploymentUtils.getDeployedAddress("SpokePool", constants$1.CHAIN_IDs.MAINNET);
    }

    if (usdcAddress === void 0) {
      usdcAddress = constants$1.TOKEN_SYMBOLS_MAP.USDC.addresses[constants$1.CHAIN_IDs.MAINNET];
    }

    if (simulatedRelayerAddress === void 0) {
      simulatedRelayerAddress = DEFAULT_SIMULATED_RELAYER_ADDRESS;
    }

    if (logger === void 0) {
      logger = DEFAULT_LOGGER;
    }

    if (gasMarkup === void 0) {
      gasMarkup = 0;
    }

    return _QueryBase.call(this, provider, symbolMapping, spokePoolAddress, usdcAddress, simulatedRelayerAddress, gasMarkup, logger, coingeckoProApiKey) || this;
  }

  return EthereumQueries;
}(QueryBase);
/**
 * Query class for Ethereum Görli.
 */

var EthereumGoerliQueries = /*#__PURE__*/function (_QueryBase2) {
  _inheritsLoose(EthereumGoerliQueries, _QueryBase2);

  function EthereumGoerliQueries(provider, symbolMapping, spokePoolAddress, usdcAddress, simulatedRelayerAddress, coingeckoProApiKey, logger, gasMarkup) {
    if (symbolMapping === void 0) {
      symbolMapping = constants$1.TOKEN_SYMBOLS_MAP;
    }

    if (spokePoolAddress === void 0) {
      spokePoolAddress = DeploymentUtils.getDeployedAddress("SpokePool", constants$1.CHAIN_IDs.GOERLI);
    }

    if (usdcAddress === void 0) {
      usdcAddress = constants$1.TOKEN_SYMBOLS_MAP.USDC.addresses[constants$1.CHAIN_IDs.GOERLI];
    }

    if (simulatedRelayerAddress === void 0) {
      simulatedRelayerAddress = "0x9A8f92a830A5cB89a3816e3D267CB7791c16b04D";
    }

    if (logger === void 0) {
      logger = DEFAULT_LOGGER;
    }

    if (gasMarkup === void 0) {
      gasMarkup = 0;
    }

    return _QueryBase2.call(this, provider, symbolMapping, spokePoolAddress, usdcAddress, simulatedRelayerAddress, gasMarkup, logger, coingeckoProApiKey) || this;
  }

  return EthereumGoerliQueries;
}(QueryBase);

var OptimismQueries = /*#__PURE__*/function (_QueryBase) {
  _inheritsLoose(OptimismQueries, _QueryBase);

  function OptimismQueries(provider, symbolMapping, spokePoolAddress, usdcAddress, simulatedRelayerAddress, coingeckoProApiKey, logger, gasMarkup) {
    if (symbolMapping === void 0) {
      symbolMapping = constants$1.TOKEN_SYMBOLS_MAP;
    }

    if (spokePoolAddress === void 0) {
      spokePoolAddress = DeploymentUtils.getDeployedAddress("SpokePool", constants$1.CHAIN_IDs.OPTIMISM);
    }

    if (usdcAddress === void 0) {
      usdcAddress = constants$1.TOKEN_SYMBOLS_MAP.USDC.addresses[constants$1.CHAIN_IDs.OPTIMISM];
    }

    if (simulatedRelayerAddress === void 0) {
      simulatedRelayerAddress = DEFAULT_SIMULATED_RELAYER_ADDRESS;
    }

    if (logger === void 0) {
      logger = DEFAULT_LOGGER;
    }

    if (gasMarkup === void 0) {
      gasMarkup = 0;
    }

    return _QueryBase.call(this, l2Provider.asL2Provider(provider), symbolMapping, spokePoolAddress, usdcAddress, simulatedRelayerAddress, gasMarkup, logger, coingeckoProApiKey) || this;
  }

  return OptimismQueries;
}(QueryBase);

var PolygonQueries = /*#__PURE__*/function (_QueryBase) {
  _inheritsLoose(PolygonQueries, _QueryBase);

  function PolygonQueries(provider, symbolMapping, spokePoolAddress, usdcAddress, simulatedRelayerAddress, coingeckoProApiKey, logger, gasMarkup) {
    if (symbolMapping === void 0) {
      symbolMapping = constants$1.TOKEN_SYMBOLS_MAP;
    }

    if (spokePoolAddress === void 0) {
      spokePoolAddress = DeploymentUtils.getDeployedAddress("SpokePool", constants$1.CHAIN_IDs.POLYGON);
    }

    if (usdcAddress === void 0) {
      usdcAddress = constants$1.TOKEN_SYMBOLS_MAP.USDC.addresses[constants$1.CHAIN_IDs.POLYGON];
    }

    if (simulatedRelayerAddress === void 0) {
      simulatedRelayerAddress = DEFAULT_SIMULATED_RELAYER_ADDRESS;
    }

    if (logger === void 0) {
      logger = DEFAULT_LOGGER;
    }

    if (gasMarkup === void 0) {
      gasMarkup = 0;
    }

    return _QueryBase.call(this, provider, symbolMapping, spokePoolAddress, usdcAddress, simulatedRelayerAddress, gasMarkup, logger, coingeckoProApiKey, undefined, "usd") || this;
  }

  var _proto = PolygonQueries.prototype;

  _proto.getTokenPrice = /*#__PURE__*/function () {
    var _getTokenPrice = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee(tokenSymbol) {
      var coingeckoInstance, _yield$coingeckoInsta, tokenPrice, _yield$coingeckoInsta2, maticPrice;

      return runtime_1.wrap(function _callee$(_context) {
        while (1) {
          switch (_context.prev = _context.next) {
            case 0:
              if (this.symbolMapping[tokenSymbol]) {
                _context.next = 2;
                break;
              }

              throw new Error(tokenSymbol + " does not exist in mapping");

            case 2:
              coingeckoInstance = Coingecko.get(this.logger, this.coingeckoProApiKey);
              _context.next = 5;
              return coingeckoInstance.getCurrentPriceByContract(this.symbolMapping[tokenSymbol].addresses[constants$1.CHAIN_IDs.MAINNET], "usd");

            case 5:
              _yield$coingeckoInsta = _context.sent;
              tokenPrice = _yield$coingeckoInsta[1];
              _context.next = 9;
              return coingeckoInstance.getCurrentPriceByContract(this.symbolMapping["MATIC"].addresses[constants$1.CHAIN_IDs.MAINNET], "usd");

            case 9:
              _yield$coingeckoInsta2 = _context.sent;
              maticPrice = _yield$coingeckoInsta2[1];
              return _context.abrupt("return", Number((tokenPrice / maticPrice).toFixed(this.symbolMapping["MATIC"].decimals)));

            case 12:
            case "end":
              return _context.stop();
          }
        }
      }, _callee, this);
    }));

    function getTokenPrice(_x) {
      return _getTokenPrice.apply(this, arguments);
    }

    return getTokenPrice;
  }();

  return PolygonQueries;
}(QueryBase);

var ZkSyncQueries = /*#__PURE__*/function (_QueryBase) {
  _inheritsLoose(ZkSyncQueries, _QueryBase);

  function ZkSyncQueries(provider, symbolMapping, spokePoolAddress, usdcAddress, simulatedRelayerAddress, coingeckoProApiKey, logger, gasMarkup) {
    if (symbolMapping === void 0) {
      symbolMapping = constants$1.TOKEN_SYMBOLS_MAP;
    }

    if (spokePoolAddress === void 0) {
      spokePoolAddress = DeploymentUtils.getDeployedAddress("SpokePool", constants$1.CHAIN_IDs.ZK_SYNC);
    }

    if (usdcAddress === void 0) {
      usdcAddress = constants$1.TOKEN_SYMBOLS_MAP.USDC.addresses[constants$1.CHAIN_IDs.ZK_SYNC];
    }

    if (simulatedRelayerAddress === void 0) {
      simulatedRelayerAddress = DEFAULT_SIMULATED_RELAYER_ADDRESS;
    }

    if (logger === void 0) {
      logger = DEFAULT_LOGGER;
    }

    if (gasMarkup === void 0) {
      gasMarkup = 0;
    }

    return _QueryBase.call(this, provider, symbolMapping, spokePoolAddress, usdcAddress, simulatedRelayerAddress, gasMarkup, logger, coingeckoProApiKey) || this;
  }

  return ZkSyncQueries;
}(QueryBase);
/**
 * Query class for zkSync Görli.
 */

var zkSyncGoerliQueries = /*#__PURE__*/function (_QueryBase2) {
  _inheritsLoose(zkSyncGoerliQueries, _QueryBase2);

  function zkSyncGoerliQueries(provider, symbolMapping, spokePoolAddress, // @todo upgrade contracts-v2
  usdcAddress, simulatedRelayerAddress, coingeckoProApiKey, logger, gasMarkup) {
    if (symbolMapping === void 0) {
      symbolMapping = constants$1.TOKEN_SYMBOLS_MAP;
    }

    if (spokePoolAddress === void 0) {
      spokePoolAddress = "0x863859ef502F0Ee9676626ED5B418037252eFeb2";
    }

    if (usdcAddress === void 0) {
      usdcAddress = constants$1.TOKEN_SYMBOLS_MAP.USDC.addresses[constants$1.CHAIN_IDs.ZK_SYNC_GOERLI];
    }

    if (simulatedRelayerAddress === void 0) {
      simulatedRelayerAddress = "0x9A8f92a830A5cB89a3816e3D267CB7791c16b04D";
    }

    if (logger === void 0) {
      logger = DEFAULT_LOGGER;
    }

    if (gasMarkup === void 0) {
      gasMarkup = 0;
    }

    return _QueryBase2.call(this, provider, symbolMapping, spokePoolAddress, usdcAddress, simulatedRelayerAddress, gasMarkup, logger, coingeckoProApiKey) || this;
  }

  return zkSyncGoerliQueries;
}(QueryBase);

var baseChainId = 8453;
var baseGoerliChainId = 84531;
var BaseQueries = /*#__PURE__*/function (_QueryBase) {
  _inheritsLoose(BaseQueries, _QueryBase);

  function BaseQueries(provider, symbolMapping, spokePoolAddress, usdcAddress, simulatedRelayerAddress, coingeckoProApiKey, logger, gasMarkup) {
    if (symbolMapping === void 0) {
      symbolMapping = constants$1.TOKEN_SYMBOLS_MAP;
    }

    if (spokePoolAddress === void 0) {
      spokePoolAddress = DeploymentUtils.getDeployedAddress("SpokePool", baseChainId);
    }

    if (usdcAddress === void 0) {
      usdcAddress = constants$1.TOKEN_SYMBOLS_MAP.USDC.addresses[baseChainId];
    }

    if (simulatedRelayerAddress === void 0) {
      simulatedRelayerAddress = DEFAULT_SIMULATED_RELAYER_ADDRESS;
    }

    if (logger === void 0) {
      logger = DEFAULT_LOGGER;
    }

    if (gasMarkup === void 0) {
      gasMarkup = 0;
    }

    return _QueryBase.call(this, l2Provider.asL2Provider(provider), symbolMapping, spokePoolAddress, usdcAddress, simulatedRelayerAddress, gasMarkup, logger, coingeckoProApiKey) || this;
  }

  return BaseQueries;
}(QueryBase);
var BaseGoerliQueries = /*#__PURE__*/function (_QueryBase2) {
  _inheritsLoose(BaseGoerliQueries, _QueryBase2);

  function BaseGoerliQueries(provider, symbolMapping, spokePoolAddress, usdcAddress, simulatedRelayerAddress, coingeckoProApiKey, logger, gasMarkup) {
    if (symbolMapping === void 0) {
      symbolMapping = constants$1.TOKEN_SYMBOLS_MAP;
    }

    if (spokePoolAddress === void 0) {
      spokePoolAddress = DeploymentUtils.getDeployedAddress("SpokePool", baseGoerliChainId);
    }

    if (usdcAddress === void 0) {
      usdcAddress = constants$1.TOKEN_SYMBOLS_MAP.USDC.addresses[baseGoerliChainId];
    }

    if (simulatedRelayerAddress === void 0) {
      simulatedRelayerAddress = DEFAULT_SIMULATED_RELAYER_ADDRESS;
    }

    if (logger === void 0) {
      logger = DEFAULT_LOGGER;
    }

    if (gasMarkup === void 0) {
      gasMarkup = 0;
    }

    return _QueryBase2.call(this, l2Provider.asL2Provider(provider), symbolMapping, spokePoolAddress, usdcAddress, simulatedRelayerAddress, gasMarkup, logger, coingeckoProApiKey) || this;
  }

  return BaseGoerliQueries;
}(QueryBase);



var index$8 = {
  __proto__: null,
  expectedCapitalCostsKeys: expectedCapitalCostsKeys,
  DEFAULT_LOGGER: DEFAULT_LOGGER,
  RelayFeeCalculator: RelayFeeCalculator,
  ArbitrumQueries: ArbitrumQueries,
  ArbitrumGoerliQueries: ArbitrumGoerliQueries,
  BobaQueries: BobaQueries,
  EthereumQueries: EthereumQueries,
  EthereumGoerliQueries: EthereumGoerliQueries,
  OptimismQueries: OptimismQueries,
  PolygonQueries: PolygonQueries,
  ZkSyncQueries: ZkSyncQueries,
  zkSyncGoerliQueries: zkSyncGoerliQueries,
  BaseQueries: BaseQueries,
  BaseGoerliQueries: BaseGoerliQueries
};

function msToS$1(ms) {
  return Math.floor(ms / 1000);
} // PriceClient aggregates various user-configured price feeds/sources and retains them for a
// configurable time period. External price lookups are performed according to an ordered list that
// is supplied during instantiation. The PriceClient will iterate over the list until a complete set
// of prices has been retrieved from a single source. External price lookups will opportunistically
// request new prices for _all_ previously requested tokens. Price lookups into PriceClient will be
// served out of its local cache if the token price is less than maxPriceAge seconds. This helps to
// suppress external price lookups and can help to mitigate rate-limiting by external providers.
// See README.md for further information and usage guidelines.

var PriceClient = /*#__PURE__*/function () {
  function PriceClient(logger, priceFeeds) {
    this.logger = logger;
    this.priceFeeds = priceFeeds;
    this.name = "PriceClient";
    this._maxPriceAge = 300; // seconds

    this.prices = {};
    assert$1(logger, "No logging instance supplied.");
    assert$1(priceFeeds.length > 0, "No price feeds supplied.");
  }

  var _proto = PriceClient.prototype;

  _proto.listPriceFeeds = function listPriceFeeds() {
    return this.priceFeeds.map(function (priceFeed) {
      return priceFeed.name;
    });
  };

  _proto.getPriceByAddress = /*#__PURE__*/function () {
    var _getPriceByAddress = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee(address, currency) {
      var tokenPrices;
      return runtime_1.wrap(function _callee$(_context) {
        while (1) {
          switch (_context.prev = _context.next) {
            case 0:
              if (currency === void 0) {
                currency = "usd";
              }

              _context.next = 3;
              return this.getPricesByAddress([address], currency);

            case 3:
              tokenPrices = _context.sent;
              return _context.abrupt("return", tokenPrices[0]);

            case 5:
            case "end":
              return _context.stop();
          }
        }
      }, _callee, this);
    }));

    function getPriceByAddress(_x, _x2) {
      return _getPriceByAddress.apply(this, arguments);
    }

    return getPriceByAddress;
  }() // note: Input addresses are *always* converted to lower case for storage as
  // keys in the PriceClient cache. Adapters will therefore always receive
  // addresses in lower case form.
  ;

  _proto.getPricesByAddress =
  /*#__PURE__*/
  function () {
    var _getPricesByAddress = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee2(addresses, currency) {
      var _this = this;

      var priceCache, now, missed;
      return runtime_1.wrap(function _callee2$(_context2) {
        while (1) {
          switch (_context2.prev = _context2.next) {
            case 0:
              if (currency === void 0) {
                currency = "usd";
              }

              assert$1(this.priceFeeds.length > 0, "No price feeds are registered.");
              priceCache = this.getPriceCache(currency); // Determine whether each *requested* price is current.

              now = msToS$1(Date.now());
              missed = {};
              addresses.forEach(function (address) {
                var _priceCache$addr;

                var addr = address.toLowerCase();
                var tokenPrice = (_priceCache$addr = priceCache[addr]) != null ? _priceCache$addr : {
                  price: 0,
                  timestamp: 0
                };
                priceCache[addr] = tokenPrice; // Update priceCache if necessary;

                var age = now - tokenPrice.timestamp;

                if (age > _this.maxPriceAge) {
                  missed[address] = age;
                }
              });

              if (!(Object.keys(missed).length > 0)) {
                _context2.next = 10;
                break;
              }

              this.logger.debug({
                at: "PriceClient#getPricesByAddress",
                message: currency.toUpperCase() + " cache miss (age > " + this.maxPriceAge + " S).",
                tokens: missed
              });
              _context2.next = 10;
              return this.updatePrices(currency);

            case 10:
              return _context2.abrupt("return", addresses.map(function (address) {
                var _priceCache$address$t = priceCache[address.toLowerCase()],
                    price = _priceCache$address$t.price,
                    timestamp = _priceCache$address$t.timestamp;
                return {
                  address: address,
                  price: price,
                  timestamp: timestamp
                };
              }));

            case 11:
            case "end":
              return _context2.stop();
          }
        }
      }, _callee2, this);
    }));

    function getPricesByAddress(_x3, _x4) {
      return _getPricesByAddress.apply(this, arguments);
    }

    return getPricesByAddress;
  }();

  _proto.expireCache = function expireCache(currency) {
    var priceCache = this.getPriceCache(currency);
    Object.values(priceCache).forEach(function (token) {
      return token.timestamp = 0;
    });
    this.logger.debug({
      at: "PriceClient#expireCache",
      message: "Expired " + currency + " cache."
    });
  };

  _proto.getPriceCache = function getPriceCache(currency) {
    if (this.prices[currency] === undefined) this.prices[currency] = {};
    return this.prices[currency];
  };

  _proto.updatePrices = /*#__PURE__*/function () {
    var _updatePrices = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee3(currency) {
      var priceCache, addresses, _iterator, _step, priceFeed, prices;

      return runtime_1.wrap(function _callee3$(_context3) {
        while (1) {
          switch (_context3.prev = _context3.next) {
            case 0:
              priceCache = this.getPriceCache(currency);
              addresses = Object.keys(priceCache);
              _iterator = _createForOfIteratorHelperLoose(this.priceFeeds);

            case 3:
              if ((_step = _iterator()).done) {
                _context3.next = 22;
                break;
              }

              priceFeed = _step.value;
              this.logger.debug({
                at: "PriceClient#updatePrices",
                message: "Looking up prices via " + priceFeed.name + ".",
                tokens: addresses
              });
              _context3.prev = 6;
              _context3.next = 9;
              return priceFeed.getPricesByAddress(addresses, currency);

            case 9:
              prices = _context3.sent;
              _context3.next = 12;
              return this.updateCache(priceCache, prices, addresses);

            case 12:
              addresses = _context3.sent;

              if (!(addresses.length === 0)) {
                _context3.next = 15;
                break;
              }

              return _context3.abrupt("break", 22);

            case 15:
              _context3.next = 20;
              break;

            case 17:
              _context3.prev = 17;
              _context3.t0 = _context3["catch"](6);
              this.logger.debug({
                at: "PriceClient#updatePrices",
                message: "Price lookup against " + priceFeed.name + " failed (" + _context3.t0 + ").",
                tokens: addresses
              }); // Failover to the next price feed...

            case 20:
              _context3.next = 3;
              break;

            case 22:
              if (!(addresses.length !== 0)) {
                _context3.next = 25;
                break;
              }

              this.logger.debug({
                at: "PriceClient#updatePrices",
                message: "Unable to resolve some token prices.",
                priceFeeds: this.listPriceFeeds(),
                tokens: addresses
              });
              throw new Error("Price lookup failed against all price feeds (" + this.listPriceFeeds().join(", ") + ")");

            case 25:
            case "end":
              return _context3.stop();
          }
        }
      }, _callee3, this, [[6, 17]]);
    }));

    function updatePrices(_x5) {
      return _updatePrices.apply(this, arguments);
    }

    return updatePrices;
  }();

  _proto.updateCache = function updateCache(priceCache, prices, expected) {
    var _this2 = this,
        _updated$length,
        _Object$keys$length;

    var updated = [];
    var skipped = {}; // Includes reason for skipping

    var now = msToS$1(Date.now());
    expected.forEach(function (address) {
      var addr = address.toLowerCase(); // for internal priceCache lookup.

      var tokenPrice = prices.find(function (price) {
        var _price$address;

        return (price == null ? void 0 : (_price$address = price.address) == null ? void 0 : _price$address.toLowerCase()) === addr;
      });

      if (tokenPrice === undefined) {
        skipped[address] = "Not included in price feed response.";
      } else if (tokenPrice.timestamp > now) {
        skipped[address] = "Token price timestamp is too new (timestamp " + tokenPrice.timestamp + ").";
      } else if (tokenPrice.timestamp >= priceCache[addr].timestamp) {
        var price = tokenPrice.price,
            timestamp = tokenPrice.timestamp; // Drop the address; we sub it in when returning to the caller.
        // @todo: Do we care if the token price is older than maxPriceAge?

        priceCache[addr] = {
          price: price,
          timestamp: timestamp
        };
        updated.push(tokenPrice);
      } else if (tokenPrice.timestamp === priceCache[addr].timestamp) {
        _this2.logger.debug({
          at: "PriceClient#updateCache",
          message: "No new price available for token " + address + ".",
          token: tokenPrice
        });
      }
    });
    this.logger.debug({
      at: "PriceClient#updateCache",
      message: "Updated " + ((_updated$length = updated.length) != null ? _updated$length : 0) + " price(s), skipped " + ((_Object$keys$length = Object.keys(skipped).length) != null ? _Object$keys$length : 0) + ".",
      updated: updated,
      skipped: skipped
    });
    return Object.keys(skipped);
  };

  _createClass(PriceClient, [{
    key: "maxPriceAge",
    get: function get() {
      return this._maxPriceAge;
    },
    set: function set(age) {
      assert$1(age >= 0);
      this.logger.debug({
        at: "PriceClient#maxPriceAge",
        message: "Setting maxPriceAge (S) " + this._maxPriceAge + " => " + age + "."
      });
      this._maxPriceAge = age;
    }
  }]);

  return PriceClient;
}();

var PriceFeed = /*#__PURE__*/function (_BaseHTTPAdapter) {
  _inheritsLoose(PriceFeed, _BaseHTTPAdapter);

  function PriceFeed(_temp) {
    var _ref = _temp === void 0 ? {} : _temp,
        _ref$name = _ref.name,
        name = _ref$name === void 0 ? "Across API" : _ref$name,
        _ref$host = _ref.host,
        host = _ref$host === void 0 ? "across.to" : _ref$host,
        _ref$timeout = _ref.timeout,
        timeout = _ref$timeout === void 0 ? 5000 : _ref$timeout,
        _ref$retries = _ref.retries,
        retries = _ref$retries === void 0 ? 3 : _ref$retries;

    // Allow host to be overridden for test or alternative deployments.
    return _BaseHTTPAdapter.call(this, name, host, {
      timeout: timeout,
      retries: retries
    }) || this;
  }

  var _proto = PriceFeed.prototype;

  _proto.getPriceByAddress = /*#__PURE__*/function () {
    var _getPriceByAddress = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee(address, currency) {
      var queryArgs, now, response;
      return runtime_1.wrap(function _callee$(_context) {
        while (1) {
          switch (_context.prev = _context.next) {
            case 0:
              if (currency === void 0) {
                currency = "usd";
              }

              queryArgs = {
                l1Token: address,
                baseCurrency: currency
              };
              now = msToS$1(Date.now()) - 60; // Assume price is 60 seconds old.

              _context.next = 5;
              return this.query("api/coingecko", queryArgs);

            case 5:
              response = _context.sent;

              if (this.validateResponse(response)) {
                _context.next = 8;
                break;
              }

              throw new Error("Unexpected " + this.name + " response: " + JSON.stringify(response));

            case 8:
              return _context.abrupt("return", {
                address: address,
                price: response.price,
                timestamp: now
              });

            case 9:
            case "end":
              return _context.stop();
          }
        }
      }, _callee, this);
    }));

    function getPriceByAddress(_x, _x2) {
      return _getPriceByAddress.apply(this, arguments);
    }

    return getPriceByAddress;
  }() // todo: Support bundled prices in the API endpoint.
  ;

  _proto.getPricesByAddress =
  /*#__PURE__*/
  function () {
    var _getPricesByAddress = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee2(addresses, currency) {
      var _this = this;

      return runtime_1.wrap(function _callee2$(_context2) {
        while (1) {
          switch (_context2.prev = _context2.next) {
            case 0:
              if (currency === void 0) {
                currency = "usd";
              }

              return _context2.abrupt("return", Promise.all(addresses.map(function (address) {
                return _this.getPriceByAddress(address, currency);
              })));

            case 2:
            case "end":
              return _context2.stop();
          }
        }
      }, _callee2);
    }));

    function getPricesByAddress(_x3, _x4) {
      return _getPricesByAddress.apply(this, arguments);
    }

    return getPricesByAddress;
  }();

  _proto.validateResponse = function validateResponse(response) {
    if (typeof response !== "object") return false;
    return response !== null && typeof response.price === "number";
  };

  return PriceFeed;
}(BaseHTTPAdapter);

var acrossApi = {
  __proto__: null,
  PriceFeed: PriceFeed
};

var PriceFeed$1 = /*#__PURE__*/function (_BaseHTTPAdapter) {
  _inheritsLoose(PriceFeed, _BaseHTTPAdapter);

  function PriceFeed(_temp) {
    var _this;

    var _ref = _temp === void 0 ? {} : _temp,
        name = _ref.name,
        apiKey = _ref.apiKey,
        _ref$timeout = _ref.timeout,
        timeout = _ref$timeout === void 0 ? 5000 : _ref$timeout,
        _ref$retries = _ref.retries,
        retries = _ref$retries === void 0 ? 3 : _ref$retries;

    _this = _BaseHTTPAdapter.call(this, (name != null ? name : apiKey) ? "CoinGecko Pro" : "CoinGecko Free", apiKey ? "pro-api.coingecko.com" : "api.coingecko.com", {
      timeout: timeout,
      retries: retries
    }) || this;
    _this.apiKey = undefined;
    _this.apiKey = apiKey;
    return _this;
  }

  var _proto = PriceFeed.prototype;

  _proto.getPriceByAddress = /*#__PURE__*/function () {
    var _getPriceByAddress = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee(address, currency) {
      var price;
      return runtime_1.wrap(function _callee$(_context) {
        while (1) {
          switch (_context.prev = _context.next) {
            case 0:
              if (currency === void 0) {
                currency = "usd";
              }

              _context.next = 3;
              return this.getPricesByAddress([address], currency);

            case 3:
              price = _context.sent;
              return _context.abrupt("return", price[0]);

            case 5:
            case "end":
              return _context.stop();
          }
        }
      }, _callee, this);
    }));

    function getPriceByAddress(_x, _x2) {
      return _getPriceByAddress.apply(this, arguments);
    }

    return getPriceByAddress;
  }();

  _proto.getPricesByAddress = /*#__PURE__*/function () {
    var _getPricesByAddress = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee2(addresses, currency) {
      var queryArgs, prices;
      return runtime_1.wrap(function _callee2$(_context2) {
        while (1) {
          switch (_context2.prev = _context2.next) {
            case 0:
              if (currency === void 0) {
                currency = "usd";
              }

              queryArgs = {
                contract_addresses: addresses.map(function (address) {
                  return address.toLowerCase();
                }).join(","),
                vs_currencies: currency,
                include_last_updated_at: true
              };
              if (this.apiKey) queryArgs["x_cg_pro_api_key"] = this.apiKey;
              _context2.next = 5;
              return this.query("api/v3/simple/token_price/ethereum", queryArgs);

            case 5:
              prices = _context2.sent;

              if (this.validateResponse(prices, currency)) {
                _context2.next = 8;
                break;
              }

              throw new Error("Unexpected " + this.name + " response: " + JSON.stringify(prices));

            case 8:
              return _context2.abrupt("return", addresses.filter(function (address) {
                return prices[address.toLowerCase()] !== undefined;
              }).map(function (address) {
                var price = prices[address.toLowerCase()];
                return {
                  address: address,
                  price: price[currency],
                  timestamp: price.last_updated_at
                };
              }));

            case 9:
            case "end":
              return _context2.stop();
          }
        }
      }, _callee2, this);
    }));

    function getPricesByAddress(_x3, _x4) {
      return _getPricesByAddress.apply(this, arguments);
    }

    return getPricesByAddress;
  }();

  _proto.validateResponse = function validateResponse(response, currency) {
    if (typeof response !== "object") return false;
    return Object.entries(response).every(function (_ref2) {
      var address = _ref2[0],
          tokenPrice = _ref2[1];
      // prettier-ignore
      return /0x[0-9a-fA-F]{40}/.exec(address) !== undefined && typeof tokenPrice === "object" && !isNaN(tokenPrice[currency]) && !isNaN(tokenPrice.last_updated_at);
    });
  };

  return PriceFeed;
}(BaseHTTPAdapter);

var coingecko = {
  __proto__: null,
  PriceFeed: PriceFeed$1
};

var PriceFeed$2 = /*#__PURE__*/function (_BaseHTTPAdapter) {
  _inheritsLoose(PriceFeed, _BaseHTTPAdapter);

  function PriceFeed(_temp) {
    var _this;

    var _ref = _temp === void 0 ? {} : _temp,
        _ref$name = _ref.name,
        name = _ref$name === void 0 ? "DefiLlama" : _ref$name,
        _ref$host = _ref.host,
        host = _ref$host === void 0 ? "coins.llama.fi" : _ref$host,
        _ref$timeout = _ref.timeout,
        timeout = _ref$timeout === void 0 ? 5000 : _ref$timeout,
        _ref$retries = _ref.retries,
        retries = _ref$retries === void 0 ? 2 : _ref$retries,
        _ref$minConfidence = _ref.minConfidence,
        minConfidence = _ref$minConfidence === void 0 ? 0.9 : _ref$minConfidence;

    _this = _BaseHTTPAdapter.call(this, name, host, {
      timeout: timeout,
      retries: retries
    }) || this;
    assert$1(minConfidence >= 0.0 && minConfidence <= 1.0);
    _this._minConfidence = minConfidence;
    return _this;
  }

  var _proto = PriceFeed.prototype;

  _proto.getPriceByAddress = /*#__PURE__*/function () {
    var _getPriceByAddress = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee(address, currency) {
      var price;
      return runtime_1.wrap(function _callee$(_context) {
        while (1) {
          switch (_context.prev = _context.next) {
            case 0:
              if (currency === void 0) {
                currency = "usd";
              }

              _context.next = 3;
              return this.getPricesByAddress([address], currency);

            case 3:
              price = _context.sent;
              return _context.abrupt("return", price[0]);

            case 5:
            case "end":
              return _context.stop();
          }
        }
      }, _callee, this);
    }));

    function getPriceByAddress(_x, _x2) {
      return _getPriceByAddress.apply(this, arguments);
    }

    return getPriceByAddress;
  }();

  _proto.getPricesByAddress = /*#__PURE__*/function () {
    var _getPricesByAddress = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee2(addresses, currency) {
      var _this2 = this;

      var path, response, tokenPrices;
      return runtime_1.wrap(function _callee2$(_context2) {
        while (1) {
          switch (_context2.prev = _context2.next) {
            case 0:
              if (currency === void 0) {
                currency = "usd";
              }

              if (!(currency != "usd")) {
                _context2.next = 3;
                break;
              }

              throw new Error("Currency " + currency + " not supported by " + this.name);

            case 3:
              path = "prices/current/" + addresses.map(function (address) {
                return "ethereum:" + address.toLowerCase();
              }).join();
              _context2.next = 6;
              return this.query(path, {});

            case 6:
              response = _context2.sent;

              if (this.validateResponse(response)) {
                _context2.next = 9;
                break;
              }

              throw new Error("Unexpected " + this.name + " response: " + JSON.stringify(response));

            case 9:
              // Normalise the address format: "etherum:<address>" => "<address>".
              tokenPrices = Object.fromEntries(Object.entries(response.coins).map(function (_ref2) {
                var identifier = _ref2[0],
                    tokenPrice = _ref2[1];
                return [identifier.split(":")[1], tokenPrice];
              }));
              return _context2.abrupt("return", addresses.filter(function (address) {
                var _tokenPrices$address$;

                return (((_tokenPrices$address$ = tokenPrices[address.toLowerCase()]) == null ? void 0 : _tokenPrices$address$.confidence) || 0.0) >= _this2.minConfidence;
              }).map(function (address) {
                var _tokenPrices$address$2 = tokenPrices[address.toLowerCase()],
                    price = _tokenPrices$address$2.price,
                    timestamp = _tokenPrices$address$2.timestamp;
                return {
                  address: address,
                  price: price,
                  timestamp: timestamp
                };
              }));

            case 11:
            case "end":
              return _context2.stop();
          }
        }
      }, _callee2, this);
    }));

    function getPricesByAddress(_x3, _x4) {
      return _getPricesByAddress.apply(this, arguments);
    }

    return getPricesByAddress;
  }();

  _proto.validateResponse = function validateResponse(response) {
    if (response === null || typeof response !== "object") return false;
    var coins = response.coins;
    if (coins === null || typeof coins !== "object") return false;
    return Object.entries(coins).every(function (_ref3) {
      var address = _ref3[0],
          tokenPrice = _ref3[1];
      // prettier-ignore
      return /[a-z]+:0[xX][0-9a-fA-F]{40}/.exec(address) !== undefined && typeof tokenPrice === "object" && typeof tokenPrice.symbol === "string" && !isNaN(tokenPrice.decimals) && tokenPrice.decimals > 0 && tokenPrice.decimals <= 18 && !isNaN(tokenPrice.price) && !isNaN(tokenPrice.timestamp) && !isNaN(tokenPrice.confidence);
    });
  };

  _createClass(PriceFeed, [{
    key: "minConfidence",
    get: function get() {
      return this._minConfidence;
    },
    set: function set(minConfidence) {
      assert$1(minConfidence >= 0.0 && minConfidence <= 1.0);
      this._minConfidence = minConfidence;
    }
  }]);

  return PriceFeed;
}(BaseHTTPAdapter);

var defiLlama = {
  __proto__: null,
  PriceFeed: PriceFeed$2
};



var index$9 = {
  __proto__: null,
  acrossApi: acrossApi,
  coingecko: coingecko,
  defiLlama: defiLlama
};



var index$a = {
  __proto__: null,
  adapters: index$9,
  msToS: msToS$1,
  PriceClient: PriceClient
};

var MerkleDistributor = /*#__PURE__*/function () {
  function MerkleDistributor() {}

  /**
   * Generate the Merkle root and the proofs for a collection of recipients.
   *
   * @param recipients An object which describes the recipients
   * @param windowIndex Parameter to specify an window index. This allows using the same smart contract for multiple token distributions.
   */
  MerkleDistributor.createMerkleDistributionProofs = function createMerkleDistributionProofs(recipients, windowIndex) {
    var merkleTree = new MerkleTree.MerkleTree(recipients, MerkleDistributor.createLeaf);
    var recipientsWithProofs = recipients.reduce(function (acc, recipient) {
      var _extends2;

      return _extends({}, acc, (_extends2 = {}, _extends2[recipient.account] = _extends({}, recipient, {
        proof: merkleTree.getHexProof(recipient),
        windowIndex: windowIndex
      }), _extends2));
    }, {});
    return {
      recipientsWithProofs: recipientsWithProofs,
      merkleRoot: merkleTree.getHexRoot()
    };
  }
  /**
   * Encode the account address, the amount and the account index into a Merkle Tree leaf.
   * It is equivalent to Solidity's keccak256(abi.encode(account, amount))
   * @param recipient The recipient of the token distribution
   * @returns The Merkle Tree leaf
   */
  ;

  MerkleDistributor.createLeaf = function createLeaf(recipient) {
    var account = recipient.account,
        amount = recipient.amount,
        accountIndex = recipient.accountIndex;
    return ethers.ethers.utils.solidityKeccak256(["address", "uint256", "uint256"], [account, amount, accountIndex]);
  };

  return MerkleDistributor;
}();



var index$b = {
  __proto__: null,
  MerkleDistributor: MerkleDistributor
};

var isError = function isError(error) {
  return error instanceof Error;
};
var isEthersError = function isEthersError(error) {
  return (error == null ? void 0 : error.code) in ethers.ethers.utils.Logger.errors;
};



var index$c = {
  __proto__: null,
  isError: isError,
  isEthersError: isEthersError
};

/**
 * Computes a linear integral over a piecewise function
 * @param cutoffArray An array of tuples that define the cutoff points and values of the piecewise function
 * @param index The index of the cutoffArray that we're currently in
 * @param integralStart Where we're starting the integral
 * @param integralEnd Where we're ending the integral
 * @returns The integral of the piecewise function over the given range
 */

function performLinearIntegration(cutoffArray, index, integralStart, integralEnd) {
  var lengthUnderCurve = integralEnd.sub(integralStart);

  var resolveValue = function resolveValue(index) {
    return cutoffArray[index][1];
  }; // We now need to compute the initial area of the integral. This is required
  // for all cases. However, we need to be mindful of the bounds of the array.
  // If we're at the first index, we need to make sure that we don't go out of bounds
  // Therefore, we want to resolve the value at the current index - 1, being mindful
  // that our smallest value is 0, and the largest value is the length of the array - 1.


  var feeIntegral = resolveValue(Math.max(0, Math.min(cutoffArray.length - 1, index - 1))).mul(lengthUnderCurve).div(fixedPointAdjustment); // (y - x) * fbar[-1]
  // If we're not in the bounds of this array, we need to perform an additional computation

  if (index > 0 && index < cutoffArray.length - 1) {
    var _cutoffArray$index = cutoffArray[index],
        currCutoff = _cutoffArray$index[0],
        currValue = _cutoffArray$index[1];
    var _cutoffArray = cutoffArray[index - 1],
        prevCutoff = _cutoffArray[0],
        prevValue = _cutoffArray[1];
    var slope = prevValue.sub(currValue).mul(fixedPointAdjustment).div(prevCutoff.sub(currCutoff)); // We need to compute a discrete integral at this point. We have the following
    // psuedo code:
    // fee_integral = (
    //     fx_i*(integral_end - integral_start) +
    //     slope*(
    //         (integral_end**2/2 - x_i*integral_end) -
    //         (integral_start**2/2 - x_i*integral_start)
    //     )
    // )
    // NOT: we define the variables above [x_i, fx_i ] as [currCutoff, currValue] in the code below

    var integralEndExpression = integralEnd.pow(2).div(2).sub(prevCutoff.mul(integralEnd));
    var integralStartExpression = integralStart.pow(2).div(2).sub(prevCutoff.mul(integralStart));
    var slopeIntegration = slope.mul(integralEndExpression.sub(integralStartExpression)).div(fixedPointAdjustment).div(fixedPointAdjustment);
    feeIntegral = feeIntegral.add(slopeIntegration);
  }

  return feeIntegral;
}
/**
 * Retrieve the numerical bounds of a given interval from an array of buckets
 * @param cutoffArray An array of tuples that define the cutoff points and values of the piecewise function
 * @param index The index of the cutoffArray that we're currently in
 * @returns The upper and lower bounds of the interval
 */

function getBounds(cutoffArray, index) {
  var length = cutoffArray.length;

  if (index === 0) {
    return [UBA_BOUNDS_RANGE_MIN, cutoffArray[0][0]];
  } else if (index < length) {
    return [cutoffArray[index - 1][0], cutoffArray[index][0]];
  } else {
    return [cutoffArray[length - 1][0], UBA_BOUNDS_RANGE_MAX];
  }
}
/**
 * Get the interval that the target is within and the bounds of that interval
 * @param cutoffArray An array of tuples that define the cutoff points and values of the piecewise function
 * @param target The target value that we're trying to find the interval for
 * @returns The index of the interval that the target is in and the bounds of that interval
 */

function getInterval(cutoffArray, target) {
  var result = [-1, [UBA_BOUNDS_RANGE_MIN, UBA_BOUNDS_RANGE_MAX]];

  for (var i = 0; i <= cutoffArray.length; i++) {
    var _getBounds = getBounds(cutoffArray, i),
        lowerBound = _getBounds[0],
        upperBound = _getBounds[1];

    if (target.gte(lowerBound) && target.lt(upperBound)) {
      result = [i, [lowerBound, upperBound]];
      break;
    }
  }

  return result;
}
/**
 * Computes the balancing fee for a refund request
 * @param cutoffArray An array of tuples that define the cutoff points and values of the piecewise function
 * @param runningBalance The current running balance of the spoke pool
 * @param modificationAmount The amount that the user will be refunding
 * @returns The balancing fee for the refund
 */

function getRefundBalancingFee(cutoffArray, runningBalance, modificationAmount) {
  var _getInterval = getInterval(cutoffArray, runningBalance),
      balanceIndex = _getInterval[0],
      _getInterval$ = _getInterval[1],
      balanceLowerBound = _getInterval$[0];

  var _getInterval2 = getInterval(cutoffArray, runningBalance.sub(modificationAmount)),
      balanceLessModificationIndex = _getInterval2[0],
      _getInterval2$ = _getInterval2[1],
      balanceLessModificationUpperBound = _getInterval2$[1];

  var totalFee = toBN(0);

  for (var index = balanceIndex; index >= balanceLessModificationIndex; index--) {
    var integralStart = void 0;
    var integralEnd = void 0; // If everything is in the same interval, we can just compute the integral
    // from balance to balance - modificationAmount

    if (index === balanceIndex && index === balanceLessModificationIndex) {
      integralStart = runningBalance;
      integralEnd = runningBalance.sub(modificationAmount);
    } // If not in the same interval, then when we are in the balance
    // interval, start at balance and go to the lb (because balance-modification)
    // is lower
    else if (index === balanceIndex) {
      integralStart = runningBalance;
      integralEnd = balanceLowerBound;
    } // If not in the same interval, then when we are in the balance-less-modification
    // interval, start at balance-less-modification and go to the ub (because balance)
    // is higher
    else if (index === balanceLessModificationIndex) {
      integralStart = balanceLessModificationUpperBound;
      integralEnd = runningBalance.sub(modificationAmount);
    } // If not in the same interval, then when we are in the middle interval, start at
    // the lb and go to the ub
    else {
      var _getBounds2 = getBounds(cutoffArray, index),
          lowerBound = _getBounds2[0],
          upperBound = _getBounds2[1];

      integralStart = lowerBound;
      integralEnd = upperBound;
    }

    totalFee = totalFee.add(performLinearIntegration(cutoffArray, index, integralStart, integralEnd));
  }

  return totalFee;
}
/**
 * Computes the balancing fee for a deposit.
 * @param cutoffArray An array of tuples that define the cutoff points and values of the piecewise function
 * @param runningBalance The current running balance of the spoke pool
 * @param modificationAmount The amount that the user will be depositing
 * @returns The balancing fee for the deposit
 */

function getDepositBalancingFee(cutoffArray, runningBalance, modificationAmount) {
  var _getInterval3 = getInterval(cutoffArray, runningBalance),
      balanceIndex = _getInterval3[0],
      _getInterval3$ = _getInterval3[1],
      balanceUpperBound = _getInterval3$[1];

  var _getInterval4 = getInterval(cutoffArray, runningBalance.add(modificationAmount)),
      balancePlusModificationIndex = _getInterval4[0],
      _getInterval4$ = _getInterval4[1],
      balancePlusModificationLowerBound = _getInterval4$[0];

  var totalFee = toBN(0); // If everything is in the same interval, we can just compute the integral
  // from balance to balance + modificationAmount

  for (var index = balanceIndex; index <= balancePlusModificationIndex; index++) {
    var integralStart = void 0;
    var integralEnd = void 0; // If everything is in the same interval, we can just compute the integral
    // from balance to balance + modificationAmount (this is the same as the refund case except in reverse)

    if (index === balanceIndex && index === balancePlusModificationIndex) {
      integralStart = runningBalance;
      integralEnd = runningBalance.add(modificationAmount);
    } // If not in the same interval, then when we are in the balance
    // interval, start at balance and go to the ub (because balance+modification)
    // is higher
    else if (index === balanceIndex) {
      integralStart = runningBalance;
      integralEnd = balanceUpperBound;
    } // If not in the same interval, then when we are in the balance-plus-modification
    // interval, start at balance-plus-modification and go to the lb
    else if (index === balancePlusModificationIndex) {
      integralStart = balancePlusModificationLowerBound;
      integralEnd = runningBalance.add(modificationAmount);
    } // Otherwise, integrate over the entire interval
    else {
      var _getBounds3 = getBounds(cutoffArray, index),
          lowerBound = _getBounds3[0],
          upperBound = _getBounds3[1];

      integralStart = lowerBound;
      integralEnd = upperBound;
    }

    totalFee = totalFee.add(performLinearIntegration(cutoffArray, index, integralStart, integralEnd));
  }

  return totalFee;
}
/**
 * Returns the minimum of two BigNumbers
 * @param a The first BigNumber
 * @param b The second BigNumber
 * @returns The minimum of the two BigNumbers
 */

function minBN(a, b) {
  return a.lt(b) ? a : b;
}
/**
 * Returns the maximum of two BigNumbers
 * @param a The first BigNumber
 * @param b The second BigNumber
 * @returns The maximum of the two BigNumbers
 */


function maxBN(a, b) {
  return a.gt(b) ? a : b;
}
/**
 * Returns the minimum and maximum of two BigNumbers
 * @param a The first BigNumber
 * @param b The second BigNumber
 * @returns The minimum and maximum of the two BigNumbers
 * @remarks This is a convenience function to avoid having to call minBN and maxBN separately
 */


function minMaxBN(a, b) {
  return [minBN(a, b), maxBN(a, b)];
}
/**
 * Computes a general integral of a linear piecewise function. It is mindful of the sign of the direction
 * of integration.
 * @param functionBounds An array of tuples that define the cutoff points and values of the piecewise function
 * @param x The lower bound of the integral
 * @param y The upper bound of the integral
 * @returns The integral of the piecewise function over the given range
 */


function computePiecewiseLinearFunction(functionBounds, x, y) {
  functionBounds = [].concat(functionBounds, [[UBA_BOUNDS_RANGE_MAX, functionBounds[functionBounds.length - 1][1]]]); // Decompose the bounds into the lower and upper bounds

  var xBar = functionBounds.map(function (_, idx, arr) {
    return getBounds(arr, idx);
  }); // We'll need to determine the sign of the integration direction to determine the scale
  // This is because we always want to iterate from MIN(x, y) to MAX(x, y). We can get away
  // with manipulating the direction of x and y because we're integrating a linear function
  // and the integral is symmetric about the x-axis

  var scale = x.lte(y) ? 1 : -1; // We want to use the traits of linear integration to our advantage. We know that the integral
  // should always iterate in the positive x direction. To implement this we'll need to determine
  // the start and end of the integral as MIN(x, y) and MAX(x, y) respectively.

  var _minMaxBN = minMaxBN(x, y),
      lb = _minMaxBN[0],
      ub = _minMaxBN[1]; // We can now determine the indices of the bounds that we'll need to integrate over. We don't need
  // to concern ourselves with bounds outside of the needed range because we'd be wasting cycles
  // iterating over them.


  var _ref = [getInterval(functionBounds, lb)[0], getInterval(functionBounds, ub)[0]],
      lbIdx = _ref[0],
      ubIdx = _ref[1]; // We can store the integral in this variable

  var integral = toBN(0); // We can now iterate over the bounds and perform the integration

  for (var idx = lbIdx; idx <= ubIdx; idx++) {
    // We need to be mindful of the fact that we may be integrating over a single interval
    // and that the bounds of that interval may be the same. If this is the case, we need
    // to make sure that we don't perform an integration over a zero interval.
    var _lb = idx == lbIdx ? lb : xBar[idx][0]; // If we're at the upper bound, we need to make sure that we don't go out of bounds


    var _ub = idx == ubIdx ? ub : xBar[idx][1]; // If the lower bound is not equal to the upper bound, we can perform the integration
    // Otherwise we implicitely integrate over a zero interval and add nothing to the integral


    if (!_lb.eq(_ub)) {
      var currentIntegration = performLinearIntegration(functionBounds, idx, _lb, _ub); // We can now perform the integration by calling the helper function

      integral = integral.add(currentIntegration);
    }
  } // Otherwise, we can scale the integral to the correct sign and return it with the modifier


  return integral.mul(scale);
}
/**
 * A mapping of the balancing fee functions to the inflow/outflow types. This is used to
 * as a convenience to avoid having to do multiple if/else statements in the UBAFeeCalculator
 */

var balancingFeeFunctionLookupMapping = {
  inflow: getDepositBalancingFee,
  outflow: getRefundBalancingFee
};
/**
 * Asserts that the fee curve is valid per the UBA specification.
 * @param feeCurve The fee curve whose validity we are asserting
 * @param validateZeroPoint Whether or not to validate that there is a zero point in the fee curve
 * @throws An error if the fee curve is invalid
 * @note This function is only testing for structural validity. It does not test for
 *       the validity of the parameters of the fee curve.
 */

function assertValidityOfFeeCurve(feeCurve, validateZeroPoint) {
  // Ensure that the fee curve has at least one element
  if (feeCurve.length === 0) {
    throw new Error("Balancing fee curve must have at least one point");
  } // Ensure that the fee curve has tuples of length 2


  if (feeCurve.some(function (tuple) {
    return tuple.length !== 2;
  })) {
    throw new Error("Balancing fee curve must be a list of tuples");
  } // Ensure that there is a zero point in the fee curve


  if (validateZeroPoint && !feeCurve.some(function (tuple) {
    return tuple[1].eq(0);
  })) {
    throw new Error("Balancing fee curve must have a zero point");
  } // Ensure that the x values are strictly monotonically increasing


  if (feeCurve.some(function (tuple, idx, arr) {
    return idx > 0 && tuple[0].lte(arr[idx - 1][0]);
  })) {
    throw new Error("Balancing fee curve must have strictly increasing x values");
  } // Ensure that the y values are monotonically increasing


  if (feeCurve.some(function (tuple, idx, arr) {
    return idx > 0 && tuple[1].lt(arr[idx - 1][1]);
  })) {
    throw new Error("Balancing fee curve must have increasing y values");
  }
}

var UBAFeeUtility = {
  __proto__: null,
  performLinearIntegration: performLinearIntegration,
  getBounds: getBounds,
  getInterval: getInterval,
  getRefundBalancingFee: getRefundBalancingFee,
  getDepositBalancingFee: getDepositBalancingFee,
  computePiecewiseLinearFunction: computePiecewiseLinearFunction,
  balancingFeeFunctionLookupMapping: balancingFeeFunctionLookupMapping,
  assertValidityOfFeeCurve: assertValidityOfFeeCurve
};

/**
 * Defines the configuration needed to calculate the UBA fees
 */

var UBAConfig = /*#__PURE__*/function () {
  /**
   * Instantiate a new UBA Config object
   * @param baselineFee A baseline fee that is applied to all transactions to allow LPs to earn a fee
   * @param balancingFee A record of piecewise functions for each chain and token that define the balancing fee to ensure either a positive or negative penalty to bridging a token to a chain that is either under or over utilized
   * @param balanceTriggerThreshold A record of boundry values for each chain and token that define the threshold for when the running balance should be balanced back to a fixed amount. Due to the fact that this type of operation is based on a heuristic and is considered a non-event transient property of the protocol, the threshold must be computed based on the current running balance of the spoke from the last validated running balance.
   * @param lpGammaFunction A record of piecewise functions for each chain that define the utilization fee to ensure that the bridge responds to periods of high utilization
   * @param incentivePoolAdjustment A DAO controlled variable to track any donations made to the incentivePool liquidity
   * @param ubaRewardMultiplier Used to scale rewards when a fee is larger than the incentive balance
   * @throws Error if any of the fee curves are invalid and assertValidityOfFeeCurves is true
   */
  function UBAConfig(baselineFee, balancingFee, balanceTriggerThreshold, lpGammaFunction, incentivePoolAdjustment, ubaRewardMultiplier) {
    if (incentivePoolAdjustment === void 0) {
      incentivePoolAdjustment = {};
    }

    if (ubaRewardMultiplier === void 0) {
      ubaRewardMultiplier = {};
    }

    this.baselineFee = baselineFee;
    this.balancingFee = balancingFee;
    this.balanceTriggerThreshold = balanceTriggerThreshold;
    this.lpGammaFunction = lpGammaFunction;
    this.incentivePoolAdjustment = incentivePoolAdjustment;
    this.ubaRewardMultiplier = ubaRewardMultiplier; // Validate the config

    this.assertValidityOfAllFeeCurves();
  }
  /**
   * Assert the validity of all fee curves. This is a helper function
   * that is called in the constructor to ensure that all fee curves
   * are valid.
   */


  var _proto = UBAConfig.prototype;

  _proto.assertValidityOfAllFeeCurves = function assertValidityOfAllFeeCurves() {
    var _this$balancingFee$ov, _this$lpGammaFunction;

    // Find all the fee curves that could possibiliy be used
    // in the UBA fee calculation. Specifically, these are the
    // balancing fee curve and the lp gamma function curve. The
    // curves are available for all overrides as well as their
    // default counterparts.
    var omega = [this.balancingFee["default"]].concat(Object.values((_this$balancingFee$ov = this.balancingFee.override) != null ? _this$balancingFee$ov : {}));
    var gamma = [this.lpGammaFunction["default"]].concat(Object.values((_this$lpGammaFunction = this.lpGammaFunction.override) != null ? _this$lpGammaFunction : {})); // Iterate through each curve and assert that it is valid

    omega.forEach(function (f) {
      return assertValidityOfFeeCurve(f, true);
    });
    gamma.forEach(function (f) {
      return assertValidityOfFeeCurve(f, false);
    });
  }
  /**
   * @description Get the baseline fee for a given route combination
   * @param destinationChainId The destination chain id
   * @param originChainId The origin chain id
   * @returns The baseline fee
   */
  ;

  _proto.getBaselineFee = function getBaselineFee(destinationChainId, originChainId) {
    var _ref, _ref2, _this$baselineFee$ove, _this$baselineFee$ove2, _this$baselineFee$ove3;

    return (_ref = (_ref2 = (_this$baselineFee$ove = (_this$baselineFee$ove2 = this.baselineFee.override) == null ? void 0 : _this$baselineFee$ove2[originChainId + "-" + destinationChainId]) != null ? _this$baselineFee$ove : (_this$baselineFee$ove3 = this.baselineFee.override) == null ? void 0 : _this$baselineFee$ove3[destinationChainId + "-" + originChainId]) != null ? _ref2 : this.baselineFee["default"]) != null ? _ref : ethers.ethers.constants.Zero;
  }
  /**
   * @description Get the balancing fee tuples for a given chain
   * @param chainId The chain id
   * @returns The balancing fee
   */
  ;

  _proto.getBalancingFeeTuples = function getBalancingFeeTuples(chainId) {
    var _this$balancingFee$ov2, _this$balancingFee$ov3;

    return (_this$balancingFee$ov2 = (_this$balancingFee$ov3 = this.balancingFee.override) == null ? void 0 : _this$balancingFee$ov3[chainId]) != null ? _this$balancingFee$ov2 : this.balancingFee["default"];
  };

  _proto.getZeroFeePointOnBalancingFeeCurve = function getZeroFeePointOnBalancingFeeCurve(chainId) {
    var balancingFeeTuples = this.getBalancingFeeTuples(chainId);
    var zeroPoint = balancingFeeTuples.find(function (tuple) {
      return tuple[1].eq(0);
    });

    if (!zeroPoint) {
      throw new Error("No zero point on balancing fee curve for chain " + chainId);
    }

    return zeroPoint[0];
  };

  _proto.isBalancingFeeCurveFlatAtZero = function isBalancingFeeCurveFlatAtZero(chainId) {
    var balancingFeeCurve = this.getBalancingFeeTuples(chainId);
    return balancingFeeCurve.length === 1 && balancingFeeCurve[0][0].eq(0) && balancingFeeCurve[0][1].eq(0);
  }
  /**
   * @description Get the lp gamma function tuples for a given chain
   * @param chainId The chain id
   * @returns The lp gamma function
   */
  ;

  _proto.getLpGammaFunctionTuples = function getLpGammaFunctionTuples(chainId) {
    var _this$lpGammaFunction2, _this$lpGammaFunction3;

    return (_this$lpGammaFunction2 = (_this$lpGammaFunction3 = this.lpGammaFunction.override) == null ? void 0 : _this$lpGammaFunction3[chainId]) != null ? _this$lpGammaFunction2 : this.lpGammaFunction["default"];
  }
  /**
   * @description Get the balance trigger threshold for a given chain and token
   * @param chainId The chain id
   * @param tokenSymbol The symbol of the token which will be resolved
   * @returns The balance trigger threshold if it exists
   */
  ;

  _proto.getBalanceTriggerThreshold = function getBalanceTriggerThreshold(chainId, tokenSymbol) {
    var _ref3, _this$balanceTriggerT, _this$balanceTriggerT2;

    var chainTokenCombination = chainId + "-" + tokenSymbol;
    return (_ref3 = (_this$balanceTriggerT = (_this$balanceTriggerT2 = this.balanceTriggerThreshold.override) == null ? void 0 : _this$balanceTriggerT2[chainTokenCombination]) != null ? _this$balanceTriggerT : this.balanceTriggerThreshold["default"]) != null ? _ref3 : {
      upperBound: {},
      lowerBound: {}
    };
  }
  /**
   * Arbitrarily return upper bound target. This could be the average of the upper and lower bound targets but
   * for now return upper bound target.
   * @param chainId
   * @param l1TokenAddress
   * @returns
   */
  ;

  _proto.getTargetBalance = function getTargetBalance(chainId, tokenSymbol) {
    var _thresholdConfig$uppe, _thresholdConfig$uppe2;

    var thresholdConfig = this.getBalanceTriggerThreshold(chainId, tokenSymbol);
    return (_thresholdConfig$uppe = thresholdConfig == null ? void 0 : (_thresholdConfig$uppe2 = thresholdConfig.upperBound) == null ? void 0 : _thresholdConfig$uppe2.target) != null ? _thresholdConfig$uppe : ethers.ethers.constants.Zero;
  }
  /**
   * Get the incentive pool adjustment
   * @param chainId The chain id
   * @returns The incentive pool adjustment. Defaults to 0 if not set
   */
  ;

  _proto.getIncentivePoolAdjustment = function getIncentivePoolAdjustment(chainId) {
    var _this$incentivePoolAd, _this$incentivePoolAd2;

    return (_this$incentivePoolAd = (_this$incentivePoolAd2 = this.incentivePoolAdjustment) == null ? void 0 : _this$incentivePoolAd2[chainId]) != null ? _this$incentivePoolAd : ethers.ethers.constants.Zero; // Default to 0 if not set
  }
  /**
   * Get the UBA reward multiplier
   * @param chainId The chain id
   * @returns The UBA reward multiplier. Defaults to 1 if not set
   */
  ;

  _proto.getUbaRewardMultiplier = function getUbaRewardMultiplier(chainId) {
    var _this$ubaRewardMultip, _this$ubaRewardMultip2;

    return (_this$ubaRewardMultip = (_this$ubaRewardMultip2 = this.ubaRewardMultiplier) == null ? void 0 : _this$ubaRewardMultip2[chainId]) != null ? _this$ubaRewardMultip : fixedPointAdjustment; // Default to 1 if not set
  };

  _proto.toJSON = function toJSON() {
    return {
      baselineFee: JSON.parse(stringifyJSONWithNumericString(this.baselineFee)),
      balancingFee: JSON.parse(stringifyJSONWithNumericString(this.balancingFee)),
      balanceTriggerThreshold: JSON.parse(stringifyJSONWithNumericString(this.balanceTriggerThreshold)),
      lpGammaFunction: JSON.parse(stringifyJSONWithNumericString(this.lpGammaFunction)),
      incentivePoolAdjustment: JSON.parse(stringifyJSONWithNumericString(this.incentivePoolAdjustment)),
      ubaRewardMultiplier: JSON.parse(stringifyJSONWithNumericString(this.ubaRewardMultiplier))
    };
  };

  return UBAConfig;
}();

/** Provides the static, procedural versions of the functions provided in the UBAFeeSpokeCalculator */
/**
 * Calculates the running balances for a given token on a spoke chain produced by the set of flows and beginning with
 * the validated running balances.
 * @param flows The flows to calculate the running balance for.
 * @param lastValidatedRunningBalance The last validated running balance for the token and chain ID validated in
 * a root bundle in the HubPool.
 * @param lastValidatedIncentiveRunningBalance The last validated incentive running balance for the token and chain ID
 * validated in a root bundle in the HubPool.
 * @param chainId The chain id of the spoke chain
 * @param tokenSymbol The token symbol of the token to calculate the running balance for
 * @param config The UBAConfig to use for the calculation. This must apply to all `flows`.
 * @returns The running balance for the token
 */

function calculateHistoricalRunningBalance(flows, lastValidatedRunningBalance, lastValidatedIncentiveRunningBalance, lastNetRunningBalanceAdjustment, chainId, tokenSymbol, config) {
  // Attempt to resolve the trigger hurdle to include in the running
  // balance calculation
  var _config$getBalanceTri = config.getBalanceTriggerThreshold(chainId, tokenSymbol),
      upperBoundTriggerHurdle = _config$getBalanceTri.upperBound,
      lowerBoundTriggerHurdle = _config$getBalanceTri.lowerBound;

  var historicalResult = flows.reduce(function (acc, flow) {
    // Now, add this flow's amount to the accumulated running balance.
    // If the flow is an inflow, we need to add the amount to the running balance
    // If the flow is an outflow, we need to subtract the amount from the running balance
    // Incentive balances for each flow can be negative or positive so simply add them to the accumulatedd
    // incentive balance.
    // @dev Positive incentive fees are added to the incentive pot. Negative incentive fees are rewards
    // paid out of the pot. The incentive pot should never go negative.
    var incentiveFee = flow.incentiveFee;

    if (incentiveFee.mul(-1).gt(acc.incentiveBalance)) {
      throw new Error("Incentive balance will go negative after subtracting flow's incentive reward of " + incentiveFee.toString() + " from incentive balance of " + acc.incentiveBalance.toString());
    }

    var resultant = {
      netRunningBalanceAdjustment: toBN(acc.netRunningBalanceAdjustment.toString()),
      runningBalance: acc.runningBalance[isUbaInflow(flow) ? "add" : "sub"](flow.amount).sub(incentiveFee),
      incentiveBalance: max(ethers.ethers.constants.Zero, acc.incentiveBalance.add(incentiveFee))
    }; // console.log(
    //   `- Added ${incentiveFee.toString()} to existing incentive pot ${acc.incentiveBalance.toString()}, new incentive pot = ${resultant.incentiveBalance.toString()}`
    // );

    var upperBoundTarget = upperBoundTriggerHurdle.target,
        upperBoundThreshold = upperBoundTriggerHurdle.threshold;
    var lowerBoundTarget = lowerBoundTriggerHurdle.target,
        lowerBoundThreshold = lowerBoundTriggerHurdle.threshold; // If the upper trigger hurdle is surpassed, we need to return the trigger hurdle value
    // as the running balance. This is because the trigger hurdle is the maximum value we'd like to
    // organically grow the running balance to. If the running balance exceeds the trigger hurdle,
    // we need to return the trigger hurdle as the running balance because at this point the dataworker
    // will be triggered to rebalance the running balance.

    if (upperBoundTarget !== undefined && upperBoundThreshold !== undefined && upperBoundThreshold.gt(0) && resultant.runningBalance.gt(upperBoundThreshold)) {
      // If we are over the target, subtract the difference from the net running balance adjustment
      // so that the dataworker can instruct the spoke pool to return funds to the hub pool.
      resultant.netRunningBalanceAdjustment = resultant.netRunningBalanceAdjustment.sub(resultant.runningBalance.sub(upperBoundTarget)); // Set the running balance to the trigger hurdle

      resultant.runningBalance = upperBoundTarget;
    } // If the lower trigger hurdle is surpassed, we need to return the trigger hurdle value
    // as the running balance. This is because the trigger hurdle is the minimum value we'd like to
    // organically shrink the running balance to. If the running balance is less than the trigger hurdle,
    // we need to return the trigger hurdle as the running balance because at this point the dataworker
    // will be triggered to rebalance the running balance.
    else if (lowerBoundTarget !== undefined && lowerBoundThreshold !== undefined && lowerBoundThreshold.gt(0) && resultant.runningBalance.lt(lowerBoundThreshold)) {
      // If we are under the target, add the difference to the net running balance adjustment
      // so that the dataworker can instruct the hub pool to send funds to the spokepool.
      resultant.netRunningBalanceAdjustment = resultant.netRunningBalanceAdjustment.add(lowerBoundTarget.sub(resultant.runningBalance)); // Set the running balance to the trigger hurdle

      resultant.runningBalance = lowerBoundTarget;
    }

    return resultant;
  }, {
    runningBalance: lastValidatedRunningBalance != null ? lastValidatedRunningBalance : toBN(0),
    incentiveBalance: lastValidatedIncentiveRunningBalance != null ? lastValidatedIncentiveRunningBalance : toBN(0),
    netRunningBalanceAdjustment: lastNetRunningBalanceAdjustment != null ? lastNetRunningBalanceAdjustment : toBN(0)
  }); // Return the result

  return historicalResult;
}
/**
 * Returns the balancing fee for a given event that produces a flow of `flowType` of size `amount`.
 * Can return a negative fee if the fee is a reward.
 * @param amount Amount of inflow or outflow produced by event that we're computing a balancing fee for.
 * @param flowType Inflow or Outflow.
 * @param lastRunningBalance The latest running balance preceding this event.
 * @param lastIncentiveBalance The latest incentive balance preceding this event.
 * @param chainId The chain id of the spoke chain
 * @param config The UBAConfig to use for the calculation
 * @returns The incentive fee to charge, NOT a percentage.
 */

function getEventFee(amount, flowType, lastRunningBalance, lastIncentiveBalance, chainId, config) {
  // We first need to resolve the inflow/outflow curves for the flow chain
  var flowCurve = config.getBalancingFeeTuples(chainId); // Next, we'll need to compute the balancing fee by integrating the flow curve from the running balance to
  // the running balance post-flow.

  var balancingFee = computePiecewiseLinearFunction(flowCurve, lastRunningBalance, lastRunningBalance.add(amount.mul(flowType === "inflow" ? 1 : -1))); // If the balancing fee is a reward paid to the user or relayer then we might need to discount it based on
  // availbale rewards. Negative balancing fees are rewards.

  if (balancingFee.lt(0)) {
    // If incentive balance is <= 0 then return early because the balancing reward must be 0 as there are
    // no incentives to pay with.
    if (lastIncentiveBalance.lte(0)) {
      // console.log("- Last incentive balance is 0, balancing fee must be 0");
      return {
        balancingFee: ethers.ethers.constants.Zero
      };
    } // First, apply hardcoded multiplier if incentive fee is a reward instead of a penalty
    // This should never error. `getUbaRewardMultiplier` should default to 1 and be in 18 decimal precision


    var ubaRewardMultiplier = config.getUbaRewardMultiplier(chainId.toString());
    balancingFee = balancingFee.mul(ubaRewardMultiplier).div(fixedPointAdjustment); // Next, compute the amount of fees that would be required to be paid out of the incentive balance
    // to bring the the marginal balance fee to 0. This is found by finding the point on the flow curve
    // where the fee is 0 and integrating from there to the last running balance without including
    // the current action. In other words, this is the total amount of incentive fees that must be reserved
    // in the incentive balance at a minimum to "incentivize" depositors/relayers to bring the running
    // balance to its target.

    var zeroFeePoint = config.getZeroFeePointOnBalancingFeeCurve(chainId);
    var feesToBringFeePctToZero = computePiecewiseLinearFunction(flowCurve, zeroFeePoint, lastRunningBalance).abs(); // console.log(`- feesToBringFeePctToZero = ${feesToBringFeePctToZero.toString()}`);
    // The discount factor to apply is equal to the balance fee to bring the fee % back to 0 divided
    // by the incentive balance, capped at 100%.
    // @dev balancing fee, amount, and last incentive balance should all be in the same decimals precision.

    if (feesToBringFeePctToZero.gt(lastIncentiveBalance)) {
      // console.log(
      //   `- discounting balancing reward because feesToBringFeePctToZero exceeds incentive balance. Starting balancing fee = ${balancingFee.toString()}, incentive balance = ${lastIncentiveBalance.toString()}`
      // );
      // Discount factor should be in 18 decimal precision and should always be <= 1 since
      // feesToBringFeePctToZero > lastIncentiveBalance
      var discountFactor = lastIncentiveBalance.mul(fixedPointAdjustment).div(feesToBringFeePctToZero);
      balancingFee = balancingFee.mul(discountFactor).div(fixedPointAdjustment); // console.log(`- Discount factor = ${discountFactor}%, resultant balancing fee = ${balancingFee}`);
    }
  } // We can now return the fee


  return {
    balancingFee: balancingFee
  };
}
/**
 * Calculates the fee for a deposit on a spoke chain
 * @param amount The amount of the deposit
 * @param lastValidatedRunningBalance The last validated running balance of the spoke
 * @param lastValidatedIncentiveRunningBalance The last validated incentive running balance of the spoke
 * @param chainId The chain id of the spoke chain
 * @param config The UBAConfig to use for the calculation
 * @returns The fee for the deposit
 * @see getEventFee
 */

function getDepositFee(amount, lastValidatedRunningBalance, lastValidatedIncentiveRunningBalance, chainId, config) {
  return getEventFee(amount, "inflow", lastValidatedRunningBalance, lastValidatedIncentiveRunningBalance, chainId, config);
}
/**
 * Calculates the fee for a refund on a spoke chain
 * @param amount The amount of the refund
 * @param lastValidatedRunningBalance The last validated running balance of the spoke
 * @param lastValidatedIncentiveRunningBalance The last validated incentive running balance of the spoke
 * @param chainId The chain id of the spoke chain
 * @param config The UBAConfig to use for the calculation
 * @returns The fee for the refund
 * @see getEventFee
 */

function getRefundFee(amount, lastValidatedRunningBalance, lastValidatedIncentiveRunningBalance, chainId, config) {
  return getEventFee(amount, "outflow", lastValidatedRunningBalance, lastValidatedIncentiveRunningBalance, chainId, config);
}
/**
 * A convenience lookup table for the fee calculation functions
 * @see getDepositFee
 * @see getRefundFee
 * @see getEventFee
 */

var feeCalculationFunctionsForUBA = {
  deposit: getDepositFee,
  refund: getRefundFee
};

var UBAFeeSpokeCalculatorAnalog = {
  __proto__: null,
  calculateHistoricalRunningBalance: calculateHistoricalRunningBalance,
  getEventFee: getEventFee,
  getDepositFee: getDepositFee,
  getRefundFee: getRefundFee,
  feeCalculationFunctionsForUBA: feeCalculationFunctionsForUBA
};

var UBAActionType;

(function (UBAActionType) {
  UBAActionType["Deposit"] = "deposit";
  UBAActionType["Refund"] = "refund";
})(UBAActionType || (UBAActionType = {}));



var index$d = {
  __proto__: null,
  UBAFeeUtility: UBAFeeUtility,
  analog: UBAFeeSpokeCalculatorAnalog,
  UBAFeeConfig: UBAConfig,
  get UBAActionType () { return UBAActionType; }
};

/**
 * This is a superstruct that verifies that the routing rule is formatted correctly.
 * Specifically, it verifies that the routing rule is either "default" or a string
 * formatted as "{chainId}-{chainId}" where {chainId} is a number.
 */

var CorrectRoutingRule = /*#__PURE__*/superstruct.refine( /*#__PURE__*/superstruct.string(), "CorrectRoutingRule", function (value) {
  return (// Verifies the key against a regex. The regex is verifying that a route is
    // formatted as follows:  "{chainId}-{chainId}" where {chainId} is
    // a number.
    /^\d+[-]\d+$/.test(value) || value === "default"
  );
});
/**
 * This is a superstruct that verifies that the numeric string is formatted correctly.
 */

var NumericStringRule = /*#__PURE__*/superstruct.refine( /*#__PURE__*/superstruct.string(), "NumericStringRule", function (value) {
  return /^\d+$/.test(value) || value === "default";
});
/**
 * This is a superstruct that verifies that the numeric tuple is formatted correctly.
 * Specifically, it verifies that the numeric tuple is an array of length 2 where
 * each element is a numeric string.
 */

var NumericTupleRule = /*#__PURE__*/superstruct.refine( /*#__PURE__*/superstruct.array(NumericStringRule), "NumericTupleRule", function (value) {
  return value.length === 2;
});
/**
 * This is a superstruct that verifies that a UBA Config is formatted correctly.
 * Specifically, it verifies that the UBA Config is an object with the following
 * keys:
 * - incentivePoolAdjustment: a record of numeric strings to numeric strings
 * - ubaRewardMultiplier: a record of numeric strings to numeric strings
 * - alpha: a record of routing rules to numeric strings
 * - gamma: a record of routing rules to numeric tuples
 * - omega: a record of routing rules to numeric tuples
 * - rebalance: a record of routing rules to objects with the following keys:
 *   - threshold_lower: a numeric string
 *   - threshold_upper: a numeric string
 *   - target_lower: a numeric string
 *   - target_upper: a numeric string
 */

var UBA_CONFIG_ONCHAIN_SCHEMA = /*#__PURE__*/superstruct.object({
  incentivePoolAdjustment: /*#__PURE__*/superstruct.optional( /*#__PURE__*/superstruct.record(NumericStringRule, NumericStringRule)),
  ubaRewardMultiplier: /*#__PURE__*/superstruct.optional( /*#__PURE__*/superstruct.record(NumericStringRule, NumericStringRule)),
  alpha: /*#__PURE__*/superstruct.union([/*#__PURE__*/superstruct.object({
    "default": NumericStringRule
  }), /*#__PURE__*/superstruct.record(CorrectRoutingRule, NumericStringRule)]),
  gamma: /*#__PURE__*/superstruct.record(NumericStringRule, /*#__PURE__*/superstruct.array(NumericTupleRule)),
  omega: /*#__PURE__*/superstruct.record(NumericStringRule, /*#__PURE__*/superstruct.array(NumericTupleRule)),
  rebalance: /*#__PURE__*/superstruct.union([/*#__PURE__*/superstruct.object({
    "default": /*#__PURE__*/superstruct.object({
      threshold_lower: /*#__PURE__*/superstruct.optional(NumericStringRule),
      threshold_upper: /*#__PURE__*/superstruct.optional(NumericStringRule),
      target_lower: /*#__PURE__*/superstruct.optional(NumericStringRule),
      target_upper: /*#__PURE__*/superstruct.optional(NumericStringRule)
    })
  }), /*#__PURE__*/superstruct.record(NumericStringRule, /*#__PURE__*/superstruct.object({
    threshold_lower: /*#__PURE__*/superstruct.optional(NumericStringRule),
    threshold_upper: /*#__PURE__*/superstruct.optional(NumericStringRule),
    target_lower: /*#__PURE__*/superstruct.optional(NumericStringRule),
    target_upper: /*#__PURE__*/superstruct.optional(NumericStringRule)
  }))])
});

/**
 * Type guard for UBAOnChainConfigType
 * @param input An unknown value that may or may not be a UBAOnChainConfigType
 * @returns True if the input is a UBAOnChainConfigType, false otherwise
 */

function isUBAOnChainConfig(input) {
  return UBA_CONFIG_ONCHAIN_SCHEMA.is(input);
}
/**
 * Parses a UBAOnChainConfigType into a UBAParsedConfigType
 * @param config The UBAOnChainConfigType to parse
 * @returns The parsed UBAParsedConfigType
 * @throws If the config is undefined
 * @throws If the config is not a UBAOnChainConfigType
 * @throws If the config is not valid
 */

function parseUBAConfigFromOnChain(config) {
  var _config$incentivePool, _config$ubaRewardMult;

  // Check that the config is defined
  if (!isUBAOnChainConfig(config)) {
    // If it's not, throw an error
    throw new Error("No config provided");
  }

  return {
    incentivePoolAdjustment: Object.fromEntries(Object.entries((_config$incentivePool = config.incentivePoolAdjustment) != null ? _config$incentivePool : {}).map(function (_ref) {
      var key = _ref[0],
          value = _ref[1];
      return [key, ethers.BigNumber.from(value)];
    })),
    ubaRewardMultiplier: Object.fromEntries(Object.entries((_config$ubaRewardMult = config.ubaRewardMultiplier) != null ? _config$ubaRewardMult : {}).map(function (_ref2) {
      var key = _ref2[0],
          value = _ref2[1];
      return [key, ethers.BigNumber.from(value)];
    })),
    alpha: Object.fromEntries(Object.entries(config.alpha).map(function (_ref3) {
      var key = _ref3[0],
          value = _ref3[1];
      return [key, ethers.BigNumber.from(value)];
    })),
    gamma: Object.fromEntries(Object.entries(config.gamma).map(function (_ref4) {
      var key = _ref4[0],
          value = _ref4[1];
      return [key, value.map(function (tuple) {
        return tuple.map(function (value) {
          return ethers.BigNumber.from(value);
        });
      })];
    })),
    omega: Object.fromEntries(Object.entries(config.omega).map(function (_ref5) {
      var key = _ref5[0],
          value = _ref5[1];
      return [key, value.map(function (tuple) {
        return tuple.map(function (value) {
          return ethers.BigNumber.from(value);
        });
      })];
    })),
    rebalance: Object.fromEntries(Object.entries(config.rebalance).map(function (_ref6) {
      var key = _ref6[0],
          _ref6$ = _ref6[1],
          threshold_lower = _ref6$.threshold_lower,
          threshold_upper = _ref6$.threshold_upper,
          target_lower = _ref6$.target_lower,
          target_upper = _ref6$.target_upper;
      var upperExists = threshold_upper !== undefined && target_upper !== undefined;
      var lowerExists = threshold_lower !== undefined && target_lower !== undefined;
      return [key, {
        threshold_lower: lowerExists ? ethers.BigNumber.from(threshold_lower) : undefined,
        target_lower: lowerExists ? ethers.BigNumber.from(target_lower) : undefined,
        threshold_upper: upperExists ? ethers.BigNumber.from(threshold_upper) : undefined,
        target_upper: upperExists ? ethers.BigNumber.from(target_upper) : undefined
      }];
    }))
  };
}

/**
 * Base class for all clients to extend.
 */

var BaseAbstractClient = /*#__PURE__*/function () {
  /**
   * Creates a new client.
   * @param cachingMechanism The caching mechanism to use for this client. If not provided, the client will not rely on an external cache.
   */
  function BaseAbstractClient(cachingMechanism) {
    this.cachingMechanism = cachingMechanism;
    this._isUpdated = false;
  }
  /**
   * Indicates whether the client has been updated since it was created.
   * @returns Whether the client has been updated since it was created.
   */


  var _proto = BaseAbstractClient.prototype;

  /**
   * Asserts that the client has been updated.
   */
  _proto.assertUpdated = function assertUpdated() {
    if (!this.isUpdated) {
      throw new Error("Client not updated");
    }
  }
  /**
   * Determines if the client has an external cache.
   * @returns Whether the client has an external cache.
   */
  ;

  _proto.hasCachingMechanism = function hasCachingMechanism() {
    return isDefined(this.cachingMechanism);
  };

  _createClass(BaseAbstractClient, [{
    key: "isUpdated",
    get: function get() {
      return this._isUpdated;
    }
    /**
     * Sets whether the client has been updated since it was created.
     * @param value Whether the client has been updated since it was created.
     * @throws Error if the client has already been updated and the value is false.
     */
    ,
    set: function set(value) {
      if (this._isUpdated === true && !value) {
        throw new Error("Cannot set isUpdated to false once it is true");
      }

      this._isUpdated = value;
    }
  }]);

  return BaseAbstractClient;
}();

var _excluded = ["value", "key"],
    _excluded2 = ["value", "key"];
// @dev Do not change this value.

var DEFAULT_CONFIG_STORE_VERSION = 0;
var GLOBAL_CONFIG_STORE_KEYS;

(function (GLOBAL_CONFIG_STORE_KEYS) {
  GLOBAL_CONFIG_STORE_KEYS["MAX_RELAYER_REPAYMENT_LEAF_SIZE"] = "MAX_RELAYER_REPAYMENT_LEAF_SIZE";
  GLOBAL_CONFIG_STORE_KEYS["MAX_POOL_REBALANCE_LEAF_SIZE"] = "MAX_POOL_REBALANCE_LEAF_SIZE";
  GLOBAL_CONFIG_STORE_KEYS["VERSION"] = "VERSION";
  GLOBAL_CONFIG_STORE_KEYS["DISABLED_CHAINS"] = "DISABLED_CHAINS";
  GLOBAL_CONFIG_STORE_KEYS["CHAIN_ID_INDICES"] = "CHAIN_ID_INDICES";
})(GLOBAL_CONFIG_STORE_KEYS || (GLOBAL_CONFIG_STORE_KEYS = {}));

var AcrossConfigStoreClient = /*#__PURE__*/function (_BaseAbstractClient) {
  _inheritsLoose(AcrossConfigStoreClient, _BaseAbstractClient);

  function AcrossConfigStoreClient(logger, configStore, eventSearchConfig, configStoreVersion) {
    var _this;

    if (eventSearchConfig === void 0) {
      eventSearchConfig = {
        fromBlock: 0,
        maxBlockLookBack: 0
      };
    }

    _this = _BaseAbstractClient.call(this) || this;
    _this.logger = logger;
    _this.configStore = configStore;
    _this.eventSearchConfig = eventSearchConfig;
    _this.configStoreVersion = configStoreVersion;
    _this.cumulativeRateModelUpdates = [];
    _this.ubaConfigUpdates = [];
    _this.cumulativeRouteRateModelUpdates = [];
    _this.cumulativeTokenTransferUpdates = [];
    _this.cumulativeMaxRefundCountUpdates = [];
    _this.cumulativeMaxL1TokenCountUpdates = [];
    _this.chainIdIndicesUpdates = [];
    _this.cumulativeSpokeTargetBalanceUpdates = [];
    _this.cumulativeConfigStoreVersionUpdates = [];
    _this.cumulativeDisabledChainUpdates = [];
    _this.latestBlockNumber = 0;
    _this.hasLatestConfigStoreVersion = false;
    _this.firstBlockToSearch = eventSearchConfig.fromBlock;
    _this.rateModelDictionary = new uma.across.rateModel.RateModelDictionary();
    return _this;
  } // <-- START LEGACY CONFIGURATION OBJECTS -->
  // @dev The following configuration objects are pre-UBA fee model configurations and are deprecated as of version
  // 2 of the ConfigStore. They are kept here for backwards compatibility.


  var _proto = AcrossConfigStoreClient.prototype;

  _proto.getRateModelForBlockNumber = function getRateModelForBlockNumber(l1Token, originChainId, destinationChainId, blockNumber) {
    if (blockNumber === void 0) {
      blockNumber = undefined;
    }

    // Use route-rate model if available, otherwise use default rate model for l1Token.
    var route = originChainId + "-" + destinationChainId;
    var routeRateModel = this.getRouteRateModelForBlockNumber(l1Token, route, blockNumber);
    return routeRateModel != null ? routeRateModel : this.rateModelDictionary.getRateModelForBlockNumber(l1Token, blockNumber);
  };

  _proto.getRouteRateModelForBlockNumber = function getRouteRateModelForBlockNumber(l1Token, route, blockNumber) {
    if (blockNumber === void 0) {
      blockNumber = undefined;
    }

    var config = sortEventsDescending(this.cumulativeRouteRateModelUpdates).find(function (config) {
      var _blockNumber;

      return config.blockNumber <= ((_blockNumber = blockNumber) != null ? _blockNumber : 0) && config.l1Token === l1Token;
    });

    if ((config == null ? void 0 : config.routeRateModel[route]) === undefined) {
      return undefined;
    }

    return uma.across.rateModel.parseAndReturnRateModelFromString(config.routeRateModel[route]);
  }
  /**
   * Resolve the implied set of chain ID indices based on the chain ID of the ConfigStore.
   * @param chainId Chain ID of the ConfigStore.
   * @dev If the resolved chain ID is part of the default set, assume the protocol defaults.
   *      Otherwise, assume this is a test deployment with a lone chain ID.
   * @dev The protocol defaults are [1, 10, 137, 288, 42161] (outlined in UMIP-157).
   * @dev chainId is marked optional to appease tsc. It must always be passed in.
   */
  ;

  _proto.implicitChainIdIndices = function implicitChainIdIndices(chainId) {
    assert$1(isDefined(chainId), "ConfigStoreClient used before update");
    return PROTOCOL_DEFAULT_CHAIN_ID_INDICES[0] === chainId ? PROTOCOL_DEFAULT_CHAIN_ID_INDICES : [chainId];
  }
  /**
   * Resolves the chain ids that were available to the protocol at a given block range.
   * @param blockNumber Block number to search for. Defaults to latest block.
   * @returns List of chain IDs that were available to the protocol at the given block number.
   * @note This dynamic functionality has been added after the launch of Across.
   * @note This function will return a default list of chain IDs if the block requested
   *       existed before the initial inclusion of this dynamic key/value entry. In the
   *       case that a block number is requested that is before the initial inclusion of
   *       this key/value entry, the function will return the default list of chain IDs as
   *       outlined per the UMIP (https://github.com/UMAprotocol/UMIPs/pull/590).
   */
  ;

  _proto.getChainIdIndicesForBlock = function getChainIdIndicesForBlock(blockNumber) {
    var _chainIdUpdates$find;

    if (blockNumber === void 0) {
      blockNumber = Number.MAX_SAFE_INTEGER;
    }

    // Resolve the chain ID indices for the block number requested.
    var chainIdUpdates = sortEventsDescending(this.chainIdIndicesUpdates); // Iterate through each of the chain ID updates and resolve the first update that is
    // less than or equal to the block number requested.

    var chainIdIndices = (_chainIdUpdates$find = chainIdUpdates.find(function (update) {
      return update.blockNumber <= blockNumber;
    })) == null ? void 0 : _chainIdUpdates$find.value; // Return either the found value or the protocol default.

    return chainIdIndices != null ? chainIdIndices : this.implicitChainIdIndices(this.chainId);
  };

  _proto.getTokenTransferThresholdForBlock = function getTokenTransferThresholdForBlock(l1Token, blockNumber) {
    if (blockNumber === void 0) {
      blockNumber = Number.MAX_SAFE_INTEGER;
    }

    var config = sortEventsDescending(this.cumulativeTokenTransferUpdates).find(function (config) {
      return config.blockNumber <= blockNumber && config.l1Token === l1Token;
    });

    if (!config) {
      throw new Error("Could not find TransferThreshold for L1 token " + l1Token + " before block " + blockNumber);
    }

    return config.transferThreshold;
  };

  _proto.getSpokeTargetBalancesForBlock = function getSpokeTargetBalancesForBlock(l1Token, chainId, blockNumber) {
    var _config$spokeTargetBa;

    if (blockNumber === void 0) {
      blockNumber = Number.MAX_SAFE_INTEGER;
    }

    var config = sortEventsDescending(this.cumulativeSpokeTargetBalanceUpdates).find(function (config) {
      return config.l1Token === l1Token && config.blockNumber <= blockNumber;
    });
    var targetBalance = config == null ? void 0 : (_config$spokeTargetBa = config.spokeTargetBalances) == null ? void 0 : _config$spokeTargetBa[chainId];
    return targetBalance || {
      target: toBN(0),
      threshold: toBN(0)
    };
  } // <-- END LEGACY CONFIGURATION OBJECTS -->
  ;

  _proto.getMaxRefundCountForRelayerRefundLeafForBlock = function getMaxRefundCountForRelayerRefundLeafForBlock(blockNumber) {
    if (blockNumber === void 0) {
      blockNumber = Number.MAX_SAFE_INTEGER;
    }

    var config = sortEventsDescending(this.cumulativeMaxRefundCountUpdates).find(function (config) {
      return config.blockNumber <= blockNumber;
    });

    if (!config) {
      throw new Error("Could not find MaxRefundCount before block " + blockNumber);
    }

    return Number(config.value);
  };

  _proto.getMaxL1TokenCountForPoolRebalanceLeafForBlock = function getMaxL1TokenCountForPoolRebalanceLeafForBlock(blockNumber) {
    if (blockNumber === void 0) {
      blockNumber = Number.MAX_SAFE_INTEGER;
    }

    var config = sortEventsDescending(this.cumulativeMaxL1TokenCountUpdates).find(function (config) {
      return config.blockNumber <= blockNumber;
    });

    if (!config) {
      throw new Error("Could not find MaxL1TokenCount before block " + blockNumber);
    }

    return Number(config.value);
  }
  /**
   * Returns list of chains that have been enabled at least once in the block range.
   * If a chain was disabled in the block range, it will be included in the list provided it was enabled
   * at some point in the block range.
   * @dev If fromBlock == toBlock then defaults to returning enabled chains at fromBlock
   * @param fromBlock Start block to search inclusive
   * @param toBlock End block to search inclusive. Defaults to MAX_SAFE_INTEGER, so grabs all disabled chain events
   * up until `latest`.
   * @returns List of chain IDs that have been enabled at least once in the block range. Sorted from lowest to highest.
   */
  ;

  _proto.getEnabledChainsInBlockRange = function getEnabledChainsInBlockRange(fromBlock, toBlock) {
    if (toBlock === void 0) {
      toBlock = Number.MAX_SAFE_INTEGER;
    }

    // If our fromBlock is greater than our toBlock, then we have an invalid range.
    if (fromBlock > toBlock) {
      throw new Error("Invalid block range: fromBlock " + fromBlock + " > toBlock " + toBlock);
    } // Initiate list with all possible chains enabled at the toBlock while removing any chains
    // that were disabled at the from block.


    var disabledChainsAtFromBlock = this.getDisabledChainsForBlock(fromBlock);
    var allPossibleChains = this.getChainIdIndicesForBlock(toBlock);
    var enabledChainsInBlockRange = allPossibleChains.filter(function (chainId) {
      return !disabledChainsAtFromBlock.includes(chainId);
    }); // If there are any disabled chain updates in the block range, then we might need to update the list of enabled
    // chains in the block range.

    this.cumulativeDisabledChainUpdates.filter(function (e) {
      return e.blockNumber <= toBlock && e.blockNumber >= fromBlock;
    }).forEach(function (e) {
      // If disabled chain update no longer includes a previously disabled chain, then add it back to the enabled chains
      // list.
      var newDisabledSet = e.chainIds;
      disabledChainsAtFromBlock.forEach(function (disabledChain) {
        // New disabled set doesn't include this chain that was previously disabled so it was re-enabled at this point
        // in the block range.
        if (!newDisabledSet.includes(disabledChain)) {
          enabledChainsInBlockRange.push(disabledChain);
        }
      });
    }); // Return the enabled chains in the block range sorted in the same order as the chain indices.

    return allPossibleChains.filter(function (chainId) {
      return enabledChainsInBlockRange.includes(chainId);
    });
  };

  _proto.getEnabledChains = function getEnabledChains(block) {
    if (block === void 0) {
      block = Number.MAX_SAFE_INTEGER;
    }

    // Get most recent disabled chain list before the block specified.
    var currentlyDisabledChains = this.getDisabledChainsForBlock(block);
    return this.getChainIdIndicesForBlock(block).filter(function (chainId) {
      return !currentlyDisabledChains.includes(chainId);
    });
  };

  _proto.getDisabledChainsForBlock = function getDisabledChainsForBlock(blockNumber) {
    var _sortEventsDescending, _sortEventsDescending2;

    if (blockNumber === void 0) {
      blockNumber = Number.MAX_SAFE_INTEGER;
    }

    return (_sortEventsDescending = (_sortEventsDescending2 = sortEventsDescending(this.cumulativeDisabledChainUpdates).find(function (config) {
      return config.blockNumber <= blockNumber;
    })) == null ? void 0 : _sortEventsDescending2.chainIds) != null ? _sortEventsDescending : [];
  };

  _proto.getConfigStoreVersionForTimestamp = function getConfigStoreVersionForTimestamp(timestamp) {
    if (timestamp === void 0) {
      timestamp = Number.MAX_SAFE_INTEGER;
    }

    var config = this.cumulativeConfigStoreVersionUpdates.find(function (config) {
      return config.timestamp <= timestamp;
    });
    return isDefined(config) ? Number(config.value) : DEFAULT_CONFIG_STORE_VERSION;
  };

  _proto.getUBAActivationBlock = function getUBAActivationBlock() {
    var _this$cumulativeConfi;

    return (_this$cumulativeConfi = this.cumulativeConfigStoreVersionUpdates.find(function (config) {
      return Number(config.value) >= UBA_MIN_CONFIG_STORE_VERSION;
    })) == null ? void 0 : _this$cumulativeConfi.blockNumber;
  };

  _proto.getConfigStoreVersionForBlock = function getConfigStoreVersionForBlock(blockNumber) {
    if (blockNumber === void 0) {
      blockNumber = Number.MAX_SAFE_INTEGER;
    }

    var config = this.cumulativeConfigStoreVersionUpdates.find(function (config) {
      return config.blockNumber <= blockNumber;
    });
    return isDefined(config) ? Number(config.value) : DEFAULT_CONFIG_STORE_VERSION;
  };

  _proto.hasValidConfigStoreVersionForTimestamp = function hasValidConfigStoreVersionForTimestamp(timestamp) {
    if (timestamp === void 0) {
      timestamp = Number.MAX_SAFE_INTEGER;
    }

    var version = this.getConfigStoreVersionForTimestamp(timestamp);
    return this.configStoreVersion >= version;
  }
  /**
   * Resolve the chain ID for the ConfigStore Provider instance.
   * @dev When the provider is a StatisJsonRpcProvider instance, the getNetwork() is non-blocking.
   * @returns Chain ID for the ConfigStore deployment.
   */
  ;

  _proto.resolveChainId =
  /*#__PURE__*/
  function () {
    var _resolveChainId = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee() {
      var _this$chainId;

      return runtime_1.wrap(function _callee$(_context) {
        while (1) {
          switch (_context.prev = _context.next) {
            case 0:
              if (!((_this$chainId = this.chainId) != null)) {
                _context.next = 4;
                break;
              }

              _context.t0 = _this$chainId;
              _context.next = 7;
              break;

            case 4:
              _context.next = 6;
              return this.configStore.provider.getNetwork();

            case 6:
              _context.t0 = _context.sent.chainId;

            case 7:
              return _context.abrupt("return", _context.t0);

            case 8:
            case "end":
              return _context.stop();
          }
        }
      }, _callee, this);
    }));

    function resolveChainId() {
      return _resolveChainId.apply(this, arguments);
    }

    return resolveChainId;
  }();

  _proto._update = /*#__PURE__*/function () {
    var _update2 = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee2() {
      var _this2 = this;

      var _yield$Promise$all, chainId, latestBlockNumber, searchConfig, _yield$Promise$all2, updatedTokenConfigEvents, updatedGlobalConfigEvents, globalConfigUpdateTimes;

      return runtime_1.wrap(function _callee2$(_context2) {
        while (1) {
          switch (_context2.prev = _context2.next) {
            case 0:
              _context2.next = 2;
              return Promise.all([this.resolveChainId(), this.configStore.provider.getBlockNumber()]);

            case 2:
              _yield$Promise$all = _context2.sent;
              chainId = _yield$Promise$all[0];
              latestBlockNumber = _yield$Promise$all[1];
              searchConfig = {
                fromBlock: this.firstBlockToSearch,
                toBlock: this.eventSearchConfig.toBlock || latestBlockNumber,
                maxBlockLookBack: this.eventSearchConfig.maxBlockLookBack
              };

              if (!(searchConfig.fromBlock > searchConfig.toBlock)) {
                _context2.next = 9;
                break;
              }

              this.logger.warn({
                at: "ConfigStore",
                message: "Invalid search config.",
                searchConfig: searchConfig,
                latestBlockNumber: latestBlockNumber
              });
              return _context2.abrupt("return", {
                success: false
              });

            case 9:
              _context2.next = 11;
              return Promise.all([paginatedEventQuery(this.configStore, this.configStore.filters.UpdatedTokenConfig(), searchConfig), paginatedEventQuery(this.configStore, this.configStore.filters.UpdatedGlobalConfig(), searchConfig)]);

            case 11:
              _yield$Promise$all2 = _context2.sent;
              updatedTokenConfigEvents = _yield$Promise$all2[0];
              updatedGlobalConfigEvents = _yield$Promise$all2[1];
              // Events *should* normally be received in ascending order, but explicitly enforce the ordering.
              [updatedTokenConfigEvents, updatedGlobalConfigEvents].forEach(function (events) {
                return sortEventsAscendingInPlace(events);
              });
              _context2.next = 17;
              return Promise.all(updatedGlobalConfigEvents.map(function (event) {
                return _this2.configStore.provider.getBlock(event.blockNumber);
              }));

            case 17:
              globalConfigUpdateTimes = _context2.sent.map(function (block) {
                return block.timestamp;
              });
              return _context2.abrupt("return", {
                success: true,
                chainId: chainId,
                latestBlockNumber: latestBlockNumber,
                searchEndBlock: searchConfig.toBlock,
                events: {
                  updatedTokenConfigEvents: updatedTokenConfigEvents,
                  updatedGlobalConfigEvents: updatedGlobalConfigEvents,
                  globalConfigUpdateTimes: globalConfigUpdateTimes
                }
              });

            case 19:
            case "end":
              return _context2.stop();
          }
        }
      }, _callee2, this);
    }));

    function _update() {
      return _update2.apply(this, arguments);
    }

    return _update;
  }();

  _proto.update = /*#__PURE__*/function () {
    var _update3 = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee3() {
      var _this3 = this,
          _this$chainId2;

      var result, chainId, _result$events, updatedTokenConfigEvents, updatedGlobalConfigEvents, globalConfigUpdateTimes, _iterator, _step, _event, _args3, parsedValue, l1Token, ubaConfig, _value, _key, _passedArgs, passedArgs, rateModelForToken, transferThresholdForToken, targetBalances, routeRateModel, maxWarnAge, errMsg, i, event, args, _ret, _this$cumulativeConfi2, _this$cumulativeConfi3, value, lastValue, chainIds;

      return runtime_1.wrap(function _callee3$(_context3) {
        while (1) {
          switch (_context3.prev = _context3.next) {
            case 0:
              this.logger.debug({
                at: "ConfigStore",
                message: "Updating ConfigStore client"
              });
              _context3.next = 3;
              return this._update();

            case 3:
              result = _context3.sent;

              if (result.success) {
                _context3.next = 6;
                break;
              }

              return _context3.abrupt("return");

            case 6:
              chainId = result.chainId;
              _result$events = result.events, updatedTokenConfigEvents = _result$events.updatedTokenConfigEvents, updatedGlobalConfigEvents = _result$events.updatedGlobalConfigEvents, globalConfigUpdateTimes = _result$events.globalConfigUpdateTimes;
              assert$1(updatedGlobalConfigEvents.length === globalConfigUpdateTimes.length, "GlobalConfigUpdate events mismatch (" + updatedGlobalConfigEvents.length + " != " + globalConfigUpdateTimes.length + ")"); // Save new TokenConfig updates.

              _iterator = _createForOfIteratorHelperLoose(updatedTokenConfigEvents);

            case 10:
              if ((_step = _iterator()).done) {
                _context3.next = 32;
                break;
              }

              _event = _step.value;
              _args3 = _extends({}, spreadEventWithBlockNumber(_event));
              _context3.prev = 13;
              parsedValue = parseJSONWithNumericString(_args3.value);
              l1Token = _args3.key; // For now use the presence of `uba` or `rateModel` to decide which configs to parse.

              if ((parsedValue == null ? void 0 : parsedValue.uba) !== undefined) {
                try {
                  // Parse and store UBA config
                  ubaConfig = parseUBAConfigFromOnChain(parsedValue.uba); // eslint-disable-next-line @typescript-eslint/no-unused-vars

                  _value = _args3.value, _key = _args3.key, _passedArgs = _objectWithoutPropertiesLoose(_args3, _excluded);
                  this.ubaConfigUpdates.push(_extends({}, _passedArgs, {
                    config: ubaConfig,
                    l1Token: l1Token
                  }));
                } catch (e) {
                  this.logger.warn({
                    at: "ConfigStore::update",
                    message: "Failed to parse UBA config for " + l1Token,
                    error: {
                      message: e == null ? void 0 : e.message,
                      stack: e == null ? void 0 : e.stack
                    }
                  });
                }
              } // TODO: Temporarily reformat the shape of the event that we pass into the sdk.rateModel class to make it fit
              // the expected shape. This is a fix for now that we should eventually replace when we change the sdk.rateModel
              // class itself to work with the generalized ConfigStore.
              // eslint-disable-next-line @typescript-eslint/no-unused-vars


              passedArgs = _objectWithoutPropertiesLoose(_args3, _excluded2); // Drop value and key before passing args.

              if ((parsedValue == null ? void 0 : parsedValue.rateModel) !== undefined) {
                rateModelForToken = JSON.stringify(parsedValue.rateModel);
                this.cumulativeRateModelUpdates.push(_extends({}, passedArgs, {
                  rateModel: rateModelForToken,
                  l1Token: l1Token
                }));

                if ((parsedValue == null ? void 0 : parsedValue.transferThreshold) !== undefined) {
                  transferThresholdForToken = parsedValue.transferThreshold;
                  this.cumulativeTokenTransferUpdates.push(_extends({}, passedArgs, {
                    transferThreshold: toBN(transferThresholdForToken),
                    l1Token: l1Token
                  }));
                } // Store spokeTargetBalances


                if (parsedValue != null && parsedValue.spokeTargetBalances) {
                  // Note: cast is required because fromEntries always produces string keys, despite the function returning a
                  // numerical key.
                  targetBalances = Object.fromEntries(Object.entries(parsedValue.spokeTargetBalances).map(function (_ref) {
                    var chainId = _ref[0],
                        targetBalance = _ref[1];
                    var target = max(toBN(targetBalance.target), toBN(0));
                    var threshold = max(toBN(targetBalance.threshold), toBN(0));
                    return [chainId, {
                      target: target,
                      threshold: threshold
                    }];
                  }));
                  this.cumulativeSpokeTargetBalanceUpdates.push(_extends({}, passedArgs, {
                    spokeTargetBalances: targetBalances,
                    l1Token: l1Token
                  }));
                } else {
                  this.cumulativeSpokeTargetBalanceUpdates.push(_extends({}, passedArgs, {
                    spokeTargetBalances: {},
                    l1Token: l1Token
                  }));
                } // Store route-specific rate models


                if (parsedValue != null && parsedValue.routeRateModel) {
                  routeRateModel = Object.fromEntries(Object.entries(parsedValue.routeRateModel).map(function (_ref2) {
                    var path = _ref2[0],
                        routeRateModel = _ref2[1];
                    return [path, JSON.stringify(routeRateModel)];
                  }));
                  this.cumulativeRouteRateModelUpdates.push(_extends({}, passedArgs, {
                    routeRateModel: routeRateModel,
                    l1Token: l1Token
                  }));
                } else {
                  this.cumulativeRouteRateModelUpdates.push(_extends({}, passedArgs, {
                    routeRateModel: {},
                    l1Token: l1Token
                  }));
                }
              }

              _context3.next = 30;
              break;

            case 21:
              _context3.prev = 21;
              _context3.t0 = _context3["catch"](13);
              _context3.t1 = 24 * 60 * 60;
              _context3.next = 26;
              return uma.utils.averageBlockTimeSeconds();

            case 26:
              _context3.t2 = _context3.sent;
              maxWarnAge = _context3.t1 / _context3.t2;

              if (result.latestBlockNumber - _event.blockNumber < maxWarnAge) {
                errMsg = isError(_context3.t0) ? _context3.t0.message : "unknown error";
                this.logger.warn({
                  at: "ConfigStore::update",
                  message: "Caught error during ConfigStore update: " + errMsg,
                  update: _args3
                });
              } else {
                this.logger.debug({
                  at: "ConfigStoreClient::update",
                  message: "Skipping invalid historical update at block " + _event.blockNumber
                });
              }

              return _context3.abrupt("continue", 30);

            case 30:
              _context3.next = 10;
              break;

            case 32:
              sortEventsAscendingInPlace(this.ubaConfigUpdates); // Save new Global config updates.

              i = 0;

            case 34:
              if (!(i < updatedGlobalConfigEvents.length)) {
                _context3.next = 77;
                break;
              }

              event = updatedGlobalConfigEvents[i];
              args = _extends({
                blockNumber: event.blockNumber,
                transactionIndex: event.transactionIndex,
                logIndex: event.logIndex
              }, spreadEvent(event.args));

              if (!(args.key === utf8ToHex(GLOBAL_CONFIG_STORE_KEYS.MAX_RELAYER_REPAYMENT_LEAF_SIZE))) {
                _context3.next = 41;
                break;
              }

              if (!isNaN(args.value)) {
                this.cumulativeMaxRefundCountUpdates.push(args);
              }

              _context3.next = 74;
              break;

            case 41:
              if (!(args.key === utf8ToHex(GLOBAL_CONFIG_STORE_KEYS.CHAIN_ID_INDICES))) {
                _context3.next = 53;
                break;
              }

              _context3.prev = 42;

              _ret = function () {
                var _this3$chainIdIndices, _this3$chainIdIndices2;

                // We need to parse the chain ID indices array from the stringified JSON. However,
                // the on-chain string has quotes around the array, which will parse our JSON as a
                // string instead of an array. We need to remove these quotes before parsing.
                // To be sure, we can check for single quotes, double quotes, and spaces.
                var chainIndices = JSON.parse(args.value.replace(/['"\s]/g, "")); // Check that the array is valid and that every element is a number.

                if (!isArrayOf(chainIndices, isPositiveInteger)) {
                  _this3.logger.warn({
                    at: "ConfigStore",
                    message: "The array " + chainIndices + " is invalid."
                  }); // If not a valid array, skip.


                  return "continue";
                } // Let's also check that the array doesn't contain any duplicates.


                if (new Set(chainIndices).size !== chainIndices.length) {
                  _this3.logger.warn({
                    at: "ConfigStore",
                    message: "The array " + chainIndices + " contains duplicates making it invalid."
                  }); // If not a valid array, skip.


                  return "continue";
                } // Now check that we're only appending positive integers to the chainIndices array on each
                // update. If this isn't the case, skip the update & warn. If there is no previous update,
                // resolve an implcit chain ID list.


                var previousUpdate = (_this3$chainIdIndices = (_this3$chainIdIndices2 = _this3.chainIdIndicesUpdates.at(-1)) == null ? void 0 : _this3$chainIdIndices2.value) != null ? _this3$chainIdIndices : _this3.implicitChainIdIndices(chainId); // We should now check that previousUpdate is a subset of chainIndices.

                if (!previousUpdate.every(function (chainId, idx) {
                  return chainIndices[idx] === chainId;
                })) {
                  _this3.logger.warn({
                    at: "ConfigStoreClient#update",
                    message: "The array " + chainIndices + " is invalid. It must be a superset of the previous array " + previousUpdate
                  });

                  return "continue";
                } // If all else passes, we can add this update.


                _this3.chainIdIndicesUpdates.push(_extends({}, args, {
                  value: chainIndices
                }));
              }();

              if (!(_ret === "continue")) {
                _context3.next = 46;
                break;
              }

              return _context3.abrupt("continue", 74);

            case 46:
              _context3.next = 51;
              break;

            case 48:
              _context3.prev = 48;
              _context3.t3 = _context3["catch"](42);
              this.logger.warn({
                at: "ConfigStore::update",
                message: "Failed to parse chain ID indices: " + args.value
              });

            case 51:
              _context3.next = 74;
              break;

            case 53:
              if (!(args.key === utf8ToHex(GLOBAL_CONFIG_STORE_KEYS.MAX_POOL_REBALANCE_LEAF_SIZE))) {
                _context3.next = 57;
                break;
              }

              if (!isNaN(args.value)) {
                this.cumulativeMaxL1TokenCountUpdates.push(args);
              }

              _context3.next = 74;
              break;

            case 57:
              if (!(args.key === utf8ToHex(GLOBAL_CONFIG_STORE_KEYS.VERSION))) {
                _context3.next = 69;
                break;
              }

              if (!isNaN(args.value)) {
                _context3.next = 60;
                break;
              }

              return _context3.abrupt("continue", 74);

            case 60:
              value = Number(args.value); // If not an integer, skip.

              if (Number.isInteger(value)) {
                _context3.next = 63;
                break;
              }

              return _context3.abrupt("continue", 74);

            case 63:
              // Extract the current highest version. Require that the version always increments, otherwise skip the update.
              lastValue = Number((_this$cumulativeConfi2 = (_this$cumulativeConfi3 = this.cumulativeConfigStoreVersionUpdates[0]) == null ? void 0 : _this$cumulativeConfi3.value) != null ? _this$cumulativeConfi2 : DEFAULT_CONFIG_STORE_VERSION);

              if (!(value <= lastValue)) {
                _context3.next = 66;
                break;
              }

              return _context3.abrupt("continue", 74);

            case 66:
              // Prepend the update to impose descending ordering for version updates.
              this.cumulativeConfigStoreVersionUpdates = [_extends({}, args, {
                timestamp: globalConfigUpdateTimes[i]
              })].concat(this.cumulativeConfigStoreVersionUpdates);
              _context3.next = 74;
              break;

            case 69:
              if (!(args.key === utf8ToHex(GLOBAL_CONFIG_STORE_KEYS.DISABLED_CHAINS))) {
                _context3.next = 73;
                break;
              }

              try {
                chainIds = this.filterDisabledChains(JSON.parse(args.value));
                this.cumulativeDisabledChainUpdates.push(_extends({}, args, {
                  chainIds: chainIds
                }));
              } catch (err) {// Can't parse list, skip.
              }

              _context3.next = 74;
              break;

            case 73:
              return _context3.abrupt("continue", 74);

            case 74:
              i++;
              _context3.next = 34;
              break;

            case 77:
              this.rateModelDictionary.updateWithEvents(this.cumulativeRateModelUpdates);
              this.hasLatestConfigStoreVersion = this.hasValidConfigStoreVersionForTimestamp();
              this.latestBlockNumber = result.latestBlockNumber;
              this.firstBlockToSearch = result.searchEndBlock + 1; // Next iteration should start off from where this one ended.

              this.chainId = (_this$chainId2 = this.chainId) != null ? _this$chainId2 : chainId; // Update on the first run only.

              this.isUpdated = true;
              this.logger.debug({
                at: "ConfigStore",
                message: "ConfigStore client updated!"
              });

            case 84:
            case "end":
              return _context3.stop();
          }
        }
      }, _callee3, this, [[13, 21], [42, 48]]);
    }));

    function update() {
      return _update3.apply(this, arguments);
    }

    return update;
  }();

  _proto.filterDisabledChains = function filterDisabledChains(disabledChains) {
    // If any chain ID's are not integers then ignore. UMIP-157 requires that this key cannot include
    // the chain ID 1.
    return disabledChains.filter(function (chainId) {
      return !isNaN(chainId) && Number.isInteger(chainId) && chainId !== 1;
    });
  }
  /**
   * Retrieves the most recently set UBA config for a given L1 token address before a block number.
   * @param l1TokenAddress The L1 token address to retrieve the config for
   * @param blockNumber The block number to retrieve the config for. If not specified, sets block to max integer
   * meaning that this function will return the latest config.
   * @returns The UBA config for the given L1 token address and block number, or undefined if no config exists
   * before blockNumber.
   */
  ;

  _proto.getUBAConfig = function getUBAConfig(l1TokenAddress, blockNumber) {
    if (blockNumber === void 0) {
      blockNumber = Number.MAX_SAFE_INTEGER;
    }

    // We only care about searching on the block number and not any events that occurred in the same block
    // but with a lower transaction index. In other words, if the UBA config was updated as the absolute
    // last transaction in a block, the update still applies to all preceding UBA events in the same block.
    // This is a simplifying assumption that we can make because the ConfigStore admin role is whitelisted and assumed
    // to be acting in the best interest of the protocol.
    var config = findLast(this.ubaConfigUpdates, function (config) {
      return config.l1Token === l1TokenAddress && config.blockNumber <= blockNumber;
    });
    return config == null ? void 0 : config.config;
  };

  _proto.updateFromJSON = function updateFromJSON(configStoreClientState) {
    var keysToUpdate = Object.keys(configStoreClientState);
    this.logger.debug({
      at: "ConfigStoreClient",
      message: "Updating ConfigStoreClient from JSON",
      keys: keysToUpdate
    });

    if (keysToUpdate.length === 0) {
      return;
    }

    var _configStoreClientSta = configStoreClientState.cumulativeRateModelUpdates,
        cumulativeRateModelUpdates = _configStoreClientSta === void 0 ? this.cumulativeRateModelUpdates : _configStoreClientSta,
        _configStoreClientSta2 = configStoreClientState.cumulativeRouteRateModelUpdates,
        cumulativeRouteRateModelUpdates = _configStoreClientSta2 === void 0 ? this.cumulativeRouteRateModelUpdates : _configStoreClientSta2,
        _configStoreClientSta3 = configStoreClientState.cumulativeMaxRefundCountUpdates,
        cumulativeMaxRefundCountUpdates = _configStoreClientSta3 === void 0 ? this.cumulativeMaxRefundCountUpdates : _configStoreClientSta3,
        _configStoreClientSta4 = configStoreClientState.cumulativeMaxL1TokenCountUpdates,
        cumulativeMaxL1TokenCountUpdates = _configStoreClientSta4 === void 0 ? this.cumulativeMaxL1TokenCountUpdates : _configStoreClientSta4,
        _configStoreClientSta5 = configStoreClientState.cumulativeConfigStoreVersionUpdates,
        cumulativeConfigStoreVersionUpdates = _configStoreClientSta5 === void 0 ? this.cumulativeConfigStoreVersionUpdates : _configStoreClientSta5,
        _configStoreClientSta6 = configStoreClientState.cumulativeDisabledChainUpdates,
        cumulativeDisabledChainUpdates = _configStoreClientSta6 === void 0 ? this.cumulativeDisabledChainUpdates : _configStoreClientSta6,
        _configStoreClientSta7 = configStoreClientState.firstBlockToSearch,
        firstBlockToSearch = _configStoreClientSta7 === void 0 ? this.firstBlockToSearch : _configStoreClientSta7,
        _configStoreClientSta8 = configStoreClientState.hasLatestConfigStoreVersion,
        hasLatestConfigStoreVersion = _configStoreClientSta8 === void 0 ? this.hasLatestConfigStoreVersion : _configStoreClientSta8,
        _configStoreClientSta9 = configStoreClientState.latestBlockNumber,
        latestBlockNumber = _configStoreClientSta9 === void 0 ? this.latestBlockNumber : _configStoreClientSta9,
        ubaConfigUpdates = configStoreClientState.ubaConfigUpdates,
        cumulativeTokenTransferUpdates = configStoreClientState.cumulativeTokenTransferUpdates,
        cumulativeSpokeTargetBalanceUpdates = configStoreClientState.cumulativeSpokeTargetBalanceUpdates;
    this.cumulativeRateModelUpdates = cumulativeRateModelUpdates;
    this.ubaConfigUpdates = ubaConfigUpdates ? ubaConfigUpdates.map(function (update) {
      return _extends({}, update, {
        config: parseUBAConfigFromOnChain(update.config)
      });
    }) : this.ubaConfigUpdates;
    this.cumulativeRouteRateModelUpdates = cumulativeRouteRateModelUpdates;
    this.cumulativeTokenTransferUpdates = cumulativeTokenTransferUpdates ? cumulativeTokenTransferUpdates.map(function (update) {
      return _extends({}, update, {
        transferThreshold: ethers.BigNumber.from(update.transferThreshold)
      });
    }) : this.cumulativeTokenTransferUpdates;
    this.cumulativeMaxRefundCountUpdates = cumulativeMaxRefundCountUpdates;
    this.cumulativeMaxL1TokenCountUpdates = cumulativeMaxL1TokenCountUpdates;
    this.cumulativeSpokeTargetBalanceUpdates = cumulativeSpokeTargetBalanceUpdates ? cumulativeSpokeTargetBalanceUpdates.map(function (update) {
      return _extends({}, update, {
        spokeTargetBalances: Object.entries(update.spokeTargetBalances || {}).reduce(function (acc, _ref3) {
          var _extends2;

          var chainId = _ref3[0],
              _ref3$ = _ref3[1],
              target = _ref3$.target,
              threshold = _ref3$.threshold;
          return _extends({}, acc, (_extends2 = {}, _extends2[chainId] = {
            target: ethers.BigNumber.from(target),
            threshold: ethers.BigNumber.from(threshold)
          }, _extends2));
        }, {})
      });
    }) : [];
    this.cumulativeConfigStoreVersionUpdates = cumulativeConfigStoreVersionUpdates;
    this.cumulativeDisabledChainUpdates = cumulativeDisabledChainUpdates;
    this.firstBlockToSearch = firstBlockToSearch;
    this.hasLatestConfigStoreVersion = hasLatestConfigStoreVersion;
    this.latestBlockNumber = latestBlockNumber;
    this.rateModelDictionary.updateWithEvents(cumulativeRateModelUpdates);
    this.isUpdated = true;
  };

  _proto.toJSON = function toJSON() {
    return {
      eventSearchConfig: this.eventSearchConfig,
      configStoreVersion: this.configStoreVersion,
      chainIdIndicesUpdates: this.chainIdIndicesUpdates,
      cumulativeRateModelUpdates: this.cumulativeRateModelUpdates,
      ubaConfigUpdates: JSON.parse(stringifyJSONWithNumericString(this.ubaConfigUpdates)),
      cumulativeRouteRateModelUpdates: this.cumulativeRouteRateModelUpdates,
      cumulativeTokenTransferUpdates: JSON.parse(stringifyJSONWithNumericString(this.cumulativeTokenTransferUpdates)),
      cumulativeMaxRefundCountUpdates: this.cumulativeMaxRefundCountUpdates,
      cumulativeMaxL1TokenCountUpdates: this.cumulativeMaxL1TokenCountUpdates,
      cumulativeSpokeTargetBalanceUpdates: JSON.parse(stringifyJSONWithNumericString(this.cumulativeSpokeTargetBalanceUpdates)),
      cumulativeConfigStoreVersionUpdates: this.cumulativeConfigStoreVersionUpdates,
      cumulativeDisabledChainUpdates: this.cumulativeDisabledChainUpdates,
      firstBlockToSearch: this.firstBlockToSearch,
      latestBlockNumber: this.latestBlockNumber,
      hasLatestConfigStoreVersion: this.hasLatestConfigStoreVersion
    };
  };

  return AcrossConfigStoreClient;
}(BaseAbstractClient);

/**
 * Omit the default key from a dictionary
 * @param obj The dictionary to omit the default key from
 * @returns The dictionary without the default key
 * @note This is used to omit the default key from the UBA config
 */

function omitDefaultKeys(obj) {
  return Object.keys(obj).reduce(function (acc, key) {
    if (key !== "default") {
      var _extends2;

      return _extends({}, acc, (_extends2 = {}, _extends2[key] = obj[key], _extends2));
    }

    return acc;
  }, {});
}
/**
 * Parses a UBAParsedConfigType into a UBAFeeConfig
 * @param chainId The chain ID to parse the UBA config for
 * @param tokenSymbol The token symbol to parse the UBA config for
 * @param ubaConfig The UBAParsedConfigType to parse
 * @returns The parsed UBAFeeConfig
 */


function parseUBAFeeConfig(chainId, tokenSymbol, ubaConfig) {
  var _override;

  if (!ubaConfig) {
    return undefined;
  }

  var omegaDefault = ubaConfig.omega["default"];
  var omegaOverride = omitDefaultKeys(ubaConfig.omega);
  var gammaDefault = ubaConfig.gamma["default"];
  var gammaOverride = omitDefaultKeys(ubaConfig.gamma);
  var threshold = ubaConfig.rebalance[String(chainId)];
  var chainTokenCombination = chainId + "-" + tokenSymbol;
  return new UBAConfig({
    "default": ubaConfig.alpha["default"],
    override: omitDefaultKeys(ubaConfig.alpha)
  }, {
    "default": omegaDefault,
    override: omegaOverride
  }, {
    "default": {
      lowerBound: {
        target: toBN(0),
        threshold: toBN(0)
      },
      upperBound: {
        target: toBN(0),
        threshold: toBN(0)
      }
    },
    override: (_override = {}, _override[chainTokenCombination] = {
      lowerBound: {
        target: threshold == null ? void 0 : threshold.target_lower,
        threshold: threshold == null ? void 0 : threshold.threshold_lower
      },
      upperBound: {
        target: threshold == null ? void 0 : threshold.target_upper,
        threshold: threshold == null ? void 0 : threshold.threshold_upper
      }
    }, _override)
  }, {
    "default": gammaDefault,
    override: gammaOverride
  }, ubaConfig.incentivePoolAdjustment, ubaConfig.ubaRewardMultiplier);
}
/**
 * Returns the UBA config for a given chainId and tokenSymbol at a given block height.
 * @param hubPoolClient The hub pool client to use for fetching the UBA config. This client's config store client must be updated.
 * @param chainId The chainId to fetch the UBA config for.
 * @param tokenSymbol The token symbol to fetch the UBA config for.
 * @param blockNumber The block height to fetch the UBA config for.
 * @returns The UBA config for the given chainId and tokenSymbol at the given block height.
 * @throws If the config store client has not been updated at least once.
 * @throws If the L1 token address cannot be found for the given token symbol.
 * @throws If the UBA config for the given block height cannot be found.
 */

function getUBAFeeConfig(hubPoolClient, chainId, tokenSymbol, blockNumber) {
  var configClient = hubPoolClient.configStoreClient; // If the config client has not been updated at least
  // once, throw

  if (!configClient.isUpdated) {
    throw new Error("Config client not updated");
  }

  var l1TokenInfo = hubPoolClient.getL1Tokens().find(function (token) {
    return token.symbol === tokenSymbol;
  });

  if (!l1TokenInfo) {
    throw new Error("L1 token can't be found, have you updated hub pool client?");
  }

  var rawUbaConfig = configClient.getUBAConfig(l1TokenInfo == null ? void 0 : l1TokenInfo.address, blockNumber);
  var ubaConfig = parseUBAFeeConfig(chainId, tokenSymbol, rawUbaConfig);

  if (ubaConfig === undefined) {
    throw new Error("UBA config for blockTag " + blockNumber + " not found");
  }

  return ubaConfig;
}
/**
 * Returns most recent `maxBundleStates` bundle ranges for a given chain, in chronological ascending order.
 * Will only returns bundle ranges that are subject to UBA rules, which is based on the bundle's start block.
 * Additionally, includes potential next bundle block ranges which extend until the latest spoke pool client search
 * windows, so that the caller can call this function to cover all UBA events.
 * @param chainId
 * @param maxBundleStates If this is larger than available validated bundles in the HubPoolClient, will throw an error.
 * @param hubPoolClient The hub pool client to use for fetching the bundle ranges.
 * @param spokePoolClients The spoke pool clients to use for fetching the bundle ranges.
 * @returns The most recent `maxBundleStates` bundle ranges for a given chain, in chronological ascending order.
 */

function getMostRecentBundleBlockRanges(chainId, maxBundleStates, hubPoolClient, spokePoolClients) {
  var toBlock = hubPoolClient.latestBlockNumber;

  if (!isDefined(toBlock)) {
    throw new Error("HubPoolClient has undefined latestBlockNumber");
  } // Reconstruct bundle ranges based on published end blocks.


  var ubaActivationStartBlocks = getUbaActivationBundleStartBlocks(hubPoolClient);
  var ubaActivationHubStartBlock = ubaActivationStartBlocks[0]; // Bundle states are examined in chronological descending order.

  var bundleData = [];

  for (var i = 0; i < maxBundleStates; i++) {
    // Get the most recent bundle end range for this chain published in a bundle before `toBlock`.
    var latestExecutedRootBundle = hubPoolClient.getNthFullyExecutedRootBundle(-1, toBlock);

    if (!latestExecutedRootBundle) {
      break;
    } // If chain is inactive for this bundle, exit early since no subsequent bundles will be enabled.


    var chainIndex = hubPoolClient.configStoreClient.getChainIdIndicesForBlock().indexOf(chainId);

    if (chainIndex >= latestExecutedRootBundle.bundleEvaluationBlockNumbers.length) {
      break;
    }

    var rootBundleBlockRanges = getImpliedBundleBlockRanges(hubPoolClient, hubPoolClient.configStoreClient, latestExecutedRootBundle); // If UBA is not enabled for this bundle, exit early since no subsequent bundles will be enabled
    // for the UBA, as the UBA was a non-reversible change and we're only looking older in the past from here.

    var hubPoolStartBlock = getBlockRangeForChain(rootBundleBlockRanges, hubPoolClient.chainId, hubPoolClient.configStoreClient.getChainIdIndicesForBlock())[0];

    if (hubPoolStartBlock < ubaActivationHubStartBlock) {
      break;
    } // Push the block range for this chain to the start of the list


    var blockRangeForChain = getBlockRangeForChain(rootBundleBlockRanges, chainId, hubPoolClient.configStoreClient.getChainIdIndicesForBlock());
    bundleData.unshift({
      start: blockRangeForChain[0],
      end: blockRangeForChain[1]
    }); // Decrement toBlock to the start of the most recently grabbed bundle.

    toBlock = latestExecutedRootBundle.blockNumber;
  } // If we haven't saved any bundles yet, then there probably hasn't been a bundle validated after the UBA activation
  // block containing this chain. This is not necessarily an error, so inject a block range from the activation block
  // of this chain to the latest spoke block searched so we can query all UBA eligible events.


  if (bundleData.length === 0) {
    var ubaActivationBundleStartBlocks = getUbaActivationBundleStartBlocks(hubPoolClient);
    var ubaActivationBundleStartBlockForChain = getBlockForChain(ubaActivationBundleStartBlocks, chainId, hubPoolClient.configStoreClient.getChainIdIndicesForBlock());
    bundleData.unshift({
      // Tell caller to load data for events beginning at the start of the UBA version added to the ConfigStore
      start: ubaActivationBundleStartBlockForChain,
      // We'll extend this end block if the spoke pool client for this chain is defined.
      end: ubaActivationBundleStartBlockForChain
    });
  }

  if (isDefined(spokePoolClients[chainId])) {
    // Make the last bundle to cover until the last spoke client searched block, unless a spoke pool
    // client was provided for the chain. In this case we assume that chain is disabled.
    bundleData[bundleData.length - 1].end = spokePoolClients[chainId].latestBlockSearched;
  }

  return bundleData;
}
/**
 * Return the latest validated running balance for the given token.
 * @param eventBlock Block number on SpokePool chain.
 * @param eventChain SpokePool chain ID.
 * @param l1Token Address of token on the HubPool chain.
 * @param hubPoolLatestBlock Most recent block to query from. Queries progress backwards in reverse chronology.
 * @returns Token running balance as at eventBlock.
 **/

function getOpeningRunningBalanceForEvent(hubPoolClient, eventBlock, eventChain, l1Token, hubPoolLatestBlock) {
  var chainIdIndices = hubPoolClient.configStoreClient.getChainIdIndicesForBlock(); // First find the latest executed bundle as of `hubPoolLatestBlock`.

  var latestExecutedBundle = hubPoolClient.getNthFullyExecutedRootBundle(-1, hubPoolLatestBlock); // If there is no latest executed bundle, then return 0. This means that there is no
  // bundle before `hubPoolLatestBlock` containing the event block.

  if (!isDefined(latestExecutedBundle)) {
    return {
      runningBalance: ethers.ethers.constants.Zero,
      incentiveBalance: ethers.ethers.constants.Zero
    };
  } // If chain was not active in bundle, return 0.


  var chainIndex = chainIdIndices.indexOf(eventChain);

  if (chainIndex >= latestExecutedBundle.bundleEvaluationBlockNumbers.length) {
    return {
      runningBalance: ethers.ethers.constants.Zero,
      incentiveBalance: ethers.ethers.constants.Zero
    };
  } // Construct the bundle's block range


  var blockRanges = getImpliedBundleBlockRanges(hubPoolClient, hubPoolClient.configStoreClient, latestExecutedBundle); // Now compare the eventBlock against the eventBlockRange.

  var eventBlockRange = getBlockRangeForChain(blockRanges, eventChain, chainIdIndices); // If event block is after the bundle end block, use the running balances for this bundle. We need to enforce
  // that the bundle end block is less than the event block to ensure that the running balance from this bundle
  // precedes the event block.

  if (eventBlock > eventBlockRange[1]) {
    // This can't be empty since we've already validated that this bundle is fully executed.
    var executedLeavesForBundle = hubPoolClient.getExecutedLeavesForRootBundle(latestExecutedBundle, hubPoolLatestBlock);

    if (executedLeavesForBundle.length === 0) {
      throw new Error("No executed leaves found for bundle");
    }

    var executedLeaf = executedLeavesForBundle.find(function (executedLeaf) {
      return executedLeaf.chainId === eventChain;
    });

    if (!executedLeaf) {
      // If no executed leaf in this bundle for the chain, then need to look for an older executed bundle.
      return getOpeningRunningBalanceForEvent(hubPoolClient, eventBlock, eventChain, l1Token, latestExecutedBundle.blockNumber);
    }

    var l1TokenIndex = executedLeaf.l1Tokens.indexOf(l1Token);

    if (l1TokenIndex === -1) {
      // If l1 token not included in this bundle, then need to look for an older executed bundle.
      return getOpeningRunningBalanceForEvent(hubPoolClient, eventBlock, eventChain, l1Token, latestExecutedBundle.blockNumber);
    } // Finally, we need to do a final check if the latest executed root bundle was the final pre UBA one. If so, then
    // its running balances need to be negated, because in the pre UBA world we counted "positive balances" held
    // by spoke pools as negative running balances.


    var runningBalance = executedLeaf.runningBalances[l1TokenIndex];
    var incentiveBalance = executedLeaf.incentiveBalances[l1TokenIndex];
    var ubaActivationStartBlocks = getUbaActivationBundleStartBlocks(hubPoolClient);
    var ubaActivationStartBlockForChain = getBlockForChain(ubaActivationStartBlocks, eventChain, chainIdIndices);

    if (blockRanges[0][0] < ubaActivationStartBlockForChain) {
      return {
        runningBalance: runningBalance.mul(-1),
        // Incentive balance starts at 0.
        incentiveBalance: ethers.ethers.constants.Zero
      };
    } else {
      return {
        runningBalance: runningBalance,
        incentiveBalance: incentiveBalance
      };
    }
  } // Event is either in the bundle or before it, look for an older executed bundle.


  return getOpeningRunningBalanceForEvent(hubPoolClient, eventBlock, eventChain, l1Token, latestExecutedBundle.blockNumber);
}
function getMatchedDeposit(_x, _x2, _x3) {
  return _getMatchedDeposit.apply(this, arguments);
}

function _getMatchedDeposit() {
  _getMatchedDeposit = _asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee(spokePoolClients, fill, fillFieldsToIgnore) {
    var originSpokePoolClient, deposit;
    return runtime_1.wrap(function _callee$(_context) {
      while (1) {
        switch (_context.prev = _context.next) {
          case 0:
            if (fillFieldsToIgnore === void 0) {
              fillFieldsToIgnore = [];
            }

            originSpokePoolClient = spokePoolClients[fill.originChainId]; // We need to update client so we know the first and last deposit ID's queried for this spoke pool client, as well
            // as the global first and last deposit ID's for this spoke pool.

            if (originSpokePoolClient.isUpdated) {
              _context.next = 4;
              break;
            }

            throw new Error("SpokePoolClient must be updated before querying historical deposits");

          case 4:
            if (!(fill.depositId < originSpokePoolClient.firstDepositIdForSpokePool || fill.depositId > originSpokePoolClient.lastDepositIdForSpokePool)) {
              _context.next = 6;
              break;
            }

            return _context.abrupt("return", undefined);

          case 6:
            if (!(fill.depositId >= originSpokePoolClient.earliestDepositIdQueried && fill.depositId <= originSpokePoolClient.latestDepositIdQueried)) {
              _context.next = 8;
              break;
            }

            return _context.abrupt("return", originSpokePoolClient.getDepositForFill(fill, fillFieldsToIgnore));

          case 8:
            _context.next = 10;
            return originSpokePoolClient.findDeposit(fill.depositId, fill.destinationChainId, fill.depositor);

          case 10:
            deposit = _context.sent;
            return _context.abrupt("return", validateFillForDeposit(fill, deposit, fillFieldsToIgnore) ? deposit : undefined);

          case 12:
          case "end":
            return _context.stop();
        }
      }
    }, _callee);
  }));
  return _getMatchedDeposit.apply(this, arguments);
}

function isUBAActivatedAtBlock(hubPoolClient, block, chain) {
  try {
    var _ubaActivationBlocks$;

    var ubaActivationBlocks = getUbaActivationBundleStartBlocks(hubPoolClient);
    var chainIdIndices = hubPoolClient.configStoreClient.getChainIdIndicesForBlock(); // Find the first activation block where the index matches the chain

    var activationBlock = (_ubaActivationBlocks$ = ubaActivationBlocks.find(function (_, idx) {
      return chainIdIndices[idx] === chain;
    })) != null ? _ubaActivationBlocks$ : Number.MAX_SAFE_INTEGER;
    return block >= activationBlock;
  } catch (err) {
    // UBA not activated yet or hub pool client not updated
    return false;
  }
}
/**
 * Returns bundle range start blocks for first bundle that UBA was activated
 * @param chainIds Chains to return start blocks for.
 * */

function getUbaActivationBundleStartBlocks(hubPoolClient) {
  var latestHubPoolBlock = hubPoolClient.latestBlockNumber;

  if (!isDefined(latestHubPoolBlock)) {
    throw new Error("HubPoolClient has undefined latestBlockNumber");
  }

  var chainIdIndices = hubPoolClient.configStoreClient.getChainIdIndicesForBlock();
  var ubaActivationBlock = hubPoolClient.configStoreClient.getUBAActivationBlock();

  if (isDefined(ubaActivationBlock)) {
    var nextValidatedBundle = hubPoolClient.getProposedRootBundles().find(function (bundle) {
      return bundle.blockNumber >= ubaActivationBlock ? hubPoolClient.isRootBundleValid(bundle, latestHubPoolBlock) : false;
    });

    if (isDefined(nextValidatedBundle)) {
      var bundleBlockRanges = getImpliedBundleBlockRanges(hubPoolClient, hubPoolClient.configStoreClient, nextValidatedBundle);
      var bundleStartBlocks = chainIdIndices.map(function (chainId, i) {
        // If chain was not active in `nextValidatedBundle`, then return 0 as the start block. This chain's next
        // bundle start block will be 0.
        if (i >= nextValidatedBundle.bundleEvaluationBlockNumbers.length) {
          return 0;
        }

        var startBlock = getBlockRangeForChain(bundleBlockRanges, chainId, chainIdIndices)[0];
        return startBlock;
      });
      return bundleStartBlocks;
    } else {
      // No validated bundles after UBA activation block, UBA should be activated on next bundle start blocks.
      var nextBundleStartBlocks = chainIdIndices.map(function (chainId) {
        return hubPoolClient.getNextBundleStartBlockNumber(chainIdIndices, latestHubPoolBlock, chainId);
      });
      return nextBundleStartBlocks;
    }
  } else {
    throw new Error("UBA was not activated yet as of " + latestHubPoolBlock);
  }
}
/**
 * Return chain where flow occurred.
 * @param flow
 */

function getFlowChain(flow) {
  // First let's figure out the balancing fee for the chain where the flow takes place.
  // For a deposit, the flow happens on the origin chain.
  // For a refund or fill, the flow happens on the repayment or destination chain.
  var flowChain;

  if (isUbaInflow(flow)) {
    flowChain = flow.originChainId;
  } else {
    if (outflowIsFill(flow)) {
      flowChain = flow.destinationChainId;
    } else {
      flowChain = flow.repaymentChainId;
    }
  }

  return flowChain;
}
/**
 * Retrieves the flows for a given chainId. This is designed only to work with UBA start and end blocks as
 * the realizedLpFeePct for deposits is not compared against fills. Retrieving any "Pre UBA" deposits with
 * defined realizedLpFeePct will cause this function to throw.
 * * @param tokenSymbol Symbol of token to retrieve flows for.
 * @param chainId The chainId to retrieve flows for
 * @param spokePoolClients A mapping of chainIds to spoke pool clients
 * @param hubPoolClient A hub pool client instance to query the hub pool
 * @param fromBlock The block number to start retrieving flows from
 * @param toBlock The block number to stop retrieving flows from
 * @returns The flows for the given chainId
 */

function getUBAFlows(_x4, _x5, _x6, _x7, _x8, _x9) {
  return _getUBAFlows.apply(this, arguments);
}

function _getUBAFlows() {
  _getUBAFlows = _asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee2(tokenSymbol, chainId, spokePoolClients, hubPoolClient, fromBlock, toBlock) {
    var _fromBlock, _toBlock;

    var spokePoolClient, deposits, preUBADeposit, fills, refundRequests, flows;
    return runtime_1.wrap(function _callee2$(_context2) {
      while (1) {
        switch (_context2.prev = _context2.next) {
          case 0:
            spokePoolClient = spokePoolClients[chainId];
            fromBlock = (_fromBlock = fromBlock) != null ? _fromBlock : spokePoolClient.eventSearchConfig.fromBlock;
            toBlock = (_toBlock = toBlock) != null ? _toBlock : spokePoolClient.eventSearchConfig.toBlock; // @todo: Fix these type assertions.

            deposits = spokePoolClient.getDeposits().filter(function (deposit) {
              var _hubPoolClient$getL1T;

              if (deposit.blockNumber < fromBlock || deposit.blockNumber > toBlock) {
                return false;
              }

              var _tokenSymbol = (_hubPoolClient$getL1T = hubPoolClient.getL1TokenInfoForL2Token(deposit.originToken, deposit.originChainId)) == null ? void 0 : _hubPoolClient$getL1T.symbol;

              return _tokenSymbol === tokenSymbol;
            });
            preUBADeposit = deposits.find(function (deposit) {
              return isDefined(deposit.realizedLpFeePct);
            });

            if (!isDefined(preUBADeposit)) {
              _context2.next = 7;
              break;
            }

            throw new Error("Found a UBA deposit with a defined realizedLpFeePct at block " + preUBADeposit.blockNumber + " on chain " + preUBADeposit.originChainId);

          case 7:
            _context2.next = 9;
            return getValidFillCandidates(chainId, spokePoolClients, {
              fromBlock: fromBlock,
              toBlock: toBlock,
              repaymentChainId: chainId,
              isSlowRelay: false,
              isCompleteFill: true
            }, ["realizedLpFeePct"]);

          case 9:
            fills = _context2.sent.filter(function (fill) {
              var _hubPoolClient$getL1T2;

              var _tokenSymbol = (_hubPoolClient$getL1T2 = hubPoolClient.getL1TokenInfoForL2Token(fill.destinationToken, fill.destinationChainId)) == null ? void 0 : _hubPoolClient$getL1T2.symbol; // We only want to include full fills as flows. Partial fills need to request refunds and those refunds
              // will be included as flows.


              return fill.fillAmount.eq(fill.totalFilledAmount) && _tokenSymbol === tokenSymbol;
            });
            _context2.next = 12;
            return getValidRefundCandidates(chainId, hubPoolClient, spokePoolClients, {
              fromBlock: fromBlock,
              toBlock: toBlock
            }, ["realizedLpFeePct"]);

          case 12:
            refundRequests = _context2.sent.filter(function (refundRequest) {
              var _hubPoolClient$getL1T3;

              var _tokenSymbol = (_hubPoolClient$getL1T3 = hubPoolClient.getL1TokenInfoForL2Token(refundRequest.refundToken, refundRequest.repaymentChainId)) == null ? void 0 : _hubPoolClient$getL1T3.symbol;

              return _tokenSymbol === tokenSymbol;
            });
            // This is probably more expensive than we'd like... @todo: optimise.
            flows = sortFlowsAscending(deposits.concat(fills).concat(refundRequests));
            return _context2.abrupt("return", flows);

          case 15:
          case "end":
            return _context2.stop();
        }
      }
    }, _callee2);
  }));
  return _getUBAFlows.apply(this, arguments);
}

function getBundleKeyForBlockRanges(blockRanges) {
  return JSON.stringify(blockRanges.map(function (blockRange) {
    return blockRange[0];
  }));
}
/**
 * The return value should be a number whose sign indicates the relative order of the two elements:
 * negative if a is less than b, positive if a is greater than b, and zero if they are equal.
 * @param fx
 * @param fy
 * @returns
 */

function flowComparisonFunction(a, b) {
  if (a.blockTimestamp !== b.blockTimestamp) {
    return a.blockTimestamp - b.blockTimestamp;
  } // If fx and fy have same blockTimestamp then it gets a bit arbitrary. Whatever
  // we implement here we should match with the UMIP.
  // In the case of inflow vs outflow, return inflow first:


  if (isUbaInflow(a) && isUbaOutflow(b)) {
    return -1;
  } else if (isUbaInflow(b) && isUbaOutflow(a)) {
    return 1;
  } // We can compare on transaction index and log index when comparing same way
  // flows on same chain (i.e. deposits with deposits, fills with fills,
  // refunds with refunds).


  if (a.blockNumber !== b.blockNumber) {
    return a.blockNumber - b.blockNumber;
  }

  if (a.transactionIndex !== b.transactionIndex) {
    return a.transactionIndex - b.transactionIndex;
  }

  return a.logIndex - b.logIndex;
}
function sortFlowsAscendingInPlace(flows) {
  return flows.sort(function (fx, fy) {
    return flowComparisonFunction(fx, fy);
  });
}
function sortFlowsAscending(flows) {
  return sortFlowsAscendingInPlace([].concat(flows));
}
/**
 * Validate a refund request.
 * @param chainId The chainId of the spoke pool
 * @param chainIdIndices The chainIds of the spoke pools that align with the spoke pool clients
 * @param spokePoolClients A mapping of chainIds to spoke pool clients
 * @param hubPoolClient The hub pool client
 * @param refundRequest The refund request to validate
 * @returns Whether or not the refund request is valid
 */

function refundRequestIsValid(_x10, _x11, _x12, _x13) {
  return _refundRequestIsValid.apply(this, arguments);
}
/**
 * @notice Get the matching flow in a stream of already validated flows. Useful for seeing if an outflow's
 * matched inflow `targetFlow` is in the `allValidatedFlows` list.
 * @dev Assumes `allValidatedFlows` are all validated UBA flows so there should be no duplicate
 * origin chain and deposit id combinations.
 * @param allFlows
 * @param targetFlow
 * @returns
 */

function _refundRequestIsValid() {
  _refundRequestIsValid = _asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee3(spokePoolClients, hubPoolClient, refundRequest, ignoredDepositValidationParams) {
    var relayer, amount, refundToken, depositId, originChainId, destinationChainId, repaymentChainId, realizedLpFeePct, fillBlock, previousIdenticalRequests, destSpoke, deploymentBlock, latestBlockNumber, fill, deposit, l1TokenForFill, expectedRefundToken;
    return runtime_1.wrap(function _callee3$(_context3) {
      while (1) {
        switch (_context3.prev = _context3.next) {
          case 0:
            if (ignoredDepositValidationParams === void 0) {
              ignoredDepositValidationParams = [];
            }

            relayer = refundRequest.relayer, amount = refundRequest.amount, refundToken = refundRequest.refundToken, depositId = refundRequest.depositId, originChainId = refundRequest.originChainId, destinationChainId = refundRequest.destinationChainId, repaymentChainId = refundRequest.repaymentChainId, realizedLpFeePct = refundRequest.realizedLpFeePct, fillBlock = refundRequest.fillBlock, previousIdenticalRequests = refundRequest.previousIdenticalRequests;

            if (!(destinationChainId === repaymentChainId)) {
              _context3.next = 4;
              break;
            }

            return _context3.abrupt("return", {
              valid: false,
              reason: "Invalid destinationChainId"
            });

          case 4:
            destSpoke = spokePoolClients[destinationChainId];

            if (!(fillBlock.lt(destSpoke.deploymentBlock) || fillBlock.gt(destSpoke.latestBlockNumber))) {
              _context3.next = 8;
              break;
            }

            deploymentBlock = destSpoke.deploymentBlock, latestBlockNumber = destSpoke.latestBlockNumber;
            return _context3.abrupt("return", {
              valid: false,
              reason: "FillBlock (" + fillBlock + " out of SpokePool range [" + deploymentBlock + ", " + latestBlockNumber + "]"
            });

          case 8:
            if (!previousIdenticalRequests.gt(0)) {
              _context3.next = 10;
              break;
            }

            return _context3.abrupt("return", {
              valid: false,
              reason: "Previous identical request exists"
            });

          case 10:
            // Validate relayer and depositId. Also check that fill requested refund on same chain that
            // refund was sent.
            fill = destSpoke.getFillsForRelayer(relayer).find(function (fill) {
              // prettier-ignore
              return fill.depositId === depositId && fill.originChainId === originChainId && fill.destinationChainId === destinationChainId // Must have requested refund on chain that refund was sent on.
              && fill.repaymentChainId === repaymentChainId // Must be a full fill to qualify for a refund.
              && fill.amount.eq(amount) && fill.fillAmount.eq(amount) && fill.realizedLpFeePct.eq(realizedLpFeePct) && fill.blockNumber === fillBlock.toNumber();
            });

            if (isDefined(fill)) {
              _context3.next = 17;
              break;
            }

            if (!fillBlock.lt(destSpoke.eventSearchConfig.fromBlock)) {
              _context3.next = 16;
              break;
            }

            throw new Error("Unimplemented: refund request fillBlock " + fillBlock + " is older than spoke pool client from block, set a wider lookback");

          case 16:
            return _context3.abrupt("return", {
              valid: false,
              reason: "Unable to find matching fill"
            });

          case 17:
            _context3.next = 19;
            return getMatchedDeposit(spokePoolClients, fill, ignoredDepositValidationParams);

          case 19:
            deposit = _context3.sent;

            if (isDefined(deposit)) {
              _context3.next = 22;
              break;
            }

            return _context3.abrupt("return", {
              valid: false,
              reason: "Unable to find matching deposit"
            });

          case 22:
            _context3.prev = 22;
            l1TokenForFill = hubPoolClient.getL1TokenCounterpartAtBlock(fill.destinationChainId, fill.destinationToken, deposit.quoteBlockNumber);
            expectedRefundToken = hubPoolClient.getDestinationTokenForL1Token(l1TokenForFill, repaymentChainId);

            if (!(expectedRefundToken !== refundToken)) {
              _context3.next = 27;
              break;
            }

            return _context3.abrupt("return", {
              valid: false,
              reason: "Refund token does not map to expected refund token " + refundToken
            });

          case 27:
            _context3.next = 32;
            break;

          case 29:
            _context3.prev = 29;
            _context3.t0 = _context3["catch"](22);
            return _context3.abrupt("return", {
              valid: false,
              reason: "Refund token unknown at HubPool block " + deposit.quoteBlockNumber
            });

          case 32:
            return _context3.abrupt("return", {
              valid: true,
              matchingFill: fill,
              matchingDeposit: deposit
            });

          case 33:
          case "end":
            return _context3.stop();
        }
      }
    }, _callee3, null, [[22, 29]]);
  }));
  return _refundRequestIsValid.apply(this, arguments);
}

function getMatchingFlow(allValidatedFlows, targetFlow) {
  return allValidatedFlows == null ? void 0 : allValidatedFlows.find(function (_ref) {
    var flow = _ref.flow;
    return flow.depositId === targetFlow.depositId && flow.originChainId === targetFlow.originChainId;
  });
}
/**
 * @description Search for fills recorded by a specific SpokePool. These fills are matched against deposits
 * on all fields except for `realizedLpFeePct` which isn't filled yet.
 * @param chainId Chain ID of the relevant SpokePoolClient instance.
 * @param spokePoolClients Set of SpokePoolClient instances, mapped by chain ID.
 * @param filter  Optional filtering criteria.
 * @param ignoredDepositValidationParams Event fields to ignore when matching a Fill to a Deposit.
 * @returns Array of FillWithBlock events matching the chain ID and optional filtering criteria.
 */

function getValidFillCandidates(_x14, _x15, _x16, _x17) {
  return _getValidFillCandidates.apply(this, arguments);
}
/**
 * Search for refund requests recorded by a specific SpokePool.
 * @param chainId Chain ID of the relevant SpokePoolClient instance.
 * @param chainIdIndices Complete set of ordered chain IDs.
 * @param hubPoolClient HubPoolClient instance.
 * @param spokePoolClients Set of SpokePoolClient instances, mapped by chain ID.
 * @param filter  Optional filtering criteria.
 * @returns Array of RefundRequestWithBlock events matching the chain ID and optional filtering criteria.
 */

function _getValidFillCandidates() {
  _getValidFillCandidates = _asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee5(chainId, spokePoolClients, filter, ignoredDepositValidationParams) {
    var spokePoolClient, _filter, repaymentChainId, relayer, isSlowRelay, isCompleteFill, fromBlock, toBlock, fills;

    return runtime_1.wrap(function _callee5$(_context5) {
      while (1) {
        switch (_context5.prev = _context5.next) {
          case 0:
            if (filter === void 0) {
              filter = {};
            }

            if (ignoredDepositValidationParams === void 0) {
              ignoredDepositValidationParams = [];
            }

            spokePoolClient = spokePoolClients[chainId];
            assert$1(isDefined(spokePoolClient));
            _filter = filter, repaymentChainId = _filter.repaymentChainId, relayer = _filter.relayer, isSlowRelay = _filter.isSlowRelay, isCompleteFill = _filter.isCompleteFill, fromBlock = _filter.fromBlock, toBlock = _filter.toBlock;
            _context5.next = 7;
            return mapAsync(spokePoolClient.getFills(), /*#__PURE__*/function () {
              var _ref11 = _asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee4(fill) {
                var deposit;
                return runtime_1.wrap(function _callee4$(_context4) {
                  while (1) {
                    switch (_context4.prev = _context4.next) {
                      case 0:
                        if (!(isDefined(fromBlock) && fromBlock > fill.blockNumber)) {
                          _context4.next = 2;
                          break;
                        }

                        return _context4.abrupt("return", undefined);

                      case 2:
                        if (!(isDefined(toBlock) && toBlock < fill.blockNumber)) {
                          _context4.next = 4;
                          break;
                        }

                        return _context4.abrupt("return", undefined);

                      case 4:
                        if (!(isDefined(repaymentChainId) && fill.repaymentChainId !== repaymentChainId || isDefined(relayer) && fill.relayer !== relayer || isDefined(isSlowRelay) && fill.updatableRelayData.isSlowRelay !== isSlowRelay)) {
                          _context4.next = 6;
                          break;
                        }

                        return _context4.abrupt("return", undefined);

                      case 6:
                        if (!(isDefined(isCompleteFill) && isCompleteFill !== fill.fillAmount.eq(fill.totalFilledAmount))) {
                          _context4.next = 8;
                          break;
                        }

                        return _context4.abrupt("return", undefined);

                      case 8:
                        _context4.next = 10;
                        return getMatchedDeposit(spokePoolClients, fill, ignoredDepositValidationParams);

                      case 10:
                        deposit = _context4.sent;

                        if (!(deposit !== undefined)) {
                          _context4.next = 15;
                          break;
                        }

                        return _context4.abrupt("return", _extends({}, fill, {
                          matchedDeposit: deposit
                        }));

                      case 15:
                        return _context4.abrupt("return", undefined);

                      case 16:
                      case "end":
                        return _context4.stop();
                    }
                  }
                }, _callee4);
              }));

              return function (_x23) {
                return _ref11.apply(this, arguments);
              };
            }());

          case 7:
            fills = _context5.sent.filter(isDefined);
            return _context5.abrupt("return", fills);

          case 9:
          case "end":
            return _context5.stop();
        }
      }
    }, _callee5);
  }));
  return _getValidFillCandidates.apply(this, arguments);
}

function getValidRefundCandidates(_x18, _x19, _x20, _x21, _x22) {
  return _getValidRefundCandidates.apply(this, arguments);
}
/**
 * Serializes a `UBAClientState` object.
 * @param ubaClientState `UBAClientState` object to serialize.
 * @returns Serialized `UBAClientState` object as a string.
 * @note The resulting string can be deserialized using `deserializeUBAClientState`.
 */

function _getValidRefundCandidates() {
  _getValidRefundCandidates = _asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee7(chainId, hubPoolClient, spokePoolClients, filter, ignoredDepositValidationParams) {
    var spokePoolClient, _filter2, fromBlock, toBlock;

    return runtime_1.wrap(function _callee7$(_context7) {
      while (1) {
        switch (_context7.prev = _context7.next) {
          case 0:
            if (filter === void 0) {
              filter = {};
            }

            if (ignoredDepositValidationParams === void 0) {
              ignoredDepositValidationParams = [];
            }

            spokePoolClient = spokePoolClients[chainId];
            assert$1(isDefined(spokePoolClient));
            _filter2 = filter, fromBlock = _filter2.fromBlock, toBlock = _filter2.toBlock;
            _context7.next = 7;
            return mapAsync(spokePoolClient.getRefundRequests(), /*#__PURE__*/function () {
              var _ref12 = _asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee6(refundRequest) {
                var result, matchedDeposit;
                return runtime_1.wrap(function _callee6$(_context6) {
                  while (1) {
                    switch (_context6.prev = _context6.next) {
                      case 0:
                        if (!(isDefined(fromBlock) && fromBlock > refundRequest.blockNumber)) {
                          _context6.next = 2;
                          break;
                        }

                        return _context6.abrupt("return", undefined);

                      case 2:
                        if (!(isDefined(toBlock) && toBlock < refundRequest.blockNumber)) {
                          _context6.next = 4;
                          break;
                        }

                        return _context6.abrupt("return", undefined);

                      case 4:
                        _context6.next = 6;
                        return refundRequestIsValid(spokePoolClients, hubPoolClient, refundRequest, ignoredDepositValidationParams);

                      case 6:
                        result = _context6.sent;

                        if (!result.valid) {
                          _context6.next = 14;
                          break;
                        }

                        matchedDeposit = result.matchingDeposit;

                        if (!(matchedDeposit === undefined)) {
                          _context6.next = 11;
                          break;
                        }

                        throw new Error("refundRequestIsValid returned true but matchingDeposit is undefined");

                      case 11:
                        return _context6.abrupt("return", _extends({}, refundRequest, {
                          matchedDeposit: matchedDeposit
                        }));

                      case 14:
                        return _context6.abrupt("return", undefined);

                      case 15:
                      case "end":
                        return _context6.stop();
                    }
                  }
                }, _callee6);
              }));

              return function (_x24) {
                return _ref12.apply(this, arguments);
              };
            }());

          case 7:
            return _context7.abrupt("return", _context7.sent.filter(function (refundRequest) {
              return refundRequest !== undefined;
            }));

          case 8:
          case "end":
            return _context7.stop();
        }
      }
    }, _callee7);
  }));
  return _getValidRefundCandidates.apply(this, arguments);
}

function serializeUBAClientState(ubaClientState) {
  return stringifyJSONWithNumericString(ubaClientState);
}
/**
 * @todo Improve type safety and reduce `any`s.
 * Deserializes a serialized `UBAClientState` object.
 * @param serializedUBAClientState Serialized `UBAClientState` object that for example gets returned when calling `updateUBAClient` and serializing the result.
 * @returns Deserialized `UBAClientState` object. Specifically with `{ type: "BigNumber", value: "0x0" } converted to `BigNumber` instances. And a correct `UBAFeeConfig` instance.
 */

function deserializeUBAClientState(serializedUBAClientState) {
  return Object.entries(serializedUBAClientState).reduce(function (acc, _ref2) {
    var _extends4;

    var chainId = _ref2[0],
        chainState = _ref2[1];

    if (typeof chainState !== "object") {
      throw new Error("Failed to parse chain state for chain " + chainId);
    }

    return _extends({}, acc, (_extends4 = {}, _extends4[chainId] = _extends({}, chainState, {
      bundles: Object.entries(chainState.bundles).reduce(function (acc, _ref3) {
        var _extends3;

        var tokenSymbol = _ref3[0],
            bundleStates = _ref3[1];

        if (!Array.isArray(bundleStates)) {
          throw new Error("Failed to parse bundle states for token " + tokenSymbol);
        }

        return _extends({}, acc, (_extends3 = {}, _extends3[tokenSymbol] = bundleStates.map(function (bundleState) {
          var deserializedUBAFeeConfig = deserializeUBAFeeConfig(bundleState.config);
          return _extends({}, bundleState, {
            openingBalance: ethers.BigNumber.from(bundleState.openingBalance),
            openingIncentiveBalance: ethers.BigNumber.from(bundleState.openingIncentiveBalance),
            config: new UBAConfig(deserializedUBAFeeConfig.baselineFee, deserializedUBAFeeConfig.balancingFee, deserializedUBAFeeConfig.balanceTriggerThreshold, deserializedUBAFeeConfig.lpGammaFunction, deserializedUBAFeeConfig.incentivePoolAdjustment, deserializedUBAFeeConfig.ubaRewardMultiplier),
            flows: bundleState.flows.map(deserializeModifiedUBAFlow)
          });
        }), _extends3));
      }, {})
    }), _extends4));
  }, {});
}

function deserializeModifiedUBAFlow(serializedModifiedUBAFlow) {
  return {
    flow: deserializeBigNumberValues(serializedModifiedUBAFlow.flow),
    systemFee: deserializeBigNumberValues(serializedModifiedUBAFlow.systemFee),
    relayerFee: deserializeBigNumberValues(serializedModifiedUBAFlow.relayerFee),
    runningBalance: ethers.BigNumber.from(serializedModifiedUBAFlow.runningBalance),
    incentiveBalance: ethers.BigNumber.from(serializedModifiedUBAFlow.incentiveBalance),
    netRunningBalanceAdjustment: ethers.BigNumber.from(serializedModifiedUBAFlow.netRunningBalanceAdjustment)
  };
}

function deserializeUBAFeeConfig(serializedUBAFeeConfig) {
  var _serializedUBAFeeConf, _serializedUBAFeeConf2, _serializedUBAFeeConf3, _serializedUBAFeeConf4, _serializedUBAFeeConf5, _serializedUBAFeeConf6;

  return {
    baselineFee: {
      "default": ethers.BigNumber.from(serializedUBAFeeConfig.baselineFee["default"]),
      override: Object.entries((_serializedUBAFeeConf = serializedUBAFeeConfig.baselineFee.override) != null ? _serializedUBAFeeConf : {}).reduce(function (acc, _ref4) {
        var key = _ref4[0],
            value = _ref4[1];
        acc[key] = ethers.BigNumber.from(value);
        return acc;
      }, {})
    },
    balancingFee: {
      "default": serializedUBAFeeConfig.balancingFee["default"].map(function (tuple) {
        return tuple.map(function (value) {
          return ethers.BigNumber.from(value);
        });
      }),
      override: Object.entries((_serializedUBAFeeConf2 = serializedUBAFeeConfig.balancingFee.override) != null ? _serializedUBAFeeConf2 : {}).reduce(function (acc, _ref5) {
        var key = _ref5[0],
            value = _ref5[1];
        acc[key] = value.map(function (tuple) {
          return tuple.map(function (value) {
            return ethers.BigNumber.from(value);
          });
        });
        return acc;
      }, {})
    },
    balanceTriggerThreshold: {
      "default": {
        lowerBound: deserializeBigNumberValues(serializedUBAFeeConfig.balanceTriggerThreshold["default"].lowerBound),
        upperBound: deserializeBigNumberValues(serializedUBAFeeConfig.balanceTriggerThreshold["default"].upperBound)
      },
      override: Object.entries((_serializedUBAFeeConf3 = serializedUBAFeeConfig.balanceTriggerThreshold.override) != null ? _serializedUBAFeeConf3 : {}).reduce(function (acc, _ref6) {
        var key = _ref6[0],
            value = _ref6[1];
        acc[key] = {
          lowerBound: deserializeBigNumberValues(value.lowerBound),
          upperBound: deserializeBigNumberValues(value.upperBound)
        };
        return acc;
      }, {})
    },
    lpGammaFunction: {
      "default": serializedUBAFeeConfig.lpGammaFunction["default"].map(function (tuple) {
        return tuple.map(function (value) {
          return ethers.BigNumber.from(value);
        });
      }),
      override: Object.entries((_serializedUBAFeeConf4 = serializedUBAFeeConfig.lpGammaFunction.override) != null ? _serializedUBAFeeConf4 : {}).reduce(function (acc, _ref7) {
        var key = _ref7[0],
            value = _ref7[1];
        acc[key] = value.map(function (tuple) {
          return tuple.map(function (value) {
            return ethers.BigNumber.from(value);
          });
        });
        return acc;
      }, {})
    },
    incentivePoolAdjustment: Object.entries((_serializedUBAFeeConf5 = serializedUBAFeeConfig.incentivePoolAdjustment) != null ? _serializedUBAFeeConf5 : {}).reduce(function (acc, _ref8) {
      var key = _ref8[0],
          value = _ref8[1];
      acc[key] = ethers.BigNumber.from(value);
      return acc;
    }, {}),
    ubaRewardMultiplier: Object.entries((_serializedUBAFeeConf6 = serializedUBAFeeConfig.ubaRewardMultiplier) != null ? _serializedUBAFeeConf6 : {}).reduce(function (acc, _ref9) {
      var key = _ref9[0],
          value = _ref9[1];
      acc[key] = ethers.BigNumber.from(value);
      return acc;
    }, {})
  };
}
/**
 * Serializes a `UBABundleState` object.
 * @param obj The object to deserialize.
 * @returns An object with all BigNumber values converted to strings.
 */


function deserializeBigNumberValues(obj) {
  if (obj === void 0) {
    obj = {};
  }

  return Object.entries(obj).reduce(function (acc, _ref10) {
    var key = _ref10[0],
        value = _ref10[1];

    try {
      var _extends5;

      var parsedBigNumber = ethers.BigNumber.from(value);
      return _extends({}, acc, (_extends5 = {}, _extends5[key] = parsedBigNumber, _extends5));
    } catch (_unused) {
      var _extends6;

      // If throws then value is not a BigNumber.
      return _extends({}, acc, (_extends6 = {}, _extends6[key] = value, _extends6));
    }
  }, {});
}

var HubPoolClient = /*#__PURE__*/function (_BaseAbstractClient) {
  _inheritsLoose(HubPoolClient, _BaseAbstractClient);

  function HubPoolClient(logger, hubPool, configStoreClient, deploymentBlock, chainId, eventSearchConfig, configOverride, cachingMechanism) {
    var _this;

    if (deploymentBlock === void 0) {
      deploymentBlock = 0;
    }

    if (chainId === void 0) {
      chainId = 1;
    }

    if (eventSearchConfig === void 0) {
      eventSearchConfig = {
        fromBlock: 0,
        maxBlockLookBack: 0
      };
    }

    if (configOverride === void 0) {
      configOverride = {
        ignoredHubExecutedBundles: [],
        ignoredHubProposedBundles: []
      };
    }

    _this = _BaseAbstractClient.call(this, cachingMechanism) || this;
    _this.logger = logger;
    _this.hubPool = hubPool;
    _this.configStoreClient = configStoreClient;
    _this.deploymentBlock = deploymentBlock;
    _this.chainId = chainId;
    _this.eventSearchConfig = eventSearchConfig;
    _this.configOverride = configOverride; // L1Token -> destinationChainId -> destinationToken

    _this.l1TokensToDestinationTokens = {};
    _this.l1Tokens = []; // L1Tokens and their associated info.

    _this.lpTokens = {};
    _this.proposedRootBundles = [];
    _this.canceledRootBundles = [];
    _this.disputedRootBundles = [];
    _this.executedRootBundles = [];
    _this.crossChainContracts = {};
    _this.l1TokensToDestinationTokensWithBlock = {};
    _this.latestBlockNumber = deploymentBlock === 0 ? deploymentBlock : deploymentBlock - 1;
    _this.firstBlockToSearch = eventSearchConfig.fromBlock;
    var provider = _this.hubPool.provider;
    _this.blockFinder = new uma.BlockFinder(provider.getBlock.bind(provider));
    return _this;
  }

  var _proto = HubPoolClient.prototype;

  _proto.hubPoolEventFilters = function hubPoolEventFilters() {
    return {
      SetPoolRebalanceRoute: this.hubPool.filters.SetPoolRebalanceRoute(),
      L1TokenEnabledForLiquidityProvision: this.hubPool.filters.L1TokenEnabledForLiquidityProvision(),
      ProposeRootBundle: this.hubPool.filters.ProposeRootBundle(),
      RootBundleCanceled: this.hubPool.filters.RootBundleCanceled(),
      RootBundleDisputed: this.hubPool.filters.RootBundleDisputed(),
      RootBundleExecuted: this.hubPool.filters.RootBundleExecuted(),
      CrossChainContractsSet: this.hubPool.filters.CrossChainContractsSet()
    };
  };

  _proto.hasPendingProposal = function hasPendingProposal() {
    return this.pendingRootBundle !== undefined;
  };

  _proto.getPendingRootBundle = function getPendingRootBundle() {
    return this.pendingRootBundle;
  };

  _proto.getProposedRootBundles = function getProposedRootBundles() {
    return this.proposedRootBundles;
  };

  _proto.getCancelledRootBundles = function getCancelledRootBundles() {
    return this.canceledRootBundles;
  };

  _proto.getDisputedRootBundles = function getDisputedRootBundles() {
    return this.disputedRootBundles;
  };

  _proto.getSpokePoolForBlock = function getSpokePoolForBlock(chain, block) {
    if (block === void 0) {
      block = Number.MAX_SAFE_INTEGER;
    }

    if (!this.crossChainContracts[chain]) {
      throw new Error("No cross chain contracts set for " + chain);
    }

    var mostRecentSpokePoolUpdateBeforeBlock = sortEventsDescending(this.crossChainContracts[chain]).find(function (crossChainContract) {
      return crossChainContract.blockNumber <= block;
    });

    if (!mostRecentSpokePoolUpdateBeforeBlock) {
      throw new Error("No cross chain contract found before block " + block + " for chain " + chain);
    } else {
      return mostRecentSpokePoolUpdateBeforeBlock.spokePool;
    }
  };

  _proto.getSpokePoolActivationBlock = function getSpokePoolActivationBlock(chain, spokePool) {
    // Return first time that this spoke pool was registered in the HubPool as a cross chain contract. We can use
    // this block as the oldest block that we should query for SpokePoolClient purposes.
    var mostRecentSpokePoolUpdateBeforeBlock = this.crossChainContracts[chain].find(function (crossChainContract) {
      return crossChainContract.spokePool === spokePool;
    });
    return mostRecentSpokePoolUpdateBeforeBlock == null ? void 0 : mostRecentSpokePoolUpdateBeforeBlock.blockNumber;
  };

  _proto.getDestinationTokenForDeposit = function getDestinationTokenForDeposit(deposit) {
    var l1Token = this.getL1TokenForDeposit(deposit);
    var destinationToken = this.getDestinationTokenForL1Token(l1Token, deposit.destinationChainId);

    if (!destinationToken) {
      this.logger.error({
        at: "HubPoolClient",
        message: "No destination token found",
        deposit: deposit,
        notificationPath: "across-error"
      });
    }

    return destinationToken;
  };

  _proto.getL1TokensToDestinationTokens = function getL1TokensToDestinationTokens() {
    return this.l1TokensToDestinationTokens;
  };

  _proto.getL1TokenForDeposit = function getL1TokenForDeposit(deposit) {
    var _this2 = this;

    var l1Token = Object.keys(this.l1TokensToDestinationTokens).find(function (_l1Token) {
      return _this2.l1TokensToDestinationTokens[_l1Token][deposit.originChainId] === deposit.originToken;
    });

    if (!l1Token) {
      throw new Error("Could not find L1 Token for origin chain " + deposit.originChainId + " and origin token " + deposit.originToken + "!");
    }

    return l1Token;
  };

  _proto.getL1TokenCounterpartAtBlock = function getL1TokenCounterpartAtBlock(l2ChainId, l2Token, hubPoolBlock) {
    var _this3 = this;

    var l1Token = Object.keys(this.l1TokensToDestinationTokensWithBlock).find(function (_l1Token) {
      // If this token doesn't exist on this L2, return false.
      if (_this3.l1TokensToDestinationTokensWithBlock[_l1Token][l2ChainId] === undefined) {
        return false;
      } // Find the last mapping published before the target block.


      return sortEventsDescending(_this3.l1TokensToDestinationTokensWithBlock[_l1Token][l2ChainId]).find(function (mapping) {
        return mapping.l2Token === l2Token && mapping.blockNumber <= hubPoolBlock;
      });
    });

    if (!l1Token) {
      throw new Error("Could not find L1 token mapping for chain " + l2ChainId + " and L2 token " + l2Token + " equal to or earlier than block " + hubPoolBlock + "!");
    }

    return l1Token;
  };

  _proto.getDestinationTokenForL1Token = function getDestinationTokenForL1Token(l1Token, destinationChainId) {
    return this.l1TokensToDestinationTokens[l1Token][destinationChainId];
  };

  _proto.l2TokenEnabledForL1Token = function l2TokenEnabledForL1Token(l1Token, destinationChainId) {
    return this.l1TokensToDestinationTokens[l1Token][destinationChainId] != undefined;
  };

  _proto.getDestinationTokensToL1TokensForChainId = function getDestinationTokensToL1TokensForChainId(chainId) {
    var _this4 = this;

    return Object.fromEntries(this.l1Tokens.map(function (l1Token) {
      return [_this4.getDestinationTokenForL1Token(l1Token.address, chainId), l1Token];
    }).filter(function (entry) {
      return entry[0] !== undefined;
    }));
  };

  _proto.getBlockNumber = /*#__PURE__*/function () {
    var _getBlockNumber = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee(timestamp) {
      return runtime_1.wrap(function _callee$(_context) {
        while (1) {
          switch (_context.prev = _context.next) {
            case 0:
              _context.next = 2;
              return this.blockFinder.getBlockForTimestamp(timestamp);

            case 2:
              return _context.abrupt("return", _context.sent.number);

            case 3:
            case "end":
              return _context.stop();
          }
        }
      }, _callee, this);
    }));

    function getBlockNumber(_x) {
      return _getBlockNumber.apply(this, arguments);
    }

    return getBlockNumber;
  }();

  _proto.getCurrentPoolUtilization = /*#__PURE__*/function () {
    var _getCurrentPoolUtilization = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee2(l1Token) {
      return runtime_1.wrap(function _callee2$(_context2) {
        while (1) {
          switch (_context2.prev = _context2.next) {
            case 0:
              _context2.next = 2;
              return this.hubPool.callStatic.liquidityUtilizationCurrent(l1Token);

            case 2:
              return _context2.abrupt("return", _context2.sent);

            case 3:
            case "end":
              return _context2.stop();
          }
        }
      }, _callee2, this);
    }));

    function getCurrentPoolUtilization(_x2) {
      return _getCurrentPoolUtilization.apply(this, arguments);
    }

    return getCurrentPoolUtilization;
  }();

  _proto.getPostRelayPoolUtilization = /*#__PURE__*/function () {
    var _getPostRelayPoolUtilization = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee3(l1Token, quoteBlockNumber, relaySize) {
      var overrides, _yield$Promise$all, current, post;

      return runtime_1.wrap(function _callee3$(_context3) {
        while (1) {
          switch (_context3.prev = _context3.next) {
            case 0:
              overrides = {
                blockTag: quoteBlockNumber
              };
              _context3.next = 3;
              return Promise.all([this.hubPool.callStatic.liquidityUtilizationCurrent(l1Token, overrides), this.hubPool.callStatic.liquidityUtilizationPostRelay(l1Token, relaySize, overrides)]);

            case 3:
              _yield$Promise$all = _context3.sent;
              current = _yield$Promise$all[0];
              post = _yield$Promise$all[1];
              return _context3.abrupt("return", {
                current: current,
                post: post
              });

            case 7:
            case "end":
              return _context3.stop();
          }
        }
      }, _callee3, this);
    }));

    function getPostRelayPoolUtilization(_x3, _x4, _x5) {
      return _getPostRelayPoolUtilization.apply(this, arguments);
    }

    return getPostRelayPoolUtilization;
  }();

  _proto.getUtilization = /*#__PURE__*/function () {
    var _getUtilization = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee5(l1Token, blockNumber, amount, timestamp) {
      var _this5 = this;

      var resolver, cache, key, result, _result$split$map, current, post, _yield$resolver, _current, _post;

      return runtime_1.wrap(function _callee5$(_context5) {
        while (1) {
          switch (_context5.prev = _context5.next) {
            case 0:
              // Resolve this function call as an async anonymous function
              // This way, since we have to use this call several times, we
              // only need to invoke the shorter function name.
              resolver = /*#__PURE__*/function () {
                var _ref = _asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee4() {
                  return runtime_1.wrap(function _callee4$(_context4) {
                    while (1) {
                      switch (_context4.prev = _context4.next) {
                        case 0:
                          return _context4.abrupt("return", _this5.getPostRelayPoolUtilization(l1Token, blockNumber, amount));

                        case 1:
                        case "end":
                          return _context4.stop();
                      }
                    }
                  }, _callee4);
                }));

                return function resolver() {
                  return _ref.apply(this, arguments);
                };
              }(); // Resolve the cache locally so that we can appease typescript


              cache = this.cachingMechanism; // If there is no cache, just resolve the function

              if (cache) {
                _context5.next = 4;
                break;
              }

              return _context5.abrupt("return", resolver());

            case 4:
              // Otherwise, let's resolve the key
              key = "utilization_" + l1Token + "_" + blockNumber + "_" + amount.toString(); // Resolve the key from the cache

              _context5.next = 7;
              return cache.get(key);

            case 7:
              result = _context5.sent;

              if (!isDefined(result)) {
                _context5.next = 13;
                break;
              }

              _result$split$map = result.split(",").map(ethers.BigNumber.from), current = _result$split$map[0], post = _result$split$map[1];
              return _context5.abrupt("return", {
                current: current,
                post: post
              });

            case 13:
              _context5.next = 15;
              return resolver();

            case 15:
              _yield$resolver = _context5.sent;
              _current = _yield$resolver.current;
              _post = _yield$resolver.post;

              if (!shouldCache(getCurrentTime(), timestamp, 60 * 60 * 24)) {
                _context5.next = 21;
                break;
              }

              _context5.next = 21;
              return cache.set(key, _current.toString() + "," + _post.toString(), DEFAULT_CACHING_TTL);

            case 21:
              return _context5.abrupt("return", {
                current: _current,
                post: _post
              });

            case 22:
            case "end":
              return _context5.stop();
          }
        }
      }, _callee5, this);
    }));

    function getUtilization(_x6, _x7, _x8, _x9) {
      return _getUtilization.apply(this, arguments);
    }

    return getUtilization;
  }();

  _proto.computeRealizedLpFeePct = /*#__PURE__*/function () {
    var _computeRealizedLpFeePct = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee6(deposit, l1Token) {
      var quoteBlock, rateModel, _yield$this$getUtiliz, current, post, realizedLpFeePct;

      return runtime_1.wrap(function _callee6$(_context6) {
        while (1) {
          switch (_context6.prev = _context6.next) {
            case 0:
              if (isDefined(this.currentTime)) {
                _context6.next = 2;
                break;
              }

              throw new Error("HubPoolClient has not set a currentTime");

            case 2:
              _context6.next = 4;
              return this.getBlockNumber(deposit.quoteTimestamp);

            case 4:
              quoteBlock = _context6.sent;

              if (isDefined(quoteBlock)) {
                _context6.next = 7;
                break;
              }

              throw new Error("Could not find block for timestamp " + deposit.quoteTimestamp);

            case 7:
              if (!isUBAActivatedAtBlock(this, deposit.blockNumber, deposit.originChainId)) {
                _context6.next = 9;
                break;
              }

              return _context6.abrupt("return", {
                realizedLpFeePct: undefined,
                quoteBlock: quoteBlock
              });

            case 9:
              // Otherwise, use the legacy fee model which is based ont he deposit quote block.
              rateModel = this.configStoreClient.getRateModelForBlockNumber(l1Token, deposit.originChainId, deposit.destinationChainId, quoteBlock);
              _context6.next = 12;
              return this.getUtilization(l1Token, quoteBlock, deposit.amount, deposit.quoteTimestamp);

            case 12:
              _yield$this$getUtiliz = _context6.sent;
              current = _yield$this$getUtiliz.current;
              post = _yield$this$getUtiliz.post;
              realizedLpFeePct = calculateRealizedLpFeePct(rateModel, current, post);
              return _context6.abrupt("return", {
                realizedLpFeePct: realizedLpFeePct,
                quoteBlock: quoteBlock
              });

            case 17:
            case "end":
              return _context6.stop();
          }
        }
      }, _callee6, this);
    }));

    function computeRealizedLpFeePct(_x10, _x11) {
      return _computeRealizedLpFeePct.apply(this, arguments);
    }

    return computeRealizedLpFeePct;
  }();

  _proto.getL1Tokens = function getL1Tokens() {
    return this.l1Tokens;
  };

  _proto.getTokenInfoForL1Token = function getTokenInfoForL1Token(l1Token) {
    return this.l1Tokens.find(function (token) {
      return token.address === l1Token;
    });
  };

  _proto.getLpTokenInfoForL1Token = function getLpTokenInfoForL1Token(l1Token) {
    return this.lpTokens[l1Token];
  };

  _proto.getL1TokenInfoForL2Token = function getL1TokenInfoForL2Token(l2Token, chainId) {
    var l1TokenCounterpart = this.getL1TokenCounterpartAtBlock(chainId, l2Token, this.latestBlockNumber || 0);
    return this.getTokenInfoForL1Token(l1TokenCounterpart);
  };

  _proto.getTokenInfoForDeposit = function getTokenInfoForDeposit(deposit) {
    return this.getTokenInfoForL1Token(this.getL1TokenForDeposit(deposit));
  };

  _proto.getTokenInfo = function getTokenInfo(chainId, tokenAddress) {
    var deposit = {
      originChainId: parseInt(chainId.toString()),
      originToken: tokenAddress
    };
    return this.getTokenInfoForDeposit(deposit);
  };

  _proto.getSpokeActivationBlockForChain = function getSpokeActivationBlockForChain(chainId) {
    var _this$getSpokePoolAct;

    return (_this$getSpokePoolAct = this.getSpokePoolActivationBlock(chainId, this.getSpokePoolForBlock(chainId))) != null ? _this$getSpokePoolAct : 0;
  } // Root bundles are valid if all of their pool rebalance leaves have been executed before the next bundle, or the
  // latest mainnet block to search. Whichever comes first.
  ;

  _proto.isRootBundleValid = function isRootBundleValid(rootBundle, latestMainnetBlock) {
    var nextRootBundle = this.getFollowingRootBundle(rootBundle);
    var executedLeafCount = this.getExecutedLeavesForRootBundle(rootBundle, nextRootBundle ? Math.min(nextRootBundle.blockNumber, latestMainnetBlock) : latestMainnetBlock);
    return executedLeafCount.length === rootBundle.poolRebalanceLeafCount;
  } // This should find the ProposeRootBundle event whose bundle block number for `chain` is closest to the `block`
  // without being smaller. It returns the bundle block number for the chain or undefined if not matched.
  ;

  _proto.getRootBundleEvalBlockNumberContainingBlock = function getRootBundleEvalBlockNumberContainingBlock(latestMainnetBlock, block, chain, chainIdListOverride) {
    var chainIdList = chainIdListOverride != null ? chainIdListOverride : this.configStoreClient.getChainIdIndicesForBlock(latestMainnetBlock);
    var endingBlockNumber; // Search proposed root bundles in reverse chronological order.

    for (var i = this.proposedRootBundles.length - 1; i >= 0; i--) {
      var rootBundle = this.proposedRootBundles[i];
      var nextRootBundle = this.getFollowingRootBundle(rootBundle);

      if (!this.isRootBundleValid(rootBundle, nextRootBundle ? nextRootBundle.blockNumber : latestMainnetBlock)) {
        continue;
      } // 0 is the default value bundleEvalBlockNumber.


      var bundleEvalBlockNumber = this.getBundleEndBlockForChain(rootBundle, chain, chainIdList); // Since we're iterating from newest to oldest, bundleEvalBlockNumber is only decreasing, and if the
      // bundleEvalBlockNumber is smaller than the target block, then we should return the last set `endingBlockNumber`.

      if (bundleEvalBlockNumber <= block) {
        if (bundleEvalBlockNumber === block) {
          endingBlockNumber = bundleEvalBlockNumber;
        }

        break;
      }

      endingBlockNumber = bundleEvalBlockNumber;
    }

    return endingBlockNumber;
  } // TODO: This might not be necessary since the cumulative root bundle count doesn't grow fast enough, but consider
  // using _.findLast/_.find instead of resorting the arrays if these functions begin to take a lot time.
  ;

  _proto.getProposedRootBundlesInBlockRange = function getProposedRootBundlesInBlockRange(startingBlock, endingBlock) {
    return this.proposedRootBundles.filter(function (bundle) {
      return bundle.blockNumber >= startingBlock && bundle.blockNumber <= endingBlock;
    });
  };

  _proto.getCancelledRootBundlesInBlockRange = function getCancelledRootBundlesInBlockRange(startingBlock, endingBlock) {
    return sortEventsDescending(this.canceledRootBundles).filter(function (bundle) {
      return bundle.blockNumber >= startingBlock && bundle.blockNumber <= endingBlock;
    });
  };

  _proto.getDisputedRootBundlesInBlockRange = function getDisputedRootBundlesInBlockRange(startingBlock, endingBlock) {
    return sortEventsDescending(this.disputedRootBundles).filter(function (bundle) {
      return bundle.blockNumber >= startingBlock && bundle.blockNumber <= endingBlock;
    });
  };

  _proto.getLatestProposedRootBundle = function getLatestProposedRootBundle() {
    return this.proposedRootBundles[this.proposedRootBundles.length - 1];
  };

  _proto.getFollowingRootBundle = function getFollowingRootBundle(currentRootBundle) {
    var index = ___default.findLastIndex(this.proposedRootBundles, function (bundle) {
      return bundle.blockNumber === currentRootBundle.blockNumber;
    }); // If index of current root bundle is not found or is the last bundle, return undefined.


    if (index === -1 || index === this.proposedRootBundles.length - 1) {
      return undefined;
    }

    return this.proposedRootBundles[index + 1];
  };

  _proto.getExecutedLeavesForRootBundle = function getExecutedLeavesForRootBundle(rootBundle, latestMainnetBlockToSearch) {
    return this.executedRootBundles.filter(function (executedLeaf) {
      return executedLeaf.blockNumber <= latestMainnetBlockToSearch && // Note: We can use > instead of >= here because a leaf can never be executed in same block as its root
      // proposal due to bundle liveness enforced by HubPool. This importantly avoids the edge case
      // where the execution all leaves occurs in the same block as the next proposal, leading us to think
      // that the next proposal is fully executed when its not.
      executedLeaf.blockNumber > rootBundle.blockNumber;
    });
  };

  _proto.getValidatedRootBundles = function getValidatedRootBundles(latestMainnetBlock) {
    var _this6 = this;

    if (latestMainnetBlock === void 0) {
      latestMainnetBlock = Number.MAX_SAFE_INTEGER;
    }

    return this.proposedRootBundles.filter(function (rootBundle) {
      if (rootBundle.blockNumber > latestMainnetBlock) {
        return false;
      }

      return _this6.isRootBundleValid(rootBundle, latestMainnetBlock);
    });
  };

  _proto.getLatestFullyExecutedRootBundle = function getLatestFullyExecutedRootBundle(latestMainnetBlock) {
    var _this7 = this;

    // Search for latest ProposeRootBundleExecuted event followed by all of its RootBundleExecuted event suggesting
    // that all pool rebalance leaves were executed. This ignores any proposed bundles that were partially executed.
    return ___default.findLast(this.proposedRootBundles, function (rootBundle) {
      if (rootBundle.blockNumber > latestMainnetBlock) {
        return false;
      }

      return _this7.isRootBundleValid(rootBundle, latestMainnetBlock);
    });
  };

  _proto.getEarliestFullyExecutedRootBundle = function getEarliestFullyExecutedRootBundle(latestMainnetBlock, startBlock) {
    var _this8 = this;

    if (startBlock === void 0) {
      startBlock = 0;
    }

    return this.proposedRootBundles.find(function (rootBundle) {
      if (rootBundle.blockNumber > latestMainnetBlock) {
        return false;
      }

      if (rootBundle.blockNumber < startBlock) {
        return false;
      }

      return _this8.isRootBundleValid(rootBundle, latestMainnetBlock);
    });
  } // If n is negative, then return the Nth latest executed bundle, otherwise return the Nth earliest
  // executed bundle. Latest means most recent, earliest means oldest. N cannot be 0.
  // `startBlock` can be used to set the starting point from which we look forwards or backwards, depending
  // on whether n is positive or negative.
  ;

  _proto.getNthFullyExecutedRootBundle = function getNthFullyExecutedRootBundle(n, startBlock) {
    if (n === 0) {
      throw new Error("n cannot be 0");
    }

    if (!this.latestBlockNumber) {
      throw new Error("HubPoolClient::getNthFullyExecutedRootBundle client not updated");
    }

    var bundleToReturn; // If n is negative, then return the Nth latest executed bundle, otherwise return the Nth earliest
    // executed bundle.

    if (n < 0) {
      var nextLatestMainnetBlock = startBlock != null ? startBlock : this.latestBlockNumber;

      for (var i = 0; i < Math.abs(n); i++) {
        bundleToReturn = this.getLatestFullyExecutedRootBundle(nextLatestMainnetBlock);
        var bundleBlockNumber = bundleToReturn ? bundleToReturn.blockNumber : 0; // Subtract 1 so that next `getLatestFullyExecutedRootBundle` call filters out the root bundle we just found
        // because its block number is > nextLatestMainnetBlock.

        nextLatestMainnetBlock = Math.max(0, bundleBlockNumber - 1);
      }
    } else {
      var nextStartBlock = startBlock != null ? startBlock : 0;

      for (var _i = 0; _i < n; _i++) {
        bundleToReturn = this.getEarliestFullyExecutedRootBundle(this.latestBlockNumber, nextStartBlock);

        var _bundleBlockNumber = bundleToReturn ? bundleToReturn.blockNumber : 0; // Add 1 so that next `getEarliestFullyExecutedRootBundle` call filters out the root bundle we just found
        // because its block number is < nextStartBlock.


        nextStartBlock = Math.min(_bundleBlockNumber + 1, this.latestBlockNumber);
      }
    }

    return bundleToReturn;
  };

  _proto.getLatestBundleEndBlockForChain = function getLatestBundleEndBlockForChain(chainIdList, latestMainnetBlock, chainId) {
    var latestFullyExecutedPoolRebalanceRoot = this.getLatestFullyExecutedRootBundle(latestMainnetBlock); // If no event, then we can return a conservative default starting block like 0,
    // or we could throw an Error.

    if (!latestFullyExecutedPoolRebalanceRoot) {
      return 0;
    } // Once this proposal event is found, determine its mapping of indices to chainId in its
    // bundleEvaluationBlockNumbers array using CHAIN_ID_LIST. For each chainId, their starting block number is that
    // chain's bundleEvaluationBlockNumber + 1 in this past proposal event.


    return this.getBundleEndBlockForChain(latestFullyExecutedPoolRebalanceRoot, chainId, chainIdList);
  };

  _proto.getNextBundleStartBlockNumber = function getNextBundleStartBlockNumber(chainIdList, latestMainnetBlock, chainId) {
    var endBlock = this.getLatestBundleEndBlockForChain(chainIdList, latestMainnetBlock, chainId); // This assumes that chain ID's are only added to the chain ID list over time, and that chains are never
    // deleted.

    return endBlock > 0 ? endBlock + 1 : 0;
  };

  _proto.getRunningBalanceBeforeBlockForChain = function getRunningBalanceBeforeBlockForChain(block, chain, l1Token) {
    // Search ExecutedRootBundles in descending block order to find the most recent event before the target block.
    var executedRootBundle = sortEventsDescending(this.executedRootBundles).find(function (executedLeaf) {
      return executedLeaf.blockNumber <= block && executedLeaf.chainId === chain && executedLeaf.l1Tokens.map(function (l1Token) {
        return l1Token.toLowerCase();
      }).includes(l1Token.toLowerCase());
    });
    return this.getRunningBalanceForToken(l1Token, executedRootBundle);
  };

  _proto.getRunningBalanceForToken = function getRunningBalanceForToken(l1Token, executedRootBundle) {
    var runningBalance = toBN(0);
    var incentiveBalance = toBN(0);

    if (executedRootBundle) {
      var indexOfL1Token = executedRootBundle.l1Tokens.map(function (l1Token) {
        return l1Token.toLowerCase();
      }).indexOf(l1Token.toLowerCase());
      runningBalance = executedRootBundle.runningBalances[indexOfL1Token];
      incentiveBalance = executedRootBundle.incentiveBalances[indexOfL1Token];
    }

    return {
      runningBalance: runningBalance,
      incentiveBalance: incentiveBalance
    };
  };

  _proto._update = /*#__PURE__*/function () {
    var _update2 = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee7(eventNames) {
      var _this9 = this;

      var latestBlockNumber, hubPoolEvents, searchConfig, timerStart, _yield$Promise$all2, currentTime, pendingRootBundleProposal, events, _events;

      return runtime_1.wrap(function _callee7$(_context7) {
        while (1) {
          switch (_context7.prev = _context7.next) {
            case 0:
              _context7.next = 2;
              return this.hubPool.provider.getBlockNumber();

            case 2:
              latestBlockNumber = _context7.sent;
              hubPoolEvents = this.hubPoolEventFilters();
              searchConfig = {
                fromBlock: this.firstBlockToSearch,
                toBlock: this.eventSearchConfig.toBlock || latestBlockNumber,
                maxBlockLookBack: this.eventSearchConfig.maxBlockLookBack
              };

              if (!(searchConfig.fromBlock > searchConfig.toBlock)) {
                _context7.next = 8;
                break;
              }

              this.logger.warn({
                at: "HubPoolClient#_update",
                message: "Invalid update() searchConfig.",
                searchConfig: searchConfig
              });
              return _context7.abrupt("return", {
                success: false
              });

            case 8:
              this.logger.debug({
                at: "HubPoolClient",
                message: "Updating HubPool client",
                searchConfig: searchConfig,
                eventNames: eventNames
              });
              timerStart = Date.now();
              _context7.next = 12;
              return Promise.all([this.hubPool.getCurrentTime({
                blockTag: searchConfig.toBlock
              }), this.hubPool.rootBundleProposal({
                blockTag: searchConfig.toBlock
              })].concat(eventNames.map(function (eventName) {
                return paginatedEventQuery(_this9.hubPool, hubPoolEvents[eventName], searchConfig);
              })));

            case 12:
              _yield$Promise$all2 = _context7.sent;
              currentTime = _yield$Promise$all2[0];
              pendingRootBundleProposal = _yield$Promise$all2[1];
              events = _yield$Promise$all2.slice(2);
              this.logger.debug({
                at: "HubPoolClient#_update",
                message: "Time to query new events from RPC for " + this.chainId + ": " + (Date.now() - timerStart) + " ms"
              });
              _events = Object.fromEntries(eventNames.map(function (eventName, idx) {
                return [eventName, events[idx]];
              }));
              return _context7.abrupt("return", {
                success: true,
                currentTime: currentTime,
                latestBlockNumber: latestBlockNumber,
                pendingRootBundleProposal: pendingRootBundleProposal,
                searchEndBlock: searchConfig.toBlock,
                events: _events
              });

            case 19:
            case "end":
              return _context7.stop();
          }
        }
      }, _callee7, this);
    }));

    function _update(_x12) {
      return _update2.apply(this, arguments);
    }

    return _update;
  }();

  _proto.update = /*#__PURE__*/function () {
    var _update3 = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee9(eventsToQuery) {
      var _eventsToQuery,
          _this10 = this,
          _this$proposedRootBun,
          _this$canceledRootBun,
          _this$disputedRootBun;

      var update, events, currentTime, latestBlockNumber, pendingRootBundleProposal, _iterator, _step, event, args, _iterator2, _step2, _event, _args9, uniqueL1Tokens, _yield$Promise$all3, tokenInfo, lpTokenInfo, _loop, _iterator3, _step3, _iterator4, _step4, _event2, executedRootBundle, l1Tokens, runningBalances, nTokens, mostRecentProposedRootBundle;

      return runtime_1.wrap(function _callee9$(_context9) {
        while (1) {
          switch (_context9.prev = _context9.next) {
            case 0:
              if (this.configStoreClient.isUpdated) {
                _context9.next = 2;
                break;
              }

              throw new Error("ConfigStoreClient not updated");

            case 2:
              eventsToQuery = (_eventsToQuery = eventsToQuery) != null ? _eventsToQuery : Object.keys(this.hubPoolEventFilters()); // Query all events by default.

              _context9.next = 5;
              return this._update(eventsToQuery);

            case 5:
              update = _context9.sent;

              if (update.success) {
                _context9.next = 8;
                break;
              }

              return _context9.abrupt("return");

            case 8:
              events = update.events, currentTime = update.currentTime, latestBlockNumber = update.latestBlockNumber, pendingRootBundleProposal = update.pendingRootBundleProposal;

              for (_iterator = _createForOfIteratorHelperLoose(events["CrossChainContractsSet"]); !(_step = _iterator()).done;) {
                event = _step.value;
                args = spreadEventWithBlockNumber(event);
                assign(this.crossChainContracts, [args.l2ChainId], [{
                  spokePool: args.spokePool,
                  blockNumber: args.blockNumber,
                  transactionIndex: args.transactionIndex,
                  logIndex: args.logIndex
                }]);
              }

              for (_iterator2 = _createForOfIteratorHelperLoose(events["SetPoolRebalanceRoute"]); !(_step2 = _iterator2()).done;) {
                _event = _step2.value;
                _args9 = spreadEventWithBlockNumber(_event);
                assign(this.l1TokensToDestinationTokens, [_args9.l1Token, _args9.destinationChainId], _args9.destinationToken);
                assign(this.l1TokensToDestinationTokensWithBlock, [_args9.l1Token, _args9.destinationChainId], [{
                  l2Token: _args9.destinationToken,
                  blockNumber: _args9.blockNumber,
                  transactionIndex: _args9.transactionIndex,
                  logIndex: _args9.logIndex
                }]);
              } // For each enabled Lp token fetch the token symbol and decimals from the token contract. Note this logic will
              // only run iff a new token has been enabled. Will only append iff the info is not there already.
              // Filter out any duplicate addresses. This might happen due to enabling, disabling and re-enabling a token.


              uniqueL1Tokens = [].concat(Array.from(new Set(events["L1TokenEnabledForLiquidityProvision"].map(function (event) {
                return spreadEvent(event.args).l1Token;
              }))));
              _context9.next = 14;
              return Promise.all([Promise.all(uniqueL1Tokens.map(function (l1Token) {
                return fetchTokenInfo(l1Token, _this10.hubPool.provider);
              })), Promise.all(uniqueL1Tokens.map( /*#__PURE__*/function () {
                var _ref2 = _asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee8(l1Token) {
                  return runtime_1.wrap(function _callee8$(_context8) {
                    while (1) {
                      switch (_context8.prev = _context8.next) {
                        case 0:
                          _context8.next = 2;
                          return _this10.hubPool.pooledTokens(l1Token, {
                            blockTag: update.searchEndBlock
                          });

                        case 2:
                          return _context8.abrupt("return", _context8.sent);

                        case 3:
                        case "end":
                          return _context8.stop();
                      }
                    }
                  }, _callee8);
                }));

                return function (_x14) {
                  return _ref2.apply(this, arguments);
                };
              }()))]);

            case 14:
              _yield$Promise$all3 = _context9.sent;
              tokenInfo = _yield$Promise$all3[0];
              lpTokenInfo = _yield$Promise$all3[1];

              _loop = function _loop() {
                var info = _step3.value;

                if (!_this10.l1Tokens.find(function (token) {
                  return token.symbol === info.symbol;
                })) {
                  if (info.decimals > 0 && info.decimals <= 18) {
                    _this10.l1Tokens.push(info);
                  } else {
                    throw new Error("Unsupported HubPool token: " + JSON.stringify(info));
                  }
                }
              };

              for (_iterator3 = _createForOfIteratorHelperLoose(tokenInfo); !(_step3 = _iterator3()).done;) {
                _loop();
              }

              uniqueL1Tokens.forEach(function (token, i) {
                _this10.lpTokens[token] = {
                  lastLpFeeUpdate: lpTokenInfo[i].lastLpFeeUpdate
                };
              });

              (_this$proposedRootBun = this.proposedRootBundles).push.apply(_this$proposedRootBun, events["ProposeRootBundle"].filter(function (event) {
                return !_this10.configOverride.ignoredHubProposedBundles.includes(event.blockNumber);
              }).map(function (event) {
                return _extends({}, spreadEventWithBlockNumber(event), {
                  transactionHash: event.transactionHash
                });
              }));

              (_this$canceledRootBun = this.canceledRootBundles).push.apply(_this$canceledRootBun, events["RootBundleCanceled"].map(function (event) {
                return spreadEventWithBlockNumber(event);
              }));

              (_this$disputedRootBun = this.disputedRootBundles).push.apply(_this$disputedRootBun, events["RootBundleDisputed"].map(function (event) {
                return spreadEventWithBlockNumber(event);
              }));

              _iterator4 = _createForOfIteratorHelperLoose(events["RootBundleExecuted"]);

            case 24:
              if ((_step4 = _iterator4()).done) {
                _context9.next = 38;
                break;
              }

              _event2 = _step4.value;

              if (!this.configOverride.ignoredHubExecutedBundles.includes(_event2.blockNumber)) {
                _context9.next = 28;
                break;
              }

              return _context9.abrupt("continue", 36);

            case 28:
              // Set running balances and incentive balances for this bundle.
              // Pre-UBA: runningBalances length is 1:1 with l1Tokens length. Pad incentiveBalances with zeroes.
              // Post-UBA: runningBalances array is a concatenation of pre-UBA runningBalances and incentiveBalances.
              executedRootBundle = spreadEventWithBlockNumber(_event2);
              l1Tokens = executedRootBundle.l1Tokens, runningBalances = executedRootBundle.runningBalances;
              nTokens = l1Tokens.length; // Safeguard

              if ([nTokens, nTokens * 2].includes(runningBalances.length)) {
                _context9.next = 33;
                break;
              }

              throw new Error("Invalid runningBalances length: " + runningBalances.length + ". Expected " + nTokens + " or " + nTokens * 2 + " for chain " + this.chainId + " transaction " + _event2.transactionHash);

            case 33:
              executedRootBundle.runningBalances = runningBalances.slice(0, nTokens);
              executedRootBundle.incentiveBalances = runningBalances.length > nTokens ? runningBalances.slice(nTokens) : runningBalances.map(function () {
                return toBN(0);
              });
              this.executedRootBundles.push(executedRootBundle);

            case 36:
              _context9.next = 24;
              break;

            case 38:
              // If the contract's current rootBundleProposal() value has an unclaimedPoolRebalanceLeafCount > 0, then
              // it means that either the root bundle proposal is in the challenge period and can be disputed, or it has
              // passed the challenge period and pool rebalance leaves can be executed. Once all leaves are executed, the
              // unclaimed count will drop to 0 and at that point there is nothing more that we can do with this root bundle
              // besides proposing another one.
              if (pendingRootBundleProposal.unclaimedPoolRebalanceLeafCount > 0) {
                mostRecentProposedRootBundle = this.proposedRootBundles[this.proposedRootBundles.length - 1];
                this.pendingRootBundle = {
                  poolRebalanceRoot: pendingRootBundleProposal.poolRebalanceRoot,
                  relayerRefundRoot: pendingRootBundleProposal.relayerRefundRoot,
                  slowRelayRoot: pendingRootBundleProposal.slowRelayRoot,
                  proposer: pendingRootBundleProposal.proposer,
                  unclaimedPoolRebalanceLeafCount: pendingRootBundleProposal.unclaimedPoolRebalanceLeafCount,
                  challengePeriodEndTimestamp: pendingRootBundleProposal.challengePeriodEndTimestamp,
                  bundleEvaluationBlockNumbers: mostRecentProposedRootBundle.bundleEvaluationBlockNumbers.map(function (block) {
                    // Ideally, the HubPool.sol contract should limit the size of the elements within the
                    // bundleEvaluationBlockNumbers array. But because it doesn't, we wrap the cast of BN --> Number
                    // in a try/catch statement and return some value that would always be disputable.
                    // This catches the denial of service attack vector where a malicious proposer proposes with bundle block
                    // evaluation block numbers larger than what BigNumber::toNumber() can handle.
                    try {
                      return block.toNumber();
                    } catch (_unused) {
                      return 0;
                    }
                  }),
                  proposalBlockNumber: mostRecentProposedRootBundle.blockNumber
                };
              } else {
                this.pendingRootBundle = undefined;
              }

              this.currentTime = currentTime;
              this.latestBlockNumber = latestBlockNumber;
              this.firstBlockToSearch = update.searchEndBlock + 1; // Next iteration should start off from where this one ended.

              this.isUpdated = true;
              this.logger.debug({
                at: "HubPoolClient::update",
                message: "HubPool client updated!",
                endBlock: latestBlockNumber
              });

            case 44:
            case "end":
              return _context9.stop();
          }
        }
      }, _callee9, this);
    }));

    function update(_x13) {
      return _update3.apply(this, arguments);
    }

    return update;
  }() // Returns end block for `chainId` in ProposedRootBundle.bundleBlockEvalNumbers. Looks up chainId
  // in chainId list, gets the index where its located, and returns the value of the index in
  // bundleBlockEvalNumbers. Returns 0 if `chainId` can't be found in `chainIdList` and if index doesn't
  // exist in bundleBlockEvalNumbers.
  ;

  _proto.getBundleEndBlockForChain = function getBundleEndBlockForChain(proposeRootBundleEvent, chainId, chainIdList) {
    var bundleEvaluationBlockNumbers = proposeRootBundleEvent.bundleEvaluationBlockNumbers;
    var chainIdIndex = chainIdList.indexOf(chainId);

    if (chainIdIndex === -1) {
      return 0;
    } // Sometimes, the root bundle event's chain ID list will update from bundle to bundle, so we need to check that
    // the bundle evaluation block number list is long enough to contain this index. We assume that chain ID's
    // are only added to the bundle block list, never deleted.


    if (chainIdIndex >= bundleEvaluationBlockNumbers.length) {
      return 0;
    }

    return bundleEvaluationBlockNumbers[chainIdIndex].toNumber();
  };

  _proto.updateFromJSON = function updateFromJSON(hubPoolClientState) {
    var keysToUpdate = Object.keys(hubPoolClientState);
    this.logger.debug({
      at: "HubPoolClient",
      message: "Updating HubPool client from JSON",
      keys: keysToUpdate
    });

    if (keysToUpdate.length === 0) {
      return;
    }

    if (!this.configStoreClient.isUpdated) {
      throw new Error("ConfigStoreClient not updated");
    }

    var _hubPoolClientState$l = hubPoolClientState.l1TokensToDestinationTokens,
        l1TokensToDestinationTokens = _hubPoolClientState$l === void 0 ? this.l1TokensToDestinationTokens : _hubPoolClientState$l,
        _hubPoolClientState$l2 = hubPoolClientState.l1Tokens,
        l1Tokens = _hubPoolClientState$l2 === void 0 ? this.l1Tokens : _hubPoolClientState$l2,
        _hubPoolClientState$l3 = hubPoolClientState.lpTokens,
        lpTokens = _hubPoolClientState$l3 === void 0 ? this.lpTokens : _hubPoolClientState$l3,
        _hubPoolClientState$c = hubPoolClientState.canceledRootBundles,
        canceledRootBundles = _hubPoolClientState$c === void 0 ? this.canceledRootBundles : _hubPoolClientState$c,
        _hubPoolClientState$d = hubPoolClientState.disputedRootBundles,
        disputedRootBundles = _hubPoolClientState$d === void 0 ? this.disputedRootBundles : _hubPoolClientState$d,
        _hubPoolClientState$p = hubPoolClientState.pendingRootBundle,
        pendingRootBundle = _hubPoolClientState$p === void 0 ? this.pendingRootBundle : _hubPoolClientState$p,
        _hubPoolClientState$c2 = hubPoolClientState.crossChainContracts,
        crossChainContracts = _hubPoolClientState$c2 === void 0 ? this.crossChainContracts : _hubPoolClientState$c2,
        _hubPoolClientState$l4 = hubPoolClientState.l1TokensToDestinationTokensWithBlock,
        l1TokensToDestinationTokensWithBlock = _hubPoolClientState$l4 === void 0 ? this.l1TokensToDestinationTokensWithBlock : _hubPoolClientState$l4,
        _hubPoolClientState$f = hubPoolClientState.firstBlockToSearch,
        firstBlockToSearch = _hubPoolClientState$f === void 0 ? this.firstBlockToSearch : _hubPoolClientState$f,
        _hubPoolClientState$l5 = hubPoolClientState.latestBlockNumber,
        latestBlockNumber = _hubPoolClientState$l5 === void 0 ? this.latestBlockNumber : _hubPoolClientState$l5,
        _hubPoolClientState$c3 = hubPoolClientState.currentTime,
        currentTime = _hubPoolClientState$c3 === void 0 ? this.currentTime : _hubPoolClientState$c3,
        proposedRootBundles = hubPoolClientState.proposedRootBundles,
        executedRootBundles = hubPoolClientState.executedRootBundles;
    this.l1TokensToDestinationTokens = l1TokensToDestinationTokens;
    this.l1Tokens = l1Tokens;
    this.lpTokens = lpTokens;
    this.proposedRootBundles = proposedRootBundles ? proposedRootBundles.map(function (bundle) {
      return _extends({}, bundle, {
        bundleEvaluationBlockNumbers: bundle.bundleEvaluationBlockNumbers.map(function (block) {
          return ethers.BigNumber.from(block);
        })
      });
    }) : this.proposedRootBundles;
    this.canceledRootBundles = canceledRootBundles;
    this.disputedRootBundles = disputedRootBundles;
    this.executedRootBundles = executedRootBundles ? executedRootBundles.map(function (bundle) {
      return _extends({}, bundle, {
        bundleLpFees: bundle.bundleLpFees.map(function (fee) {
          return ethers.BigNumber.from(fee);
        }),
        netSendAmounts: bundle.netSendAmounts.map(function (amount) {
          return ethers.BigNumber.from(amount);
        }),
        runningBalances: bundle.runningBalances.map(function (balance) {
          return ethers.BigNumber.from(balance);
        }),
        incentiveBalances: bundle.incentiveBalances.map(function (balance) {
          return ethers.BigNumber.from(balance);
        })
      });
    }) : this.executedRootBundles;
    this.pendingRootBundle = pendingRootBundle;
    this.crossChainContracts = crossChainContracts;
    this.l1TokensToDestinationTokensWithBlock = l1TokensToDestinationTokensWithBlock;
    this.firstBlockToSearch = firstBlockToSearch;
    this.latestBlockNumber = latestBlockNumber;
    this.currentTime = currentTime;
    this.isUpdated = true;
  };

  _proto.toJSON = function toJSON() {
    return {
      deploymentBlock: this.deploymentBlock,
      chainId: this.chainId,
      eventSearchConfig: this.eventSearchConfig,
      configOverride: this.configOverride,
      firstBlockToSearch: this.firstBlockToSearch,
      latestBlockNumber: this.latestBlockNumber,
      currentTime: this.currentTime,
      l1TokensToDestinationTokens: this.l1TokensToDestinationTokens,
      l1Tokens: this.l1Tokens,
      lpTokens: this.lpTokens,
      proposedRootBundles: this.proposedRootBundles.map(function (bundle) {
        return JSON.parse(stringifyJSONWithNumericString(bundle));
      }),
      canceledRootBundles: this.canceledRootBundles,
      disputedRootBundles: this.disputedRootBundles,
      executedRootBundles: this.executedRootBundles.map(function (bundle) {
        return JSON.parse(stringifyJSONWithNumericString(bundle));
      }),
      pendingRootBundle: this.pendingRootBundle,
      crossChainContracts: this.crossChainContracts,
      l1TokensToDestinationTokensWithBlock: this.l1TokensToDestinationTokensWithBlock
    };
  };

  return HubPoolClient;
}(BaseAbstractClient);

/**
 * SpokePoolClient is a client for the SpokePool contract. It is responsible for querying the SpokePool contract
 * for events and storing them in memory. It also provides some convenience methods for querying the stored events.
 */

var SpokePoolClient = /*#__PURE__*/function (_BaseAbstractClient) {
  _inheritsLoose(SpokePoolClient, _BaseAbstractClient);

  /**
   * Creates a new SpokePoolClient.
   * @param logger A logger instance.
   * @param spokePool The SpokePool contract instance that this client will query.
   * @param hubPoolClient An optional HubPoolClient instance. This is used to fetch spoke data that is not stored on the SpokePool contract but is stored on the HubPool contract.
   * @param chainId The chain ID of the chain that this client is querying.
   * @param deploymentBlock The block number that the SpokePool contract was deployed at.
   * @param eventSearchConfig An optional EventSearchConfig object that controls how far back in history the client will search for events. If not provided, the client will only search for events from the deployment block.
   */
  function SpokePoolClient(logger, spokePool, // Can be excluded. This disables some deposit validation.
  hubPoolClient, chainId, deploymentBlock, eventSearchConfig) {
    var _this;

    if (eventSearchConfig === void 0) {
      eventSearchConfig = {
        fromBlock: 0,
        maxBlockLookBack: 0
      };
    }

    _this = _BaseAbstractClient.call(this) || this;
    _this.logger = logger;
    _this.spokePool = spokePool;
    _this.hubPoolClient = hubPoolClient;
    _this.chainId = chainId;
    _this.deploymentBlock = deploymentBlock;
    _this.eventSearchConfig = eventSearchConfig;
    _this.currentTime = 0;
    _this.depositHashes = {};
    _this.depositHashesToFills = {};
    _this.speedUps = {};
    _this.depositRoutes = {};
    _this.tokensBridged = [];
    _this.rootBundleRelays = [];
    _this.relayerRefundExecutions = [];
    _this.earlyDeposits = [];
    _this.queryableEventNames = [];
    _this.earliestDepositIdQueried = Number.MAX_SAFE_INTEGER;
    _this.latestDepositIdQueried = 0;
    _this.firstDepositIdForSpokePool = Number.MAX_SAFE_INTEGER;
    _this.lastDepositIdForSpokePool = Number.MAX_SAFE_INTEGER;
    _this.latestBlockNumber = 0;
    _this.fills = {};
    _this.refundRequests = [];
    _this.firstBlockToSearch = eventSearchConfig.fromBlock;
    _this.latestBlockSearched = eventSearchConfig.fromBlock;
    _this.queryableEventNames = Object.keys(_this._queryableEventNames());
    return _this;
  }

  var _proto = SpokePoolClient.prototype;

  _proto._queryableEventNames = function _queryableEventNames() {
    return {
      FundsDeposited: this.spokePool.filters.FundsDeposited(),
      RequestedSpeedUpDeposit: this.spokePool.filters.RequestedSpeedUpDeposit(),
      FilledRelay: this.spokePool.filters.FilledRelay(),
      RefundRequested: this.spokePool.filters.RefundRequested(),
      EnabledDepositRoute: this.spokePool.filters.EnabledDepositRoute(),
      TokensBridged: this.spokePool.filters.TokensBridged(),
      RelayedRootBundle: this.spokePool.filters.RelayedRootBundle(),
      ExecutedRelayerRefundRoot: this.spokePool.filters.ExecutedRelayerRefundRoot()
    };
  }
  /**
   * Retrieves a list of deposits from the SpokePool contract destined for the given destination chain ID.
   * @param destinationChainId The destination chain ID.
   * @returns A list of deposits.
   */
  ;

  _proto.getDepositsForDestinationChain = function getDepositsForDestinationChain(destinationChainId) {
    return Object.values(this.depositHashes).filter(function (deposit) {
      return deposit.destinationChainId === destinationChainId;
    });
  }
  /**
   * Retrieves a list of deposits from the SpokePool contract that are associated with this spoke pool.
   * @returns A list of deposits.
   * @note This method returns all deposits, regardless of destination chain ID in sorted order.
   */
  ;

  _proto.getDeposits = function getDeposits() {
    return sortEventsAscendingInPlace(Object.values(this.depositHashes));
  }
  /**
   * Retrieves a list of the tokens that have been bridged.
   * @returns A list of tokens.
   */
  ;

  _proto.getTokensBridged = function getTokensBridged() {
    return this.tokensBridged;
  }
  /**
   * Retrieves a mapping of tokens and their associated destination chain IDs that can be bridged.
   * @returns A mapping of tokens and their associated destination chain IDs in a nested mapping.
   */
  ;

  _proto.getDepositRoutes = function getDepositRoutes() {
    return this.depositRoutes;
  }
  /**
   * Determines whether a deposit route is enabled for the given origin token and destination chain ID.
   * @param originToken The origin token address.
   * @param destinationChainId The destination chain ID.
   * @returns True if the deposit route is enabled, false otherwise.
   */
  ;

  _proto.isDepositRouteEnabled = function isDepositRouteEnabled(originToken, destinationChainId) {
    var _this$depositRoutes$o, _this$depositRoutes$o2;

    return (_this$depositRoutes$o = (_this$depositRoutes$o2 = this.depositRoutes[originToken]) == null ? void 0 : _this$depositRoutes$o2[destinationChainId]) != null ? _this$depositRoutes$o : false;
  }
  /**
   * Retrieves a list of all the available origin tokens that can be bridged.
   * @returns A list of origin tokens.
   */
  ;

  _proto.getAllOriginTokens = function getAllOriginTokens() {
    return Object.keys(this.depositRoutes);
  }
  /**
   * Retrieves a list of fills from the SpokePool contract.
   * @returns A list of fills.
   */
  ;

  _proto.getFills = function getFills() {
    return sortEventsAscendingInPlace(Object.values(this.fills).flat());
  }
  /**
   * Retrieves a list of fills from a specific origin chain ID.
   * @param originChainId The origin chain ID.
   * @returns A list of fills.
   */
  ;

  _proto.getFillsForOriginChain = function getFillsForOriginChain(originChainId) {
    return this.fills[originChainId] || [];
  }
  /**
   * Retrieves a list of fills from a specific relayer address.
   * @param relayer The relayer address.
   * @returns A list of fills.
   */
  ;

  _proto.getFillsForRelayer = function getFillsForRelayer(relayer) {
    return this.getFills().filter(function (fill) {
      return fill.relayer === relayer;
    });
  }
  /**
   * Retrieves a list of fills from a given block range.
   * @param startingBlock The starting block number.
   * @param endingBlock The ending block number.
   * @returns A list of fills.
   */
  ;

  _proto.getFillsWithBlockInRange = function getFillsWithBlockInRange(startingBlock, endingBlock) {
    return this.getFills().filter(function (fill) {
      return fill.blockNumber >= startingBlock && fill.blockNumber <= endingBlock;
    });
  }
  /**
   * Retrieves a list of refund requests from the SpokePool contract that are within an optional block range.
   * @param fromBlock The starting block number. If not provided, requests will not be filtered by any bounds.
   * @param toBlock The ending block number. If not provided, requests will not be filtered by any bounds.
   * @returns A list of refund requests.
   */
  ;

  _proto.getRefundRequests = function getRefundRequests(fromBlock, toBlock) {
    return fromBlock === undefined || toBlock === undefined || isNaN(fromBlock) || isNaN(toBlock) ? this.refundRequests : this.refundRequests.filter(function (request) {
      return request.blockNumber >= fromBlock && request.blockNumber <= toBlock;
    });
  }
  /**
   * Retrieves a list of root bundle relays from the SpokePool contract.
   * @returns A list of root bundle relays.
   */
  ;

  _proto.getRootBundleRelays = function getRootBundleRelays() {
    return this.rootBundleRelays;
  }
  /**
   * Retrieves the ID of the latest root bundle.
   * @returns The ID of the latest root bundle. This will be 0 if no root bundles have been relayed.
   */
  ;

  _proto.getLatestRootBundleId = function getLatestRootBundleId() {
    var _this$rootBundleRelay;

    return this.rootBundleRelays.length > 0 ? ((_this$rootBundleRelay = this.rootBundleRelays[this.rootBundleRelays.length - 1]) == null ? void 0 : _this$rootBundleRelay.rootBundleId) + 1 : 0;
  }
  /**
   * Retrieves a list of relayer refund executions from the SpokePool contract.
   * @returns A list of relayer refund executions.
   */
  ;

  _proto.getRelayerRefundExecutions = function getRelayerRefundExecutions() {
    return this.relayerRefundExecutions;
  }
  /**
   * Retrieves a mapping of token addresses to relayer addresses to the amount of refunds that have been executed.
   * @returns A mapping of token addresses to relayer addresses to the amount of refunds that have been executed.
   */
  ;

  _proto.getExecutedRefunds = function getExecutedRefunds(relayerRefundRoot) {
    var bundle = this.getRootBundleRelays().find(function (bundle) {
      return bundle.relayerRefundRoot === relayerRefundRoot;
    });

    if (bundle === undefined) {
      return {};
    }

    var executedRefundLeaves = this.getRelayerRefundExecutions().filter(function (leaf) {
      return leaf.rootBundleId === bundle.rootBundleId;
    });
    var executedRefunds = {};

    for (var _iterator = _createForOfIteratorHelperLoose(executedRefundLeaves), _step; !(_step = _iterator()).done;) {
      var refundLeaf = _step.value;
      var tokenAddress = refundLeaf.l2TokenAddress;

      if (executedRefunds[tokenAddress] === undefined) {
        executedRefunds[tokenAddress] = {};
      }

      var executedTokenRefunds = executedRefunds[tokenAddress];

      for (var i = 0; i < refundLeaf.refundAddresses.length; i++) {
        var relayer = refundLeaf.refundAddresses[i];
        var refundAmount = refundLeaf.refundAmounts[i];

        if (executedTokenRefunds[relayer] === undefined) {
          executedTokenRefunds[relayer] = ethers.ethers.constants.Zero;
        }

        executedTokenRefunds[relayer] = executedTokenRefunds[relayer].add(refundAmount);
      }
    }

    return executedRefunds;
  }
  /**
   * Appends a speed up signature to a specific deposit.
   * @param deposit The deposit to append the speed up signature to.
   * @returns A new deposit instance with the speed up signature appended to the deposit.
   */
  ;

  _proto.appendMaxSpeedUpSignatureToDeposit = function appendMaxSpeedUpSignatureToDeposit(deposit) {
    var _this$speedUps$deposi, _this$speedUps$deposi2;

    var maxSpeedUp = (_this$speedUps$deposi = this.speedUps[deposit.depositor]) == null ? void 0 : (_this$speedUps$deposi2 = _this$speedUps$deposi[deposit.depositId]) == null ? void 0 : _this$speedUps$deposi2.reduce(function (prev, current) {
      return prev.newRelayerFeePct.gt(current.newRelayerFeePct) ? prev : current;
    }); // We assume that the depositor authorises SpeedUps in isolation of each other, which keeps the relayer
    // logic simple: find the SpeedUp with the highest relayerFeePct, and use all of its fields

    if (!maxSpeedUp || maxSpeedUp.newRelayerFeePct.lte(deposit.relayerFeePct)) {
      return deposit;
    } // Return deposit with updated params from the speedup with the highest updated relayer fee pct.


    return _extends({}, deposit, {
      speedUpSignature: maxSpeedUp.depositorSignature,
      newRelayerFeePct: maxSpeedUp.newRelayerFeePct,
      updatedRecipient: maxSpeedUp.updatedRecipient,
      updatedMessage: maxSpeedUp.updatedMessage
    });
  }
  /**
   * Find a corresponding deposit for a given fill.
   * @param fill The fill to find a corresponding deposit for.
   * @returns The corresponding deposit if found, undefined otherwise.
   */
  ;

  _proto.getDepositForFill = function getDepositForFill(fill, fillFieldsToIgnore) {
    if (fillFieldsToIgnore === void 0) {
      fillFieldsToIgnore = [];
    }

    var depositWithMatchingDepositId = this.depositHashes[this.getDepositHash(fill)];
    return validateFillForDeposit(fill, depositWithMatchingDepositId, fillFieldsToIgnore) ? depositWithMatchingDepositId : undefined;
  }
  /**
   * @dev TODO This function is a bit of a hack for now and its dangerous to leave public because it allows the caller to
   * manipulate internal data that was set at update() time. This is a workaround the current structure where UBAClient
   * is dependent on SpokePoolClient, but one of the SpokePoolClient's internal data structures, `deposits` is dependent
   * on the UBA client state being updated in order to have set correct realizedLpFeePcts. This function is currently
   * designed to be called by the UBA client for each deposit that is loaded and have it reset the realizedLpFeePct
   * equal to the depositBalancingFee plus the LP fee.
   */
  ;

  _proto.updateDepositRealizedLpFeePct = function updateDepositRealizedLpFeePct(event, realizedLpFeePct) {
    this.depositHashes[this.getDepositHash(event)] = _extends({}, this.depositHashes[this.getDepositHash(event)], {
      realizedLpFeePct: realizedLpFeePct
    });
  }
  /**
   * Find the unfilled amount for a given deposit. This is the full deposit amount minus the total filled amount.
   * @param deposit The deposit to find the unfilled amount for.
   * @param fillCount The number of fills that have been applied to this deposit.
   * @param invalidFills The invalid fills that have been applied to this deposit.
   * @returns The unfilled amount.
   */
  ;

  _proto.getValidUnfilledAmountForDeposit = function getValidUnfilledAmountForDeposit(deposit) {
    var fillsForDeposit = this.depositHashesToFills[this.getDepositHash(deposit)]; // If no fills then the full amount is remaining.

    if (fillsForDeposit === undefined || fillsForDeposit.length === 0) {
      return {
        unfilledAmount: toBN(deposit.amount),
        fillCount: 0,
        invalidFills: []
      };
    }

    var _fillsForDeposit$redu = fillsForDeposit.reduce(function (groupedFills, fill) {
      if (validateFillForDeposit(fill, deposit)) {
        groupedFills.validFills.push(fill);
      } else {
        groupedFills.invalidFills.push(fill);
      }

      return groupedFills;
    }, {
      validFills: [],
      invalidFills: []
    }),
        validFills = _fillsForDeposit$redu.validFills,
        invalidFills = _fillsForDeposit$redu.invalidFills; // Log any invalid deposits with same deposit id but different params.


    var invalidFillsForDeposit = invalidFills.filter(function (x) {
      return x.depositId === deposit.depositId;
    });

    if (invalidFillsForDeposit.length > 0) {
      this.logger.warn({
        at: "SpokePoolClient",
        chainId: this.chainId,
        message: "Invalid fills found matching deposit ID",
        deposit: deposit,
        invalidFills: Object.fromEntries(invalidFillsForDeposit.map(function (x) {
          return [x.relayer, x];
        }))
      });
    } // If all fills are invalid we can consider this unfilled.


    if (validFills.length === 0) {
      return {
        unfilledAmount: toBN(deposit.amount),
        fillCount: 0,
        invalidFills: invalidFills
      };
    } // Order fills by totalFilledAmount and then return the first fill's full deposit amount minus total filled amount.


    var fillsOrderedByTotalFilledAmount = validFills.sort(function (fillA, fillB) {
      return fillB.totalFilledAmount.gt(fillA.totalFilledAmount) ? 1 : fillB.totalFilledAmount.lt(fillA.totalFilledAmount) ? -1 : 0;
    });
    var lastFill = fillsOrderedByTotalFilledAmount[0];
    return {
      unfilledAmount: toBN(lastFill.amount.sub(lastFill.totalFilledAmount)),
      fillCount: validFills.length,
      invalidFills: invalidFills
    };
  }
  /**
   * Formulate a hash for a given deposit or fill
   * @param event The deposit or fill to formulate a hash for.
   * @returns The hash.
   * @note This hash is used to match deposits and fills together.
   * @note This hash takes the form of: `${depositId}-${originChainId}`.
   */
  ;

  _proto.getDepositHash = function getDepositHash(event) {
    return event.depositId + "-" + event.originChainId;
  }
  /**
   * Find the block range that contains the deposit ID. This is a binary search that searches for the block range
   * that contains the deposit ID.
   * @param targetDepositId The target deposit ID to search for.
   * @param initLow The initial lower bound of the block range to search.
   * @param initHigh The initial upper bound of the block range to search.
   * @param maxSearches The maximum number of searches to perform. This is used to prevent infinite loops.
   * @returns The block range that contains the deposit ID.
   * @note  // We want to find the block range that satisfies these conditions:
   *        // - the low block has deposit count <= targetDepositId
   *        // - the high block has a deposit count > targetDepositId.
   *        // This way the caller can search for a FundsDeposited event between [low, high] that will always
   *        // contain the event emitted when deposit ID was incremented to targetDepositId + 1. This is the same transaction
   *        // where the deposit with deposit ID = targetDepositId was created.
   */
  ;

  _proto._getBlockRangeForDepositId =
  /*#__PURE__*/
  function () {
    var _getBlockRangeForDepositId2 = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee(targetDepositId, initLow, initHigh, maxSearches) {
      var low, high, i, mid, searchedDepositId;
      return runtime_1.wrap(function _callee$(_context) {
        while (1) {
          switch (_context.prev = _context.next) {
            case 0:
              if (!(initLow > initHigh)) {
                _context.next = 2;
                break;
              }

              throw new Error("Binary search failed because low > high");

            case 2:
              if (!(maxSearches <= 0)) {
                _context.next = 4;
                break;
              }

              throw new Error("maxSearches must be > 0");

            case 4:
              low = initLow;
              high = initHigh;
              i = 0;

            case 7:
              mid = Math.floor((high + low) / 2);
              _context.next = 10;
              return this._getDepositIdAtBlock(mid);

            case 10:
              searchedDepositId = _context.sent;

              if (Number.isInteger(searchedDepositId)) {
                _context.next = 13;
                break;
              }

              throw new Error("Invalid deposit count");

            case 13:
              if (!(i++ >= maxSearches)) {
                _context.next = 15;
                break;
              }

              return _context.abrupt("return", {
                low: low,
                high: high
              });

            case 15:
              if (!(targetDepositId > searchedDepositId)) {
                _context.next = 19;
                break;
              }

              low = mid;
              _context.next = 24;
              break;

            case 19:
              if (!(targetDepositId < searchedDepositId)) {
                _context.next = 23;
                break;
              }

              high = mid;
              _context.next = 24;
              break;

            case 23:
              return _context.abrupt("return", {
                low: low,
                high: high
              });

            case 24:
              if (low <= high) {
                _context.next = 7;
                break;
              }

            case 25:
              throw new Error("Failed to find deposit ID");

            case 26:
            case "end":
              return _context.stop();
          }
        }
      }, _callee, this);
    }));

    function _getBlockRangeForDepositId(_x, _x2, _x3, _x4) {
      return _getBlockRangeForDepositId2.apply(this, arguments);
    }

    return _getBlockRangeForDepositId;
  }()
  /**
   * Finds the deposit id at a specific block number.
   * @param blockTag The block number to search for the deposit ID at.
   * @returns The deposit ID.
   */
  ;

  _proto._getDepositIdAtBlock =
  /*#__PURE__*/
  function () {
    var _getDepositIdAtBlock2 = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee2(blockTag) {
      return runtime_1.wrap(function _callee2$(_context2) {
        while (1) {
          switch (_context2.prev = _context2.next) {
            case 0:
              _context2.next = 2;
              return this.spokePool.numberOfDeposits({
                blockTag: blockTag
              });

            case 2:
              return _context2.abrupt("return", _context2.sent);

            case 3:
            case "end":
              return _context2.stop();
          }
        }
      }, _callee2, this);
    }));

    function _getDepositIdAtBlock(_x5) {
      return _getDepositIdAtBlock2.apply(this, arguments);
    }

    return _getDepositIdAtBlock;
  }()
  /**
   * Queries the SpokePool contract for a list of historical fills that match the given fill and deposit.
   * @param fill The fill to match.
   * @param deposit The deposit to match.
   * @param toBlock The block number to search up to.
   * @returns A list of fills that match the given fill and deposit.
   */
  ;

  _proto.queryHistoricalMatchingFills =
  /*#__PURE__*/
  function () {
    var _queryHistoricalMatchingFills = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee3(fill, deposit, toBlock) {
      var searchConfig;
      return runtime_1.wrap(function _callee3$(_context3) {
        while (1) {
          switch (_context3.prev = _context3.next) {
            case 0:
              searchConfig = {
                fromBlock: this.deploymentBlock,
                toBlock: toBlock,
                maxBlockLookBack: this.eventSearchConfig.maxBlockLookBack
              };
              _context3.next = 3;
              return this.queryFillsInBlockRange(fill, searchConfig);

            case 3:
              return _context3.abrupt("return", _context3.sent.filter(function (_fill) {
                return validateFillForDeposit(_fill, deposit);
              }));

            case 4:
            case "end":
              return _context3.stop();
          }
        }
      }, _callee3, this);
    }));

    function queryHistoricalMatchingFills(_x6, _x7, _x8) {
      return _queryHistoricalMatchingFills.apply(this, arguments);
    }

    return queryHistoricalMatchingFills;
  }()
  /**
   * Queries the SpokePool contract for a list of fills that match the given fill.
   * @param fill The fill to match.
   * @param searchConfig The search configuration.
   * @returns A Promise that resolves to a list of fills that match the given fill.
   */
  ;

  _proto.queryFillsInBlockRange =
  /*#__PURE__*/
  function () {
    var _queryFillsInBlockRange = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee4(matchingFill, searchConfig) {
      var query, fills;
      return runtime_1.wrap(function _callee4$(_context4) {
        while (1) {
          switch (_context4.prev = _context4.next) {
            case 0:
              _context4.next = 2;
              return paginatedEventQuery(this.spokePool, this.spokePool.filters.FilledRelay(undefined, // amount
              undefined, // totalFilledAmount
              undefined, // fillAmount
              undefined, // repaymentChainId
              matchingFill.originChainId, // originChainId
              undefined, // destinationChainId
              undefined, // relayerFeePct
              undefined, // realizedLpFeePct
              matchingFill.depositId, // depositId
              undefined, // destinationToken
              undefined, // relayer
              matchingFill.depositor, // depositor
              undefined, // recipient
              undefined, // message
              undefined // updatableRelayData
              ), searchConfig);

            case 2:
              query = _context4.sent;
              fills = query.map(function (event) {
                return spreadEventWithBlockNumber(event);
              });
              return _context4.abrupt("return", sortEventsAscending(fills.filter(function (_fill) {
                return filledSameDeposit(_fill, matchingFill);
              })));

            case 5:
            case "end":
              return _context4.stop();
          }
        }
      }, _callee4, this);
    }));

    function queryFillsInBlockRange(_x9, _x10) {
      return _queryFillsInBlockRange.apply(this, arguments);
    }

    return queryFillsInBlockRange;
  }()
  /**
   * Performs an update to refresh the state of this client. This will query the SpokePool contract for new events
   * and store them in memory. This method is the primary method for updating the state of this client.
   * @param eventsToQuery An optional list of events to query. If not provided, all events will be queried.
   * @returns A Promise that resolves to a SpokePoolUpdate object.
   */
  ;

  _proto._update =
  /*#__PURE__*/
  function () {
    var _update2 = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee6(eventsToQuery) {
      var _this2 = this;

      var firstDepositId, latestBlockNumber, searchConfig, eventSearchConfigs, timerStart, _yield$Promise$all, numberOfDeposits, currentTime, events, errMsg, blockNumbers, blocks;

      return runtime_1.wrap(function _callee6$(_context6) {
        while (1) {
          switch (_context6.prev = _context6.next) {
            case 0:
              // Find the earliest known depositId. This assumes no deposits were placed in the deployment block.
              firstDepositId = this.firstDepositIdForSpokePool;

              if (!(firstDepositId === Number.MAX_SAFE_INTEGER)) {
                _context6.next = 7;
                break;
              }

              _context6.next = 4;
              return this.spokePool.numberOfDeposits({
                blockTag: this.deploymentBlock
              });

            case 4:
              firstDepositId = _context6.sent;

              if (!(isNaN(firstDepositId) || firstDepositId < 0)) {
                _context6.next = 7;
                break;
              }

              throw new Error("SpokePoolClient::update: Invalid first deposit id (" + firstDepositId + ")");

            case 7:
              _context6.next = 9;
              return this.spokePool.provider.getBlockNumber();

            case 9:
              latestBlockNumber = _context6.sent;

              if (!(isNaN(latestBlockNumber) || latestBlockNumber < this.latestBlockNumber)) {
                _context6.next = 12;
                break;
              }

              throw new Error("SpokePoolClient::update: latestBlockNumber " + latestBlockNumber + " < " + this.latestBlockNumber);

            case 12:
              searchConfig = {
                fromBlock: this.firstBlockToSearch,
                toBlock: this.eventSearchConfig.toBlock || latestBlockNumber,
                maxBlockLookBack: this.eventSearchConfig.maxBlockLookBack
              };

              if (!(searchConfig.fromBlock > searchConfig.toBlock)) {
                _context6.next = 16;
                break;
              }

              this.log("warn", "Invalid update() searchConfig.", {
                searchConfig: searchConfig
              });
              return _context6.abrupt("return", {
                success: false
              });

            case 16:
              eventSearchConfigs = eventsToQuery.map(function (eventName) {
                if (!_this2.queryableEventNames.includes(eventName)) {
                  throw new Error("SpokePoolClient: Cannot query unrecognised SpokePool event name: " + eventName);
                }

                var _searchConfig = _extends({}, searchConfig); // shallow copy
                // By default, an event's query range is controlled by the `eventSearchConfig` passed in during instantiation.
                // However, certain events have special overriding requirements to their search ranges:
                // - EnabledDepositRoute: The full history is always required, so override the requested fromBlock.


                if (eventName === "EnabledDepositRoute" && !_this2.isUpdated) {
                  _searchConfig.fromBlock = _this2.deploymentBlock;
                }

                return {
                  filter: _this2._queryableEventNames()[eventName],
                  searchConfig: _searchConfig
                };
              });
              this.log("debug", "Updating SpokePool client for chain " + this.chainId, {
                eventsToQuery: eventsToQuery,
                searchConfig: searchConfig,
                spokePool: this.spokePool.address
              });
              timerStart = Date.now();
              _context6.next = 21;
              return Promise.all([this.spokePool.numberOfDeposits({
                blockTag: searchConfig.toBlock
              }), this.spokePool.getCurrentTime({
                blockTag: searchConfig.toBlock
              })].concat(eventSearchConfigs.map(function (config) {
                return paginatedEventQuery(_this2.spokePool, config.filter, config.searchConfig);
              })));

            case 21:
              _yield$Promise$all = _context6.sent;
              numberOfDeposits = _yield$Promise$all[0];
              currentTime = _yield$Promise$all[1];
              events = _yield$Promise$all.slice(2);
              this.log("debug", "Time to query new events from RPC for " + this.chainId + ": " + (Date.now() - timerStart) + " ms");

              if (!(!ethers.BigNumber.isBigNumber(currentTime) || currentTime.lt(this.currentTime))) {
                _context6.next = 29;
                break;
              }

              errMsg = ethers.BigNumber.isBigNumber(currentTime) ? "currentTime: " + currentTime + " < " + toBN(this.currentTime) : "currentTime is not a BigNumber: " + JSON.stringify(currentTime);
              throw new Error("SpokePoolClient::update: " + errMsg);

            case 29:
              // Sort all events to ensure they are stored in a consistent order.
              events.forEach(function (events) {
                return sortEventsAscendingInPlace(events);
              }); // Collate the relevant set of block numbers and filter for uniqueness, then query each corresponding block.

              blockNumbers = Array.from(new Set(["FundsDeposited", "FilledRelay", "RefundRequested"].filter(function (eventName) {
                return eventsToQuery.includes(eventName);
              }).map(function (eventName) {
                var idx = eventsToQuery.indexOf(eventName); // tsc needs type hints on this map...

                return events[idx].map(function (_ref) {
                  var blockNumber = _ref.blockNumber;
                  return blockNumber;
                });
              }).flat()));
              _context6.t0 = Object;
              _context6.next = 34;
              return mapAsync(blockNumbers, /*#__PURE__*/function () {
                var _ref2 = _asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee5(blockNumber) {
                  var block;
                  return runtime_1.wrap(function _callee5$(_context5) {
                    while (1) {
                      switch (_context5.prev = _context5.next) {
                        case 0:
                          _context5.next = 2;
                          return _this2.spokePool.provider.getBlock(blockNumber);

                        case 2:
                          block = _context5.sent;
                          return _context5.abrupt("return", [blockNumber, block]);

                        case 4:
                        case "end":
                          return _context5.stop();
                      }
                    }
                  }, _callee5);
                }));

                return function (_x12) {
                  return _ref2.apply(this, arguments);
                };
              }());

            case 34:
              _context6.t1 = _context6.sent;
              blocks = _context6.t0.fromEntries.call(_context6.t0, _context6.t1);
              return _context6.abrupt("return", {
                success: true,
                currentTime: currentTime.toNumber(),
                firstDepositId: firstDepositId,
                latestBlockNumber: latestBlockNumber,
                latestDepositId: Math.max(numberOfDeposits - 1, 0),
                searchEndBlock: searchConfig.toBlock,
                events: events,
                blocks: blocks
              });

            case 37:
            case "end":
              return _context6.stop();
          }
        }
      }, _callee6, this);
    }));

    function _update(_x11) {
      return _update2.apply(this, arguments);
    }

    return _update;
  }()
  /**
   * A wrapper over the `_update` method that handles errors and logs. This method additionally calls into the
   * HubPoolClient to update the state of this client with data from the HubPool contract.
   * @param eventsToQuery An optional list of events to query. If not provided, all events will be queried.
   * @returns A Promise that resolves to a SpokePoolUpdate object.
   * @note This method is the primary method for updating the state of this client externally.
   * @see _update
   */
  ;

  _proto.update =
  /*#__PURE__*/
  function () {
    var _update3 = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee8(eventsToQuery) {
      var _this3 = this;

      var update, queryResults, blocks, currentTime, _iterator2, _step2, event, allDeposits, _groupBy, _groupBy$earlyDeposit, earlyDeposits, _groupBy$depositEvent, depositEvents, dataForQuoteTime, _i, _Array$from, _blocks$_event$blockN, _blocks$_event$blockN2, _Array$from$_i, index, _event, rawDeposit, deposit, speedUpEvents, _iterator3, _step3, _event2, speedUp, _i2, _Object$entries, deposits, fillEvents, _iterator4, _step4, _event3, rawFill, fill, refundRequests, _iterator5, _step5, _event4, rawRefundRequest, refundRequest, enableDepositsEvents, _iterator6, _step6, _event5, enableDeposit, relayedRootBundleEvents, _iterator7, _step7, _event6, executedRelayerRefundRootEvents, _iterator8, _step8, _event7, executedRefund;

      return runtime_1.wrap(function _callee8$(_context8) {
        while (1) {
          switch (_context8.prev = _context8.next) {
            case 0:
              if (eventsToQuery === void 0) {
                eventsToQuery = this.queryableEventNames;
              }

              if (!(this.hubPoolClient !== null && !this.hubPoolClient.isUpdated)) {
                _context8.next = 3;
                break;
              }

              throw new Error("HubPoolClient not updated");

            case 3:
              _context8.next = 5;
              return this._update(eventsToQuery);

            case 5:
              update = _context8.sent;

              if (update.success) {
                _context8.next = 8;
                break;
              }

              return _context8.abrupt("return");

            case 8:
              queryResults = update.events, blocks = update.blocks, currentTime = update.currentTime;

              if (eventsToQuery.includes("TokensBridged")) {
                for (_iterator2 = _createForOfIteratorHelperLoose(queryResults[eventsToQuery.indexOf("TokensBridged")]); !(_step2 = _iterator2()).done;) {
                  event = _step2.value;
                  this.tokensBridged.push(spreadEventWithBlockNumber(event));
                }
              } // For each depositEvent, compute the realizedLpFeePct. Note this means that we are only finding this value on the
              // new deposits that were found in the searchConfig (new from the previous run). This is important as this operation
              // is heavy as there is a fair bit of block number lookups that need to happen. Note this call REQUIRES that the
              // hubPoolClient is updated on the first before this call as this needed the the L1 token mapping to each L2 token.


              if (!eventsToQuery.includes("FundsDeposited")) {
                _context8.next = 44;
                break;
              }

              allDeposits = [].concat(queryResults[eventsToQuery.indexOf("FundsDeposited")], this.earlyDeposits);
              _groupBy = _.groupBy(allDeposits, function (depositEvent) {
                if (depositEvent.args.quoteTimestamp > currentTime) {
                  var args = depositEvent.args,
                      transactionHash = depositEvent.transactionHash;

                  _this3.logger.debug({
                    at: "SpokePoolClient#update",
                    message: "Deferring early deposit event.",
                    currentTime: currentTime,
                    deposit: {
                      args: args,
                      transactionHash: transactionHash
                    }
                  });

                  return "earlyDeposits";
                } else {
                  return "depositEvents";
                }
              }), _groupBy$earlyDeposit = _groupBy.earlyDeposits, earlyDeposits = _groupBy$earlyDeposit === void 0 ? [] : _groupBy$earlyDeposit, _groupBy$depositEvent = _groupBy.depositEvents, depositEvents = _groupBy$depositEvent === void 0 ? [] : _groupBy$depositEvent;
              this.earlyDeposits = earlyDeposits;
              _context8.next = 16;
              return Promise.all(depositEvents.map( /*#__PURE__*/function () {
                var _ref3 = _asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee7(event) {
                  return runtime_1.wrap(function _callee7$(_context7) {
                    while (1) {
                      switch (_context7.prev = _context7.next) {
                        case 0:
                          return _context7.abrupt("return", _this3.computeRealizedLpFeePct(event));

                        case 1:
                        case "end":
                          return _context7.stop();
                      }
                    }
                  }, _callee7);
                }));

                return function (_x14) {
                  return _ref3.apply(this, arguments);
                };
              }()));

            case 16:
              dataForQuoteTime = _context8.sent;

              // Now add any newly fetched events from RPC.
              if (depositEvents.length > 0) {
                this.log("debug", "Using " + depositEvents.length + " newly queried deposit events for chain " + this.chainId, {
                  earliestEvent: depositEvents[0].blockNumber
                });
              }

              _i = 0, _Array$from = Array.from(depositEvents.entries());

            case 19:
              if (!(_i < _Array$from.length)) {
                _context8.next = 44;
                break;
              }

              _Array$from$_i = _Array$from[_i], index = _Array$from$_i[0], _event = _Array$from$_i[1];
              rawDeposit = spreadEventWithBlockNumber(_event); // Derive and append the destination token, LP fee, quote block number and block timestamp from the event.
              // @dev Deposit events may _also_ include early deposits, in which case we did not retrieve a block.

              _context8.t0 = _extends;
              _context8.t1 = {};
              _context8.t2 = rawDeposit;
              _context8.t3 = dataForQuoteTime[index].realizedLpFeePct;
              _context8.t4 = this.getDestinationTokenForDeposit(rawDeposit);
              _context8.t5 = dataForQuoteTime[index].quoteBlock;

              if (!((_blocks$_event$blockN = (_blocks$_event$blockN2 = blocks[_event.blockNumber]) == null ? void 0 : _blocks$_event$blockN2.timestamp) != null)) {
                _context8.next = 32;
                break;
              }

              _context8.t6 = _blocks$_event$blockN;
              _context8.next = 35;
              break;

            case 32:
              _context8.next = 34;
              return _event.getBlock();

            case 34:
              _context8.t6 = _context8.sent.timestamp;

            case 35:
              _context8.t7 = _context8.t6;
              _context8.t8 = {
                realizedLpFeePct: _context8.t3,
                destinationToken: _context8.t4,
                quoteBlockNumber: _context8.t5,
                blockTimestamp: _context8.t7
              };
              deposit = (0, _context8.t0)(_context8.t1, _context8.t2, _context8.t8);
              assign(this.depositHashes, [this.getDepositHash(deposit)], deposit);

              if (deposit.depositId < this.earliestDepositIdQueried) {
                this.earliestDepositIdQueried = deposit.depositId;
              }

              if (deposit.depositId > this.latestDepositIdQueried) {
                this.latestDepositIdQueried = deposit.depositId;
              }

            case 41:
              _i++;
              _context8.next = 19;
              break;

            case 44:
              // TODO: When validating fills with deposits for the purposes of UBA flows, do we need to consider
              // speed ups as well? For example, do we need to also consider that the speed up is before the fill
              // timestamp to be applied for the fill? My brain hurts.
              // Update deposits with speed up requests from depositor.
              if (eventsToQuery.includes("RequestedSpeedUpDeposit")) {
                speedUpEvents = queryResults[eventsToQuery.indexOf("RequestedSpeedUpDeposit")];

                for (_iterator3 = _createForOfIteratorHelperLoose(speedUpEvents); !(_step3 = _iterator3()).done;) {
                  _event2 = _step3.value;
                  speedUp = _extends({}, spreadEvent(_event2.args), {
                    originChainId: this.chainId
                  });
                  assign(this.speedUps, [speedUp.depositor, speedUp.depositId], [speedUp]);
                } // Traverse all deposit events and update them with associated speedups, If they exist.


                for (_i2 = 0, _Object$entries = Object.entries(this.depositHashes); _i2 < _Object$entries.length; _i2++) {
                  deposits = _Object$entries[_i2];
                  this.depositHashes[deposits[0]] = this.appendMaxSpeedUpSignatureToDeposit(deposits[1]);
                }
              }

              if (eventsToQuery.includes("FilledRelay")) {
                fillEvents = queryResults[eventsToQuery.indexOf("FilledRelay")];

                if (fillEvents.length > 0) {
                  this.log("debug", "Using " + fillEvents.length + " newly queried fill events for chain " + this.chainId, {
                    earliestEvent: fillEvents[0].blockNumber
                  });
                }

                for (_iterator4 = _createForOfIteratorHelperLoose(fillEvents); !(_step4 = _iterator4()).done;) {
                  _event3 = _step4.value;
                  rawFill = spreadEventWithBlockNumber(_event3);
                  fill = _extends({}, rawFill, {
                    blockTimestamp: blocks[_event3.blockNumber].timestamp
                  });
                  assign(this.fills, [fill.originChainId], [fill]);
                  assign(this.depositHashesToFills, [this.getDepositHash(fill)], [fill]);
                }
              } // @note: In Across 2.5, callers will simultaneously request [FundsDeposited, FilledRelay, RefundsRequested].
              // The list of events is always pre-sorted, so rather than splitting them out individually, it might make sense to
              // evaluate them as a single group, to avoid having to re-merge and sequence again afterwards.


              if (eventsToQuery.includes("RefundRequested")) {
                refundRequests = queryResults[eventsToQuery.indexOf("RefundRequested")];

                if (refundRequests.length > 0) {
                  this.log("debug", "Found " + refundRequests.length + " new relayer refund requests on chain " + this.chainId, {
                    earliestEvent: refundRequests[0].blockNumber
                  });
                }

                for (_iterator5 = _createForOfIteratorHelperLoose(refundRequests); !(_step5 = _iterator5()).done;) {
                  _event4 = _step5.value;
                  rawRefundRequest = spreadEventWithBlockNumber(_event4);
                  refundRequest = _extends({}, rawRefundRequest, {
                    repaymentChainId: this.chainId,
                    blockTimestamp: blocks[_event4.blockNumber].timestamp
                  });
                  this.refundRequests.push(refundRequest);
                }
              }

              if (eventsToQuery.includes("EnabledDepositRoute")) {
                enableDepositsEvents = queryResults[eventsToQuery.indexOf("EnabledDepositRoute")];

                for (_iterator6 = _createForOfIteratorHelperLoose(enableDepositsEvents); !(_step6 = _iterator6()).done;) {
                  _event5 = _step6.value;
                  enableDeposit = spreadEvent(_event5.args);
                  assign(this.depositRoutes, [enableDeposit.originToken, enableDeposit.destinationChainId], enableDeposit.enabled);
                }
              }

              if (eventsToQuery.includes("RelayedRootBundle")) {
                relayedRootBundleEvents = queryResults[eventsToQuery.indexOf("RelayedRootBundle")];

                for (_iterator7 = _createForOfIteratorHelperLoose(relayedRootBundleEvents); !(_step7 = _iterator7()).done;) {
                  _event6 = _step7.value;
                  this.rootBundleRelays.push(spreadEventWithBlockNumber(_event6));
                }
              }

              if (eventsToQuery.includes("ExecutedRelayerRefundRoot")) {
                executedRelayerRefundRootEvents = queryResults[eventsToQuery.indexOf("ExecutedRelayerRefundRoot")];

                for (_iterator8 = _createForOfIteratorHelperLoose(executedRelayerRefundRootEvents); !(_step8 = _iterator8()).done;) {
                  _event7 = _step8.value;
                  executedRefund = spreadEventWithBlockNumber(_event7);
                  executedRefund.l2TokenAddress = SpokePoolClient.getExecutedRefundLeafL2Token(executedRefund.chainId, executedRefund.l2TokenAddress);
                  this.relayerRefundExecutions.push(executedRefund);
                }
              } // Next iteration should start off from where this one ended.


              this.currentTime = currentTime;
              this.firstDepositIdForSpokePool = update.firstDepositId;
              this.latestBlockNumber = update.latestBlockNumber;
              this.lastDepositIdForSpokePool = update.latestDepositId;
              this.firstBlockToSearch = update.searchEndBlock + 1;
              this.latestBlockSearched = update.searchEndBlock;
              this.isUpdated = true;
              this.log("debug", "SpokePool client for chain " + this.chainId + " updated!", {
                nextFirstBlockToSearch: this.firstBlockToSearch
              });

            case 58:
            case "end":
              return _context8.stop();
          }
        }
      }, _callee8, this);
    }));

    function update(_x13) {
      return _update3.apply(this, arguments);
    }

    return update;
  }()
  /**
   * Retrieves the l2TokenAddress for a given executed refund leaf.
   * @param chainId The chain ID of the executed refund leaf.
   * @param eventL2Token The l2TokenAddress of the executed refund leaf.
   * @returns The l2TokenAddress of the executed refund leaf.
   */
  ;

  SpokePoolClient.getExecutedRefundLeafL2Token = function getExecutedRefundLeafL2Token(chainId, eventL2Token) {
    // If execution of WETH refund leaf occurred on an OVM spoke pool, then we'll convert its l2Token from the native
    // token address to the wrapped token address. This is because the OVM_SpokePool modifies the l2TokenAddress prop
    // in _bridgeTokensToHubPool before emitting the ExecutedRelayerRefundLeaf event.
    // Here is the contract code referenced:
    // - https://github.com/across-protocol/contracts-v2/blob/954528a4620863d1c868e54a370fd8556d5ed05c/contracts/Ovm_SpokePool.sol#L142
    if ((chainId === 10 || chainId === 8453) && eventL2Token.toLowerCase() === "0xdeaddeaddeaddeaddeaddeaddeaddeaddead0000") {
      return "0x4200000000000000000000000000000000000006";
    } else if (chainId === 288 && eventL2Token.toLowerCase() === "0x4200000000000000000000000000000000000006") {
      return "0xDeadDeAddeAddEAddeadDEaDDEAdDeaDDeAD0000";
    } else {
      return eventL2Token;
    }
  }
  /**
   * Computes the realized LP fee percentage for a given deposit.
   * @param depositEvent The deposit event to compute the realized LP fee percentage for.
   * @returns The realized LP fee percentage.
   */
  ;

  _proto.computeRealizedLpFeePct =
  /*#__PURE__*/
  function () {
    var _computeRealizedLpFeePct = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee9(depositEvent) {
      var deposit, l1Token;
      return runtime_1.wrap(function _callee9$(_context9) {
        while (1) {
          switch (_context9.prev = _context9.next) {
            case 0:
              if (!(this.hubPoolClient === null)) {
                _context9.next = 2;
                break;
              }

              return _context9.abrupt("return", {
                realizedLpFeePct: toBN(0),
                quoteBlock: MAX_BIG_INT.toNumber()
              });

            case 2:
              deposit = {
                amount: depositEvent.args.amount,
                originChainId: Number(depositEvent.args.originChainId),
                destinationChainId: Number(depositEvent.args.destinationChainId),
                originToken: depositEvent.args.originToken,
                quoteTimestamp: depositEvent.args.quoteTimestamp,
                blockNumber: depositEvent.blockNumber
              };
              l1Token = this.hubPoolClient.getL1TokenForDeposit(deposit);
              return _context9.abrupt("return", this.hubPoolClient.computeRealizedLpFeePct(deposit, l1Token));

            case 5:
            case "end":
              return _context9.stop();
          }
        }
      }, _callee9, this);
    }));

    function computeRealizedLpFeePct(_x15) {
      return _computeRealizedLpFeePct.apply(this, arguments);
    }

    return computeRealizedLpFeePct;
  }()
  /**
   * Retrieves the destination token for a given deposit.
   * @param deposit The deposit to retrieve the destination token for.
   * @returns The destination token.
   */
  ;

  _proto.getDestinationTokenForDeposit = function getDestinationTokenForDeposit(deposit) {
    // If there is no rate model client return address(0).
    if (!this.hubPoolClient) {
      return ZERO_ADDRESS;
    }

    return this.hubPoolClient.getDestinationTokenForDeposit(deposit);
  }
  /**
   * Performs a log for a specific level, message and data.
   * @param level The log level.
   * @param message The log message.
   * @param data Optional data to log.
   */
  ;

  _proto.log = function log(level, message, data) {
    this.logger[level](_extends({
      at: "SpokePoolClient",
      chainId: this.chainId,
      message: message
    }, data));
  }
  /**
   * Retrieves the current time from the SpokePool contract.
   * @returns The current time.
   */
  ;

  _proto.getCurrentTime = function getCurrentTime() {
    return this.currentTime;
  }
  /**
   * Finds a deposit for a given deposit ID, destination chain ID and depositor address. This method will search for
   * the deposit in the SpokePool contract and return it if found. If the deposit is not found, this method will
   * perform a binary search to find the block range that contains the deposit ID and then perform an eth_getLogs
   * call to find the deposit.
   * @param depositId The deposit ID to find.
   * @param destinationChainId The destination chain ID to find.
   * @param depositor The depositor address to find.
   * @returns The deposit if found.
   * @note This method is used to find deposits that are outside of the search range of this client.
   */
  ;

  _proto.findDeposit =
  /*#__PURE__*/
  function () {
    var _findDeposit = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee10(depositId, destinationChainId, depositor) {
      var searchBounds, tStart, query, tStop, event, srcChain, dstChain, partialDeposit, _yield$this$computeRe, realizedLpFeePct, quoteBlockNumber, deposit;

      return runtime_1.wrap(function _callee10$(_context10) {
        while (1) {
          switch (_context10.prev = _context10.next) {
            case 0:
              _context10.next = 2;
              return this._getBlockRangeForDepositId(depositId + 1, this.deploymentBlock, this.latestBlockNumber, 7);

            case 2:
              searchBounds = _context10.sent;
              tStart = Date.now();
              _context10.next = 6;
              return paginatedEventQuery(this.spokePool, this.spokePool.filters.FundsDeposited(null, null, destinationChainId, null, depositId, null, null, null, depositor, null), {
                fromBlock: searchBounds.low,
                toBlock: searchBounds.high,
                maxBlockLookBack: this.eventSearchConfig.maxBlockLookBack
              });

            case 6:
              query = _context10.sent;
              tStop = Date.now();
              event = query.find(function (deposit) {
                return deposit.args.depositId === depositId;
              });

              if (!(event === undefined)) {
                _context10.next = 13;
                break;
              }

              srcChain = getNetworkName(this.chainId);
              dstChain = getNetworkName(destinationChainId);
              throw new Error("Could not find deposit " + depositId + " for " + dstChain + " fill" + (" between " + srcChain + " blocks [" + searchBounds.low + ", " + searchBounds.high + "]"));

            case 13:
              partialDeposit = spreadEventWithBlockNumber(event);
              _context10.next = 16;
              return this.computeRealizedLpFeePct(event);

            case 16:
              _yield$this$computeRe = _context10.sent;
              realizedLpFeePct = _yield$this$computeRe.realizedLpFeePct;
              quoteBlockNumber = _yield$this$computeRe.quoteBlock;
              // Append the realizedLpFeePct.
              // Append destination token and realized lp fee to deposit.
              deposit = _extends({}, partialDeposit, {
                realizedLpFeePct: realizedLpFeePct,
                destinationToken: this.getDestinationTokenForDeposit(partialDeposit),
                quoteBlockNumber: quoteBlockNumber
              });
              this.logger.debug({
                at: "SpokePoolClient#findDeposit",
                message: "Located deposit outside of SpokePoolClient's search range",
                deposit: deposit,
                elapsedMs: tStop - tStart
              });
              return _context10.abrupt("return", deposit);

            case 22:
            case "end":
              return _context10.stop();
          }
        }
      }, _callee10, this);
    }));

    function findDeposit(_x16, _x17, _x18) {
      return _findDeposit.apply(this, arguments);
    }

    return findDeposit;
  }();

  _proto.updateFromJSON = function updateFromJSON(spokePoolClientState) {
    var keysToUpdate = Object.keys(spokePoolClientState);
    this.logger.debug({
      at: "SpokePoolClient",
      message: "Updating SpokePool client from JSON",
      keys: keysToUpdate
    });

    if (keysToUpdate.length === 0) {
      return;
    }

    this.currentTime = spokePoolClientState.currentTime || this.currentTime;
    this.depositHashes = Object.entries(spokePoolClientState.depositHashes || {}).reduce(function (acc, _ref4) {
      var _extends2;

      var hash = _ref4[0],
          deposit = _ref4[1];
      return _extends({}, acc, (_extends2 = {}, _extends2[hash] = _extends({}, deposit, {
        amount: ethers.BigNumber.from(deposit.amount),
        relayerFeePct: ethers.BigNumber.from(deposit.relayerFeePct),
        realizedLpFeePct: deposit.relayerFeePct ? ethers.BigNumber.from(deposit.realizedLpFeePct) : undefined,
        newRelayerFeePct: deposit.newRelayerFeePct ? ethers.BigNumber.from(deposit.newRelayerFeePct) : undefined
      }), _extends2));
    }, {});
    this.depositHashesToFills = Object.entries(spokePoolClientState.depositHashesToFills || {}).reduce(function (acc, _ref5) {
      var _extends3;

      var hash = _ref5[0],
          fills = _ref5[1];
      return _extends({}, acc, (_extends3 = {}, _extends3[hash] = fills.map(function (fill) {
        return _extends({}, fill, {
          amount: ethers.BigNumber.from(fill.amount),
          totalFilledAmount: ethers.BigNumber.from(fill.totalFilledAmount),
          fillAmount: ethers.BigNumber.from(fill.fillAmount),
          relayerFeePct: ethers.BigNumber.from(fill.relayerFeePct),
          realizedLpFeePct: ethers.BigNumber.from(fill.realizedLpFeePct),
          updatableRelayData: _extends({}, fill.updatableRelayData, {
            relayerFeePct: ethers.BigNumber.from(fill.updatableRelayData.relayerFeePct),
            payoutAdjustmentPct: ethers.BigNumber.from(fill.updatableRelayData.payoutAdjustmentPct)
          })
        });
      }), _extends3));
    }, {});
    this.speedUps = Object.entries(spokePoolClientState.speedUps || {}).reduce(function (acc, _ref6) {
      var _extends5;

      var depositor = _ref6[0],
          speedUpsMap = _ref6[1];
      var speedUps = Object.entries(speedUpsMap).reduce(function (acc, _ref7) {
        var _extends4;

        var depositId = _ref7[0],
            speedUps = _ref7[1];
        return _extends({}, acc, (_extends4 = {}, _extends4[depositId] = speedUps.map(function (speedUp) {
          return _extends({}, speedUp, {
            newRelayerFeePct: ethers.BigNumber.from(speedUp.newRelayerFeePct)
          });
        }), _extends4));
      }, {});
      return _extends({}, acc, (_extends5 = {}, _extends5[depositor] = speedUps, _extends5));
    }, {});
    this.depositRoutes = spokePoolClientState.depositRoutes || {};
    this.tokensBridged = (spokePoolClientState.tokensBridged || []).map(function (tokenBridged) {
      return _extends({}, tokenBridged, {
        amountToReturn: ethers.BigNumber.from(tokenBridged.amountToReturn)
      });
    });
    this.rootBundleRelays = spokePoolClientState.rootBundleRelays || [];
    this.relayerRefundExecutions = (spokePoolClientState.relayerRefundExecutions || []).map(function (refundExecution) {
      return _extends({}, refundExecution, {
        amountToReturn: ethers.BigNumber.from(refundExecution.amountToReturn),
        refundAmounts: refundExecution.refundAmounts.map(function (refundAmount) {
          return ethers.BigNumber.from(refundAmount);
        })
      });
    });
    this.earlyDeposits = (spokePoolClientState.earlyDeposits || []).map(function (deposit) {
      return _extends({}, deposit, {
        amount: ethers.BigNumber.from(deposit.amount),
        originChainId: ethers.BigNumber.from(deposit.originChainId),
        destinationChainId: ethers.BigNumber.from(deposit.destinationChainId),
        relayerFeePct: ethers.BigNumber.from(deposit.relayerFeePct)
      });
    });
    this.queryableEventNames = spokePoolClientState.queryableEventNames || this.queryableEventNames;
    this.earliestDepositIdQueried = spokePoolClientState.earliestDepositIdQueried || this.earliestDepositIdQueried;
    this.latestDepositIdQueried = spokePoolClientState.latestDepositIdQueried || this.latestDepositIdQueried;
    this.firstBlockToSearch = spokePoolClientState.firstBlockToSearch || this.firstBlockToSearch;
    this.latestBlockSearched = spokePoolClientState.latestBlockSearched || this.latestBlockSearched;
    this.fills = Object.entries(spokePoolClientState.fills || []).reduce(function (acc, _ref8) {
      var _extends6;

      var chainId = _ref8[0],
          fills = _ref8[1];
      return _extends({}, acc, (_extends6 = {}, _extends6[chainId] = fills.map(function (fill) {
        return _extends({}, fill, {
          amount: ethers.BigNumber.from(fill.amount),
          totalFilledAmount: ethers.BigNumber.from(fill.totalFilledAmount),
          fillAmount: ethers.BigNumber.from(fill.fillAmount),
          relayerFeePct: ethers.BigNumber.from(fill.relayerFeePct),
          realizedLpFeePct: ethers.BigNumber.from(fill.realizedLpFeePct),
          updatableRelayData: _extends({}, fill.updatableRelayData, {
            relayerFeePct: ethers.BigNumber.from(fill.updatableRelayData.relayerFeePct),
            payoutAdjustmentPct: ethers.BigNumber.from(fill.updatableRelayData.payoutAdjustmentPct)
          })
        });
      }), _extends6));
    }, {});
    this.refundRequests = (spokePoolClientState.refundRequests || []).map(function (refundRequest) {
      return _extends({}, refundRequest, {
        amount: ethers.BigNumber.from(refundRequest.amount),
        realizedLpFeePct: ethers.BigNumber.from(refundRequest.realizedLpFeePct),
        previousIdenticalRequests: ethers.BigNumber.from(refundRequest.previousIdenticalRequests),
        fillBlock: ethers.BigNumber.from(refundRequest.fillBlock)
      });
    });
    this.isUpdated = true;
  };

  _proto.toJSON = function toJSON() {
    return {
      chainId: this.chainId,
      deploymentBlock: this.deploymentBlock,
      eventSearchConfig: this.eventSearchConfig,
      currentTime: this.currentTime,
      depositHashes: JSON.parse(stringifyJSONWithNumericString(this.depositHashes)),
      depositHashesToFills: JSON.parse(stringifyJSONWithNumericString(this.depositHashesToFills)),
      speedUps: JSON.parse(stringifyJSONWithNumericString(this.speedUps)),
      depositRoutes: this.depositRoutes,
      tokensBridged: JSON.parse(stringifyJSONWithNumericString(this.tokensBridged)),
      rootBundleRelays: this.rootBundleRelays,
      relayerRefundExecutions: JSON.parse(stringifyJSONWithNumericString(this.relayerRefundExecutions)),
      earlyDeposits: JSON.parse(stringifyJSONWithNumericString(this.earlyDeposits)),
      queryableEventNames: this.queryableEventNames,
      earliestDepositIdQueried: this.earliestDepositIdQueried,
      earliestDepositIdForSpokePool: this.firstDepositIdForSpokePool,
      latestDepositIdQueried: this.latestDepositIdQueried,
      latestDepositIdForSpokePool: this.lastDepositIdForSpokePool,
      firstBlockToSearch: this.firstBlockToSearch,
      latestBlockSearched: this.latestBlockSearched,
      isUpdated: this.isUpdated,
      fills: JSON.parse(stringifyJSONWithNumericString(this.fills)),
      refundRequests: JSON.parse(stringifyJSONWithNumericString(this.refundRequests))
    };
  };

  return SpokePoolClient;
}(BaseAbstractClient);

/**
 * @notice This class reconstructs UBA bundle data for every bundle that has been created since the
 * UBA activation. Its performance can be signficantly sped up by integrating an external caching layer
 * like IPFS or Redis. It provides an interface that is designed to be called by actors who want to
 * to reconstruct a past bundle's state or validate a live bundle's state in order to evaluate a pending
 * root bundle, propose a new root bundle, or get the latest prices as a relayer or fee quoter.
 */

var UBAClientWithRefresh = /*#__PURE__*/function (_BaseAbstractClient) {
  _inheritsLoose(UBAClientWithRefresh, _BaseAbstractClient);

  /**
   * @notice Constructs a new UBAClientinstance.
   * @param clientConfig Configuration to customize the UBAClient instance.
   * @param tokens Tokens to load bundle state for.
   * @param hubPoolClient
   * @param spokePoolClients
   */
  function UBAClientWithRefresh(clientConfig, tokens, hubPoolClient, spokePoolClients, cachingClient) {
    var _this;

    _this = _BaseAbstractClient.call(this) || this;
    _this.clientConfig = clientConfig;
    _this.tokens = tokens;
    _this.hubPoolClient = hubPoolClient;
    _this.spokePoolClients = spokePoolClients;
    _this.cachingClient = cachingClient; // A public, convenient variable storing `ubaBundleStates` in a different format, with all bundle data
    // for a token and chain grouped together in a list.

    _this.ubaClientState = {}; // Associates a single bundle state with a unique key. The key should be created via
    // `this.getKeyForBundle(blockRanges, tokenSymbol, chain)`.
    // Bundle states from older, already validated, bundles should ideally be seeded directly
    // from an external storage layer rather than reconstructed fresh from this class. These state should
    // be populated for all block ranges where the UBA is active after calling update().

    _this.ubaBundleStates = {}; // All bundle ranges loaded by this client. Should contain all bundle ranges for all validated bundles
    // as of the UBA activation block that the hub pool client is aware of. This is fast to load
    // since it only depends on HubPoolClient event history. These should be stores in chronologically
    // ascending order.

    _this.ubaBundleBlockRanges = [];
    _this.latestBlockTimestamps = {};

    _this.getKeyForBundle = function (bundleBlockRanges, tokenSymbol, chainId) {
      // Add a fixed prefix to all keys so we can more easily flush all bundle state keys.
      return "UBA_BUNDLE_STATE_" + getBundleKeyForBlockRanges(bundleBlockRanges) + "-" + tokenSymbol + "-" + chainId;
    };

    _this.logger = _this.hubPoolClient.logger;
    _this.enabledChainIds = _this.hubPoolClient.configStoreClient.getEnabledChains();
    assert$1(_this.enabledChainIds.length > 0, "No chainIds provided");

    _this.enabledChainIds.forEach(function (chainId) {
      assert$1(isDefined(spokePoolClients[chainId]), "No SpokePool provided for chainId " + chainId);
    });

    _this.chainIdIndices = _this.hubPoolClient.configStoreClient.getChainIdIndicesForBlock();
    return _this;
  } // /////////////////
  //
  //
  // PUBLIC METHODS:
  //
  // /////////////////

  /**
   * @notice Intended to be called by Relayer to set `realizedLpFeePct` for a deposit, where
   * realizedLpFeePct for this deposit should be equal to the lpFee plus the depositBalancingFee.
   * @param deposit Should be the deposit that the caller wants to compute the realizedLpFeePct for.
   */


  var _proto = UBAClientWithRefresh.prototype;

  _proto.computeFeesForDeposit = function computeFeesForDeposit(deposit) {
    var _this$hubPoolClient$g;

    this.assertUpdated();
    var tokenSymbol = (_this$hubPoolClient$g = this.hubPoolClient.getL1TokenInfoForL2Token(deposit.originToken, deposit.originChainId)) == null ? void 0 : _this$hubPoolClient$g.symbol;
    if (!tokenSymbol) throw new Error("No token symbol found"); // Grab bundle state containing deposit using the bundle state's block ranges.

    var blockRangeContainingDeposit = this.getUbaBundleBlockRangeContainingFlow(deposit.blockNumber, deposit.originChainId);
    var specificBundleState = this.getBundleState(blockRangeContainingDeposit, tokenSymbol, deposit.originChainId); // Find matching flow in bundle state.

    var matchingFlow = getMatchingFlow(specificBundleState.flows, deposit);

    if (!matchingFlow) {
      throw new Error("Found bundle state containing flow but no matching flow found for deposit");
    }

    var lpFee = matchingFlow.lpFee.mul(deposit.amount).div(fixedPointAdjustment);
    var depositBalancingFee = matchingFlow.balancingFee;
    return {
      lpFee: lpFee,
      depositBalancingFee: depositBalancingFee,
      systemFee: lpFee.add(depositBalancingFee)
    };
  }
  /**
   * @notice Can be used by Relayer to approximate next refund balancing fees on refund chain. This is useful
   * for the relayer because they can only assume that their fill gets mined as the "next" fill on the destination
   * chain.
   * @dev Should work even if there are no validated flows or no bundle states yet.
   */
  ;

  _proto.computeBalancingFeeForNextRefund = function computeBalancingFeeForNextRefund(repaymentChainId, refundTokenSymbol, amount) {
    this.assertUpdated(); // Grab latest flow to get the latest running balance on the desired refund chain for the desired token.

    var latestBlockRange = this.ubaBundleBlockRanges.at(-1);

    if (!latestBlockRange) {
      throw new Error("No block ranges stored, have you updated this client?");
    }

    var lastBundleState = this.getBundleState(latestBlockRange, refundTokenSymbol, repaymentChainId);
    var latestRunningBalance = ethers.ethers.constants.Zero;
    var latestIncentiveBalance = ethers.ethers.constants.Zero; // Load latest bundle config.

    var ubaConfigForBundle = lastBundleState.ubaConfig; // Check if there are any flows in this bundle state. If there are not, then we can assume that
    // running balances are 0.

    var lastFlow = lastBundleState.flows.at(-1);

    if (isDefined(lastFlow)) {
      // Compute the fees that would be charged if `amount` was filled by the caller and the fill was
      // slotted in next on this chain.
      var _analog$calculateHist = calculateHistoricalRunningBalance(lastBundleState.flows.map(function (_ref) {
        var flow = _ref.flow,
            balancingFee = _ref.balancingFee;
        return _extends({}, flow, {
          incentiveFee: balancingFee
        });
      }), lastFlow.runningBalance, lastFlow.incentiveBalance, lastFlow.netRunningBalanceAdjustment, repaymentChainId, refundTokenSymbol, ubaConfigForBundle),
          runningBalance = _analog$calculateHist.runningBalance,
          incentiveBalance = _analog$calculateHist.incentiveBalance;

      latestRunningBalance = runningBalance;
      latestIncentiveBalance = incentiveBalance;
    }

    var _getRefundFee = getRefundFee(amount, latestRunningBalance, latestIncentiveBalance, repaymentChainId, ubaConfigForBundle),
        balancingFee = _getRefundFee.balancingFee;

    return balancingFee;
  }
  /**
   * @notice Expected to be called by dataworker to reconstruct bundle roots using validated flow information
   * in bundle.
   */
  ;

  _proto.getModifiedFlows = function getModifiedFlows(chainId, tokenSymbol, startBlock, endBlock) {
    var _this2 = this;

    this.assertUpdated(); // Find the bundle block range that entirely contains start and end block

    var specificBundleRange = this.ubaBundleBlockRanges.find(function (blockRanges) {
      var blockRangeForChain = getBlockRangeForChain(blockRanges, chainId, _this2.chainIdIndices);
      return blockRangeForChain[0] <= startBlock && blockRangeForChain[1] >= endBlock;
    });

    if (!isDefined(specificBundleRange)) {
      throw new Error("Could not find bundle block range containing block range " + startBlock + " to " + endBlock + " on chain " + chainId);
    }

    var bundleState = this.getBundleState(specificBundleRange, tokenSymbol, chainId);
    return bundleState.flows.filter(function (_ref2) {
    });
  }
  /**
   * Can be used by middleware API to refresh the latest bundle state for a given token and chain. The API
   * can serve this information and make it very fast to then compute the next deposit and refund balancing fees.
   * @param tokenSymbol
   * @param chainId
   * @returns
   */
  ;

  _proto.getLatestBundleState = function getLatestBundleState(tokenSymbol, chainId) {
    this.assertUpdated();
    var latestBlockRange = this.ubaBundleBlockRanges.at(-1);

    if (!latestBlockRange) {
      throw new Error("No block ranges stored, have you updated this client?");
    }

    var _this$getBundleState = this.getBundleState(latestBlockRange, tokenSymbol, chainId),
        flows = _this$getBundleState.flows,
        ubaConfig = _this$getBundleState.ubaConfig;

    return {
      flows: flows,
      ubaConfig: ubaConfig
    };
  } // /////////////////
  //
  //
  // PRIVATE METHODS:
  //
  // /////////////////

  /**
   * This client should only access the `ubaBundleStates` state via this function.
   */
  ;

  _proto.getBundleState = function getBundleState(blockRange, tokenSymbol, chainId) {
    var key = this.getKeyForBundle(blockRange, tokenSymbol, chainId);
    var bundleState = this.ubaBundleStates[key];

    if (!isDefined(bundleState)) {
      throw new Error("Bundle state for chain " + chainId + ", token " + tokenSymbol + " and block range " + blockRange + " should exist");
    }

    return bundleState;
  }
  /**
   * @notice Compute the LP fee for a given amount.
   */
  ;

  _proto.computeLpFee = function computeLpFee(baselineFee) {
    // @dev Temporarily, the LP fee only comprises the baselineFee. In the future, a variable component will be
    // added to the baseline fee that takes into account the utilized liquidity in the system and how the the bridge
    // defined by { amount, originChain, refundChain, hubPoolBlock } affects that liquidity.
    return baselineFee;
  }
  /**
   * Validate flows in bundle block ranges. Returns the flows mapped by chain ID where the flow occurred and also
   * caches the validated flows in this class instance.
   * @param blockRanges The block ranges to validate flows for. Must be a known block range in this.ubaBundleBlockRanges class variable.
   * @param tokenSymbol Flows to filter on.
   * @returns
   */
  ;

  _proto.validateFlowsInBundle =
  /*#__PURE__*/
  function () {
    var _validateFlowsInBundle = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee2(blockRanges, tokenSymbol) {
      var _this$hubPoolClient$g2,
          _this3 = this;

      var l1TokenAddress, blockRangesForChain, flowsInBundle, _iterator, _step, flow, flowChain, validatedFlow;

      return runtime_1.wrap(function _callee2$(_context2) {
        while (1) {
          switch (_context2.prev = _context2.next) {
            case 0:
              if (this.ubaBundleBlockRanges.some(function (bundleBlockRanges) {
                return JSON.stringify(blockRanges) === JSON.stringify(bundleBlockRanges);
              })) {
                _context2.next = 2;
                break;
              }

              throw new Error("Invalid block ranges not found in this.ubaBundleBlockRanges state");

            case 2:
              // Load common data:
              l1TokenAddress = (_this$hubPoolClient$g2 = this.hubPoolClient.getL1Tokens().find(function (token) {
                return token.symbol === tokenSymbol;
              })) == null ? void 0 : _this$hubPoolClient$g2.address;

              if (l1TokenAddress) {
                _context2.next = 5;
                break;
              }

              throw new Error("No L1 token address found for token symbol " + tokenSymbol);

            case 5:
              if (!blockRangesAreInvalidForSpokeClients(this.spokePoolClients, blockRanges, this.chainIdIndices)) {
                _context2.next = 7;
                break;
              }

              throw new Error("Spoke pool clients do not have the block ranges necessary to look up data for bundle ranges: " + JSON.stringify(blockRanges));

            case 7:
              // Conveniently map block ranges to each chain.
              blockRangesForChain = Object.fromEntries(this.enabledChainIds.map(function (chainId) {
                return [chainId, getBlockRangeForChain(blockRanges, chainId, _this3.chainIdIndices)];
              })); // Combine flows from all chain block ranges in this bundle.

              _context2.t0 = sortFlowsAscending;
              _context2.next = 11;
              return mapAsync(this.enabledChainIds, /*#__PURE__*/function () {
                var _ref3 = _asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee(chainId) {
                  var _blockRangesForChain$, startBlock, endBlock, flows;

                  return runtime_1.wrap(function _callee$(_context) {
                    while (1) {
                      switch (_context.prev = _context.next) {
                        case 0:
                          _blockRangesForChain$ = blockRangesForChain[chainId], startBlock = _blockRangesForChain$[0], endBlock = _blockRangesForChain$[1]; // Don't load flows for disabled block ranges in this bundle.

                          if (!(startBlock === endBlock)) {
                            _context.next = 3;
                            break;
                          }

                          return _context.abrupt("return", []);

                        case 3:
                          _context.next = 5;
                          return getUBAFlows(tokenSymbol, chainId, _this3.spokePoolClients, _this3.hubPoolClient, startBlock, endBlock);

                        case 5:
                          flows = _context.sent;
                          return _context.abrupt("return", flows);

                        case 7:
                        case "end":
                          return _context.stop();
                      }
                    }
                  }, _callee);
                }));

                return function (_x3) {
                  return _ref3.apply(this, arguments);
                };
              }());

            case 11:
              _context2.t1 = _context2.sent.flat();
              flowsInBundle = (0, _context2.t0)(_context2.t1);
              _iterator = _createForOfIteratorHelperLoose(flowsInBundle);

            case 14:
              if ((_step = _iterator()).done) {
                _context2.next = 23;
                break;
              }

              flow = _step.value;
              // The flow chain is where the flow occurred, based on what type of flow it was.
              flowChain = getFlowChain(flow); // Since we're validating flows in ascending order, all flows in this array have already been validated
              // and precede the flow.
              // const bundleKey = this.getKeyForBundle(blockRanges, tokenSymbol, flowChain);
              // console.group(`Trying to validate flow for chain ${flowChain} and key ${bundleKey}`, {
              //   isUbaInflow: isUbaInflow(flow),
              //   isUbaOutflow: isUbaOutflow(flow),
              //   flowChain,
              //   transactionhash: flow.transactionHash,
              //   amount: flow.amount,
              //   blockTimestamp: flow.blockTimestamp,
              //   blockNumber: flow.blockNumber,
              //   realizedLpFeePct: flow.realizedLpFeePct,
              //   matchedDeposit: (flow as UbaOutflow)?.matchedDeposit && {
              //     originChain: (flow as UbaOutflow).matchedDeposit.originChainId,
              //     transactionhash: (flow as UbaOutflow).matchedDeposit.transactionHash,
              //     blockTimestamp: (flow as UbaOutflow).matchedDeposit.blockTimestamp,
              //     blockNumber: (flow as UbaOutflow).matchedDeposit.blockNumber,
              //     // This should be defined only if its a pre UBA deposit.
              //     realizedLpFeePct: (flow as UbaOutflow).matchedDeposit?.realizedLpFeePct,
              //   },
              // });
              // Validate this flow and cache it if it is valid.
              // console.log(`- precedingValidatedFlows length: ${precedingValidatedFlows.length}`);

              _context2.next = 19;
              return this.validateFlow(flow);

            case 19:
              validatedFlow = _context2.sent;

              if (isDefined(validatedFlow)) {
                // console.log("Validated ✅", {
                //   runningBalance: validatedFlow.runningBalance,
                //   incentiveBalance: validatedFlow.incentiveBalance.toString(),
                //   netRunningBalanceAdjustment: validatedFlow.netRunningBalanceAdjustment.toString(),
                //   balancingFee: validatedFlow.balancingFee.toString(),
                //   lpFee: validatedFlow.lpFee.toString(),
                // });
                this.appendValidatedFlowsToClassState(flowChain, tokenSymbol, [validatedFlow], blockRanges);
              } // console.groupEnd();


            case 21:
              _context2.next = 14;
              break;

            case 23:
              return _context2.abrupt("return", Object.fromEntries(this.enabledChainIds.map(function (chainId) {
                var bundleStateForChain = _this3.getBundleState(blockRanges, tokenSymbol, chainId);

                return [chainId, bundleStateForChain.flows];
              })));

            case 24:
            case "end":
              return _context2.stop();
          }
        }
      }, _callee2, this);
    }));

    function validateFlowsInBundle(_x, _x2) {
      return _validateFlowsInBundle.apply(this, arguments);
    }

    return validateFlowsInBundle;
  }()
  /**
   * Return flow with computed fees if it is valid. Otherwise, return undefined. Inflows are always valid,
   * while outflows need to match against an inflow and have set the correct realizedLpFeePct
   * @param flow Flow to validate. It's assumed that flow is already matched with a deposit, if its an outflow.
   * @returns Validated flow or undefined if flow cannot be validated.
   */
  ;

  _proto.validateFlow =
  /*#__PURE__*/
  function () {
    var _validateFlow = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee3(flow) {
      var _this$hubPoolClient$g6, _lastFlow$runningBala, _lastFlow$incentiveBa, _lastFlow$netRunningB;

      var latestHubPoolBlock, flowChain, tokenSymbol, _this$hubPoolClient$g3, _this$hubPoolClient$g4, _this$hubPoolClient$g5, l1TokenAddress, blockRangesContainingFlow, bundleSharedState, openingBalanceForChain, ubaConfigForChain, precedingValidatedFlows, lastFlow, latestRunningBalance, latestIncentiveBalance, latestNetRunningBalanceAdjustment, potentialBalancingFee, _getDepositFee, _getRefundFee2, _analog$calculateHist2, runningBalance, incentiveBalance, netRunningBalanceAdjustment, lpFeePct, lpFee, newModifiedFlow, matchedDeposit, bundleForMatchedDeposit, depositBundleState, ubaConfigForDeposit, _lpFeePct, matchedDepositFlow, matchedDepositBlockRangeInFlowBundle, matchedDepositBundleFlows, validatedFlowsOnOriginChain, _matchedDepositBundleFlows, expectedRealizedLpFeeForMatchedDeposit, expectedRealizedLpFeePctForMatchedDeposit;

      return runtime_1.wrap(function _callee3$(_context3) {
        while (1) {
          switch (_context3.prev = _context3.next) {
            case 0:
              latestHubPoolBlock = this.hubPoolClient.latestBlockNumber;

              if (isDefined(latestHubPoolBlock)) {
                _context3.next = 3;
                break;
              }

              throw new Error("HubPoolClient not updated");

            case 3:
              if (isUbaInflow(flow)) {
                flowChain = flow.originChainId;
                tokenSymbol = (_this$hubPoolClient$g3 = this.hubPoolClient.getL1TokenInfoForL2Token(flow.originToken, flowChain)) == null ? void 0 : _this$hubPoolClient$g3.symbol;
              } else {
                // If the flow is a fill, then we need to validate its matched deposit.
                if (outflowIsFill(flow)) {
                  flowChain = flow.destinationChainId;
                  tokenSymbol = (_this$hubPoolClient$g4 = this.hubPoolClient.getL1TokenInfoForL2Token(flow.destinationToken, flowChain)) == null ? void 0 : _this$hubPoolClient$g4.symbol;
                } else {
                  flowChain = flow.repaymentChainId;
                  tokenSymbol = (_this$hubPoolClient$g5 = this.hubPoolClient.getL1TokenInfoForL2Token(flow.refundToken, flowChain)) == null ? void 0 : _this$hubPoolClient$g5.symbol;
                }
              }

              if (isDefined(tokenSymbol)) {
                _context3.next = 6;
                break;
              }

              throw new Error("No token symbol found");

            case 6:
              l1TokenAddress = (_this$hubPoolClient$g6 = this.hubPoolClient.getL1Tokens().find(function (token) {
                return token.symbol === tokenSymbol;
              })) == null ? void 0 : _this$hubPoolClient$g6.address;

              if (isDefined(l1TokenAddress)) {
                _context3.next = 9;
                break;
              }

              throw new Error("No L1 token address found for token symbol");

            case 9:
              // Get opening balance and config at the start time of the bundle containing the flow. We basically want to grab
              // the latest validated bundle preceding the bundle containing the flow. This should have been
              // preloaded already into the memory state.
              blockRangesContainingFlow = this.getUbaBundleBlockRangeContainingFlow(flow.blockNumber, flowChain);
              bundleSharedState = this.getBundleState(blockRangesContainingFlow, tokenSymbol, flowChain);
              openingBalanceForChain = bundleSharedState.openingBalances;
              ubaConfigForChain = bundleSharedState.ubaConfig; // const runningBalanceThresholds = ubaConfigForChain.getBalanceTriggerThreshold(flowChain, tokenSymbol);
              // console.log("- Bundle information for flow", {
              //   blockRangesContainingFlow,
              //   openingBalanceForChain,
              //   ubaConfigBaselineFeeCurve: ubaConfigForChain
              //     .getBaselineFee(flow.destinationChainId, flow.originChainId)
              //     .toString(),
              //   upperRunningBalanceThresholds: {
              //     target: runningBalanceThresholds.upperBound?.target?.toString(),
              //     threshold: runningBalanceThresholds.upperBound?.threshold?.toString(),
              //   },
              //   lowerRunningBalanceThresholds: {
              //     target: runningBalanceThresholds.lowerBound?.target?.toString(),
              //     threshold: runningBalanceThresholds.lowerBound?.threshold?.toString(),
              //   },
              // });
              // Use the opening balance to compute expected flow fees:

              precedingValidatedFlows = bundleSharedState.flows;
              lastFlow = precedingValidatedFlows[precedingValidatedFlows.length - 1];
              latestRunningBalance = (_lastFlow$runningBala = lastFlow == null ? void 0 : lastFlow.runningBalance) != null ? _lastFlow$runningBala : openingBalanceForChain.runningBalance;
              latestIncentiveBalance = (_lastFlow$incentiveBa = lastFlow == null ? void 0 : lastFlow.incentiveBalance) != null ? _lastFlow$incentiveBa : openingBalanceForChain.incentiveBalance;
              latestNetRunningBalanceAdjustment = (_lastFlow$netRunningB = lastFlow == null ? void 0 : lastFlow.netRunningBalanceAdjustment) != null ? _lastFlow$netRunningB : ethers.ethers.constants.Zero;

              if (isUbaInflow(flow)) {
                _getDepositFee = getDepositFee(flow.amount, latestRunningBalance, latestIncentiveBalance, flowChain, ubaConfigForChain);
                potentialBalancingFee = _getDepositFee.balancingFee;
              } else {
                _getRefundFee2 = getRefundFee(flow.amount, latestRunningBalance, latestIncentiveBalance, flowChain, ubaConfigForChain);
                potentialBalancingFee = _getRefundFee2.balancingFee;
              } // console.log("- Potential balancing fee for flow", potentialBalancingFee.toString());
              // Figure out the running balance so far for this flow's chain. This is based on all already validated flows
              // for this chain plus the current flow assuming it is valid.


              _analog$calculateHist2 = calculateHistoricalRunningBalance([_extends({}, flow, {
                incentiveFee: potentialBalancingFee
              })], latestRunningBalance, latestIncentiveBalance, latestNetRunningBalanceAdjustment, flowChain, tokenSymbol, ubaConfigForChain), runningBalance = _analog$calculateHist2.runningBalance, incentiveBalance = _analog$calculateHist2.incentiveBalance, netRunningBalanceAdjustment = _analog$calculateHist2.netRunningBalanceAdjustment; // Figure out the LP fee which is based only on the flow's origin and destination chain.

              lpFeePct = this.computeLpFee(ubaConfigForChain.getBaselineFee(flow.destinationChainId, flow.originChainId));
              lpFee = lpFeePct.mul(flow.amount).div(fixedPointAdjustment);
              newModifiedFlow = {
                flow: flow,
                balancingFee: potentialBalancingFee,
                lpFee: lpFee,
                runningBalance: runningBalance,
                incentiveBalance: incentiveBalance,
                netRunningBalanceAdjustment: netRunningBalanceAdjustment
              }; // Now we have all information we need to validate the flow:
              // If deposit, then flow is always valid:

              if (!isUbaInflow(flow)) {
                _context3.next = 27;
                break;
              }

              return _context3.abrupt("return", newModifiedFlow);

            case 27:
              if (isDefined(flow.realizedLpFeePct)) {
                _context3.next = 29;
                break;
              }

              throw new Error("Outflow has undefined realizedLpFeePct");

            case 29:
              if (!isDefined(flow.matchedDeposit.realizedLpFeePct)) {
                _context3.next = 36;
                break;
              }

              if (!flow.matchedDeposit.realizedLpFeePct.eq(flow.realizedLpFeePct)) {
                _context3.next = 34;
                break;
              }

              return _context3.abrupt("return", {
                flow: flow,
                runningBalance: latestRunningBalance,
                incentiveBalance: latestIncentiveBalance,
                netRunningBalanceAdjustment: latestNetRunningBalanceAdjustment,
                // Balancing fee for a pre UBA refund is 0
                balancingFee: ethers.ethers.constants.Zero,
                // Set realized LP fee for fill equal to the realized LP fee for the matched deposit.
                lpFee: flow.realizedLpFeePct.mul(flow.amount).div(fixedPointAdjustment)
              });

            case 34:
              this.logger.debug({
                at: "UBAClientWithRefresh#validateFlow",
                message: "Flow matched a pre-UBA deposit, but it was invalid because it set the wrong LP fee",
                flow: flow
              });
              return _context3.abrupt("return", undefined);

            case 36:
              // This is a clever optimization we can make and exit early: If the UBA config
              // at the time of the matched deposit has a flat balancing fee, then its realizedLpFeePct only depends
              // on the lpFee component as we can assume the balancing fee was 0 regardless of the running
              // balance at the time of the deposit flow.
              // I *think* (with a lot of uncertainty) we should put this before the timing rule so that we can take advantage of this rule to overcome
              // chain haltings where a chain's blockTimestamps stops progressing?
              matchedDeposit = flow.matchedDeposit;
              bundleForMatchedDeposit = this.getUbaBundleBlockRangeContainingFlow(matchedDeposit.blockNumber, matchedDeposit.originChainId);
              depositBundleState = this.getBundleState(bundleForMatchedDeposit, tokenSymbol, matchedDeposit.originChainId);
              ubaConfigForDeposit = depositBundleState.ubaConfig;

              if (!ubaConfigForDeposit.isBalancingFeeCurveFlatAtZero(flow.matchedDeposit.originChainId)) {
                _context3.next = 47;
                break;
              }

              // console.log("- Flow matched a deposit on a chain with a flat balancing fee curve at 0");
              _lpFeePct = newModifiedFlow.lpFee.mul(fixedPointAdjustment).div(flow.amount);

              if (_lpFeePct.eq(flow.realizedLpFeePct)) {
                _context3.next = 46;
                break;
              }

              return _context3.abrupt("return", undefined);

            case 46:
              return _context3.abrupt("return", newModifiedFlow);

            case 47:
              if (!(flow.blockTimestamp < flow.matchedDeposit.blockTimestamp)) {
                _context3.next = 53;
                break;
              }

              if (!(this.latestBlockTimestamps[flow.matchedDeposit.originChainId] < flow.blockTimestamp)) {
                _context3.next = 51;
                break;
              }

              this.logger.error({
                at: "UBAClientWithRefresh#validateFlow",
                message: "We cannot invalidate a fill if the latest block.timestamp on the origin chain is <= the fill's timestamp",
                latestOriginChainBlockTimestamp: this.latestBlockTimestamps[flow.matchedDeposit.originChainId],
                flow: flow
              });
              throw new Error("We cannot invalidate a fill if the latest block.timestamp " + this.latestBlockTimestamps[flow.matchedDeposit.originChainId] + " on the deposit.origin chain is not > than the fill's timestamp " + flow.blockTimestamp + ". This is because its still possible to send a deposit on the origin chain that would validate this fill.");

            case 51:
              _context3.next = 88;
              break;

            case 53:
              // Check the RealizedLpFeePct Rule:
              // Validate the fill.realizedLpFeePct against the expected matched deposit lpFee + balancingFee
              // We're going to try to identify the `matchedDepositFlow` which includes the balancing
              // fees and latest running balance for the matched deposit in its relevant bundle state.
              // First, check if matched inflow is included in this current flow's bundle block range.
              // If its included here then we can exit early since the deposit must precede the flow
              // since flows are validated in chronological order by blockTimestamp.
              matchedDepositBlockRangeInFlowBundle = getBlockRangeForChain(blockRangesContainingFlow, matchedDeposit.originChainId, this.chainIdIndices); // There are three cases:
              // 1. The matched deposit is in a bundle after the flow's bundle
              // 2. The matched deposit is in the same bundle as the flow's
              // 3. The matched deposit is in a bundle before the flow's bundle.

              if (!(matchedDeposit.blockNumber > matchedDepositBlockRangeInFlowBundle[1])) {
                _context3.next = 65;
                break;
              }

              // Its possible that a matched deposit is in a later bundle because of the way the dataworker constructs
              // bundle block ranges. This is possible if the fill is near the end of the previous bundle before the deposit
              // which is at the beginning.
              // We first try to check existing validated flows in the later bundle to see if we've already
              // validated this flow.
              // console.log("- ➡️ Matched deposit bundle block range is after flow's", {
              //   bundleForMatchedDeposit,
              // });
              matchedDepositFlow = this.getMatchingValidatedFlow(matchedDeposit.blockNumber, matchedDeposit.originChainId, matchedDeposit, tokenSymbol);

              if (!isDefined(matchedDepositFlow)) {
                _context3.next = 59;
                break;
              }

              _context3.next = 63;
              break;

            case 59:
              _context3.next = 61;
              return this.validateFlowsInBundle(bundleForMatchedDeposit, tokenSymbol);

            case 61:
              matchedDepositBundleFlows = _context3.sent;
              matchedDepositFlow = getMatchingFlow(matchedDepositBundleFlows[matchedDeposit.originChainId], matchedDeposit);

            case 63:
              _context3.next = 79;
              break;

            case 65:
              if (!(matchedDeposit.blockNumber >= matchedDepositBlockRangeInFlowBundle[0] && matchedDeposit.blockNumber <= matchedDepositBlockRangeInFlowBundle[1])) {
                _context3.next = 73;
                break;
              }

              // The matched deposit is in the same bundle as the flow.
              // console.log("- Matched deposit should be in same bundle as flow");
              validatedFlowsOnOriginChain = depositBundleState.flows;
              matchedDepositFlow = getMatchingFlow(validatedFlowsOnOriginChain, matchedDeposit);

              if (isDefined(matchedDepositFlow)) {
                _context3.next = 71;
                break;
              }

              this.logger.error({
                at: "UBAClientWithRefresh#validateFlow",
                message: "Deposit should be in same bundle as flow and already have been validated but cannot be found",
                validatedFlowsOnOriginChain: validatedFlowsOnOriginChain,
                flow: flow
              });
              throw new Error("Could not find matched deposit in same bundle as fill");

            case 71:
              _context3.next = 79;
              break;

            case 73:
              // The bundle containing the matched deposit is older than current bundle range for flow.
              // We might need to recurse here if we haven't validated the deposit yet.
              // console.log("- ⬅️ Matched deposit bundle block range is older than flow's", {
              //   bundleForMatchedDeposit,
              // });
              matchedDepositFlow = this.getMatchingValidatedFlow(matchedDeposit.blockNumber, matchedDeposit.originChainId, matchedDeposit, tokenSymbol); // If not found in cache, then we need to recurse and validate this bundle.

              if (isDefined(matchedDepositFlow)) {
                _context3.next = 79;
                break;
              }

              _context3.next = 77;
              return this.validateFlowsInBundle(bundleForMatchedDeposit, tokenSymbol);

            case 77:
              _matchedDepositBundleFlows = _context3.sent;
              matchedDepositFlow = getMatchingFlow(_matchedDepositBundleFlows[matchedDeposit.originChainId], matchedDeposit);

            case 79:
              if (isDefined(matchedDepositFlow)) {
                _context3.next = 82;
                break;
              }

              this.logger.error({
                at: "UBAClientWithRefresh#validateFlow",
                message: "No matching flow found in client state for matched deposit",
                flow: flow
              });
              throw new Error("Could not validate or invalidate matched deposit");

            case 82:
              // Note: This will always be false when testing against pre UBA deposits on production networks.
              expectedRealizedLpFeeForMatchedDeposit = matchedDepositFlow.lpFee.add(matchedDepositFlow.balancingFee);
              expectedRealizedLpFeePctForMatchedDeposit = expectedRealizedLpFeeForMatchedDeposit.mul(fixedPointAdjustment).div(matchedDepositFlow.flow.amount); // console.log(
              //   `- Expected realized lp fee pct for matched deposit: ${expectedRealizedLpFeePctForMatchedDeposit.toString()}, actual: ${flow.realizedLpFeePct?.toString()}`
              // );
              // We allow for some precision loss because of the way we compute balancing fees. The balancing fee curves are integrated
              // by computePiecewiseLinearFunction and they return values, so we set balancing fees equal to those values divided by
              // flow amounts, which produces precision loss.

              if (!(expectedRealizedLpFeePctForMatchedDeposit.lte(flow.realizedLpFeePct.mul(toBNWei("1.01")).div(fixedPointAdjustment)) || expectedRealizedLpFeePctForMatchedDeposit.gte(flow.realizedLpFeePct.mul(toBNWei("0.99")).div(fixedPointAdjustment)))) {
                _context3.next = 88;
                break;
              }

              return _context3.abrupt("return", newModifiedFlow);

            case 88:
              return _context3.abrupt("return", undefined);

            case 89:
            case "end":
              return _context3.stop();
          }
        }
      }, _callee3, this);
    }));

    function validateFlow(_x4) {
      return _validateFlow.apply(this, arguments);
    }

    return validateFlow;
  }()
  /**
   * Locates the bundle range containing the flow on the specified chain and then tries to return the matching
   * validated flow if it already exists in memory.
   * @param flowBlock
   * @param flowChain
   * @param flow
   * @returns
   */
  ;

  _proto.getMatchingValidatedFlow = function getMatchingValidatedFlow(flowBlock, flowChain, flow, tokenSymbol) {
    var bundleContainingFlow = this.getUbaBundleBlockRangeContainingFlow(flowBlock, flowChain);
    var validatedFlowsInBundle = this.getBundleState(bundleContainingFlow, tokenSymbol, flowChain).flows;
    var matchingFlow = getMatchingFlow(validatedFlowsInBundle, flow);
    return matchingFlow;
  }
  /**
   * Returns a convenient mapping of the most recent block ranges for each chain.
   * Assumption: For each chain, there should be the same number of block ranges returned.
   * Assumption: The block ranges for each chain should cover from the activation bundle start block
   * for the UBA until the latest block searched for the chain.
   * @param bundleCount Block ranges to fetch per chain
   * @returns A dictionary mapping chainId to an array of block ranges, where the ranges are arrays of length two
   *         and the first element is the start block and the second element is the end block.
   */
  ;

  _proto.getMostRecentBundleBlockRangesPerChain = function getMostRecentBundleBlockRangesPerChain(bundleCount) {
    var _this4 = this;

    return this.chainIdIndices.reduce(function (acc, chainId) {
      // Gets the most recent `bundleCount` block ranges for this chain.
      var _blockRangesForChain = getMostRecentBundleBlockRanges(chainId, bundleCount, _this4.hubPoolClient, _this4.spokePoolClients).map(function (_ref4) {
        var start = _ref4.start,
            end = _ref4.end;
        return [start, end];
      }); // Sanity check that block ranges cover from UBA activation bundle start block for chain to latest spoke pool
      // client block searched:


      var ubaActivationBundleStartBlockForChain = getBlockForChain(getUbaActivationBundleStartBlocks(_this4.hubPoolClient), chainId, _this4.chainIdIndices);

      if (_blockRangesForChain.length === 0) {
        throw new Error("Should never return 0 length block ranges for chain " + chainId);
      }

      if ( // Check 1: start block of first block range should be equal to UBA activation bundle start block for chain
      _blockRangesForChain[0][0] !== ubaActivationBundleStartBlockForChain || // Check 2: end block of last block range should be equal to latest spoke pool client block searched
      isDefined(_this4.spokePoolClients[chainId]) && // eslint-disable-next-line @typescript-eslint/no-non-null-assertion
      _blockRangesForChain.at(-1)[1] !== _this4.spokePoolClients[chainId].latestBlockSearched) {
        var _blockRangesForChain$2, _this4$spokePoolClien;

        _this4.logger.error({
          at: "UBAClientWithRefresh#getMostRecentBundleBlockRangesPerChain",
          message: "Block ranges for chain " + chainId + " do not cover from UBA activation bundle start block to latest spoke pool client block searched",
          startBlockForChain: _blockRangesForChain[0][0],
          ubaActivationBundleStartBlockForChain: ubaActivationBundleStartBlockForChain,
          endBlockForChain: (_blockRangesForChain$2 = _blockRangesForChain.at(-1)) == null ? void 0 : _blockRangesForChain$2[1],
          latestSpokePoolClientBlockSearched: (_this4$spokePoolClien = _this4.spokePoolClients[chainId]) == null ? void 0 : _this4$spokePoolClien.latestBlockSearched
        });

        throw new Error("Block ranges for chain " + chainId + " do not cover from UBA activation bundle start block to latest spoke pool client block searched");
      } // Map the block ranges to this chain and move on to the next chain.


      acc[chainId] = _blockRangesForChain;
      return acc;
    }, {});
  }
  /**
   * Return the block range stored in this.ubaBundleBlockRanges that contains the flow.
   * @param flowBlock
   * @param flowChain
   * @returns
   */
  ;

  _proto.getUbaBundleBlockRangeContainingFlow = function getUbaBundleBlockRangeContainingFlow(flowBlock, flowChain) {
    var _this5 = this;

    var blockRangesContainingFlow = this.ubaBundleBlockRanges.find(function (blockRanges) {
      var blockRangeForChain = getBlockRangeForChain(blockRanges, flowChain, _this5.chainIdIndices);
      return blockRangeForChain[0] <= flowBlock && flowBlock <= blockRangeForChain[1];
    });

    if (!blockRangesContainingFlow) {
      throw new Error("Could not find bundle block range containing flow at block " + flowBlock + " on chain " + flowChain);
    }

    return blockRangesContainingFlow;
  }
  /**
   * This client should only update the `ubaBundleStates` state via this function.
   */
  ;

  _proto.appendValidatedFlowsToClassState = function appendValidatedFlowsToClassState(chainId, tokenSymbol, flows, bundleBlockRanges) {
    var _bundleState$flows;

    var bundleState = this.getBundleState(bundleBlockRanges, tokenSymbol, chainId);

    (_bundleState$flows = bundleState.flows).push.apply(_bundleState$flows, flows);
  }
  /**
   * Updates the bundle state.
   */
  ;

  _proto.update =
  /*#__PURE__*/
  function () {
    var _update = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee8() {
      var _this6 = this;

      var latestHubPoolBlock, tokens, blockRangesByChain, bundleBlockRangesCount, bundleBlockRanges, _loop, i, _loop2, _i, latestTimestampsPerChain, _loop3, _i2, _ret, newUbaClientState, _loop4, _i3, _loop5, _i4, _loop6, _i5;

      return runtime_1.wrap(function _callee8$(_context10) {
        while (1) {
          switch (_context10.prev = _context10.next) {
            case 0:
              latestHubPoolBlock = this.hubPoolClient.latestBlockNumber;

              if (isDefined(latestHubPoolBlock)) {
                _context10.next = 3;
                break;
              }

              throw new Error("HubPoolClient not updated");

            case 3:
              this.logger.debug({
                at: "UBAClientWithRefresh",
                message: "❤️‍🔥😭  Updating UBA Client",
                enabledChains: this.enabledChainIds
              });
              tokens = this.tokens; // Load all UBA bundle block ranges for each chain:

              this.logger.debug({
                at: "UBAClientWithRefresh#getMostRecentBundleBlockRangesPerChain",
                message: "Loaded UBA bundle start blocks",
                ubaActivationBundleStartBlockForChain: getUbaActivationBundleStartBlocks(this.hubPoolClient)
              });
              blockRangesByChain = this.getMostRecentBundleBlockRangesPerChain(100); // Mainnet will always be the first chain in the chainIdIndices array and it will never have disabled
              // or missing block

              bundleBlockRangesCount = blockRangesByChain[this.chainIdIndices[0]].length;
              bundleBlockRanges = [];

              _loop = function _loop(i) {
                bundleBlockRanges.push(_this6.chainIdIndices.map(function (chainId) {
                  // If chain has a bundle beginning at chain 0, then the chain was recently
                  // added to the chain ID list, so fill preceding block ranges with zero length ranges so that
                  // the number of block ranges for this chain equals the number of block ranges for other chains.
                  var blockRangeCountForChain = blockRangesByChain[chainId].length;

                  if (blockRangeCountForChain < bundleBlockRangesCount) {
                    var firstBlockRange = blockRangesByChain[chainId][0]; // Add block ranges with zero length to the beginning of the bundle block ranges for this chain

                    if (i < bundleBlockRangesCount - blockRangeCountForChain) {
                      return [firstBlockRange[0], firstBlockRange[0]];
                    } else {
                      return firstBlockRange;
                    }
                  }

                  return blockRangesByChain[chainId][i];
                }).filter(isDefined));
              };

              for (i = 0; i < bundleBlockRangesCount; i++) {
                _loop(i);
              } // Validate that block ranges are equal length for all bundles.


              if (!bundleBlockRanges.some(function (blockRange) {
                return blockRange.length !== _this6.chainIdIndices.length;
              })) {
                _context10.next = 13;
                break;
              }

              throw new Error("Block ranges are not equal length for all bundles");

            case 13:
              this.ubaBundleBlockRanges = bundleBlockRanges;
              this.logger.debug({
                at: "UBAClientWithRefresh#update",
                message: "UBA bundle block ranges we're storing in class memory",
                bundleBlockRanges: this.ubaBundleBlockRanges
              }); // Pre-load bundle configs and opening balances for each chain and token per bundle range.
              // This also instantiates the ubaBundleStates class dictionary.

              _loop2 = function _loop2(_i) {
                var bundleBlockRange = _this6.ubaBundleBlockRanges[_i];
                var startBlocks = bundleBlockRange.map(function (_ref7) {
                  var start = _ref7[0];
                  return start;
                });
                var mainnetStartBlock = getBlockForChain(startBlocks, _this6.hubPoolClient.chainId, _this6.chainIdIndices);
                tokens.forEach(function (token) {
                  var _this6$hubPoolClient$;

                  var l1TokenAddress = (_this6$hubPoolClient$ = _this6.hubPoolClient.getL1Tokens().find(function (_token) {
                    return _token.symbol === token;
                  })) == null ? void 0 : _this6$hubPoolClient$.address;
                  if (!isDefined(l1TokenAddress)) throw new Error("No L1 token address found for token symbol " + token);

                  _this6.enabledChainIds.forEach(function (chainId) {
                    var bundleStateKey = _this6.getKeyForBundle(bundleBlockRange, token, chainId);

                    var startBlock = getBlockForChain(startBlocks, chainId, _this6.chainIdIndices);
                    var openingBalances = getOpeningRunningBalanceForEvent(_this6.hubPoolClient, // Pass in a start block for the bundle containing the flow to this function so we always
                    // get a running balance from the last validated bundle before this flow's bundle.
                    startBlock, chainId, l1TokenAddress, latestHubPoolBlock); // console.log(
                    //   `Setting running balance ${openingBalances.runningBalance.toString()} for bundle range ${bundleStateKey}}`
                    // );

                    var ubaConfig = getUBAFeeConfig(_this6.hubPoolClient, chainId, token, mainnetStartBlock);
                    _this6.ubaBundleStates[bundleStateKey] = {
                      openingBalances: openingBalances,
                      ubaConfig: ubaConfig,
                      flows: [],
                      loadedFromCache: false
                    };
                  });
                });
              };

              for (_i = 0; _i < this.ubaBundleBlockRanges.length; _i++) {
                _loop2(_i);
              } // Load latest timestamps per chain:


              latestTimestampsPerChain = Object.fromEntries(this.enabledChainIds.map(function (chainId) {
                if (!isDefined(_this6.spokePoolClients[chainId])) return undefined;
                return [chainId, _this6.spokePoolClients[chainId].getCurrentTime()];
              }).filter(isDefined));
              this.latestBlockTimestamps = latestTimestampsPerChain;
              this.logger.debug({
                at: "UBAClientWithRefresh#update",
                message: "Latest block timestamps per chain",
                latestBlockTimestamps: this.latestBlockTimestamps
              }); // First try to load bundle states from redis into memory to make the validateFlowsInBundle call significantly faster:

              if (!isDefined(this.cachingClient)) {
                _context10.next = 31;
                break;
              }

              _loop3 = /*#__PURE__*/runtime_1.mark(function _loop3(_i2) {
                var mostRecentBundleBlockRanges, mainnetBundleStartBlock;
                return runtime_1.wrap(function _loop3$(_context6) {
                  while (1) {
                    switch (_context6.prev = _context6.next) {
                      case 0:
                        mostRecentBundleBlockRanges = _this6.ubaBundleBlockRanges[_i2]; // Check if this bundle is older than the oldest bundle we want to load from the cache:

                        mainnetBundleStartBlock = getBlockRangeForChain(mostRecentBundleBlockRanges, _this6.hubPoolClient.chainId, _this6.chainIdIndices)[0];

                        if (!(isDefined(_this6.clientConfig.latestMainnetBundleStartBlockToLoadFromCache) && _this6.clientConfig.latestMainnetBundleStartBlockToLoadFromCache > mainnetBundleStartBlock)) {
                          _context6.next = 5;
                          break;
                        }

                        _this6.logger.debug({
                          at: "UBAClientWithRefresh#update",
                          message: "Skipping loading bundle data from cache for bundle with mainnet start block " + mainnetBundleStartBlock + " because it's older than the oldest bundle we want to load from the cache",
                          bundleBlockRanges: mostRecentBundleBlockRanges,
                          oldestMainnetStartBlockToLoadFromCache: _this6.clientConfig.latestMainnetBundleStartBlockToLoadFromCache
                        });

                        return _context6.abrupt("return", "continue");

                      case 5:
                        _context6.next = 7;
                        return forEachAsync(tokens, /*#__PURE__*/function () {
                          var _ref5 = _asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee5(token) {
                            return runtime_1.wrap(function _callee5$(_context5) {
                              while (1) {
                                switch (_context5.prev = _context5.next) {
                                  case 0:
                                    _context5.next = 2;
                                    return forEachAsync(_this6.enabledChainIds, /*#__PURE__*/function () {
                                      var _ref6 = _asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee4(chainId) {
                                        var _this6$cachingClient;

                                        var redisKeyForBundle, modifiedFlowsInBundle;
                                        return runtime_1.wrap(function _callee4$(_context4) {
                                          while (1) {
                                            switch (_context4.prev = _context4.next) {
                                              case 0:
                                                redisKeyForBundle = _this6.getKeyForBundle(mostRecentBundleBlockRanges, token, chainId);
                                                _context4.next = 3;
                                                return (_this6$cachingClient = _this6.cachingClient) == null ? void 0 : _this6$cachingClient.get(redisKeyForBundle);

                                              case 3:
                                                modifiedFlowsInBundle = _context4.sent;

                                                if (isDefined(modifiedFlowsInBundle)) {
                                                  _this6.logger.debug({
                                                    at: "UBAClientWithRefresh#update",
                                                    message: "\uD83D\uDCBF Loaded bundle state from cache using key " + redisKeyForBundle,
                                                    bundleBlockRanges: mostRecentBundleBlockRanges,
                                                    flowsLoaded: modifiedFlowsInBundle.length
                                                  });

                                                  _this6.appendValidatedFlowsToClassState(chainId, token, modifiedFlowsInBundle, mostRecentBundleBlockRanges); // Mark as loaded from cache.


                                                  // Mark as loaded from cache.
                                                  _this6.getBundleState(mostRecentBundleBlockRanges, token, chainId).loadedFromCache = true;
                                                } else {
                                                  _this6.logger.debug({
                                                    at: "UBAClientWithRefresh#update",
                                                    message: "No entry for key " + redisKeyForBundle + " in redis",
                                                    bundleBlockRanges: mostRecentBundleBlockRanges
                                                  });
                                                }

                                              case 5:
                                              case "end":
                                                return _context4.stop();
                                            }
                                          }
                                        }, _callee4);
                                      }));

                                      return function (_x6) {
                                        return _ref6.apply(this, arguments);
                                      };
                                    }());

                                  case 2:
                                  case "end":
                                    return _context5.stop();
                                }
                              }
                            }, _callee5);
                          }));

                          return function (_x5) {
                            return _ref5.apply(this, arguments);
                          };
                        }());

                      case 7:
                      case "end":
                        return _context6.stop();
                    }
                  }
                }, _loop3);
              });
              _i2 = this.ubaBundleBlockRanges.length - 1;

            case 23:
              if (!(_i2 >= 0)) {
                _context10.next = 31;
                break;
              }

              return _context10.delegateYield(_loop3(_i2), "t0", 25);

            case 25:
              _ret = _context10.t0;

              if (!(_ret === "continue")) {
                _context10.next = 28;
                break;
              }

              return _context10.abrupt("continue", 28);

            case 28:
              _i2--;
              _context10.next = 23;
              break;

            case 31:
              // Validate flows for each token and chain inside a bundle, for all bundle block ranges in order.
              newUbaClientState = {};
              _loop4 = /*#__PURE__*/runtime_1.mark(function _loop4(_i3) {
                var mostRecentBundleBlockRanges;
                return runtime_1.wrap(function _loop4$(_context9) {
                  while (1) {
                    switch (_context9.prev = _context9.next) {
                      case 0:
                        mostRecentBundleBlockRanges = _this6.ubaBundleBlockRanges[_i3]; // console.log("Validating flows for bundle", mostRecentBundleBlockRanges);

                        _context9.next = 3;
                        return forEachAsync(tokens, /*#__PURE__*/function () {
                          var _ref8 = _asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee7(token) {
                            var modifiedFlowsInBundle;
                            return runtime_1.wrap(function _callee7$(_context8) {
                              while (1) {
                                switch (_context8.prev = _context8.next) {
                                  case 0:
                                    if (!_this6.enabledChainIds.every(function (chainId) {
                                      return _this6.getBundleState(mostRecentBundleBlockRanges, token, chainId).loadedFromCache;
                                    })) {
                                      _context8.next = 4;
                                      break;
                                    }

                                    // const bundleKeyForBlockRanges = getBundleKeyForBlockRanges(mostRecentBundleBlockRanges);
                                    // console.log(
                                    //   `- Skipping validation for bundle ${bundleKeyForBlockRanges} for token ${token} because flows for all chains are already cached`
                                    // );
                                    modifiedFlowsInBundle = Object.fromEntries(_this6.enabledChainIds.map(function (chainId) {
                                      var cachedFlows = _this6.getBundleState(mostRecentBundleBlockRanges, token, chainId).flows;

                                      return [chainId, cachedFlows];
                                    }));
                                    _context8.next = 7;
                                    break;

                                  case 4:
                                    _context8.next = 6;
                                    return _this6.validateFlowsInBundle(mostRecentBundleBlockRanges, token);

                                  case 6:
                                    modifiedFlowsInBundle = _context8.sent;

                                  case 7:
                                    _context8.next = 9;
                                    return forEachAsync(_this6.enabledChainIds, /*#__PURE__*/function () {
                                      var _ref9 = _asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee6(chainId) {
                                        var bundleState, redisKeyForBundle;
                                        return runtime_1.wrap(function _callee6$(_context7) {
                                          while (1) {
                                            switch (_context7.prev = _context7.next) {
                                              case 0:
                                                if (!isDefined(newUbaClientState[chainId])) newUbaClientState[chainId] = {};
                                                if (!isDefined(newUbaClientState[chainId][token])) newUbaClientState[chainId][token] = [];
                                                bundleState = _this6.getBundleState(mostRecentBundleBlockRanges, token, chainId);
                                                newUbaClientState[chainId][token].push({
                                                  bundleBlockRanges: mostRecentBundleBlockRanges,
                                                  flows: bundleState.flows,
                                                  ubaConfig: bundleState.ubaConfig,
                                                  openingBalances: bundleState.openingBalances
                                                }); // We shouldn't cache the latest bundle state as it will always be unexecuted (i.e. its still
                                                // pending the challenge period or its leaves haven't been fully executed).
                                                // Moreover, we shouldn't cache bundles until we've seen a minimum number of bundles executed since UBA
                                                // genesis for safety reasons as this logic won't have been well tested until then.

                                                if (!(_this6.ubaBundleBlockRanges.length <= 30)) {
                                                  _context7.next = 6;
                                                  break;
                                                }

                                                return _context7.abrupt("return");

                                              case 6:
                                                if (!(_i3 === _this6.ubaBundleBlockRanges.length - 1)) {
                                                  _context7.next = 8;
                                                  break;
                                                }

                                                return _context7.abrupt("return");

                                              case 8:
                                                redisKeyForBundle = _this6.getKeyForBundle(mostRecentBundleBlockRanges, token, chainId); // console.log(`- Storing new bundle state under key ${redisKeyForBundle}`);
                                                // Note, we opt to store arrays as strings in redis rather than using the redis.json module because
                                                // we don't plan to manipulate the data inside redis, so we really only want to optimize for writing
                                                // and reading. The redis.json module is more performant for manipulating data while inside redis.

                                                if (!isDefined(_this6.cachingClient)) {
                                                  _context7.next = 12;
                                                  break;
                                                }

                                                _context7.next = 12;
                                                return _this6.cachingClient.set(redisKeyForBundle, modifiedFlowsInBundle[chainId] // I don't think we want these keys to expire since we'll likely always need data from the beginning
                                                // of the UBA activation block to validate even the latest bundles, because of the recursive nature
                                                // of how we compute running balances as a function of all prior validated bundle history.
                                                );

                                              case 12:
                                              case "end":
                                                return _context7.stop();
                                            }
                                          }
                                        }, _callee6);
                                      }));

                                      return function (_x8) {
                                        return _ref9.apply(this, arguments);
                                      };
                                    }());

                                  case 9:
                                  case "end":
                                    return _context8.stop();
                                }
                              }
                            }, _callee7);
                          }));

                          return function (_x7) {
                            return _ref8.apply(this, arguments);
                          };
                        }());

                      case 3:
                      case "end":
                        return _context9.stop();
                    }
                  }
                }, _loop4);
              });
              _i3 = 0;

            case 34:
              if (!(_i3 < this.ubaBundleBlockRanges.length)) {
                _context10.next = 39;
                break;
              }

              return _context10.delegateYield(_loop4(_i3), "t1", 36);

            case 36:
              _i3++;
              _context10.next = 34;
              break;

            case 39:
              _loop5 = function _loop5(_i4) {
                var mostRecentBundleBlockRanges = _this6.ubaBundleBlockRanges[_i4];

                _this6.enabledChainIds.forEach(function (chainId) {
                  tokens.forEach(function (token) {
                    var modifiedFlowsInBundle = _this6.getBundleState(mostRecentBundleBlockRanges, token, chainId).flows;

                    modifiedFlowsInBundle.forEach(function (_ref10) {
                      var flow = _ref10.flow;

                      // We can now set the realizedLpFeePct for the deposit in the SpokePoolClient, which was not
                      // known to the SpokePoolClient at the time it queried the deposit.
                      if (isUbaOutflow(flow) && !isDefined(flow.matchedDeposit.realizedLpFeePct)) {
                        _this6.spokePoolClients[flow.matchedDeposit.originChainId].updateDepositRealizedLpFeePct(flow.matchedDeposit, flow.realizedLpFeePct);
                      }
                    });
                  });
                });
              };

              // For each validated outflow, update its matched deposit's realizedLpFeePct in the spoke pool client:
              for (_i4 = 0; _i4 < this.ubaBundleBlockRanges.length; _i4++) {
                _loop5(_i4);
              } // At last, load into ubaClientState. This way the caller now can access bundle states two ways:
              // via ubaCientState or via ubaBundleState.


              this.ubaClientState = newUbaClientState;
              this.isUpdated = true; // Log bundle states in readable form and check outputs:

              _loop6 = function _loop6(_i5) {
                tokens.forEach(function (token) {
                  var bundleBlockRange = _this6.ubaBundleBlockRanges[_i5];

                  var breakdownPerChain = _this6.enabledChainIds.map(function (chainId) {
                    var bundleState = _this6.getBundleState(bundleBlockRange, token, chainId);

                    if (isDefined(bundleState)) {
                      var flows = bundleState.flows;
                      var lastFlow = flows.at(-1);
                      if (!isDefined(lastFlow)) return undefined; // Filter out outflows matched with pre UBA deposits from the list

                      var fills = flows.filter(function (_ref11) {
                        var flow = _ref11.flow;
                        return isUbaOutflow(flow) && outflowIsFill(flow) && flow.matchedDeposit.realizedLpFeePct === undefined;
                      });
                      var deposits = flows.filter(function (_ref12) {
                        var flow = _ref12.flow;
                        return isUbaInflow(flow);
                      });
                      var refunds = flows.filter(function (_ref13) {
                        var flow = _ref13.flow;
                        return isUbaOutflow(flow) && outflowIsRefund(flow) && flow.matchedDeposit.realizedLpFeePct === undefined;
                      });
                      var inflows = deposits.reduce(function (sum, _ref14) {
                        var flow = _ref14.flow;
                        sum = sum.add(flow.amount);
                        return sum;
                      }, ethers.ethers.constants.Zero);
                      var fillOutflows = fills.reduce(function (sum, _ref15) {
                        var flow = _ref15.flow;
                        sum = sum.add(flow.amount);
                        return sum;
                      }, ethers.ethers.constants.Zero);
                      var refundOutflows = flows.reduce(function (sum, _ref16) {
                        var balancingFee = _ref16.balancingFee;
                        return sum.add(balancingFee);
                      }, ethers.ethers.constants.Zero);
                      var balancingFees = flows.reduce(function (sum, _ref17) {
                        var balancingFee = _ref17.balancingFee;
                        return sum.add(balancingFee);
                      }, ethers.ethers.constants.Zero);
                      var readableFlows = {
                        fills: fills.length,
                        fillRunningBalanceRemoved: fillOutflows.mul(-1).toString(),
                        deposits: deposits.length,
                        depositRunningBalanceAdded: inflows.toString(),
                        refunds: refunds.length,
                        refundRunningBalanceRemoved: refundOutflows.mul(-1).toString(),
                        balancingFeesAdded: balancingFees.toString(),
                        lpFeesAdded: flows.reduce(function (sum, _ref18) {
                          var lpFee = _ref18.lpFee;
                          return sum.add(lpFee);
                        }, ethers.ethers.constants.Zero).toString(),
                        netRunningBalanceAdjustment: lastFlow.netRunningBalanceAdjustment.toString(),
                        openingRunningBalance: bundleState.openingBalances.runningBalance.toString(),
                        closingRunningBalance: lastFlow.runningBalance.toString(),
                        openingIncentiveBalance: bundleState.openingBalances.incentiveBalance.toString(),
                        closingIncentiveBalance: lastFlow.incentiveBalance.toString()
                      }; // Sanity check:
                      // - opening running balance minus outflows plus inflows minus balancing fees plus net running balance adjustments = closing running balance

                      var expectedClosingBalance = bundleState.openingBalances.runningBalance.add(inflows).sub(refundOutflows).sub(fillOutflows).sub(balancingFees).add(lastFlow.netRunningBalanceAdjustment);

                      if (!expectedClosingBalance.eq(lastFlow.runningBalance)) {
                        _this6.logger.error({
                          at: "UBAClientWithRefresh#update",
                          message: "Expected closing balance " + expectedClosingBalance.toString() + " to equal actual closing balance " + lastFlow.runningBalance.toString(),
                          bundleBlockRange: bundleBlockRange,
                          chainId: chainId,
                          token: token,
                          openingRunningBalance: bundleState.openingBalances.runningBalance.toString(),
                          inflows: inflows.toString(),
                          fillOutflows: fillOutflows.mul(-1).toString(),
                          refundOutflows: refundOutflows.mul(-1).toString(),
                          balancingFees: balancingFees.mul(-1).toString(),
                          netRunningBalanceAdjustment: lastFlow.netRunningBalanceAdjustment.toString()
                        });
                      }

                      return [chainId, readableFlows];
                    } else return undefined;
                  }).filter(isDefined);

                  var breakdown = Object.fromEntries(breakdownPerChain);

                  _this6.logger.debug({
                    at: "UBAClientWithRefresh#update",
                    message: "Bundle state for " + token,
                    bundleBlockRange: bundleBlockRange,
                    breakdown: breakdown
                  });
                });
              };

              for (_i5 = 0; _i5 < this.ubaBundleBlockRanges.length; _i5++) {
                _loop6(_i5);
              }

            case 45:
            case "end":
              return _context10.stop();
          }
        }
      }, _callee8, this);
    }));

    function update() {
      return _update.apply(this, arguments);
    }

    return update;
  }();

  return UBAClientWithRefresh;
}(BaseAbstractClient);

/**
 * Defines the configuration to customize a UBAClient instance.
 */
var UBAClientConfig =
/**
 * Instantiate a new UBAClient Config object
 * @param latestMainnetBundleStartBlockToLoadFromCache If defined, the UBAClient will only load bundle data from
 * the cache from bundles whose mainnet start block is greater than or equal to this value. All older bundles
 * will be loaded from the cache and all newer bundles will be loaded fresh from new RPC data.
 */
function UBAClientConfig(latestMainnetBundleStartBlockToLoadFromCache) {
  this.latestMainnetBundleStartBlockToLoadFromCache = latestMainnetBundleStartBlockToLoadFromCache;
};

var id = ethers.utils.id,
    keccak256 = ethers.utils.keccak256,
    toUtf8Bytes = ethers.utils.toUtf8Bytes;
var eventManagers = {}; // May need to populate getTransaction and getTransactionReceipt if calling code starts using it.
// https://docs.ethers.org/v5/api/providers/provider/#Provider-getTransaction

var getTransaction = /*#__PURE__*/function () {
  var _ref = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee() {
    return runtime_1.wrap(function _callee$(_context) {
      while (1) {
        switch (_context.prev = _context.next) {
          case 0:
            throw new Error("getTransaction() not supported");

          case 1:
          case "end":
            return _context.stop();
        }
      }
    }, _callee);
  }));

  return function getTransaction() {
    return _ref.apply(this, arguments);
  };
}(); // https://docs.ethers.org/v5/api/providers/provider/#Provider-getTransactionReceipt


var getTransactionReceipt = /*#__PURE__*/function () {
  var _ref2 = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee2() {
    return runtime_1.wrap(function _callee2$(_context2) {
      while (1) {
        switch (_context2.prev = _context2.next) {
          case 0:
            throw new Error("getTransactionReceipt() not supported");

          case 1:
          case "end":
            return _context2.stop();
        }
      }
    }, _callee2);
  }));

  return function getTransactionReceipt() {
    return _ref2.apply(this, arguments);
  };
}();

var removeListener = function removeListener() {
  throw new Error("removeListener not supported");
};

var EventManager = /*#__PURE__*/function () {
  function EventManager(blockNumber) {
    if (blockNumber === void 0) {
      blockNumber = 0;
    }

    this.blockNumber = blockNumber;
    this.logIndexes = {};
    this.minBlockRange = 10;
    this.eventSignatures = {};
  }

  var _proto = EventManager.prototype;

  _proto.addEventSignatures = function addEventSignatures(eventSignatures) {
    var _this = this;

    Object.entries(eventSignatures).forEach(function (_ref3) {
      var event = _ref3[0],
          signature = _ref3[1];

      if (isDefined(_this.eventSignatures[event])) {
        assert$1(signature === _this.eventSignatures[event], "Event " + event + " conflict detected.");
      }

      _this.eventSignatures[event] = signature;
    });
  };

  _proto.generateEvent = function generateEvent(inputs) {
    var _blockNumber, _transactionIndex, _this$logIndexes$_log;

    var address = inputs.address,
        event = inputs.event,
        _topics = inputs.topics,
        data = inputs.data,
        args = inputs.args;
    var eventSignature = event + "(" + this.eventSignatures[event] + ")";
    var topics = [keccak256(toUtf8Bytes(eventSignature))].concat(_topics);
    var blockNumber = inputs.blockNumber,
        transactionIndex = inputs.transactionIndex; // Increment the block number by at least 1, by default. The caller may override
    // to force the same block number to be used, but never a previous block number.

    blockNumber = (_blockNumber = blockNumber) != null ? _blockNumber : _.random(this.blockNumber + 1, this.blockNumber + this.minBlockRange, false);
    assert$1(blockNumber >= this.blockNumber, blockNumber + " < " + this.blockNumber);
    this.blockNumber = blockNumber;
    transactionIndex = (_transactionIndex = transactionIndex) != null ? _transactionIndex : _.random(1, 32, false);
    var transactionHash = id("Across-v2-" + event + "-" + blockNumber + "-" + transactionIndex + "-" + _.random(1, 100000));

    var _logIndex = blockNumber + "-" + transactionIndex;

    this.logIndexes[_logIndex] = (_this$logIndexes$_log = this.logIndexes[_logIndex]) != null ? _this$logIndexes$_log : 0;
    var logIndex = this.logIndexes[_logIndex]++;
    var decodeError = new Error(event + " decoding error");
    var parentHash = id("Across-v2-blockHash-" + _.random(1, 100000));
    var blockHash = id("Across-v2-blockHash-" + parentHash + "-" + _.random(1, 100000)); // getBlock() may later be used to retrieve (for example) the block timestamp.
    // @todo: If multiple events coincide on the same block number, this callback should return the same Block object.

    var getBlock = /*#__PURE__*/function () {
      var _ref4 = _asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee3() {
        return runtime_1.wrap(function _callee3$(_context3) {
          while (1) {
            switch (_context3.prev = _context3.next) {
              case 0:
                return _context3.abrupt("return", {
                  hash: blockHash,
                  parentHash: parentHash,
                  number: blockNumber,
                  timestamp: Math.floor(Date.now() / 1000),
                  nonce: "",
                  difficulty: _.random(1, 1000, false),
                  _difficulty: toBN(_.random(1, 1000, false)),
                  gasLimit: toBN(_.random(1000000, 10000000, false)),
                  gasUsed: toBN(_.random(1, 1000, false)),
                  miner: randomAddress(),
                  extraData: "Block containing test transaction " + transactionHash + ".",
                  transactions: [transactionHash]
                });

              case 1:
              case "end":
                return _context3.stop();
            }
          }
        }, _callee3);
      }));

      return function getBlock() {
        return _ref4.apply(this, arguments);
      };
    }();

    return {
      blockNumber: blockNumber,
      transactionIndex: transactionIndex,
      logIndex: logIndex,
      transactionHash: transactionHash,
      removed: false,
      address: address,
      data: data != null ? data : id("Across-v2-random-txndata-" + _.random(1, 100000)),
      topics: topics,
      args: args,
      blockHash: blockHash,
      event: event,
      eventSignature: eventSignature,
      decodeError: decodeError,
      getBlock: getBlock,
      getTransaction: getTransaction,
      getTransactionReceipt: getTransactionReceipt,
      removeListener: removeListener
    };
  };

  return EventManager;
}();
/**
 * @description Retrieve an instance of the EventManager for a specific chain, or instantiate a new one.
 * @param chainId Chain ID to retrieve EventManager for.
 * @param eventSignatures Event Signatures to append to EventManager instance.
 * @param Initial blockNumber to use if a new EventManager is instantiated.
 * @returns EventManager instance for chain ID.
 */

function getEventManager(chainId, eventSignatures, blockNumber) {
  if (!isDefined(eventManagers[chainId])) {
    eventManagers[chainId] = new EventManager(blockNumber);
  }

  var eventManager = eventManagers[chainId];

  if (isDefined(eventSignatures)) {
    eventManager.addEventSignatures(eventSignatures);
  }

  return eventManager;
}

var MockConfigStoreClient = /*#__PURE__*/function (_AcrossConfigStoreCli) {
  _inheritsLoose(MockConfigStoreClient, _AcrossConfigStoreCli);

  function MockConfigStoreClient(logger, configStore, eventSearchConfig, configStoreVersion, chainId, mockUpdate, availableChainIdsOverride) {
    var _this;

    if (eventSearchConfig === void 0) {
      eventSearchConfig = {
        fromBlock: 0,
        maxBlockLookBack: 0
      };
    }

    if (chainId === void 0) {
      chainId = 1;
    }

    if (mockUpdate === void 0) {
      mockUpdate = false;
    }

    _this = _AcrossConfigStoreCli.call(this, logger, configStore, eventSearchConfig, configStoreVersion) || this;
    _this.configStoreVersion = DEFAULT_CONFIG_STORE_VERSION;
    _this.events = []; // Event signatures. Not strictly required, but they make generated events more recognisable.

    _this.eventSignatures = {
      OwnershipTransferred: "address,address",
      UpdatedGlobalConfig: "bytes32,string",
      UpdatedTokenConfig: "address,string"
    };
    _this.chainId = chainId;
    _this.eventManager = mockUpdate ? getEventManager(chainId, _this.eventSignatures) : null;

    if (isDefined(_this.eventManager) && _this.eventManager) {
      _this.updateGlobalConfig(GLOBAL_CONFIG_STORE_KEYS.CHAIN_ID_INDICES, JSON.stringify(availableChainIdsOverride), _this.eventManager.blockNumber);
    }

    return _this;
  }

  var _proto = MockConfigStoreClient.prototype;

  _proto.setAvailableChains = function setAvailableChains(chainIds) {
    this.availableChainIdsOverride = chainIds;
  };

  _proto.getChainIdIndicesForBlock = function getChainIdIndicesForBlock(block) {
    var _this$availableChainI;

    return (_this$availableChainI = this.availableChainIdsOverride) != null ? _this$availableChainI : _AcrossConfigStoreCli.prototype.getChainIdIndicesForBlock.call(this, block);
  };

  _proto.setUBAActivationBlock = function setUBAActivationBlock(blockNumber) {
    this.ubaActivationBlockOverride = blockNumber;
  };

  _proto.getUBAActivationBlock = function getUBAActivationBlock() {
    var _this$ubaActivationBl;

    return (_this$ubaActivationBl = this.ubaActivationBlockOverride) != null ? _this$ubaActivationBl : _AcrossConfigStoreCli.prototype.getUBAActivationBlock.call(this);
  } // eslint-disable-next-line @typescript-eslint/no-unused-vars
  ;

  _proto.getConfigStoreVersionForBlock = function getConfigStoreVersionForBlock(_blockNumber) {
    return this.configStoreVersion === DEFAULT_CONFIG_STORE_VERSION ? _AcrossConfigStoreCli.prototype.getConfigStoreVersionForBlock.call(this, _blockNumber) : this.configStoreVersion;
  };

  _proto.setConfigStoreVersion = function setConfigStoreVersion(version) {
    this.configStoreVersion = version;
  };

  _proto.addEvent = function addEvent(event) {
    this.events.push(event);
  };

  _proto._update = /*#__PURE__*/function () {
    var _update2 = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee() {
      var eventNames, latestBlockNumber, globalConfigUpdateTimes, _events, _iterator, _step, event, idx, block, events;

      return runtime_1.wrap(function _callee$(_context) {
        while (1) {
          switch (_context.prev = _context.next) {
            case 0:
              if (!(this.eventManager === null)) {
                _context.next = 2;
                break;
              }

              return _context.abrupt("return", _AcrossConfigStoreCli.prototype._update.call(this));

            case 2:
              eventNames = ["UpdatedGlobalConfig", "UpdatedTokenConfig"];
              latestBlockNumber = this.eventManager.blockNumber; // Ensure an array for every requested event exists, in the requested order.
              // All requested event types must be populated in the array (even if empty).

              globalConfigUpdateTimes = [];
              _events = eventNames.map(function () {
                return [];
              });
              _iterator = _createForOfIteratorHelperLoose(this.events.flat());

            case 7:
              if ((_step = _iterator()).done) {
                _context.next = 18;
                break;
              }

              event = _step.value;
              idx = eventNames.indexOf(event.event);

              if (idx !== -1) {
                _events[idx].push(event);
              }

              if (!(event.event === "UpdatedGlobalConfig")) {
                _context.next = 16;
                break;
              }

              _context.next = 14;
              return event.getBlock();

            case 14:
              block = _context.sent;
              globalConfigUpdateTimes.push(block.timestamp);

            case 16:
              _context.next = 7;
              break;

            case 18:
              this.events = []; // Transform 2d-events array into a record.

              events = Object.fromEntries(eventNames.map(function (eventName, idx) {
                return [eventName, _events[idx]];
              }));
              return _context.abrupt("return", {
                success: true,
                chainId: this.chainId,
                latestBlockNumber: latestBlockNumber,
                searchEndBlock: this.eventSearchConfig.toBlock || latestBlockNumber,
                events: {
                  updatedGlobalConfigEvents: events["UpdatedGlobalConfig"],
                  globalConfigUpdateTimes: globalConfigUpdateTimes,
                  updatedTokenConfigEvents: events["UpdatedTokenConfig"]
                }
              });

            case 21:
            case "end":
              return _context.stop();
          }
        }
      }, _callee, this);
    }));

    function _update() {
      return _update2.apply(this, arguments);
    }

    return _update;
  }();

  _proto.updateGlobalConfig = function updateGlobalConfig(key, value, blockNumber) {
    return this.generateConfig("UpdatedGlobalConfig", utf8ToHex(key), value, blockNumber);
  };

  _proto.updateTokenConfig = function updateTokenConfig(key, value, blockNumber) {
    // Verify that the key is a valid address
    if (ethers.ethers.utils.isAddress(key) === false) {
      throw new Error("Invalid address: " + key);
    }

    return this.generateConfig("UpdatedTokenConfig", key, value, blockNumber);
  };

  _proto.generateConfig = function generateConfig(event, key, value, blockNumber) {
    assert$1(this.eventManager !== null);
    var topics = [key, value];
    var args = {
      key: key,
      value: value
    };
    var configEvent = this.eventManager.generateEvent({
      event: event,
      address: this.configStore.address,
      topics: topics.map(function (topic) {
        return topic.toString();
      }),
      args: args,
      blockNumber: blockNumber
    });
    this.addEvent(configEvent);
    return configEvent;
  };

  return MockConfigStoreClient;
}(AcrossConfigStoreClient);

var emptyRootBundle = {
  poolRebalanceRoot: "",
  relayerRefundRoot: "",
  slowRelayRoot: "",
  proposer: "",
  unclaimedPoolRebalanceLeafCount: 0,
  challengePeriodEndTimestamp: 0,
  bundleEvaluationBlockNumbers: [],
  proposalBlockNumber: undefined
};
var MockHubPoolClient = /*#__PURE__*/function (_HubPoolClient) {
  _inheritsLoose(MockHubPoolClient, _HubPoolClient);

  function MockHubPoolClient(logger, hubPool, configStoreClient, deploymentBlock, chainId) {
    var _this;

    if (deploymentBlock === void 0) {
      deploymentBlock = 0;
    }

    if (chainId === void 0) {
      chainId = 1;
    }

    _this = _HubPoolClient.call(this, logger, hubPool, configStoreClient, deploymentBlock, chainId) || this;
    _this.rootBundleProposal = emptyRootBundle;
    _this.events = [];
    _this.l1TokensMock = []; // L1Tokens and their associated info.

    _this.tokenInfoToReturn = {
      address: "",
      decimals: 0,
      symbol: ""
    };
    _this.l1TokensToDestinationTokensMock = {};
    _this.returnedL1TokenForDeposit = "";
    _this.returnedDestinationTokenForL1Token = "";
    _this.eventSignatures = {
      SetEnableDepositRoute: "uint256,uint256,address,bool",
      SetPoolRebalanceRoute: "uint256,address,address",
      ProposeRootBundle: "uint32,uint8,uint256[],bytes32,bytes32,bytes32,address",
      RootBundleExecuted: "uint256,uint256,uint256,address[],uint256[],int256[],int256[],address"
    };
    _this.eventManager = getEventManager(chainId, _this.eventSignatures, deploymentBlock);
    return _this;
  }

  var _proto = MockHubPoolClient.prototype;

  _proto.setCrossChainContracts = function setCrossChainContracts(chainId, contract, blockNumber) {
    if (blockNumber === void 0) {
      blockNumber = 0;
    }

    assign(this.crossChainContracts, [chainId], [{
      spokePool: contract,
      blockNumber: blockNumber,
      transactionIndex: 0,
      logIndex: 0
    }]);
  };

  _proto.setLatestBlockNumber = function setLatestBlockNumber(blockNumber) {
    this.latestBlockNumber = blockNumber;
  };

  _proto.addEvent = function addEvent(event) {
    this.events.push(event);
  };

  _proto.addL1Token = function addL1Token(l1Token) {
    this.l1TokensMock.push(l1Token);
  };

  _proto.getL1Tokens = function getL1Tokens() {
    return this.l1TokensMock;
  };

  _proto.getTokenInfoForDeposit = function getTokenInfoForDeposit() {
    return this.tokenInfoToReturn;
  };

  _proto.getTokenInfoForL1Token = function getTokenInfoForL1Token(l1Token) {
    return this.l1TokensMock.find(function (token) {
      return token.address === l1Token;
    });
  };

  _proto.setTokenInfoToReturn = function setTokenInfoToReturn(tokenInfo) {
    this.tokenInfoToReturn = tokenInfo;
  };

  _proto.setL1TokensToDestinationTokens = function setL1TokensToDestinationTokens(l1TokensToDestinationTokens) {
    this.l1TokensToDestinationTokensMock = l1TokensToDestinationTokens;
  };

  _proto.getDestinationTokenForL1Token = function getDestinationTokenForL1Token(l1Token, destinationChainId) {
    var _ref, _this$l1TokensToDesti, _this$l1TokensToDesti2;

    return (_ref = (_this$l1TokensToDesti = (_this$l1TokensToDesti2 = this.l1TokensToDestinationTokensMock[l1Token]) == null ? void 0 : _this$l1TokensToDesti2[destinationChainId]) != null ? _this$l1TokensToDesti : this.returnedDestinationTokenForL1Token) != null ? _ref : _HubPoolClient.prototype.getDestinationTokenForL1Token.call(this, l1Token, destinationChainId);
  };

  _proto.setReturnedL1TokenForDeposit = function setReturnedL1TokenForDeposit(l1Token) {
    this.returnedL1TokenForDeposit = l1Token;
  };

  _proto.setDestinationTokenForL1Token = function setDestinationTokenForL1Token(destinationToken) {
    this.returnedDestinationTokenForL1Token = destinationToken;
  } // eslint-disable-next-line @typescript-eslint/no-unused-vars
  ;

  _proto.getL1TokenForDeposit = function getL1TokenForDeposit(_deposit) {
    var _this$returnedL1Token;

    return (_this$returnedL1Token = this.returnedL1TokenForDeposit) != null ? _this$returnedL1Token : _HubPoolClient.prototype.getL1TokenForDeposit.call(this, _deposit);
  };

  _proto.getL1TokenCounterpartAtBlock = function getL1TokenCounterpartAtBlock(l2ChainId, l2Token, hubPoolBlock) {
    var _this$returnedL1Token2;

    return (_this$returnedL1Token2 = this.returnedL1TokenForDeposit) != null ? _this$returnedL1Token2 : _HubPoolClient.prototype.getL1TokenCounterpartAtBlock.call(this, l2ChainId, l2Token, hubPoolBlock);
  } // eslint-disable-next-line @typescript-eslint/no-unused-vars
  ;

  _proto.getL1TokenInfoForL2Token = function getL1TokenInfoForL2Token(l2Token, _chain) {
    var _this$getTokenInfoFor;

    return (_this$getTokenInfoFor = this.getTokenInfoForL1Token(l2Token)) != null ? _this$getTokenInfoFor : this.tokenInfoToReturn;
  };

  _proto._update = /*#__PURE__*/function () {
    var _update2 = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee(eventNames) {
      var latestBlockNumber, currentTime, _events, events;

      return runtime_1.wrap(function _callee$(_context) {
        while (1) {
          switch (_context.prev = _context.next) {
            case 0:
              // Generate new "on chain" responses.
              latestBlockNumber = this.eventManager.blockNumber;
              currentTime = Math.floor(Date.now() / 1000); // Ensure an array for every requested event exists, in the requested order.
              // All requested event types must be populated in the array (even if empty).

              _events = eventNames.map(function () {
                return [];
              });
              this.events.flat().forEach(function (event) {
                var idx = eventNames.indexOf(event.event);

                if (idx !== -1) {
                  _events[idx].push(event);
                }
              });
              this.events = []; // Transform 2d-events array into a record.

              events = Object.fromEntries(eventNames.map(function (eventName, idx) {
                return [eventName, _events[idx]];
              }));
              return _context.abrupt("return", {
                success: true,
                currentTime: currentTime,
                latestBlockNumber: latestBlockNumber,
                pendingRootBundleProposal: this.rootBundleProposal,
                events: events,
                searchEndBlock: this.eventSearchConfig.toBlock || latestBlockNumber
              });

            case 7:
            case "end":
              return _context.stop();
          }
        }
      }, _callee, this);
    }));

    function _update(_x) {
      return _update2.apply(this, arguments);
    }

    return _update;
  }();

  _proto.setPoolRebalanceRoute = function setPoolRebalanceRoute(destinationChainId, l1Token, destinationToken) {
    var event = "SetPoolRebalanceRoute";
    var topics = [destinationChainId, l1Token, destinationToken];
    var args = {
      destinationChainId: destinationChainId,
      l1Token: l1Token,
      destinationToken: destinationToken
    };
    return this.eventManager.generateEvent({
      event: event,
      address: this.hubPool.address,
      topics: topics.map(function (topic) {
        return topic.toString();
      }),
      args: args
    });
  };

  _proto.proposeRootBundle = function proposeRootBundle(challengePeriodEndTimestamp, poolRebalanceLeafCount, bundleEvaluationBlockNumbers, poolRebalanceRoot, relayerRefundRoot, slowRelayRoot, proposer) {
    var _poolRebalanceRoot, _relayerRefundRoot, _slowRelayRoot, _proposer;

    var event = "ProposeRootBundle";
    poolRebalanceRoot = (_poolRebalanceRoot = poolRebalanceRoot) != null ? _poolRebalanceRoot : "XX";
    relayerRefundRoot = (_relayerRefundRoot = relayerRefundRoot) != null ? _relayerRefundRoot : "XX";
    slowRelayRoot = (_slowRelayRoot = slowRelayRoot) != null ? _slowRelayRoot : "XX";
    proposer = (_proposer = proposer) != null ? _proposer : randomAddress();
    var topics = [poolRebalanceRoot, relayerRefundRoot, proposer];
    var args = {
      challengePeriodEndTimestamp: challengePeriodEndTimestamp,
      poolRebalanceLeafCount: poolRebalanceLeafCount,
      bundleEvaluationBlockNumbers: bundleEvaluationBlockNumbers,
      poolRebalanceRoot: poolRebalanceRoot,
      relayerRefundRoot: relayerRefundRoot,
      slowRelayRoot: slowRelayRoot,
      proposer: proposer
    };
    return this.eventManager.generateEvent({
      event: event,
      address: this.hubPool.address,
      topics: topics.map(function (topic) {
        return topic.toString();
      }),
      args: args
    });
  };

  _proto.executeRootBundle = function executeRootBundle(groupIndex, leafId, chainId, l1Tokens, bundleLpFees, netSendAmounts, runningBalances, caller) {
    var _caller;

    var event = "RootBundleExecuted";
    caller = (_caller = caller) != null ? _caller : randomAddress();
    var topics = [leafId, chainId, caller];
    var args = {
      groupIndex: groupIndex,
      leafId: leafId,
      chainId: chainId,
      l1Tokens: l1Tokens,
      bundleLpFees: bundleLpFees,
      netSendAmounts: netSendAmounts,
      runningBalances: runningBalances,
      caller: caller
    };
    return this.eventManager.generateEvent({
      event: event,
      address: this.hubPool.address,
      topics: topics.map(function (topic) {
        return topic.toString();
      }),
      args: args
    });
  };

  return MockHubPoolClient;
}(HubPoolClient);

// user to bypass on-chain queries and inject ethers Event objects directly.

var MockSpokePoolClient = /*#__PURE__*/function (_SpokePoolClient) {
  _inheritsLoose(MockSpokePoolClient, _SpokePoolClient);

  function MockSpokePoolClient(logger, spokePool, chainId, deploymentBlock) {
    var _this;

    _this = _SpokePoolClient.call(this, logger, spokePool, null, chainId, deploymentBlock) || this;
    _this.events = [];
    _this.destinationTokenForChainOverride = {}; // Allow tester to set the numberOfDeposits() returned by SpokePool at a block height.

    _this.depositIdAtBlock = [];
    _this.numberOfDeposits = 0;
    _this.blocks = {}; // Event signatures. Not strictly required, but they make generated events more recognisable.

    _this.eventSignatures = {
      EnabledDepositRoute: "address,uint256,bool",
      FilledRelay: "uint256,uint256,uint256,int64,uint32,uint32,address,address,address,bytes",
      FundsDeposited: "uint256,uint256,uint256,int64,uint32,uint32,address,address,address,bytes",
      RefundRequested: "address,address,uint256,uint256,uint256,int64,uint32,uint256,uint256"
    };
    _this.latestBlockNumber = deploymentBlock;
    _this.eventManager = getEventManager(chainId, _this.eventSignatures, deploymentBlock);
    return _this;
  }

  var _proto = MockSpokePoolClient.prototype;

  _proto.setDefaultRealizedLpFeePct = function setDefaultRealizedLpFeePct(fee) {
    this.realizedLpFeePctOverride = fee;
  };

  _proto.computeRealizedLpFeePct = /*#__PURE__*/function () {
    var _computeRealizedLpFeePct = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee(depositEvent) {
      var _realizedLpFeePct$quo;

      return runtime_1.wrap(function _callee$(_context) {
        while (1) {
          switch (_context.prev = _context.next) {
            case 0:
              if (!((_realizedLpFeePct$quo = {
                realizedLpFeePct: this.realizedLpFeePctOverride,
                quoteBlock: depositEvent.blockNumber
              }) != null)) {
                _context.next = 4;
                break;
              }

              _context.t0 = _realizedLpFeePct$quo;
              _context.next = 7;
              break;

            case 4:
              _context.next = 6;
              return _SpokePoolClient.prototype.computeRealizedLpFeePct.call(this, depositEvent);

            case 6:
              _context.t0 = _context.sent;

            case 7:
              return _context.abrupt("return", _context.t0);

            case 8:
            case "end":
              return _context.stop();
          }
        }
      }, _callee, this);
    }));

    function computeRealizedLpFeePct(_x) {
      return _computeRealizedLpFeePct.apply(this, arguments);
    }

    return computeRealizedLpFeePct;
  }();

  _proto.setDestinationTokenForChain = function setDestinationTokenForChain(chainId, token) {
    this.destinationTokenForChainOverride[chainId] = token;
  };

  _proto.getDestinationTokenForDeposit = function getDestinationTokenForDeposit(deposit) {
    var _this$destinationToke;

    return (_this$destinationToke = this.destinationTokenForChainOverride[deposit.originChainId]) != null ? _this$destinationToke : _SpokePoolClient.prototype.getDestinationTokenForDeposit.call(this, deposit);
  };

  _proto.setLatestBlockSearched = function setLatestBlockSearched(blockNumber) {
    this.latestBlockSearched = blockNumber;
  };

  _proto.addEvent = function addEvent(event) {
    this.events.push(event);
  };

  _proto.setDepositIds = function setDepositIds(_depositIds) {
    this.depositIdAtBlock = [];

    if (_depositIds.length === 0) {
      return;
    }

    var lastDepositId = _depositIds[0];

    for (var i = 0; i < _depositIds.length; i++) {
      if (_depositIds[i] < lastDepositId) {
        throw new Error("deposit ID must be equal to or greater than previous");
      }

      this.depositIdAtBlock[i] = _depositIds[i];
      lastDepositId = _depositIds[i];
    }
  };

  _proto._getDepositIdAtBlock = /*#__PURE__*/function () {
    var _getDepositIdAtBlock2 = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee2(blockTag) {
      return runtime_1.wrap(function _callee2$(_context2) {
        while (1) {
          switch (_context2.prev = _context2.next) {
            case 0:
              return _context2.abrupt("return", this.depositIdAtBlock[blockTag]);

            case 1:
            case "end":
              return _context2.stop();
          }
        }
      }, _callee2, this);
    }));

    function _getDepositIdAtBlock(_x2) {
      return _getDepositIdAtBlock2.apply(this, arguments);
    }

    return _getDepositIdAtBlock;
  }();

  _proto._update = /*#__PURE__*/function () {
    var _update2 = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee4(eventsToQuery) {
      var _events$idx;

      var latestBlockNumber, currentTime, blocks, events, idx, latestDepositId;
      return runtime_1.wrap(function _callee4$(_context4) {
        while (1) {
          switch (_context4.prev = _context4.next) {
            case 0:
              // Temporarily append "RefundRequested" to the eventsToQuery array.
              // @todo: Remove when the SpokePoolClient supports querying this directly.
              eventsToQuery.push("RefundRequested"); // Generate new "on chain" responses.

              latestBlockNumber = this.eventManager.blockNumber;
              currentTime = Math.floor(Date.now() / 1000);
              blocks = {}; // Ensure an array for every requested event exists, in the requested order.
              // All requested event types must be populated in the array (even if empty).

              events = eventsToQuery.map(function () {
                return [];
              });
              _context4.next = 7;
              return forEachAsync(this.events.flat(), /*#__PURE__*/function () {
                var _ref = _asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee3(event) {
                  var idx;
                  return runtime_1.wrap(function _callee3$(_context3) {
                    while (1) {
                      switch (_context3.prev = _context3.next) {
                        case 0:
                          idx = eventsToQuery.indexOf(event.event);

                          if (!(idx !== -1)) {
                            _context3.next = 6;
                            break;
                          }

                          events[idx].push(event);
                          _context3.next = 5;
                          return event.getBlock();

                        case 5:
                          blocks[event.blockNumber] = _context3.sent;

                        case 6:
                        case "end":
                          return _context3.stop();
                      }
                    }
                  }, _callee3);
                }));

                return function (_x4) {
                  return _ref.apply(this, arguments);
                };
              }());

            case 7:
              this.events = [];
              this.blocks = blocks; // Update latestDepositIdQueried.

              idx = eventsToQuery.indexOf("FundsDeposited");
              latestDepositId = ((_events$idx = events[idx]) != null ? _events$idx : []).reduce(function (depositId, event) {
                var _event$args$depositId, _event$args;

                return Math.max(depositId, (_event$args$depositId = (_event$args = event.args) == null ? void 0 : _event$args["depositId"]) != null ? _event$args$depositId : 0);
              }, this.latestDepositIdQueried);
              return _context4.abrupt("return", {
                success: true,
                firstDepositId: 0,
                latestBlockNumber: latestBlockNumber,
                latestDepositId: latestDepositId,
                currentTime: currentTime,
                events: events,
                blocks: blocks,
                searchEndBlock: this.eventSearchConfig.toBlock || latestBlockNumber
              });

            case 12:
            case "end":
              return _context4.stop();
          }
        }
      }, _callee4, this);
    }));

    function _update(_x3) {
      return _update2.apply(this, arguments);
    }

    return _update;
  }();

  _proto.generateDeposit = function generateDeposit(deposit) {
    var _depositId, _destinationChainId, _depositor, _deposit$message, _deposit$amount, _deposit$originChainI, _deposit$relayerFeePc, _deposit$quoteTimesta, _deposit$originToken, _deposit$recipient;

    var event = "FundsDeposited";
    var blockNumber = deposit.blockNumber,
        transactionIndex = deposit.transactionIndex;
    var depositId = deposit.depositId,
        depositor = deposit.depositor,
        destinationChainId = deposit.destinationChainId;
    depositId = (_depositId = depositId) != null ? _depositId : this.numberOfDeposits;
    assert$1(depositId >= this.numberOfDeposits, depositId + " < " + this.numberOfDeposits);
    this.numberOfDeposits = depositId + 1;
    destinationChainId = (_destinationChainId = destinationChainId) != null ? _destinationChainId : _.random(1, 42161, false);
    depositor = (_depositor = depositor) != null ? _depositor : randomAddress();
    var message = (_deposit$message = deposit["message"]) != null ? _deposit$message : event + " event at block " + blockNumber + ", index " + transactionIndex + ".";
    var topics = [destinationChainId, depositId, depositor];
    var args = {
      amount: (_deposit$amount = deposit.amount) != null ? _deposit$amount : toBNWei(_.random(1, 1000, false)),
      originChainId: (_deposit$originChainI = deposit.originChainId) != null ? _deposit$originChainI : this.chainId,
      destinationChainId: destinationChainId,
      relayerFeePct: (_deposit$relayerFeePc = deposit.relayerFeePct) != null ? _deposit$relayerFeePc : toBNWei(0.0001),
      depositId: depositId,
      quoteTimestamp: (_deposit$quoteTimesta = deposit.quoteTimestamp) != null ? _deposit$quoteTimesta : Math.floor(Date.now() / 1000),
      originToken: (_deposit$originToken = deposit.originToken) != null ? _deposit$originToken : randomAddress(),
      recipient: (_deposit$recipient = deposit.recipient) != null ? _deposit$recipient : depositor,
      depositor: depositor,
      message: message
    };
    return this.eventManager.generateEvent({
      event: event,
      address: this.spokePool.address,
      topics: topics.map(function (topic) {
        return topic.toString();
      }),
      args: args,
      blockNumber: blockNumber,
      transactionIndex: transactionIndex
    });
  };

  _proto.generateFill = function generateFill(fill) {
    var _originChainId, _depositId2, _depositor2, _fill$recipient, _fill$amount, _fill$relayerFeePct, _fill$message, _fill$totalFilledAmou, _fill$fillAmount, _fill$repaymentChainI, _fill$realizedLpFeePc, _fill$destinationToke, _fill$relayer, _fill$updatableRelayD, _fill$updatableRelayD2, _fill$updatableRelayD3, _fill$updatableRelayD4, _fill$updatableRelayD5, _fill$updatableRelayD6, _fill$updatableRelayD7, _fill$updatableRelayD8, _fill$updatableRelayD9, _fill$updatableRelayD10;

    var event = "FilledRelay";
    var blockNumber = fill.blockNumber,
        transactionIndex = fill.transactionIndex;
    var depositor = fill.depositor,
        originChainId = fill.originChainId,
        depositId = fill.depositId;
    originChainId = (_originChainId = originChainId) != null ? _originChainId : _.random(1, 42161, false);
    depositId = (_depositId2 = depositId) != null ? _depositId2 : _.random(1, 100000, false);
    depositor = (_depositor2 = depositor) != null ? _depositor2 : randomAddress();
    var topics = [originChainId, depositId, depositor];
    var recipient = (_fill$recipient = fill.recipient) != null ? _fill$recipient : randomAddress();
    var amount = (_fill$amount = fill.amount) != null ? _fill$amount : toBNWei(_.random(1, 1000, false));
    var relayerFeePct = (_fill$relayerFeePct = fill.relayerFeePct) != null ? _fill$relayerFeePct : toBNWei(0.0001);
    var message = (_fill$message = fill["message"]) != null ? _fill$message : event + " event at block " + blockNumber + ", index " + transactionIndex + ".";
    var args = {
      amount: amount,
      totalFilledAmount: (_fill$totalFilledAmou = fill.totalFilledAmount) != null ? _fill$totalFilledAmou : amount,
      fillAmount: (_fill$fillAmount = fill.fillAmount) != null ? _fill$fillAmount : amount,
      repaymentChainId: (_fill$repaymentChainI = fill.repaymentChainId) != null ? _fill$repaymentChainI : this.chainId,
      originChainId: originChainId,
      destinationChainId: fill.destinationChainId,
      realizedLpFeePct: (_fill$realizedLpFeePc = fill.realizedLpFeePct) != null ? _fill$realizedLpFeePc : toBNWei(_.random(0.00001, 0.0001).toPrecision(6)),
      relayerFeePct: relayerFeePct,
      depositId: depositId,
      destinationToken: (_fill$destinationToke = fill.destinationToken) != null ? _fill$destinationToke : ZERO_ADDRESS,
      relayer: (_fill$relayer = fill.relayer) != null ? _fill$relayer : randomAddress(),
      depositor: depositor,
      recipient: recipient,
      message: message,
      updatableRelayData: {
        recipient: (_fill$updatableRelayD = (_fill$updatableRelayD2 = fill.updatableRelayData) == null ? void 0 : _fill$updatableRelayD2.recipient) != null ? _fill$updatableRelayD : recipient,
        message: (_fill$updatableRelayD3 = (_fill$updatableRelayD4 = fill.updatableRelayData) == null ? void 0 : _fill$updatableRelayD4.message) != null ? _fill$updatableRelayD3 : message,
        relayerFeePct: (_fill$updatableRelayD5 = (_fill$updatableRelayD6 = fill.updatableRelayData) == null ? void 0 : _fill$updatableRelayD6.relayerFeePct) != null ? _fill$updatableRelayD5 : relayerFeePct,
        isSlowRelay: (_fill$updatableRelayD7 = (_fill$updatableRelayD8 = fill.updatableRelayData) == null ? void 0 : _fill$updatableRelayD8.isSlowRelay) != null ? _fill$updatableRelayD7 : false,
        payoutAdjustmentPct: (_fill$updatableRelayD9 = (_fill$updatableRelayD10 = fill.updatableRelayData) == null ? void 0 : _fill$updatableRelayD10.payoutAdjustmentPct) != null ? _fill$updatableRelayD9 : toBN(0)
      }
    };
    return this.eventManager.generateEvent({
      event: event,
      address: this.spokePool.address,
      topics: topics.map(function (topic) {
        return topic.toString();
      }),
      args: args,
      blockNumber: blockNumber,
      transactionIndex: transactionIndex
    });
  };

  _proto.generateRefundRequest = function generateRefundRequest(request) {
    var _relayer, _originChainId2, _depositId3, _request$refundToken, _request$amount, _request$destinationC, _request$realizedLpFe, _request$fillBlock, _request$previousIden;

    var event = "RefundRequested";
    var blockNumber = request.blockNumber,
        transactionIndex = request.transactionIndex;
    var relayer = request.relayer,
        originChainId = request.originChainId,
        depositId = request.depositId;
    relayer = (_relayer = relayer) != null ? _relayer : randomAddress();
    originChainId = (_originChainId2 = originChainId) != null ? _originChainId2 : _.random(1, 42161, false);
    depositId = (_depositId3 = depositId) != null ? _depositId3 : _.random(1, 100000, false);
    var topics = [relayer, originChainId, depositId];
    var args = {
      relayer: relayer,
      refundToken: (_request$refundToken = request.refundToken) != null ? _request$refundToken : randomAddress(),
      amount: (_request$amount = request.amount) != null ? _request$amount : toBNWei(_.random(1, 1000, false)),
      originChainId: originChainId,
      destinationChainId: (_request$destinationC = request.destinationChainId) != null ? _request$destinationC : _.random(1, 42161, false),
      realizedLpFeePct: (_request$realizedLpFe = request.realizedLpFeePct) != null ? _request$realizedLpFe : toBNWei(_.random(0.00001, 0.0001).toPrecision(6)),
      depositId: depositId,
      fillBlock: (_request$fillBlock = request.fillBlock) != null ? _request$fillBlock : _.random(1, 1000, false),
      previousIdenticalRequests: (_request$previousIden = request.previousIdenticalRequests) != null ? _request$previousIden : "0"
    };
    return this.eventManager.generateEvent({
      event: event,
      address: this.spokePool.address,
      topics: topics.map(function (topic) {
        return topic.toString();
      }),
      args: args,
      blockNumber: blockNumber,
      transactionIndex: transactionIndex
    });
  };

  _proto.generateDepositRoute = function generateDepositRoute(originToken, destinationChainId, enabled) {
    var event = "EnabledDepositRoute";
    var topics = [originToken, destinationChainId];
    var args = {
      originToken: originToken,
      destinationChainId: destinationChainId,
      enabled: enabled
    };
    return this.eventManager.generateEvent({
      event: event,
      address: this.spokePool.address,
      topics: topics.map(function (topic) {
        return topic.toString();
      }),
      args: args
    });
  };

  return MockSpokePoolClient;
}(SpokePoolClient);

var MockUBAConfig = /*#__PURE__*/function (_UBAConfig) {
  _inheritsLoose(MockUBAConfig, _UBAConfig);

  function MockUBAConfig() {
    var _this;

    _this = _UBAConfig.call(this, {
      "default": toBN(0)
    }, {
      "default": [[toBN(100000), toBN(0)]]
    }, {
      "default": {
        upperBound: {},
        lowerBound: {}
      }
    }, {
      "default": [[toBN(0), utils.parseEther("1")]]
    }, {}, {}) || this;
    _this.balancingFee["default"] = [// Hardcode the config to be 200% as a fee for all flows
    [toBN(0), utils.parseEther("2")], [toBN(100000), toBN(0)]];
    return _this;
  }

  var _proto = MockUBAConfig.prototype;

  _proto.setBalancingFeeCurve = function setBalancingFeeCurve(chainId, curve) {
    var _extends2;

    this.balancingFee.override = _extends({}, this.balancingFee.override || {}, (_extends2 = {}, _extends2[chainId] = curve, _extends2));
  };

  _proto.setBalancingFeeDefaultCurve = function setBalancingFeeDefaultCurve(curve) {
    this.balancingFee["default"] = curve;
  };

  _proto.setRewardMultiplier = function setRewardMultiplier(chainId, multiplier) {
    this.ubaRewardMultiplier[chainId] = multiplier;
  };

  return MockUBAConfig;
}(UBAConfig);



var index$e = {
  __proto__: null,
  MockConfigStoreClient: MockConfigStoreClient,
  MockHubPoolClient: MockHubPoolClient,
  MockSpokePoolClient: MockSpokePoolClient,
  MockUBAConfig: MockUBAConfig
};



var index$f = {
  __proto__: null,
  mocks: index$e,
  DEFAULT_CONFIG_STORE_VERSION: DEFAULT_CONFIG_STORE_VERSION,
  get GLOBAL_CONFIG_STORE_KEYS () { return GLOBAL_CONFIG_STORE_KEYS; },
  AcrossConfigStoreClient: AcrossConfigStoreClient,
  parseUBAConfigFromOnChain: parseUBAConfigFromOnChain,
  HubPoolClient: HubPoolClient,
  SpokePoolClient: SpokePoolClient,
  UBAClient: UBAClientWithRefresh,
  parseUBAFeeConfig: parseUBAFeeConfig,
  getUBAFeeConfig: getUBAFeeConfig,
  getMostRecentBundleBlockRanges: getMostRecentBundleBlockRanges,
  getOpeningRunningBalanceForEvent: getOpeningRunningBalanceForEvent,
  getMatchedDeposit: getMatchedDeposit,
  isUBAActivatedAtBlock: isUBAActivatedAtBlock,
  getUbaActivationBundleStartBlocks: getUbaActivationBundleStartBlocks,
  getFlowChain: getFlowChain,
  getUBAFlows: getUBAFlows,
  getBundleKeyForBlockRanges: getBundleKeyForBlockRanges,
  flowComparisonFunction: flowComparisonFunction,
  sortFlowsAscendingInPlace: sortFlowsAscendingInPlace,
  sortFlowsAscending: sortFlowsAscending,
  refundRequestIsValid: refundRequestIsValid,
  getMatchingFlow: getMatchingFlow,
  getValidFillCandidates: getValidFillCandidates,
  getValidRefundCandidates: getValidRefundCandidates,
  serializeUBAClientState: serializeUBAClientState,
  deserializeUBAClientState: deserializeUBAClientState,
  get UBAActionType () { return UBAActionType; },
  UBAClientConfig: UBAClientConfig
};

/**
 * A client for interacting with the IPFS. This is a wrapper around the IPFS API.
 * This client also is a part of the caching mechanism interface.
 * @see https://docs.ipfs.io/reference/http/api/
 */

var PinataIPFSClient = /*#__PURE__*/function () {
  function PinataIPFSClient(projectId, projectSecret, publicGatewayURL, logger) {
    this.client = buildIPFSClient(projectId, projectSecret);
    this.publicGatewayURL = publicGatewayURL;
    this.logger = logger;
  }
  /**
   * Calls to a public IPFS gateway to retrieve a value.
   * @param key The key to retrieve.
   * @param _structValidator An optional struct validator to validate the retrieved value. If the value does not match the struct, null is returned.
   * @returns The value if it exists, otherwise null.
   */


  var _proto = PinataIPFSClient.prototype;

  _proto.get =
  /*#__PURE__*/
  function () {
    var _get = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee(key, _structValidator) {
      var arrivedResult, revivedResult;
      return runtime_1.wrap(function _callee$(_context) {
        while (1) {
          switch (_context.prev = _context.next) {
            case 0:
              if (key) {
                _context.next = 2;
                break;
              }

              return _context.abrupt("return", null);

            case 2:
              formattedLog(this.logger, {
                level: "debug",
                message: "Retrieving value from IPFS with key " + key,
                at: {
                  location: "IPFSClient",
                  "function": "get"
                }
              });
              _context.next = 5;
              return retrieveValueFromIPFS(key, this.publicGatewayURL);

            case 5:
              arrivedResult = _context.sent;

              if (arrivedResult) {
                _context.next = 8;
                break;
              }

              return _context.abrupt("return", null);

            case 8:
              revivedResult = JSON.parse(arrivedResult, jsonReviverWithBigNumbers);

              if (!(_structValidator && !_structValidator.is(revivedResult))) {
                _context.next = 12;
                break;
              }

              formattedLog(this.logger, {
                level: "warn",
                message: "Retrieved value from IPFS with key " + key + " does not match the expected type",
                at: {
                  location: "IPFSClient",
                  "function": "get"
                }
              });
              return _context.abrupt("return", null);

            case 12:
              return _context.abrupt("return", revivedResult);

            case 13:
            case "end":
              return _context.stop();
          }
        }
      }, _callee, this);
    }));

    function get(_x, _x2) {
      return _get.apply(this, arguments);
    }

    return get;
  }()
  /**
   * Stores a value in the IPFS and returns the CID of the value stored.
   * @param key An optional key to store the value with. This is purely in the metadata of the CID.
   * @param value The value to store.
   * @returns The CID of the value stored.
   */
  ;

  _proto.set = function set(key, value) {
    formattedLog(this.logger, {
      level: "debug",
      message: "Setting value from IPFS with key " + key,
      at: {
        location: "IPFSClient",
        "function": "setWithReturnID"
      }
    });
    return storeValueInIPFS(key, JSON.stringify(value, jsonReplacerWithBigNumbers), this.client);
  };

  return PinataIPFSClient;
}();



var index$g = {
  __proto__: null,
  PinataIPFSClient: PinataIPFSClient
};

exports.caching = index$g;
exports.clients = index$f;
exports.coingecko = index$7;
exports.constants = constants;
exports.contracts = index$4;
exports.gasPriceOracle = index;
exports.interfaces = index$1;
exports.lpFeeCalculator = index$3;
exports.merkleDistributor = index$b;
exports.pool = index$5;
exports.priceClient = index$a;
exports.relayFeeCalculator = index$8;
exports.transfersHistory = index$6;
exports.typechain = typechain;
exports.typeguards = index$c;
exports.ubaFeeCalculator = index$d;
exports.utils = index$2;
//# sourceMappingURL=sdk-v2.cjs.development.js.map
